GNU bug report logs - #55424
[PATCH 000/602] Purge Python 2 packages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; Keywords: patch; Done: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 16:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 12:12:08 2022
Received: from localhost ([127.0.0.1]:46797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2EZr-0008Ij-VP
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 12:12:08 -0400
Received: from mail-qv1-f52.google.com ([209.85.219.52]:39583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o2EZp-0008I9-Rk
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 12:12:06 -0400
Received: by mail-qv1-f52.google.com with SMTP id cs6so2610093qvb.6
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 09:12:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=utsls2Hx9fCRhVFbiEY9Lxdw7wE1Xh7CLYN6mePsDcM=;
 b=l6ul0C5dqtcwZKLsU8ZFj/weksQxMLyZwOJmBSm/yeoyVvJ6cc2lwfJnYuDMY6uIAi
 FyfLpFNSGrME5SZx3dZHlN2avI5WmoNwOAG765U8ehUfygwTizKrKa9eDDW1YnuXo3VS
 i62MeFSx9Xqt2uKeieoTV2B1+f3W9qt3BN7Oe+2hJGHjYVukUIEtTDnkcYGoIhqERlbC
 id9lphJEZr+LLeZpqRcHExpYkCjsbL/R9me7YGtKPvSDZ7U83yiiEdY4nX8zij3WymYu
 1kAdH4GZmmV3TGHWHn0gTiNQ+artunr8s+TeNdGIxeB0wPBoBB4+dXlrhpbdz4QbTcoF
 GFmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=utsls2Hx9fCRhVFbiEY9Lxdw7wE1Xh7CLYN6mePsDcM=;
 b=SkieEULQHgo8egpy3N/AAm7p/YXpRH7yYY+2jqnhBtxZipOuhpWGtGUWhSapH8Qjir
 qLhNvkjivQpBj+cddCubmQR18tnsPjHOMIRdmdONgypq6ZHmP1FNQhHUFGoflkc+MZlw
 b+BxlYjoXKxbE0YC1DT5sgFo5TQMlK2V3m+bG4kxpDWLxDcZObPuRHruY+enKDAyYL9A
 AUR43BOdTFVYD9MU5xm6wo7jFKZPSoBOwM6ufLK23MLz+XJBF7cNAq54Lz6MXWSZGvUK
 vFrQgwUXEJpOvAwtJOsI0v/GdADRWOEtvauL/dSfWSCwuxHSiBUwBOBYmZQVA57s2PXv
 GfCQ==
X-Gm-Message-State: AJIora+HF4Ay+Y9915c1vcjMcLV2BtQZyBpuQFioiCSV8MZwF0t+aahQ
 m6/wFUdfHSExAXAH6sOY9bkskc21YLSZLA==
X-Google-Smtp-Source: AGRyM1vQslLp7aTq/6bOWSBXsouepUNzjaKE6zgbt5U67L44lmChDhXzqOfoUqc0TiCS0v+Xjp3b7A==
X-Received: by 2002:a05:6214:f22:b0:46b:233f:d02c with SMTP id
 iw2-20020a0562140f2200b0046b233fd02cmr9247827qvb.62.1655482320036; 
 Fri, 17 Jun 2022 09:12:00 -0700 (PDT)
Received: from hurd (dsl-205-233-124-10.b2b2c.ca. [205.233.124.10])
 by smtp.gmail.com with ESMTPSA id
 n13-20020ac8674d000000b00304d8ddf416sm4227968qtp.94.2022.06.17.09.11.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 09:11:59 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH v2 5/6] gnu: renpy: Use new style.
References: <d5d1e19a9bb63e3c59b058fbc36fe5bcf8b0f0b5.camel@HIDDEN>
Date: Fri, 17 Jun 2022 12:11:58 -0400
In-Reply-To: <d5d1e19a9bb63e3c59b058fbc36fe5bcf8b0f0b5.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Fri, 17 Jun 2022 16:01:32 +0200")
Message-ID: <87h74j9smp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana,

I haven't tried building it again, but your v2 patches LGTM.

Thanks again!

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 15:16:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 11:16:56 2022
Received: from localhost ([127.0.0.1]:46675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2DiR-0002NH-Vl
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:56 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:35730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o2DiF-0002Lr-UA
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:50 -0400
Received: by mail-ej1-f65.google.com with SMTP id me5so9406267ejb.2
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 08:16:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=5YMVx6vdMZa1GbKtpvr291Y1wiL2m8SvvU+Td7hLm3k=;
 b=H76uWivST9C/RvWKwHBqeqP4HQ885ezb+qBwxmZXcZztO8R6gOp1UYIYkZqqXlWuVa
 Gw8e4iUQIYzi8VssK6i7X1WDE8MUeTwpY/BxxrCufeTFl0OmrrWLYr/4tfvQKeAjVD9s
 Dj5vfTiVo3iqblpqYISxxxzj8IltiY06gKC3+EE3KGm+m17pooc3R7GrY2D2tvPX3t//
 aP3dEhXbvTtAbGcmdiUIT3yczLRc121zrpQ3p6qYG2UNLnFlZLUJjIXtYNXMAjFP72qh
 SEEKK83rmYwaUI7r/irN9jX/DrYpW6Xqp2Qt6p/+wA2HvS7v5olXM7tc7qB+5K0AfFvi
 mt8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=5YMVx6vdMZa1GbKtpvr291Y1wiL2m8SvvU+Td7hLm3k=;
 b=b9jwJ3UGo+iu5RdOmkvIgiZ1IJHfy98BWUG41TvVFvhZWNA9NmidXbRhUr/ZacIFNM
 KTVPvQ+/9grpwEe7am/ii1nPXflIHShK4/yclAt9+sZone7dXEpqNGCxxSiFhbF+GmOo
 YVV9grRT2g/jtkfGYj76cRyzezitBqw19NwaT2ZjuGZpx3cvCod9GVjx7l8RloQm87KL
 u1ESyiciT+lywCquzxTuZeVQELcKaAT6AXzNx4Hh1rqROWxZeBQVBPBdp0DOEI4OL/b/
 deqRO/m0Hd8d9k1O7cWc+dq3EZSgYEY7QjYbthfPc8UZg9x8LvwbRZ7LhUlLBM9LakyO
 V8Pg==
X-Gm-Message-State: AJIora/FLE2Q8dMV/vtIcZtcOzBQ+GS0AxSPviCu6Yf7KKVE5Q0mW74X
 SBpcUvjNrlVr5xNRJphNS70=
X-Google-Smtp-Source: AGRyM1vzRxxkNiiuoR9Qz93yxPKPfvvA7ptImknjiCwNzzCk/kQlmFCxWJ5a0Ikxn/Hji8goA8RK5w==
X-Received: by 2002:a17:907:6ea8:b0:711:3404:440d with SMTP id
 sh40-20020a1709076ea800b007113404440dmr9574275ejc.764.1655478998237; 
 Fri, 17 Jun 2022 08:16:38 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u20-20020aa7d554000000b0042a2d9af0f8sm3801083edr.79.2022.06.17.08.16.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 08:16:38 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 16:01:32 +0200
Subject: [PATCH v2 5/6] gnu: renpy: Use new style.
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 8bit
Message-ID: <d5d1e19a9bb63e3c59b058fbc36fe5bcf8b0f0b5.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* gnu/packages/game-development.scm (renpy)[arguments]: Change to list of
G-Expressions.
[inputs]: Drop labels.
[native-inputs, outputs]: Squash to single line.
---
 gnu/packages/game-development.scm | 293 +++++++++++++++---------------
 1 file changed, 146 insertions(+), 147 deletions(-)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 4377654f8f..04f2b061fc 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -48,6 +48,7 @@ (define-module (gnu packages game-development)
   #:use-module (ice-9 match)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix svn-download)
@@ -1352,156 +1353,154 @@ (define-public renpy
     (name "renpy")
     (build-system python-build-system)
     (arguments
-     `(#:tests? #f ; see python-renpy
-       #:modules ((srfi srfi-1)
+     (list
+      #:tests? #f ; see python-renpy
+      #:modules '((srfi srfi-1)
                   (guix build python-build-system)
                   (guix build utils))
-       #:imported-modules ((srfi srfi-1) ,@%python-build-system-modules)
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'fix-commands
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (substitute* "launcher/game/choose_directory.rpy"
-               (("/usr/bin/python")
-                (search-input-file inputs "/bin/python3")))
-             (substitute* "launcher/game/front_page.rpy"
-               (("xdg-open")
-                (search-input-file inputs "/bin/xdg-open")))
-             (substitute* "launcher/game/project.rpy"
-               (("cmd = \\[ executable, \"-EO\", sys.argv\\[0\\] \\]")
-                (string-append "cmd = [ \"" (assoc-ref outputs "out")
-                               "/bin/renpy\" ]"))
-               ;; Projects are still created in the usual style, so we need
-               ;; to adjust the path.
-               (("cmd.append\\(self.path\\)")
-                "cmd.append(self.path + \"/game\")"))))
-         (add-after 'unpack 'drop-game-from-paths
-           (lambda _
-             (substitute* (list "launcher/game/gui7.rpy"
-                                "launcher/game/gui7/images.py")
-               ((", \"game\",") ","))
-             #t))
-         (add-before 'build 'start-xserver
-           (lambda* (#:key inputs native-inputs #:allow-other-keys)
-             (let ((Xvfb (search-input-file (or native-inputs inputs)
-                                            "/bin/Xvfb")))
-               (setenv "HOME" (getcwd))
-               (system (format #f "~a :1 &" Xvfb))
-               (setenv "DISPLAY" ":1"))))
-         (replace 'build
-           (lambda _
-             (invoke "python" "renpy.py" "launcher" "quit")
-             (invoke "python" "renpy.py" "the_question" "quit")
-             (invoke "python" "renpy.py" "tutorial" "quit")))
-         (replace 'install
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             ;; Here we install our custom renpy program.
-             ;; After finishing this step, "out" will have the following:
-             ;; |-- bin/renpy
-             ;; `-- share/renpy ; i.e. path_to_renpy_base()
-             ;;     |-- common
-             ;;     `-- gui
-             ;;
-             ;; Note that common shares the source files that would be installed
-             ;; by python-renpy (which are instead deleted from that package),
-             ;; but also contains their byte-compiled versions.
-             ;; On other systems, renpy_base would point to site-packages or
-             ;; even somewhere in /opt.
-             ;; The former approach is not as straightforward as it seems
-             ;; -- it causes renpy to load files twice for some weird reason --
-             ;; and the latter is impossible on Guix. Hence the detour through
-             ;; share/renpy and the custom renpy program.
-             ;;
-             ;; As a convention, other games should be installed as
-             ;; subdirectories of share/renpy in their respective outputs as
-             ;; well. This differs from the traditional layout, which is
-             ;; roughly the following:
-             ;; `-- Super Awesome Game
-             ;;     |-- game       ; <- the folder we actually want
-             ;;     |-- lib        ; compiled renpy module and dependencies
-             ;;     |-- renpy      ; yet another copy of Ren'py's code
-             ;;     |   |-- common ; the common folder from above
-             ;;     |   `-- ...    ; Python code (source + compiled)
-             ;;     |-- Super Awesome Game.py
-             ;;     `-- Super Awesome Game.sh
-             (let* ((out (assoc-ref outputs "out"))
-                    (bin/renpy (string-append out "/bin/renpy")))
-               (copy-recursively "renpy/common"
-                                 (string-append out "/share/renpy/common"))
-               (copy-recursively "gui"
-                                 (string-append out "/share/renpy/gui"))
-
-               (mkdir-p (string-append out "/bin"))
-               (copy-file (assoc-ref inputs "renpy.in") bin/renpy)
-               (substitute* bin/renpy
-                 (("@PYTHON@") (search-input-file inputs "bin/python3"))
-                 (("@RENPY_BASE@") (string-append out "/share/renpy")))
-               (chmod bin/renpy #o755))))
-
-         (add-after 'install 'install-games
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (define renpy (assoc-ref outputs "out"))
-             ;; TODO: We should offer a renpy-build-system to make the
-             ;; installation of Ren'py games easier.
-             (define* (install-renpy-game #:key output game name (renpy renpy)
-                                          #:allow-other-keys)
-               (let* ((name (or name (basename game)))
-                      (launcher (string-append output "/bin/renpy-" name))
-                      (share (string-append output "/share/renpy/" name)))
-                 (copy-recursively (string-append game "/game") share)
-                 (mkdir-p (string-append output "/bin"))
-                 (with-output-to-file launcher
-                   (lambda ()
-                     (format #t
-                             "#!~a~%~a ~a \"$@\""
-                             (search-input-file inputs "/bin/bash")
-                             (string-append renpy "/bin/renpy")
-                             share)))
-                 (chmod launcher #o755)))
-
-             (install-renpy-game #:output (assoc-ref outputs "out")
-                                 #:game "launcher")
-
-             (install-renpy-game #:output (assoc-ref outputs "the-question")
-                                 #:game "the_question"
-                                 #:name "the-question")
-
-             (install-renpy-game #:output (assoc-ref outputs "tutorial")
-                                 #:game "tutorial")))
-         (replace 'wrap
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out"))
-                   (site (string-append "/lib/python"
-                                        (python-version
-                                         (assoc-ref inputs "python"))
-                                        "/site-packages")))
-               (wrap-program (string-append out "/bin/renpy")
-                 `("GUIX_PYTHONPATH" =
-                   (,@(delete-duplicates
-                       (map
-                        (lambda (store-path)
-                          (string-append store-path site))
-                        (cons (assoc-ref outputs "out")
-                              (map cdr
-                                   (filter
-                                    (lambda (input)
-                                      (string-prefix? "python" (car input)))
-                                    inputs))))))))))))))
-    (inputs
-     `(("bash-minimal" ,bash-minimal)
-       ("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
-       ("python-pefile" ,python-pefile)
-       ("python-requests" ,python-requests)
-       ("python-renpy" ,python-renpy)
-       ("python:tk" ,python "tk")
-       ("python-six" ,python-six)
-       ("python" ,python) ; for ‘fix-commands’ and ‘wrap’
-       ("xdg-utils" ,xdg-utils)))
+      #:imported-modules `((srfi srfi-1) ,@%python-build-system-modules)
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'fix-commands
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (substitute* "launcher/game/choose_directory.rpy"
+                (("/usr/bin/python")
+                 (search-input-file inputs "/bin/python3")))
+              (substitute* "launcher/game/front_page.rpy"
+                (("xdg-open")
+                 (search-input-file inputs "/bin/xdg-open")))
+              (substitute* "launcher/game/project.rpy"
+                (("cmd = \\[ executable, \"-EO\", sys.argv\\[0\\] \\]")
+                 (string-append "cmd = [ \"" (assoc-ref outputs "out")
+                                "/bin/renpy\" ]"))
+                ;; Projects are still created in the usual style, so we need
+                ;; to adjust the path.
+                (("cmd.append\\(self.path\\)")
+                 "cmd.append(self.path + \"/game\")"))))
+          (add-after 'unpack 'drop-game-from-paths
+            (lambda _
+              (substitute* (list "launcher/game/gui7.rpy"
+                                 "launcher/game/gui7/images.py")
+                ((", \"game\",") ","))
+              #t))
+          (add-before 'build 'start-xserver
+            (lambda* (#:key inputs native-inputs #:allow-other-keys)
+              (let ((Xvfb (search-input-file (or native-inputs inputs)
+                                             "/bin/Xvfb")))
+                (setenv "HOME" (getcwd))
+                (system (format #f "~a :1 &" Xvfb))
+                (setenv "DISPLAY" ":1"))))
+          (replace 'build
+            (lambda _
+              (invoke "python" "renpy.py" "launcher" "quit")
+              (invoke "python" "renpy.py" "the_question" "quit")
+              (invoke "python" "renpy.py" "tutorial" "quit")))
+          (replace 'install
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              ;; Here we install our custom renpy program.
+              ;; After finishing this step, "out" will have the following:
+              ;; |-- bin/renpy
+              ;; `-- share/renpy ; i.e. path_to_renpy_base()
+              ;;     |-- common
+              ;;     `-- gui
+              ;;
+              ;; Note that common shares the source files that would be installed
+              ;; by python2-renpy (which are instead deleted from that package),
+              ;; but also contains their byte-compiled versions.
+              ;; On other systems, renpy_base would point to site-packages or
+              ;; even somewhere in /opt.
+              ;; The former approach is not as straightforward as it seems
+              ;; -- it causes renpy to load files twice for some weird reason --
+              ;; and the latter is impossible on Guix. Hence the detour through
+              ;; share/renpy and the custom renpy program.
+              ;;
+              ;; As a convention, other games should be installed as
+              ;; subdirectories of share/renpy in their respective outputs as
+              ;; well. This differs from the traditional layout, which is
+              ;; roughly the following:
+              ;; `-- Super Awesome Game
+              ;;     |-- game       ; <- the folder we actually want
+              ;;     |-- lib        ; compiled renpy module and dependencies
+              ;;     |-- renpy      ; yet another copy of Ren'py's code
+              ;;     |   |-- common ; the common folder from above
+              ;;     |   `-- ...    ; Python code (source + compiled)
+              ;;     |-- Super Awesome Game.py
+              ;;     `-- Super Awesome Game.sh
+              (let* ((out (assoc-ref outputs "out"))
+                     (bin/renpy (string-append out "/bin/renpy")))
+                (copy-recursively "renpy/common"
+                                  (string-append out "/share/renpy/common"))
+                (copy-recursively "gui"
+                                  (string-append out "/share/renpy/gui"))
+
+                (mkdir-p (string-append out "/bin"))
+                (copy-file #$(local-file (search-auxiliary-file "renpy/renpy.in"))
+                           bin/renpy)
+                (substitute* bin/renpy
+                  (("@PYTHON@") (search-input-file inputs "bin/python3"))
+                  (("@RENPY_BASE@") (string-append out "/share/renpy")))
+                (chmod bin/renpy #o755))))
+
+          (add-after 'install 'install-games
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (define renpy (assoc-ref outputs "out"))
+              ;; TODO: We should offer a renpy-build-system to make the
+              ;; installation of Ren'py games easier.
+              (define* (install-renpy-game #:key output game name (renpy renpy)
+                                           #:allow-other-keys)
+                (let* ((name (or name (basename game)))
+                       (launcher (string-append output "/bin/renpy-" name))
+                       (share (string-append output "/share/renpy/" name)))
+                  (copy-recursively (string-append game "/game") share)
+                  (mkdir-p (string-append output "/bin"))
+                  (with-output-to-file launcher
+                    (lambda ()
+                      (format #t
+                              "#!~a~%~a ~a \"$@\""
+                              (search-input-file inputs "/bin/bash")
+                              (string-append renpy "/bin/renpy")
+                              share)))
+                  (chmod launcher #o755)))
+
+              (install-renpy-game #:output (assoc-ref outputs "out")
+                                  #:game "launcher")
+
+              (install-renpy-game #:output (assoc-ref outputs "the-question")
+                                  #:game "the_question"
+                                  #:name "the-question")
+
+              (install-renpy-game #:output (assoc-ref outputs "tutorial")
+                                  #:game "tutorial")))
+          (replace 'wrap
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let ((out (assoc-ref outputs "out"))
+                    (site (string-append "/lib/python"
+                                         (python-version
+                                          (assoc-ref inputs "python"))
+                                         "/site-packages")))
+                (wrap-program (string-append out "/bin/renpy")
+                  `("GUIX_PYTHONPATH" =
+                    (,@(delete-duplicates
+                        (map
+                         (lambda (store-path)
+                           (string-append store-path site))
+                         (cons (assoc-ref outputs "out")
+                               (map cdr
+                                    (filter
+                                     (lambda (input)
+                                       (string-prefix? "python" (car input)))
+                                     inputs))))))))))))))
+    (inputs (list bash-minimal
+                  python
+                  python-pefile
+                  python-requests
+                  python-renpy
+                  python-six
+                  `(,python "tk")
+                  xdg-utils))
     (propagated-inputs '())
-    (native-inputs
-     (list xorg-server-for-tests))
-    (outputs
-     (list "out" "tutorial" "the-question"))
+    (native-inputs (list xorg-server-for-tests))
+    (outputs (list "out" "tutorial" "the-question"))
     (home-page "https://www.renpy.org/")
     (synopsis "Visual Novel Engine")
     (description "Ren'Py is a visual novel engine that helps you use words,
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 15:16:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 11:16:50 2022
Received: from localhost ([127.0.0.1]:46673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2DiL-0002Mt-L0
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:49 -0400
Received: from mail-ed1-f66.google.com ([209.85.208.66]:44731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o2DiG-0002Ls-94
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:45 -0400
Received: by mail-ed1-f66.google.com with SMTP id b8so6574675edj.11
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 08:16:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=iUA4AzB79bJSoaQNHqYsPI8nRlGT5Wmg3DtY477vH9s=;
 b=l5KrCjS6XFbopAVP3cX+WR2HQ6rkvoFjDMF3gOEAPMb0wUhV5h3/X2VPCFxzRAy0UC
 RIA1k1GACFV+6Sqq4YtO7AF2xytz8oQH5RBrbJMDfZ9TDoIOyi/1Hy6CU2zyJSUtuKwR
 6x0e2rPWhbzIbRoB5PuIW24DZ7YRg2XudFLQ4UbdXOMcl/gczP8AzVtMcMDIdYBweg2X
 KU1sGSwz28gYNQLkI5ly7giFgpo4Y1MpZhQ5JphzTSDWsZMpDZfSQZELiFbUbYHuaHmG
 gQEo4YDotaj3jPxvBamkoBBlpOOQnEEACbGNN7DJgUYogLHuUNHxZ67d0IxYxdRzmp1k
 +Hxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=iUA4AzB79bJSoaQNHqYsPI8nRlGT5Wmg3DtY477vH9s=;
 b=58EkPtsB6YA81vwmzVe80+KwfXU+/iKaqQgaRlTdU+IVKO7+Xp/R7MhPwQ2ylS7zTF
 ZIBDe8FTZ0gemGR5FF9+EQ6QWeF/hIfKDPLEOpErjkMKUCDWJlfNPfWQXtXjrGIhjKAZ
 QXWRzstsFjo8xA8eDTxzLIJ1bhFvipWUOJuvdhpryrjrbmDjbCHvBqJoMvZiRkj3ubz8
 ec3KT1QMSQNyt3szFugWv9lv5Q0GH4bCDoJS/TQdolbLt0iGXRNvGrmDNGdr1BeOc9tE
 GK1rD4LhIo1XOlhIB3FjFDU7sllpr+h8c+U/D7CUpcHzUt2hAT4UHksfV+WHNlc0q7Ma
 ml9Q==
X-Gm-Message-State: AJIora/FMLwBhCf4xdctO6Z/7A9aO6cZjrQGuSFBqMICf9xtuzuF8vGt
 TSFiXaf1lzUW6An1p2yrOa0=
X-Google-Smtp-Source: AGRyM1tO7viGbjl5AnAsHMOH2TS4NlXbUhhO4UBvtSld5Ov+Scxs5FlB8NlbnrlxIcImSP1OjdaVYA==
X-Received: by 2002:a05:6402:4144:b0:431:6ef0:bef7 with SMTP id
 x4-20020a056402414400b004316ef0bef7mr13315930eda.151.1655478998755; 
 Fri, 17 Jun 2022 08:16:38 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u20-20020aa7d554000000b0042a2d9af0f8sm3801083edr.79.2022.06.17.08.16.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 08:16:38 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 16:45:13 +0200
Subject: [PATCH v2 6/6] guix: Modernize renpy-build-system.
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 7bit
Message-ID: <6ac83c4c9c21e361adca50ba2f721f56c6103628.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/build-system/renpy.scm (build): Drop trailing #t.
(install, install-desktop-file): Likewise.  Also add inputs and use
search-input-file for /bin/sh and /bin/renpy.
---
 guix/build/renpy-build-system.scm | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

diff --git a/guix/build/renpy-build-system.scm b/guix/build/renpy-build-system.scm
index e4a88456be..7c15d52f19 100644
--- a/guix/build/renpy-build-system.scm
+++ b/guix/build/renpy-build-system.scm
@@ -37,10 +37,9 @@ (define* (build #:key game #:allow-other-keys)
           game
           ;; should be "compile", but renpy wants to compile itself really
           ;; badly if we do
-          "quit")
-  #t)
+          "quit"))
 
-(define* (install #:key outputs game (output "out") #:allow-other-keys)
+(define* (install #:key inputs outputs game (output "out") #:allow-other-keys)
   (let* ((out (assoc-ref outputs output))
          (json-dump (call-with-input-file (string-append game
                                                          "/renpy-build.json")
@@ -58,13 +57,12 @@ (define* (install #:key outputs game (output "out") #:allow-other-keys)
       (call-with-output-file launcher
         (lambda (port)
           (format port "#!~a~%~a ~s \"$@\""
-                  (which "bash")
-                  (which "renpy")
+                  (search-input-file inputs "/bin/sh")
+                  (search-input-file inputs "/bin/renpy")
                   data)))
-      (chmod launcher #o755)))
-  #t)
+      (chmod launcher #o755))))
 
-(define* (install-desktop-file #:key outputs game (output "out")
+(define* (install-desktop-file #:key inputs outputs game (output "out")
                                #:allow-other-keys)
   (let* ((out (assoc-ref outputs output))
          (json-dump (call-with-input-file (string-append game
@@ -78,10 +76,9 @@ (define* (install-desktop-file #:key outputs game (output "out")
      #:name (assoc-ref json-dump "name")
      #:generic-name (assoc-ref build "display_name")
      #:exec (format #f "~a ~s"
-                    (which "renpy")
+                    (search-input-file inputs "/bin/renpy")
                     (string-append out "/share/renpy/" directory-name))
-     #:categories '("Game" "Visual Novel")))
-  #t)
+     #:categories '("Game" "Visual Novel"))))
 
 (define %standard-phases
   (modify-phases gnu:%standard-phases
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 15:16:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 11:16:49 2022
Received: from localhost ([127.0.0.1]:46671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2DiL-0002Mm-76
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:49 -0400
Received: from mail-ed1-f67.google.com ([209.85.208.67]:42672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o2DiF-0002Lp-BS
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:44 -0400
Received: by mail-ed1-f67.google.com with SMTP id z11so444436edp.9
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 08:16:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=9Tl1GF7K1EISYQ4I72n+PR2DvTL8RqMQkxeECkX4j4Q=;
 b=eq0yTaEnr4gm9ZfvjInPQCq7CPhTrtBTvgZ633tP7Z8+3HsJAdXaF/ZaA7CyfvjCHM
 oGzJny5HUU7WaM6sExsEUQTmcY4sE3P8y6SxQ5GdB727wcGhMnGynlXdllSjnOtLgZ0S
 10HjdOwSAmiBKDn8uqNyiL6378uXiqSt5GgB+rp5iEq7hfcGdMXO9jony0dQ2VHqYP6I
 irWpskj1Ylo2mCkEJdx1FW2tb8aoBJc18E9CEkG9+jr0YIXc2euhRPrUziIKhNSDg5le
 B7rtIhEAZAX0EDqi2cgKGk9c/Pw3KoUl4pYiSBkupAdpYnkdbGNIVy7PPc3x6Gnz1LnL
 KtVg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=9Tl1GF7K1EISYQ4I72n+PR2DvTL8RqMQkxeECkX4j4Q=;
 b=QdtFjuIb5MWY84ULmsj/H/FWjrR/CkSjXOYJgdtPW2RtXZTpFB8cw/aU1TMPLEUrOF
 IMJ/Au+A0WTRfVB7AaS2KnJrK6QK6Crf/ojiVMtjiEdkrmxchVurhIt9U8weQyjs4qbU
 Z8CywZbZpIzJtPyH8NUeI6yPSi7QT7SvxKyo1OYgRYXtKFbfVbhn9cOcLDuzLmqvkHa3
 SqYhKM/u390UqGfzICixE04eLWcMMDkeQPfgEJbOigkLGDAseVypaT5u4IfWdYnmnT24
 ug7Dd7+7f7dPvi/AI9scnyZgL8qpZrOxeLRJy0vuvwiOu1VEiibgaw3sGXt4JgDn4APV
 ES2w==
X-Gm-Message-State: AJIora8grYrxexv5g/ExleuBSzlCYiTGccqXAJgS0r7REqQ2ElhN++P0
 elSVHpzVKuQFM2Tmq4C8dhU=
X-Google-Smtp-Source: AGRyM1uN4vncS94rKzhJA/bsJej5pLCmlLMK0rF3F74OlsqGDNFBG+9LI0O3D0xVJEiRPA6CuOdAEw==
X-Received: by 2002:a50:d097:0:b0:42d:d158:4e61 with SMTP id
 v23-20020a50d097000000b0042dd1584e61mr13131866edd.42.1655478997723; 
 Fri, 17 Jun 2022 08:16:37 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u20-20020aa7d554000000b0042a2d9af0f8sm3801083edr.79.2022.06.17.08.16.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 08:16:37 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 10:27:59 +0200
Subject: [PATCH v2 4/6] gnu: renpy: Update to 7.99.99-0-3e854bc.
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 8bit
Message-ID: <05c4d1a7039b3cdde5043a7445052171d8b6a7a1.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/aux-files/renpy/renpy.in (__renpy_files,
 path_to_gamedir):
 New procedures. * gnu/packages/game-development.scm (python-renpy): Update
 to 7.99.99-0-3e854bc. (renpy): Likewise. [inputs]: [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.67 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liliana.prikler[at]gmail.com)
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 0.9 PP_MIME_FAKE_ASCII_TEXT BODY: MIME text/plain claims to be ASCII
 but isn't -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

* gnu/packages/aux-files/renpy/renpy.in (__renpy_files, path_to_gamedir):
New procedures.
* gnu/packages/game-development.scm (python-renpy): Update to
7.99.99-0-3e854bc.
(renpy): Likewise.
[inputs]: Add python-pefile, python-requests and python-six.
---
Hi Maxim,

regarding the revision field, I don't plan on doing too many nightlies, given
that I went two weeks without trying to invoke the renpy binary.  For the future
reviewer who has to read through all of this again when version 8 hits, I think
not indenting the package description makes more sense (particularly as I
anticipate possible changes in the phases due to renpy build weirdness).

The other suggestions should be applied (sans G-Expressions which are in the
next patch).

Cheers

 gnu/packages/aux-files/renpy/renpy.in | 21 +++++++++++++++++++--
 gnu/packages/game-development.scm     | 19 ++++++++++++++-----
 2 files changed, 33 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/aux-files/renpy/renpy.in b/gnu/packages/aux-files/renpy/renpy.in
index 914a735fa4..9115d9aee3 100644
--- a/gnu/packages/aux-files/renpy/renpy.in
+++ b/gnu/packages/aux-files/renpy/renpy.in
@@ -1,12 +1,29 @@
 #! @PYTHON@
 # -*- mode: python -*-
 
-from __future__ import print_function
-
+import glob
 import os
 import sys
 import warnings
 
+def __renpy_files(directory):
+    for pattern in ['*.rpa', '*.rpyc', '*.rpy']:
+        for file in glob.iglob(pattern, root_dir=directory):
+            yield file
+
+def path_to_gamedir(basedir, name):
+    candidates = [name, 'game', 'data', 'launcher/game']
+
+    if __renpy_files(basedir):
+        return basedir
+
+    for candidate in candidates:
+        gamedir = os.path.join(basedir, candidate)
+        if __renpy_files(gamedir):
+            return gamedir
+
+    return basedir
+
 def path_to_common(renpy_base):
     return renpy_base + "/common"
 
diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index f69088324a..4377654f8f 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -94,6 +94,7 @@ (define-module (gnu packages game-development)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages qt)
@@ -1255,16 +1256,21 @@ (define-public python-pygame-sdl2
 developed mainly for Ren'py.")
       (license (list license:lgpl2.1 license:zlib)))))
 
+;; Using nightly from 2022-06-16.
+;; Revert back to URLs once renpy 8 is released!
+(define %renpy-commit "3e854bc7cb1642ca18b061a0c6e349f168965c43")
 (define-public python-renpy
   (package
     (name "python-renpy")
-    (version "7.4.11")
+    (version (git-version "7.99.99" "0" %renpy-commit))
     (source
      (origin
-       (method url-fetch)
-       (uri (string-append "https://www.renpy.org/dl/" version
-                           "/renpy-" version "-source.tar.bz2"))
-       (sha256 (base32 "0zkhg2sd2hglm9dkansf4h8sq7lm7iqslzl763ambp4kyfdvd07q"))
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/renpy/renpy")
+             (commit %renpy-commit)))
+       (file-name (git-file-name name version))
+       (sha256 (base32 "11g7hqhw4gbkx5ib2wsawrznmjbn8r9zkgf2sg39z56h96y8wfbn"))
        (modules '((guix build utils)))
        (patches
         (search-patches
@@ -1484,8 +1490,11 @@ (define* (install-renpy-game #:key output game name (renpy renpy)
     (inputs
      `(("bash-minimal" ,bash-minimal)
        ("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
+       ("python-pefile" ,python-pefile)
+       ("python-requests" ,python-requests)
        ("python-renpy" ,python-renpy)
        ("python:tk" ,python "tk")
+       ("python-six" ,python-six)
        ("python" ,python) ; for ‘fix-commands’ and ‘wrap’
        ("xdg-utils" ,xdg-utils)))
     (propagated-inputs '())
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 15:16:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 11:16:49 2022
Received: from localhost ([127.0.0.1]:46669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2DiK-0002Me-T6
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:49 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:41829)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o2DiE-0002Ln-TN
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:43 -0400
Received: by mail-ej1-f65.google.com with SMTP id u12so9372985eja.8
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 08:16:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=c13WK2MXY59epqpgq5IeYue9YD53OS24eOhipHCCVT8=;
 b=hSyycb2uge0ColjravlCN0uGQ+Xf4JxvoxFqOWHuSUV/eRYW+OJ4Dnnko6su+/u1fw
 Rw/un3WO9DE2v3Rwh5DokYeakTZqYWpCBPbPn+h8r1nhe1+Zm2xklyS0U8Fc1WQJDHX/
 ILwyVXbtFed9P1Hi2JkrP9M/DGe2XVJ6shY/fGMa/7D+d+HXhpjXqA4mXXzGmdOBFwd8
 PycA7sxQrxXIX8v+baDSLWtG866JghdVJ4tJlqujdZ2eN15WWOx7AkIxctbFi8emkaPa
 zvdDgu5HfMF+sqYXfvKFdMs+a3ffFZ3dSzFf3ELrc/kCDQW4DBD3Jb2ewPlz9m1zZHIf
 aPvw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=c13WK2MXY59epqpgq5IeYue9YD53OS24eOhipHCCVT8=;
 b=INfFCo5t5MwCpe/sQdEmzQHMKnyQtXf9XRr4iqGLbVbBDt5oKR95BeKoI9vUm86ewB
 eHS8PejmsFvVQkO2AF+vPnt5xGdK3OWyJ4Z2qAUbUGTyzJDv6ly5H6v9Z9vLA4IWxkwQ
 JMtBpa6UjKUfKl5jIgzkX89Yj0rlnmww/9kcL6ZIgP2lNCclLqZeZoSVq685Bz/VhZIp
 ZUoxxcE3nA3ejTgN+R9KjhzHS4K3jmtXqB0HfhHdGzy8uaIcrhihQ5wu61NVmgXKpwDv
 JHhUv1fElGH8wfi2JWjDYM1xSJny2c9p3NTvqoMcyE2ATtdxCArrYAMmrqD1mnLLJon+
 TJ+Q==
X-Gm-Message-State: AJIora8RN/jfl4r/BbzTrP8bTzRUxpaN24iZXOEymsw3OPQ9Ez7u9IO6
 mw9aa6HJf0ChifYYYJ109Tin7sOYI+0=
X-Google-Smtp-Source: AGRyM1sj5JnePh3UPoMVsSmSGAzLs0tMejlV50zu3u8EjrP6hSn2n+ercCDuQikgZxHd9Fou9ZD8Rw==
X-Received: by 2002:a17:906:6a1a:b0:711:ec13:b7bc with SMTP id
 qw26-20020a1709066a1a00b00711ec13b7bcmr9727381ejc.688.1655478997260; 
 Fri, 17 Jun 2022 08:16:37 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u20-20020aa7d554000000b0042a2d9af0f8sm3801083edr.79.2022.06.17.08.16.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 08:16:37 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 10:26:57 +0200
Subject: [PATCH v2 3/6] gnu: python-pygame-sdl2: Update to 2.1.0-0-1705c6e.
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 7bit
Message-ID: <76e01030d3e95b34ed86bf2f9697411f6b7280c8.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/game-development.scm (python-pygame-sdl2):
 Update to 2.1.0-0-1705c6e. --- Hi Maxim (and others reading), the comment
 for this one was actually wrong and I adjusted it. Hopefully it's clearer
 now why I don't go with "for-renpy-8" in the version. As for why I can't pick
 up the correct commit for the nightl [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liliana.prikler[at]gmail.com)
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.218.65 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

* gnu/packages/game-development.scm (python-pygame-sdl2): Update to
2.1.0-0-1705c6e.
---
Hi Maxim (and others reading),

the comment for this one was actually wrong and I adjusted it.
Hopefully it's clearer now why I don't go with "for-renpy-8" in the version.
As for why I can't pick up the correct commit for the nightly build... well,
renpy has it that all of the nightlies reference the renpy commit hash,
including pygame-sdl2.

Cheers

 gnu/packages/game-development.scm | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 099268d58c..f69088324a 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -1207,26 +1207,24 @@ (define-public python-pygame
                    license:lgpl2.1+))))
 
 (define-public python-pygame-sdl2
+  ;; Using latest git commit as of 2022-06-17, because there is no tagged
+  ;; release for renpy 8.
+  ;; Revert back to URLs once renpy 8 is released!
   (let ((real-version "2.1.0")
-        (renpy-version "7.4.11"))
+        ;;(renpy-version "8.0.0")
+        (commit "1705c6e3004dcb1daf859560bcd52eb093e97d45"))
     (package
       (inherit python-pygame)
       (name "python-pygame-sdl2")
-      (version (string-append real-version "-for-renpy-" renpy-version))
+      (version (git-version real-version "0" commit))
       (source
        (origin
-         (method url-fetch)
-         (uri (string-append "https://www.renpy.org/dl/" renpy-version
-                             "/pygame_sdl2-" version ".tar.gz"))
-         (sha256 (base32 "0nxvca16299jx6sp0ys29rqixcs21ymhqwjfkbchhss0yar7qjgz"))
-         (modules '((guix build utils)))
-         (snippet
-          '(begin
-             ;; drop generated sources
-             (delete-file-recursively "gen")
-             (delete-file-recursively "gen3")
-             (delete-file-recursively "gen-static")
-             #t))))
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/renpy/pygame_sdl2")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256 (base32 "1g0arhpd59zypspk36sgajf1kzavppfkv766vifvxar60968rrjn"))))
       (build-system python-build-system)
       (arguments
        `(#:tests? #f                ; tests require pygame to be installed first
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 15:16:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 11:16:48 2022
Received: from localhost ([127.0.0.1]:46667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2DiK-0002Mc-2I
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:48 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:42877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o2DiE-0002Lk-5e
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:43 -0400
Received: by mail-ej1-f68.google.com with SMTP id g25so9354020ejh.9
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 08:16:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:cc:content-transfer-encoding
 :message-id; bh=7TQFwlmaU9KuFiQG/j0klGGgWclTXx6e0Uh1SnY6RHg=;
 b=Qe1Rj85yWq1BE2QAblhlo17pFSJJcHHVQ+ckoYjrr234OfBxBnLUokmVFDz1UdZWbS
 u3WDQXDAPtl66Fu8nYEdscekKdyVnqXvLBQ6Ktwy83cZOTJmoZT4YnuJAZTcW8Dl6uFJ
 RFeSToI9eN4hVNTm7oRVyj3DlwzwUTSI6GVpbIdR2A7ALnYDNUn4+OiCHmjxCh68NVq2
 R2HGTDHXRzkP0H2nGieqIhLmhxGRFo9s3k5yrR624ZwX01KKBbN8lwrKmTwgx7LJKjls
 LFuNwkgcCyiHZCccGsnxI0wl4vAT4RzLSpRhBBuCUGDs89znikh2Z3pF3F23xE/M7Ew6
 TKSg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to:cc
 :content-transfer-encoding:message-id;
 bh=7TQFwlmaU9KuFiQG/j0klGGgWclTXx6e0Uh1SnY6RHg=;
 b=H1SN16a6AZGHW/5NcBNOinhwzxDlR62kDPmSRYjpl65oYCJNTpaL6MI2lxrABXrnIB
 uQy9w4+VllG1pDPn8oZbpAjfEO9iew4sSC9Msl6RVApau6BonYe7mCbRmVg2uG/yLsxG
 36PrZCx1FtiDHcdlxozTCAgIvB2uvRtzu82kYTWAgwKd2w2WBJBxmiara2mLdMMth1uR
 QO1nGolCkKcDWAYg3mTbt9Sq/zqeWGJkVCSQGyckxwt/wDhHEkQZUpLhPFxzX2Wo5dw8
 JbowlGyn1GCJZKLaeWZi//RSJuHzHp59MOtapoXNgYRDYpV3+7jp9vn1fNNSZICJ1KF2
 WpQg==
X-Gm-Message-State: AJIora+01NYLt70g8IucCZBb2WgxTLaA3KNyJ/HDeVlj+mMdKxIk9wxC
 +gs2wvzp7Ot2YfPCjhGfGSk=
X-Google-Smtp-Source: AGRyM1vadLZEegM0qG3dIClkjIeB3m6IU/XI1oc4dOreSKf9w1ogVETu58cZ1cfJj3OMp/Jeht5pYA==
X-Received: by 2002:a17:907:3f0b:b0:719:945a:ac46 with SMTP id
 hq11-20020a1709073f0b00b00719945aac46mr9082864ejc.87.1655478996054; 
 Fri, 17 Jun 2022 08:16:36 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u20-20020aa7d554000000b0042a2d9af0f8sm3801083edr.79.2022.06.17.08.16.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 08:16:35 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 08:49:05 +0200
Subject: [PATCH v2 1/6] gnu: Add back the distinction between python-renpy
 and renpy.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 8bit
Message-ID: <a3698cb264729c2043cf245960552624ca0f5055.camel@HIDDEN>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  This partially reverts commit 9f1bd63fb5b6916f07d454ffde27cd3a66c95bb5.
    Note, that with this patch renpy fails to build due to incompatibilities
   with Python 3. * gnu/packages/game-development.scm (renpy): Split into ‘python-renpy’
    for the python modules and ‘renpy’ for the games and binaries. --- Hi
    Maxim (and others reading), 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
  1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.218.68 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.68 listed in wl.mailspike.net]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

This partially reverts commit 9f1bd63fb5b6916f07d454ffde27cd3a66c95bb5.
Note, that with this patch renpy fails to build due to incompatibilities with
Python 3.

* gnu/packages/game-development.scm (renpy): Split into ‘python-renpy’ for the
python modules and ‘renpy’ for the games and binaries.
---
Hi Maxim (and others reading),

I squashed in some of your suggestions towards later packages, that seem
to be no-brainer modernizations into this patch.  In particular, it now
uses search-input-file rather than which and already has bash-minimal.

Cheers

 gnu/packages/game-development.scm | 167 +++++++++++++++++++++++++++++-
 1 file changed, 165 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 4c1b97f041..099268d58c 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -1257,9 +1257,9 @@ (define-public python-pygame-sdl2
 developed mainly for Ren'py.")
       (license (list license:lgpl2.1 license:zlib)))))
 
-(define-public renpy
+(define-public python-renpy
   (package
-    (name "renpy")
+    (name "python-renpy")
     (version "7.4.11")
     (source
      (origin
@@ -1342,6 +1342,169 @@ (define-public renpy
 are only used to bootstrap it.")
     (license license:expat)))
 
+(define-public renpy
+  (package
+    (inherit python-renpy)
+    (name "renpy")
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f ; see python-renpy
+       #:modules ((srfi srfi-1)
+                  (guix build python-build-system)
+                  (guix build utils))
+       #:imported-modules ((srfi srfi-1) ,@%python-build-system-modules)
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-commands
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (substitute* "launcher/game/choose_directory.rpy"
+               (("/usr/bin/python")
+                (search-input-file inputs "/bin/python3")))
+             (substitute* "launcher/game/front_page.rpy"
+               (("xdg-open")
+                (search-input-file inputs "/bin/xdg-open")))
+             (substitute* "launcher/game/project.rpy"
+               (("cmd = \\[ executable, \"-EO\", sys.argv\\[0\\] \\]")
+                (string-append "cmd = [ \"" (assoc-ref outputs "out")
+                               "/bin/renpy\" ]"))
+               ;; Projects are still created in the usual style, so we need
+               ;; to adjust the path.
+               (("cmd.append\\(self.path\\)")
+                "cmd.append(self.path + \"/game\")"))))
+         (add-after 'unpack 'drop-game-from-paths
+           (lambda _
+             (substitute* (list "launcher/game/gui7.rpy"
+                                "launcher/game/gui7/images.py")
+               ((", \"game\",") ","))
+             #t))
+         (add-before 'build 'start-xserver
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             (let ((Xvfb (search-input-file (or native-inputs inputs)
+                                            "/bin/Xvfb")))
+               (setenv "HOME" (getcwd))
+               (system (format #f "~a :1 &" Xvfb))
+               (setenv "DISPLAY" ":1"))))
+         (replace 'build
+           (lambda _
+             (invoke "python" "renpy.py" "launcher" "quit")
+             (invoke "python" "renpy.py" "the_question" "quit")
+             (invoke "python" "renpy.py" "tutorial" "quit")))
+         (replace 'install
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             ;; Here we install our custom renpy program.
+             ;; After finishing this step, "out" will have the following:
+             ;; |-- bin/renpy
+             ;; `-- share/renpy ; i.e. path_to_renpy_base()
+             ;;     |-- common
+             ;;     `-- gui
+             ;;
+             ;; Note that common shares the source files that would be installed
+             ;; by python-renpy (which are instead deleted from that package),
+             ;; but also contains their byte-compiled versions.
+             ;; On other systems, renpy_base would point to site-packages or
+             ;; even somewhere in /opt.
+             ;; The former approach is not as straightforward as it seems
+             ;; -- it causes renpy to load files twice for some weird reason --
+             ;; and the latter is impossible on Guix. Hence the detour through
+             ;; share/renpy and the custom renpy program.
+             ;;
+             ;; As a convention, other games should be installed as
+             ;; subdirectories of share/renpy in their respective outputs as
+             ;; well. This differs from the traditional layout, which is
+             ;; roughly the following:
+             ;; `-- Super Awesome Game
+             ;;     |-- game       ; <- the folder we actually want
+             ;;     |-- lib        ; compiled renpy module and dependencies
+             ;;     |-- renpy      ; yet another copy of Ren'py's code
+             ;;     |   |-- common ; the common folder from above
+             ;;     |   `-- ...    ; Python code (source + compiled)
+             ;;     |-- Super Awesome Game.py
+             ;;     `-- Super Awesome Game.sh
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin/renpy (string-append out "/bin/renpy")))
+               (copy-recursively "renpy/common"
+                                 (string-append out "/share/renpy/common"))
+               (copy-recursively "gui"
+                                 (string-append out "/share/renpy/gui"))
+
+               (mkdir-p (string-append out "/bin"))
+               (copy-file (assoc-ref inputs "renpy.in") bin/renpy)
+               (substitute* bin/renpy
+                 (("@PYTHON@") (search-input-file inputs "bin/python3"))
+                 (("@RENPY_BASE@") (string-append out "/share/renpy")))
+               (chmod bin/renpy #o755))))
+
+         (add-after 'install 'install-games
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (define renpy (assoc-ref outputs "out"))
+             ;; TODO: We should offer a renpy-build-system to make the
+             ;; installation of Ren'py games easier.
+             (define* (install-renpy-game #:key output game name (renpy renpy)
+                                          #:allow-other-keys)
+               (let* ((name (or name (basename game)))
+                      (launcher (string-append output "/bin/renpy-" name))
+                      (share (string-append output "/share/renpy/" name)))
+                 (copy-recursively (string-append game "/game") share)
+                 (mkdir-p (string-append output "/bin"))
+                 (with-output-to-file launcher
+                   (lambda ()
+                     (format #t
+                             "#!~a~%~a ~a \"$@\""
+                             (search-input-file inputs "/bin/bash")
+                             (string-append renpy "/bin/renpy")
+                             share)))
+                 (chmod launcher #o755)))
+
+             (install-renpy-game #:output (assoc-ref outputs "out")
+                                 #:game "launcher")
+
+             (install-renpy-game #:output (assoc-ref outputs "the-question")
+                                 #:game "the_question"
+                                 #:name "the-question")
+
+             (install-renpy-game #:output (assoc-ref outputs "tutorial")
+                                 #:game "tutorial")))
+         (replace 'wrap
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out"))
+                   (site (string-append "/lib/python"
+                                        (python-version
+                                         (assoc-ref inputs "python"))
+                                        "/site-packages")))
+               (wrap-program (string-append out "/bin/renpy")
+                 `("GUIX_PYTHONPATH" =
+                   (,@(delete-duplicates
+                       (map
+                        (lambda (store-path)
+                          (string-append store-path site))
+                        (cons (assoc-ref outputs "out")
+                              (map cdr
+                                   (filter
+                                    (lambda (input)
+                                      (string-prefix? "python" (car input)))
+                                    inputs))))))))))))))
+    (inputs
+     `(("bash-minimal" ,bash-minimal)
+       ("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
+       ("python-renpy" ,python-renpy)
+       ("python:tk" ,python "tk")
+       ("python" ,python) ; for ‘fix-commands’ and ‘wrap’
+       ("xdg-utils" ,xdg-utils)))
+    (propagated-inputs '())
+    (native-inputs
+     (list xorg-server-for-tests))
+    (outputs
+     (list "out" "tutorial" "the-question"))
+    (home-page "https://www.renpy.org/")
+    (synopsis "Visual Novel Engine")
+    (description "Ren'Py is a visual novel engine that helps you use words,
+images, and sounds to tell interactive stories that run on computers and
+mobile devices.  These can be both visual novels and life simulation games.
+The easy to learn script language allows anyone to efficiently write large
+visual novels, while its Python scripting is enough for complex simulation
+games.")
+    (license license:expat)))
+
 (define-public python-pyxel
   (package
     (name "python-pyxel")
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 15:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 11:16:45 2022
Received: from localhost ([127.0.0.1]:46665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2DiG-0002MG-FD
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:45 -0400
Received: from mail-ed1-f67.google.com ([209.85.208.67]:33363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o2DiE-0002Lm-G8
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:16:43 -0400
Received: by mail-ed1-f67.google.com with SMTP id eo8so6654504edb.0
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 08:16:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=CuyDMg07ik6QzmCZAp0I82eQLXK6082XXrq6pMBVEJM=;
 b=Mkx285hb2ouM8fQ+EycIDKU167KJ5rmS0oeGxPn27sQEc4qHNte3cw83RCBM0juxsR
 waQVYxok7dLmfatJHNah0kF9U+MuGZH84W5UVVDhAjTNexcM7q1gAU/GQ9Z9NS/oR8mA
 NuIpBmQb7jnaI3YC7YjFck+iq1sjf7rNfFH963TlaYP1LJDQG4dPTcqXdyIC/VOdksVi
 i9OTBgEJH2XxV7nfyNyJsDEPZAThgXfAlUObCiL+99dZjK7YJNInRgLYoDX+Z6rISRAs
 kSON9ICMSC4U8OXVUt3eaggity0QLn7Bl8wpa3cqskeK9FSHvDpK69zCqT7tq12kcm/1
 Hy1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=CuyDMg07ik6QzmCZAp0I82eQLXK6082XXrq6pMBVEJM=;
 b=4d3mVkRlPxhbJfqGUY1LnvsR1Yj9QtNXAx+wffhaLzFO9I5g76PiXlvelCbAJbP/SC
 y9JYuyMUd06xAKqW+ePK4n8/zzfxliTXuuNL/5PEMrGvVthwrH/I4sqdXanFA7zasEue
 7WpOeTzL05zVTHqVY70CnJwoVToF6jKIqQxTDRBT4agx7y5J2F3papoowXK08SMe98ZQ
 0JziQWTYb4bXPyEYLgJGSe8sWi8QwjM2fOFqsmijDEtH+/4kGE1Ghig/VEWpSjn/5U58
 1p9zp6llv3eWcx7G63+Yl5sZ5L71eIH4e8Jez6/7p9Da2fCdl6SmXMPLORUszJ99LxLx
 w8ww==
X-Gm-Message-State: AJIora+c2YDnKDWiHYc+cbuEj4NmEb7M7cIyyLMq4CfQk555UzQdjmtV
 Eeo4IwCVynX7eD6AWi64tj8=
X-Google-Smtp-Source: AGRyM1v4ZtYYhzi6DHdto0udj7W8jjnS2475rfCweYO30foco6FoQo6vzcRSHDGmlNgznl/atUjxyQ==
X-Received: by 2002:a05:6402:2402:b0:435:3418:61b5 with SMTP id
 t2-20020a056402240200b00435341861b5mr9066845eda.82.1655478996750; 
 Fri, 17 Jun 2022 08:16:36 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u20-20020aa7d554000000b0042a2d9af0f8sm3801083edr.79.2022.06.17.08.16.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 08:16:36 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 10:25:48 +0200
Subject: [PATCH v2 2/6] gnu: Add python-pefile.
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 7bit
Message-ID: <527e8510bc944494d7f79478793d0ff5c497c9ce.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/python-xyz.scm (python-pefile): New variable.
 --- gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++ 1 file changed,
 22 insertions(+) diff --git a/gnu/packages/python-xyz.scm
 b/gnu/packages/python-xyz.scm
 index 4b8e63890f..198340cc82 100644 --- a/gnu/packages/python-xyz.scm +++
 b/gnu/packages/python-xyz.scm @@ -17898,6 +17898,28 @@ [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liliana.prikler[at]gmail.com)
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.67 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

* gnu/packages/python-xyz.scm (python-pefile): New variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 4b8e63890f..198340cc82 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -17898,6 +17898,28 @@ (define-public python-pyelftools
      Record Format (DWARF).")
     (license license:public-domain)))
 
+(define-public python-pefile
+  (package
+    (name "python-pefile")
+    (version "2022.5.30")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/erocarrera/pefile")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1qj90a0s2gd5hn2zggypqc1077inid5dcl1fp5973b04kf2b9z8a"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-future))
+    (home-page "https://github.com/erocarrera/pefile")
+    (synopsis "Portable Executable (PE) file parser")
+    (description "This python library provides interfaces for parsing and
+working with Portable Executable (PE) files.  It makes to most information
+from the header, as well as section details and data available.")
+    (license license:expat)))
+
 (define-public python-pyev
   (package
     (name "python-pyev")
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 13:43:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 09:43:35 2022
Received: from localhost ([127.0.0.1]:44471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2CG6-0005W7-KR
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:43:35 -0400
Received: from mail-qk1-f172.google.com ([209.85.222.172]:40887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o2CG1-0005Vq-KL
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:43:33 -0400
Received: by mail-qk1-f172.google.com with SMTP id o73so3158378qke.7
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 06:43:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=BqJvZCBZ/eGjPWix7NXOeovF8cQ7o8Ss7DQLG4a0HOo=;
 b=Wi9Mf2X+VBDHTQbyIyPTdJ37VJGeUsw4z1RzAVYc7/yXvZxtpqhFmjaCZJulclwB0z
 wt8xGBf1jD1PN88TFODAIF6fu2Pl23ggpjYAkqTWYRjYrUVoogxB5LmKzU4Oh32J027f
 9oTkyWWOV1d+Mr0xN1L9k3dqnwip63MMtZ9R4FSyuTotxbY1+PrbaeDfh11YkdM4MJSb
 aSpN+LK7z1Qr1EF7ctf6Rm+O4WqvY8wVI/aamF8CaRGRM99RC5CwAxINTknvKKKCHTIj
 uaI31pbKclbayHz44rpOB1OX8Uz4SzfMN9hnIqIPpLrT2RhkgG7EHs+u7VMvQlA9t6Z+
 FOBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=BqJvZCBZ/eGjPWix7NXOeovF8cQ7o8Ss7DQLG4a0HOo=;
 b=oT7OiM3647+diI5Eoygkf8b5ZWNGOCaHS/9OmwKiefgVKVcVRk/gSUSG6e2q6HO7zK
 L6Pr9dhVrhYzPCh2mVrKHRq+5d1j2uvFqOKwZ7vigJaW5gKH3b3kIyPTHQHPN3kGvD83
 bgXNbkyTjkLHJBjQ/6NCi5tLV0KlleEKzLxGCRI2I0vBZw/r+Wvqq8mIzYSQlFAwG7pG
 czkcD76Rnqv+BMUVqUH3C8KrE1rS2A+e7megoXYHmk8K/gZBLJbATnRuoi+CUV0LdM+C
 QoaEKbe3Dc0MtWHWmCTj/Qq4J7c29VTtVCxmVD3rejWTA5L7BxF8sTULpkUMEkYPNiO6
 jEDg==
X-Gm-Message-State: AJIora+yD+W5sdDVhUR7cgL031GnjUEk2kCfnrzfCtJFs4uqkmpe/mjD
 QZCrtzZzocpcjYuIQCJQBLGSMYrQ46+C9Q==
X-Google-Smtp-Source: AGRyM1tfTr1KJvFAKoiChYGgTJhvW/cVBZPogOjSrm89tTxSRalUlkNl27v9vzAyS04ikiXCjzMwEQ==
X-Received: by 2002:a05:620a:4624:b0:6a7:155e:44db with SMTP id
 br36-20020a05620a462400b006a7155e44dbmr6984480qkb.261.1655473403769; 
 Fri, 17 Jun 2022 06:43:23 -0700 (PDT)
Received: from hurd (dsl-205-233-124-10.b2b2c.ca. [205.233.124.10])
 by smtp.gmail.com with ESMTPSA id
 u25-20020a37ab19000000b006a6b0be0cfesm4399459qke.10.2022.06.17.06.43.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 06:43:23 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH 4/4] gnu: renpy: Update to 7.99.99-0-3e854bc.
References: <1c81a93681347259140a364e9d2330f93fcb89be.camel@HIDDEN>
Date: Fri, 17 Jun 2022 09:43:22 -0400
In-Reply-To: <1c81a93681347259140a364e9d2330f93fcb89be.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Fri, 17 Jun 2022 10:27:59 +0200")
Message-ID: <87o7yr9zid.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

[...]

> +;; Using nightly from 2022-06-16.
> +;; Revert back to URLs once renpy 8 is released!
> +(define %renpy-commit "3e854bc7cb1642ca18b061a0c6e349f168965c43")
>  (define-public python-renpy
>    (package
>      (name "python-renpy")
> -    (version "7.4.11")
> +    (version (git-version "7.99.99" "0" %renpy-commit))

I think it might be easy to overlook the "revision" field, since the
more common convention is to define the "revision" and "commit"
variables in a let; but perhaps that's just me.

>      (source
>       (origin
> -       (method url-fetch)
> -       (uri (string-append "https://www.renpy.org/dl/" version
> -                           "/renpy-" version "-source.tar.bz2"))
> -       (sha256 (base32 "0zkhg2sd2hglm9dkansf4h8sq7lm7iqslzl763ambp4kyfdv=
d07q"))
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/renpy/renpy")
> +             (commit %renpy-commit)))
> +       (file-name (git-file-name name version))
> +       (sha256 (base32 "11g7hqhw4gbkx5ib2wsawrznmjbn8r9zkgf2sg39z56h96y8=
wfbn"))
>         (modules '((guix build utils)))
>         (patches
>          (search-patches
> @@ -1486,8 +1492,11 @@ (define* (install-renpy-game #:key output game nam=
e (renpy renpy)
>                 #t))))))
>      (inputs
>       `(("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
> +       ("python-pefile" ,python-pefile)
> +       ("python-requests" ,python-requests)
>         ("python-renpy" ,python-renpy)
>         ("python-tkinter" ,python "tk")
> +       ("python-six" ,python-six)
>         ("python" ,python) ; for =E2=80=98fix-commands=E2=80=99 and =E2=
=80=98wrap=E2=80=99
>         ("xdg-utils" ,xdg-utils)))
>      (propagated-inputs '())

It'd be nicer to use new style inputs here, that'd take care of one out
of 2 lint warnings:

--8<---------------cut here---------------start------------->8---
gnu/packages/game-development.scm:1494:5: renpy@HIDDEN: label 'p=
ython-tkinter' does not match package name 'python:tk'
gnu/packages/game-development.scm:1348:2: renpy@HIDDEN: "bash-mi=
nimal" should be in 'inputs' when 'wrap-program' is used
--8<---------------cut here---------------end--------------->8---

Please take care of the 2nd lint suggestion as well.

Other than that, it LGTM.  I've built and linted all the packages in
this series.  Feel free to push with adjustments along my comments.

Thanks again for picking that up.

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 13:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 09:36:37 2022
Received: from localhost ([127.0.0.1]:44449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2C9M-0005KM-SX
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:36:37 -0400
Received: from mail-qv1-f54.google.com ([209.85.219.54]:42871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o2C9K-0005K9-8w
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:36:35 -0400
Received: by mail-qv1-f54.google.com with SMTP id 88so2907922qva.9
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 06:36:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=yuSi/1iZZM5s/8p4/aN3GffF0jvFV0B8ZkMbXp+fxZg=;
 b=Bf0/U7KF4/INyfo3dDj8gXaKtPFAZBnzMpsnuu5EbJNun+JNK0zi8b0MakfjYBtxbD
 zAg6FXXZRR/v/bKqiEJ8ULLVH7lyhfNoZVSAinyXPv8Gub9SK4FTuF0rz7GE4yHKBwnU
 BbcOGkbSEm1m1KU2sal8MwjvYbfV8wE0CnO+d0hp31aqZPN/Ul9yTg0oxQMf4EFBOnAg
 eHDfw9P9O09UAh3DaGcMo6Mdt+QnxwGL8PAJkrhMG6DXKp6KmHvKJOkgCgb+PA167/Tx
 UUGoM4aeIbYbcBdXqj61dzAg7hJ6d7gRNMHrwgq9tCp5XONm8pP9wC6wLla05UP9ISPc
 W0Dw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=yuSi/1iZZM5s/8p4/aN3GffF0jvFV0B8ZkMbXp+fxZg=;
 b=C4OdEFVPMWlJIxhvP8QlX+TUSd73/h1Pd4BAMPodXDUU+m6uVsRaWC76pihNUgCdBs
 BaB4Zle5dSy+LSHAE5j1o+CbPkr83S+6GdI8MyDeuU0VFi0xJrNvZlgSMO6UvdRBvm2o
 eH53p6ASUwt1/K7/IAK8Sgfuo/j623NNvyKHWaass+XdHZQc2c8NopV+l0xMcBHgH+ip
 0JRux7ax4DAYTy0o7xucGO+lD9gsql6SXbfL3odFzw4e9kY6C0PIIlspetDaQyK95eLB
 mjWwchkut/Nhk57SdnwJqmrOHjFBQe/t01JQODVSGNgSm7wXudXQTQhlk+R1Wey2iLLF
 MrLA==
X-Gm-Message-State: AJIora87LYRB0tOW1A+1GrzPFSAngPL6v7KRqc4H2luH8Z9Gh+SLW5b8
 TKTDkKile839+UBKSnthdAiOec4gN4rGoA==
X-Google-Smtp-Source: AGRyM1skBBYSZ5qbjEPn7/tmeTmEO/6idpHYFT8wul32im/up6mHaQeHJxOg9pky+zQVP+uaIfjP7A==
X-Received: by 2002:ad4:5f47:0:b0:46e:4bb7:eea4 with SMTP id
 p7-20020ad45f47000000b0046e4bb7eea4mr8536527qvg.26.1655472988493; 
 Fri, 17 Jun 2022 06:36:28 -0700 (PDT)
Received: from hurd (dsl-205-233-124-10.b2b2c.ca. [205.233.124.10])
 by smtp.gmail.com with ESMTPSA id
 f3-20020ac84983000000b00304f98ad3c1sm4014096qtq.29.2022.06.17.06.36.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 06:36:28 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH 3/4] gnu: python-pygame-sdl2: Update to 2.1.0-0-1705c6e.
References: <d293d6e39376bc2562f1ceac956c1aadf8d4109b.camel@HIDDEN>
Date: Fri, 17 Jun 2022 09:36:26 -0400
In-Reply-To: <d293d6e39376bc2562f1ceac956c1aadf8d4109b.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Fri, 17 Jun 2022 10:26:57 +0200")
Message-ID: <87sfo39ztx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi again,

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> * gnu/packages/game-development.scm (python-pygame-sdl2): Update to
> 2.1.0-0-1705c6e.
> ---
>  gnu/packages/game-development.scm | 24 ++++++++++--------------
>  1 file changed, 10 insertions(+), 14 deletions(-)
>
> diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
> index 44f8ca57fc..ea83450995 100644
> --- a/gnu/packages/game-development.scm
> +++ b/gnu/packages/game-development.scm
> @@ -1207,26 +1207,22 @@ (define-public python-pygame
>                     license:lgpl2.1+))))
>  
>  (define-public python-pygame-sdl2
> +  ;; Using nightly from 2022-06-16.
> +  ;; Revert back to URLs once renpy 8 is released!
>    (let ((real-version "2.1.0")
> -        (renpy-version "7.4.11"))
> +        ;;(renpy-version "8.0.0")
> +        (commit "1705c6e3004dcb1daf859560bcd52eb093e97d45"))
>      (package
>        (inherit python-pygame)
>        (name "python-pygame-sdl2")
> -      (version (string-append real-version "-for-renpy-" renpy-version))
> +      (version (git-version real-version "0" commit))
>        (source
>         (origin
> -         (method url-fetch)
> -         (uri (string-append "https://www.renpy.org/dl/" renpy-version
> -                             "/pygame_sdl2-" version ".tar.gz"))
> -         (sha256 (base32 "0nxvca16299jx6sp0ys29rqixcs21ymhqwjfkbchhss0yar7qjgz"))
> -         (modules '((guix build utils)))
> -         (snippet
> -          '(begin
> -             ;; drop generated sources
> -             (delete-file-recursively "gen")
> -             (delete-file-recursively "gen3")
> -             (delete-file-recursively "gen-static")
> -             #t))))
> +         (method git-fetch)
> +         (uri (git-reference
> +               (url "https://github.com/renpy/pygame_sdl2")
> +               (commit commit)))
> +         (sha256 (base32
>  "1g0arhpd59zypspk36sgajf1kzavppfkv766vifvxar60968rrjn"))))

You'll wan to keep the (file-name ...) argument, otherwise 'guix lint'
complains about it:

gnu/packages/game-development.scm:1220:7: python-pygame-sdl2@HIDDEN: the source file name should contain the package name
gnu/packages/game-development.scm:1215:4: python-pygame-sdl2@HIDDEN: can be upgraded to 7.4.9.2112

Perhaps the version should still read '2.1.0-for-renpy-7.9.9' to match the
pseudo-version used for renpy.

Otherwise, LGTM!

Thanks,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 13:35:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 09:35:47 2022
Received: from localhost ([127.0.0.1]:44435 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2C8Z-0005Ht-4S
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:35:47 -0400
Received: from mail-ed1-f67.google.com ([209.85.208.67]:35815)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o2C8X-0005Hg-IQ
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:35:46 -0400
Received: by mail-ed1-f67.google.com with SMTP id x5so6243138edi.2
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 06:35:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=KDFLxdSL9Uk58Dx5vFXCIa09ts7NW7yLAx7IlVrEVyE=;
 b=BmsDOeaL/o/glmFnJtOWu2tX2RT1xwSuJDIZNCUYDHtpG66Z1zsY7QJANLYDPFwnti
 0TIcqlKO3a/arhng6fM8ypCNTs8JnV3wl8o5pbWjo1pycGfost7SK4OjgbfZV6MtHXxd
 afHZDfRx5a8W+APHUcmthfNTk3YvD1EpIhCVEy6gjMMiK4jqjk0ulIpUlZO/HcfL+CkA
 CL99u2xLgZxIycLnVuYpNbVBrZMwlTFSoS4z8ob6+xdnUlpEMYWgoP/tnL1FhCOKDCJP
 ILy5jWUd9k6hji8B8iRtTQbh5lUw+npEywBpZIBNaIhRnajhLBQ2upb9d2QCOTj5RdwB
 yyaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=KDFLxdSL9Uk58Dx5vFXCIa09ts7NW7yLAx7IlVrEVyE=;
 b=GTk4JY0BlgRLOVE4005Z/z4SQ/F8lhttoa0UKyhgDuAkkqIpgTQiesqMkvociK4U3z
 xzAa6jvOOotP/69urs9c9GY6n8JbSC3ASOnk1DLTCXHGRcaHcMU2SvW4BQHdW2gkvs3K
 nf6IdizBKRIxwQGcOuD0zEGmzzFyOxtfJgmXn8TPhwHX46pRCqsU4WEeNVQv0erek5Lg
 DkE+zjr/S+EWOg6I2Bm/+6rvSq0bKw7lWCYhPuQuYKcxQTkN9A6pr0+FGQDsxHOqWhH9
 IVUjiz333SoTMieYi15qh9Er/Lk+3EhEggS2xa28vZHgBTk3Fp3xzaK2fItGcfe1jACB
 XpAQ==
X-Gm-Message-State: AJIora/BJXKOGNUixSjAFxuchxWrdc8Q3f7YRWt/gpEyrL/PL3zfb/WK
 jlH1vz6nAxYwr6pKfuhNhJk=
X-Google-Smtp-Source: AGRyM1u+InetLjSReKyrvPc+hAksWLnRTP0LuN87alGPi7x2oVphKkT6kC/HF9W+IjXOzZKVDIeLLg==
X-Received: by 2002:a05:6402:2706:b0:430:6238:78d5 with SMTP id
 y6-20020a056402270600b00430623878d5mr12671913edd.413.1655472939495; 
 Fri, 17 Jun 2022 06:35:39 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 w13-20020a170906480d00b00704b196e59bsm2158473ejq.185.2022.06.17.06.35.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 06:35:38 -0700 (PDT)
Message-ID: <7ff7c96c2290d63ad53507600eb77aa8fca3b54e.camel@HIDDEN>
Subject: Re: [PATCH 1/4] gnu: Add back the distinction between python-renpy
 and renpy.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri, 17 Jun 2022 15:35:37 +0200
In-Reply-To: <87wndfa0v2.fsf@HIDDEN>
References: <710ed912d21f90d7349a75a31e6985ab79fda575.camel@HIDDEN>
 <87wndfa0v2.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Am Freitag, dem 17.06.2022 um 09:14 -0400 schrieb Maxim Cournoyer:
> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
> 
> > [...]
> > +    (arguments
> > +     `(#:tests? #f ; see python2-renpy
> 
> The comment should mention 'python-renpy' instead, right?  Also, the
> arguments could use gexps...
Thanks for catching the typo.  I don't think the conversion to G-
Expressions should be in this patch, but I can follow up with a
modernization.

> And the trailing #t can be removed.
Sure.

> > [...]
> > +    (inputs
> > +     `(("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
> > +       ("python-renpy" ,python-renpy)
> > +       ("python-tkinter" ,python "tk")
> > +       ("python" ,python) ; for ‘fix-commands’ and ‘wrap’
> > +       ("xdg-utils" ,xdg-utils)))
> 
> Can we use new style inputs here?
Not without G-Expressions, and only if I'm allowed to inline the aux-
file into the build via #$.

Cheers  




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 13:14:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 09:14:34 2022
Received: from localhost ([127.0.0.1]:44327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2Bno-0002WG-Sz
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:14:34 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:35524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o2Bnl-0002W2-7D
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:14:19 -0400
Received: by mail-qk1-f170.google.com with SMTP id b142so3108713qkg.2
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 06:14:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=zBb3wqf5MHo+7lvI9M5eqLDhvz5U4ppsTfZpG8DxgX0=;
 b=Sspp/+0Foy38VHr6yAaPU9uwvfMzMqyzgrx6EL7Nu5T4xH0ryu7zVvjDTGF0IGkYIi
 Y+/4FO+INPPHT1N2yAgWxyfDnTFbgJlEesnHSgfCrgT4KgzIfPiaznc/6b2VAQfpGn/5
 d+qic7E+/cSoulJLtOyOUc6NCHW68ajrrbS+V73eRlGu6ZI8Ka1yHD4iSAMIrTIVOXup
 hbr4jR8I32pi/86zLK9e4ogd8hxC4PF6tbodOfEIib16iwt3D+1EJcjhfwxVx8A4oLGs
 TOzqty8c0kc/qvHFA48iRF2bMZ++4Vi1mb7aa/mufz+ZWo1pG+Gnal9pYYwsxGgbuYZD
 ETiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=zBb3wqf5MHo+7lvI9M5eqLDhvz5U4ppsTfZpG8DxgX0=;
 b=5WAWaU/JMUaqYpCGSH2J36EVFDMkAY/9nssAVhWSOA9C4c4CgCRoaY/PfQSYb8pyvN
 YF+AW+ePv1WYo4H8DQg12yaO+beg406SKSzbt6LcCf5TjfTFj0KfyQ/9PQra0m4GkFwz
 OwAc0uow5V//3I2VCdbaMxxlRq9Cxzgea2z9LPuCaKvwbxM/Z1CdXJPTl79Zd1eJ6dzP
 ufkOhSScaU+kXJKhrMp+kkZLW6du4+qrHUSRVCq7xYZ5tAU7rWHdvj31JQexmxGRmB+n
 /iaBpCZBEtPa6tCXQ+8FXai0c7rp1ZAyr1gk+K332TCxu/4AID46Lm0TsCtiMy6svaog
 hT2A==
X-Gm-Message-State: AJIora8GYHNZ7yVVRr8zN7wbInfawdWAZT+erjhR7vaTFQOMFyDxvI2y
 OWZP3H5q1gbFvmHxtOBKn4DT4ZzjxnlzRQ==
X-Google-Smtp-Source: AGRyM1vueO8umf9OebtrWPQiStvvQwRGT/fMxe4j6kXq4f4mq7S5x5Nd46roQuDHRv2R8C+ziZ/e7w==
X-Received: by 2002:a05:620a:8003:b0:6a7:1d8e:65b6 with SMTP id
 ee3-20020a05620a800300b006a71d8e65b6mr7123455qkb.662.1655471650671; 
 Fri, 17 Jun 2022 06:14:10 -0700 (PDT)
Received: from hurd (dsl-205-233-124-10.b2b2c.ca. [205.233.124.10])
 by smtp.gmail.com with ESMTPSA id
 i21-20020a05620a405500b0069fe1dfbeffsm4615559qko.92.2022.06.17.06.14.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 06:14:10 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH 1/4] gnu: Add back the distinction between python-renpy
 and renpy.
References: <710ed912d21f90d7349a75a31e6985ab79fda575.camel@HIDDEN>
Date: Fri, 17 Jun 2022 09:14:09 -0400
In-Reply-To: <710ed912d21f90d7349a75a31e6985ab79fda575.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Fri, 17 Jun 2022 08:49:05 +0200")
Message-ID: <87wndfa0v2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Liliana,

Thanks for doing this!

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> This partially reverts commit 9f1bd63fb5b6916f07d454ffde27cd3a66c95bb5.
> Note, that with this patch renpy fails to build due to incompatibilities =
with
> Python 3.
>
> * gnu/packages/game-development.scm (renpy): Split into =E2=80=98python-r=
enpy=E2=80=99 for the
> python modules and =E2=80=98renpy=E2=80=99 for the games and binaries.
> ---
>  gnu/packages/game-development.scm | 171 +++++++++++++++++++++++++++++-
>  1 file changed, 169 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-develo=
pment.scm
> index 4c1b97f041..44f8ca57fc 100644
> --- a/gnu/packages/game-development.scm
> +++ b/gnu/packages/game-development.scm
> @@ -1257,9 +1257,9 @@ (define-public python-pygame-sdl2
>  developed mainly for Ren'py.")
>        (license (list license:lgpl2.1 license:zlib)))))
>=20=20
> -(define-public renpy
> +(define-public python-renpy
>    (package
> -    (name "renpy")
> +    (name "python-renpy")
>      (version "7.4.11")
>      (source
>       (origin
> @@ -1342,6 +1342,173 @@ (define-public renpy
>  are only used to bootstrap it.")
>      (license license:expat)))
>=20=20
> +(define-public renpy
> +  (package
> +    (inherit python-renpy)
> +    (name "renpy")
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:tests? #f ; see python2-renpy

The comment should mention 'python-renpy' instead, right?  Also, the
arguments could use gexps...

> +       #:modules ((srfi srfi-1)
> +                  (guix build python-build-system)
> +                  (guix build utils))
> +       #:imported-modules ((srfi srfi-1) ,@%python-build-system-modules)
> +       #:phases
> +       (modify-phases %standard-phases
> +         (add-after 'unpack 'fix-commands
> +           (lambda* (#:key inputs outputs #:allow-other-keys)
> +             (substitute* "launcher/game/choose_directory.rpy"
> +               (("/usr/bin/python")
> +                (search-input-file inputs "/bin/python3")))
> +             (substitute* "launcher/game/front_page.rpy"
> +               (("xdg-open")
> +                (search-input-file inputs "/bin/xdg-open")))
> +             (substitute* "launcher/game/project.rpy"
> +               (("cmd =3D \\[ executable, \"-EO\", sys.argv\\[0\\] \\]")
> +                (string-append "cmd =3D [ \"" (assoc-ref outputs "out")
> +                               "/bin/renpy\" ]"))
> +               ;; Projects are still created in the usual style, so we n=
eed
> +               ;; to adjust the path.
> +               (("cmd.append\\(self.path\\)")
> +                "cmd.append(self.path + \"/game\")"))
> +             #t))

And the trailing #t can be removed.

> +         (add-after 'unpack 'drop-game-from-paths
> +           (lambda _
> +             (substitute* (list "launcher/game/gui7.rpy"
> +                                "launcher/game/gui7/images.py")
> +               ((", \"game\",") ","))
> +             #t))
> +         (add-before 'build 'start-xserver
> +           (lambda* (#:key inputs native-inputs #:allow-other-keys)
> +             (let ((Xvfb (search-input-file (or native-inputs inputs)
> +                                            "/bin/Xvfb")))
> +               (setenv "HOME" (getcwd))
> +               (system (format #f "~a :1 &" Xvfb))
> +               (setenv "DISPLAY" ":1")
> +               #t)))
> +         (replace 'build
> +           (lambda _
> +             (invoke "python" "renpy.py" "launcher" "quit")
> +             (invoke "python" "renpy.py" "the_question" "quit")
> +             (invoke "python" "renpy.py" "tutorial" "quit")
> +             #t))
> +         (replace 'install
> +           (lambda* (#:key inputs outputs #:allow-other-keys)
> +             ;; Here we install our custom renpy program.
> +             ;; After finishing this step, "out" will have the following:
> +             ;; |-- bin/renpy
> +             ;; `-- share/renpy ; i.e. path_to_renpy_base()
> +             ;;     |-- common
> +             ;;     `-- gui
> +             ;;
> +             ;; Note that common shares the source files that would be i=
nstalled
> +             ;; by python2-renpy (which are instead deleted from that pa=
ckage),
> +             ;; but also contains their byte-compiled versions.
> +             ;; On other systems, renpy_base would point to site-package=
s or
> +             ;; even somewhere in /opt.
> +             ;; The former approach is not as straightforward as it seems
> +             ;; -- it causes renpy to load files twice for some weird re=
ason --
> +             ;; and the latter is impossible on Guix. Hence the detour t=
hrough
> +             ;; share/renpy and the custom renpy program.
> +             ;;
> +             ;; As a convention, other games should be installed as
> +             ;; subdirectories of share/renpy in their respective output=
s as
> +             ;; well. This differs from the traditional layout, which is
> +             ;; roughly the following:
> +             ;; `-- Super Awesome Game
> +             ;;     |-- game       ; <- the folder we actually want
> +             ;;     |-- lib        ; compiled renpy module and dependenc=
ies
> +             ;;     |-- renpy      ; yet another copy of Ren'py's code
> +             ;;     |   |-- common ; the common folder from above
> +             ;;     |   `-- ...    ; Python code (source + compiled)
> +             ;;     |-- Super Awesome Game.py
> +             ;;     `-- Super Awesome Game.sh
> +             (let* ((out (assoc-ref outputs "out"))
> +                    (bin/renpy (string-append out "/bin/renpy")))
> +               (copy-recursively "renpy/common"
> +                                 (string-append out "/share/renpy/common=
"))
> +               (copy-recursively "gui"
> +                                 (string-append out "/share/renpy/gui"))
> +
> +               (mkdir-p (string-append out "/bin"))
> +               (copy-file (assoc-ref inputs "renpy.in") bin/renpy)
> +               (substitute* bin/renpy
> +                 (("@PYTHON@") (search-input-file inputs "bin/python3"))
> +                 (("@RENPY_BASE@") (string-append out "/share/renpy")))
> +               (chmod bin/renpy #o755))))
> +
> +         (add-after 'install 'install-games
> +           (lambda* (#:key outputs #:allow-other-keys)
> +             (define renpy (assoc-ref outputs "out"))
> +             ;; TODO: We should offer a renpy-build-system to make the
> +             ;; installation of Ren'py games easier.
> +             (define* (install-renpy-game #:key output game name (renpy =
renpy)
> +                                          #:allow-other-keys)
> +               (let* ((name (or name (basename game)))
> +                      (launcher (string-append output "/bin/renpy-" name=
))
> +                      (share (string-append output "/share/renpy/" name)=
))
> +                 (copy-recursively (string-append game "/game") share)
> +                 (mkdir-p (string-append output "/bin"))
> +                 (with-output-to-file launcher
> +                   (lambda ()
> +                     (format #t
> +                             "#!~a~%~a ~a \"$@\""
> +                             (which "bash")
> +                             (string-append renpy "/bin/renpy")
> +                             share)))
> +                 (chmod launcher #o755)))
> +
> +             (install-renpy-game #:output (assoc-ref outputs "out")
> +                                 #:game "launcher")
> +
> +             (install-renpy-game #:output (assoc-ref outputs "the-questi=
on")
> +                                 #:game "the_question"
> +                                 #:name "the-question")
> +
> +             (install-renpy-game #:output (assoc-ref outputs "tutorial")
> +                                 #:game "tutorial")
> +             #t))
> +         (replace 'wrap
> +           (lambda* (#:key inputs outputs #:allow-other-keys)
> +             (let ((out (assoc-ref outputs "out"))
> +                   (site (string-append "/lib/python"
> +                                        (python-version
> +                                         (assoc-ref inputs "python"))
> +                                        "/site-packages")))
> +               (wrap-program (string-append out "/bin/renpy")
> +                 `("GUIX_PYTHONPATH" =3D
> +                   (,@(delete-duplicates
> +                       (map
> +                        (lambda (store-path)
> +                          (string-append store-path site))
> +                        (cons (assoc-ref outputs "out")
> +                              (map cdr
> +                                   (filter
> +                                    (lambda (input)
> +                                      (string-prefix? "python" (car inpu=
t)))
> +                                    inputs))))))))
> +               #t))))))
> +    (inputs
> +     `(("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
> +       ("python-renpy" ,python-renpy)
> +       ("python-tkinter" ,python "tk")
> +       ("python" ,python) ; for =E2=80=98fix-commands=E2=80=99 and =E2=
=80=98wrap=E2=80=99
> +       ("xdg-utils" ,xdg-utils)))
> +    (propagated-inputs '())
> +    (native-inputs
> +     (list xorg-server-for-tests))
> +    (outputs
> +     (list "out" "tutorial" "the-question"))

Can we use new style inputs here?

Otherwise it LGTM.




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 08:37:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 04:37:11 2022
Received: from localhost ([127.0.0.1]:43657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o27Ta-0006mB-Vr
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 04:37:11 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:35514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o27TQ-0006kl-84
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 04:37:04 -0400
Received: by mail-ej1-f65.google.com with SMTP id me5so7444073ejb.2
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 01:37:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=wFyPGXK8QcxGKwRbTQY/j04/M2XyhYpUIGaaQodNAUU=;
 b=dv92ok6jXPtyJsHSUXHM1WHqhj/d9MKP+L4/G69xXO5cxhgO4B4tKIhZQ0EOdrerKZ
 H4BV9dTuT0W4pYDhPr27rIX+b/L1DCxlHcsyfsNbZcchyU9vAiqnP0k9rVKtL5uGZn6j
 Oy+YzsDeCPSAMvWh14z+YuiK64J5Pqm8DeX3QmX6cgjLXsuVI8siOTTqcPheokeJYcid
 Eh3r9PPHvygxOGPGAVN5JNr8d5zfzO13lSmlJci0MxcC+Gllhv/ZGK5SEeHYKJ/sm186
 b3s8TT4qYfvxJrPZbhlhK3w/lDzag5UNsryyCqaVrzjzCBkF/11sf6KBL+iIF34zKom5
 3J/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=wFyPGXK8QcxGKwRbTQY/j04/M2XyhYpUIGaaQodNAUU=;
 b=Dt7zeNmQoj8A0Za98wRvuyjGP/vdka9xkNvaQZvU6MPNMmUqMFkOAEO2Z7AWo1oUpi
 spO7BKT343B00wOHuRbD3igI5HIy81iidpftrbGQUCVXR8rT/4ghnY2kdT66QduWt1IC
 MOAcR2OEXPDCwY+xP0kbxKEAy2aj6qJwHYSGj920AmwKsMJK2oo1Dfq47yDrS8hACTHP
 BXsWS+b7pkY+YxL4fJqkX4rkqKj4TSZ0jA3XxzrUEwTNLXN76OqaeKVh1R0zFra5FDVk
 L9o+740U9wUkSQWzSANCGdil7ti43ZCwW7sZNJ4HILrUbbm8wvvm8XdeocRNKWDMvpEV
 sO+g==
X-Gm-Message-State: AJIora+zE/HbqPQBvWdKUfWBIO3kv/uoyfoogSt6YvnTynj3Q44ja2EQ
 8ZAd164IL99NDmU06UTb1lLtDqRbmEc=
X-Google-Smtp-Source: AGRyM1sgW22nbAPajbNqPEpmds/PJvSicVR2Wcl+0d+ZZDpf+UY9+U2WLh8ZlJlhxosFeqCNAolNxQ==
X-Received: by 2002:a17:906:2dd:b0:712:1293:3dd8 with SMTP id
 29-20020a17090602dd00b0071212933dd8mr8313631ejk.448.1655455014682; 
 Fri, 17 Jun 2022 01:36:54 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u24-20020a17090617d800b006feb20b5235sm1859491eje.84.2022.06.17.01.36.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 01:36:54 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 10:27:59 +0200
Subject: [PATCH 4/4] gnu: renpy: Update to 7.99.99-0-3e854bc.
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 8bit
Message-ID: <1c81a93681347259140a364e9d2330f93fcb89be.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* gnu/packages/aux-files/renpy/renpy.in (__renpy_files, path_to_gamedir):
New procedures.
* gnu/packages/game-development.scm (python-renpy): Update to
7.99.99-0-3e854bc.
(renpy): Likewise.
[inputs]: Add python-pefile, python-requests and python-six.
---
 gnu/packages/aux-files/renpy/renpy.in | 21 +++++++++++++++++++--
 gnu/packages/game-development.scm     | 19 ++++++++++++++-----
 2 files changed, 33 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/aux-files/renpy/renpy.in b/gnu/packages/aux-files/renpy/renpy.in
index 914a735fa4..9115d9aee3 100644
--- a/gnu/packages/aux-files/renpy/renpy.in
+++ b/gnu/packages/aux-files/renpy/renpy.in
@@ -1,12 +1,29 @@
 #! @PYTHON@
 # -*- mode: python -*-
 
-from __future__ import print_function
-
+import glob
 import os
 import sys
 import warnings
 
+def __renpy_files(directory):
+    for pattern in ['*.rpa', '*.rpyc', '*.rpy']:
+        for file in glob.iglob(pattern, root_dir=directory):
+            yield file
+
+def path_to_gamedir(basedir, name):
+    candidates = [name, 'game', 'data', 'launcher/game']
+
+    if __renpy_files(basedir):
+        return basedir
+
+    for candidate in candidates:
+        gamedir = os.path.join(basedir, candidate)
+        if __renpy_files(gamedir):
+            return gamedir
+
+    return basedir
+
 def path_to_common(renpy_base):
     return renpy_base + "/common"
 
diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index ea83450995..e688cd390c 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -94,6 +94,7 @@ (define-module (gnu packages game-development)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages qt)
@@ -1253,16 +1254,21 @@ (define-public python-pygame-sdl2
 developed mainly for Ren'py.")
       (license (list license:lgpl2.1 license:zlib)))))
 
+;; Using nightly from 2022-06-16.
+;; Revert back to URLs once renpy 8 is released!
+(define %renpy-commit "3e854bc7cb1642ca18b061a0c6e349f168965c43")
 (define-public python-renpy
   (package
     (name "python-renpy")
-    (version "7.4.11")
+    (version (git-version "7.99.99" "0" %renpy-commit))
     (source
      (origin
-       (method url-fetch)
-       (uri (string-append "https://www.renpy.org/dl/" version
-                           "/renpy-" version "-source.tar.bz2"))
-       (sha256 (base32 "0zkhg2sd2hglm9dkansf4h8sq7lm7iqslzl763ambp4kyfdvd07q"))
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/renpy/renpy")
+             (commit %renpy-commit)))
+       (file-name (git-file-name name version))
+       (sha256 (base32 "11g7hqhw4gbkx5ib2wsawrznmjbn8r9zkgf2sg39z56h96y8wfbn"))
        (modules '((guix build utils)))
        (patches
         (search-patches
@@ -1486,8 +1492,11 @@ (define* (install-renpy-game #:key output game name (renpy renpy)
                #t))))))
     (inputs
      `(("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
+       ("python-pefile" ,python-pefile)
+       ("python-requests" ,python-requests)
        ("python-renpy" ,python-renpy)
        ("python-tkinter" ,python "tk")
+       ("python-six" ,python-six)
        ("python" ,python) ; for ‘fix-commands’ and ‘wrap’
        ("xdg-utils" ,xdg-utils)))
     (propagated-inputs '())
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 08:37:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 04:37:10 2022
Received: from localhost ([127.0.0.1]:43655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o27TU-0006lp-JJ
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 04:37:10 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:37727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o27TP-0006kf-8A
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 04:37:00 -0400
Received: by mail-ej1-f65.google.com with SMTP id gl15so7430491ejb.4
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 01:36:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:cc:content-transfer-encoding
 :message-id; bh=6iAdcj8DP8G4GtxwirGsAbc+0dfAdCs0LqP5/id2664=;
 b=YMwQMQScVoB5si134rIMMfhVr1SPoGsN9tkMOhGAFlMPpbRFQCKEsS3ng+hwT+Vsyc
 bcIYwBEoT9MLA4NvmvAr3ThD84Wc7z7kcaVscL1Jsd4unIuzQ2+zOFP6J04PrK4R8hzJ
 2xONNMi1BFWjtpbfGOffNJPdH2z+9zaspglAJ7dqEMr2IZvhv8v1s97ZLrIeg7zm8m+N
 8PkfGHxwSjnTB9FThfhzpFgucEh2dmvJPeApxgpXrZ8gwbEnGW4jgUka07m5tA05wHdR
 YsZFtr1J4UMA6tC69uGLWc0xXM0IzPQHvLSErD91dp6C3OTVtmPixS+Aijyq40KEt99V
 4r6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to:cc
 :content-transfer-encoding:message-id;
 bh=6iAdcj8DP8G4GtxwirGsAbc+0dfAdCs0LqP5/id2664=;
 b=i3PKbfEvyRrU212OicIqQSTpJBb2rHqUNxU6GeephuENlRfPhNRjTwMsA0CWluxXQA
 KdvRswY7mq7a+eh/4Xawj72RHKeXVFcfyK2ogdsIbzW4Q9uJlP6knPvSWG6+PIfjT9p7
 KfA6wzgrm9xIO9W5Lw8A56EXPdHttTjuTOhBWkNb9I2/MiOuZKxdtVfJx7eXdwYcFecP
 tuOta14FNEb4pBap2Qjtwm383pSyCdNAwGS74D7FFwFRV2yzZVSSuGu7vodXMCFrYuEw
 opcdrIc/YRyBOXCT3Ylipux4qYd76/+CeINoqmvpzGNJ8lb35p5JlzNUnG53Y8sCg6I5
 YFew==
X-Gm-Message-State: AJIora9ZvW9l4qD3WYMfaTz36VxXSLfsvA6WSGzNPMCuLPgo62I80CWl
 D0tDZVLjQv9FHi5IWHteBrk=
X-Google-Smtp-Source: AGRyM1tjYWL2MUA2OhoBUzWvon3lSJZf2dLYlsIDVlWfSIxATYMt+T1fvLUrO//Nq1HbxoCh0QVuoA==
X-Received: by 2002:a17:907:60d1:b0:70a:f154:e3c9 with SMTP id
 hv17-20020a17090760d100b0070af154e3c9mr8119172ejc.376.1655455013097; 
 Fri, 17 Jun 2022 01:36:53 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u24-20020a17090617d800b006feb20b5235sm1859491eje.84.2022.06.17.01.36.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 01:36:52 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 08:49:05 +0200
Subject: [PATCH 1/4] gnu: Add back the distinction between python-renpy and
 renpy.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 8bit
Message-ID: <710ed912d21f90d7349a75a31e6985ab79fda575.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This partially reverts commit 9f1bd63fb5b6916f07d454ffde27cd3a66c95bb5.
Note, that with this patch renpy fails to build due to incompatibilities with
Python 3.

* gnu/packages/game-development.scm (renpy): Split into ‘python-renpy’ for the
python modules and ‘renpy’ for the games and binaries.
---
 gnu/packages/game-development.scm | 171 +++++++++++++++++++++++++++++-
 1 file changed, 169 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 4c1b97f041..44f8ca57fc 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -1257,9 +1257,9 @@ (define-public python-pygame-sdl2
 developed mainly for Ren'py.")
       (license (list license:lgpl2.1 license:zlib)))))
 
-(define-public renpy
+(define-public python-renpy
   (package
-    (name "renpy")
+    (name "python-renpy")
     (version "7.4.11")
     (source
      (origin
@@ -1342,6 +1342,173 @@ (define-public renpy
 are only used to bootstrap it.")
     (license license:expat)))
 
+(define-public renpy
+  (package
+    (inherit python-renpy)
+    (name "renpy")
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f ; see python2-renpy
+       #:modules ((srfi srfi-1)
+                  (guix build python-build-system)
+                  (guix build utils))
+       #:imported-modules ((srfi srfi-1) ,@%python-build-system-modules)
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-commands
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (substitute* "launcher/game/choose_directory.rpy"
+               (("/usr/bin/python")
+                (search-input-file inputs "/bin/python3")))
+             (substitute* "launcher/game/front_page.rpy"
+               (("xdg-open")
+                (search-input-file inputs "/bin/xdg-open")))
+             (substitute* "launcher/game/project.rpy"
+               (("cmd = \\[ executable, \"-EO\", sys.argv\\[0\\] \\]")
+                (string-append "cmd = [ \"" (assoc-ref outputs "out")
+                               "/bin/renpy\" ]"))
+               ;; Projects are still created in the usual style, so we need
+               ;; to adjust the path.
+               (("cmd.append\\(self.path\\)")
+                "cmd.append(self.path + \"/game\")"))
+             #t))
+         (add-after 'unpack 'drop-game-from-paths
+           (lambda _
+             (substitute* (list "launcher/game/gui7.rpy"
+                                "launcher/game/gui7/images.py")
+               ((", \"game\",") ","))
+             #t))
+         (add-before 'build 'start-xserver
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             (let ((Xvfb (search-input-file (or native-inputs inputs)
+                                            "/bin/Xvfb")))
+               (setenv "HOME" (getcwd))
+               (system (format #f "~a :1 &" Xvfb))
+               (setenv "DISPLAY" ":1")
+               #t)))
+         (replace 'build
+           (lambda _
+             (invoke "python" "renpy.py" "launcher" "quit")
+             (invoke "python" "renpy.py" "the_question" "quit")
+             (invoke "python" "renpy.py" "tutorial" "quit")
+             #t))
+         (replace 'install
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             ;; Here we install our custom renpy program.
+             ;; After finishing this step, "out" will have the following:
+             ;; |-- bin/renpy
+             ;; `-- share/renpy ; i.e. path_to_renpy_base()
+             ;;     |-- common
+             ;;     `-- gui
+             ;;
+             ;; Note that common shares the source files that would be installed
+             ;; by python2-renpy (which are instead deleted from that package),
+             ;; but also contains their byte-compiled versions.
+             ;; On other systems, renpy_base would point to site-packages or
+             ;; even somewhere in /opt.
+             ;; The former approach is not as straightforward as it seems
+             ;; -- it causes renpy to load files twice for some weird reason --
+             ;; and the latter is impossible on Guix. Hence the detour through
+             ;; share/renpy and the custom renpy program.
+             ;;
+             ;; As a convention, other games should be installed as
+             ;; subdirectories of share/renpy in their respective outputs as
+             ;; well. This differs from the traditional layout, which is
+             ;; roughly the following:
+             ;; `-- Super Awesome Game
+             ;;     |-- game       ; <- the folder we actually want
+             ;;     |-- lib        ; compiled renpy module and dependencies
+             ;;     |-- renpy      ; yet another copy of Ren'py's code
+             ;;     |   |-- common ; the common folder from above
+             ;;     |   `-- ...    ; Python code (source + compiled)
+             ;;     |-- Super Awesome Game.py
+             ;;     `-- Super Awesome Game.sh
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin/renpy (string-append out "/bin/renpy")))
+               (copy-recursively "renpy/common"
+                                 (string-append out "/share/renpy/common"))
+               (copy-recursively "gui"
+                                 (string-append out "/share/renpy/gui"))
+
+               (mkdir-p (string-append out "/bin"))
+               (copy-file (assoc-ref inputs "renpy.in") bin/renpy)
+               (substitute* bin/renpy
+                 (("@PYTHON@") (search-input-file inputs "bin/python3"))
+                 (("@RENPY_BASE@") (string-append out "/share/renpy")))
+               (chmod bin/renpy #o755))))
+
+         (add-after 'install 'install-games
+           (lambda* (#:key outputs #:allow-other-keys)
+             (define renpy (assoc-ref outputs "out"))
+             ;; TODO: We should offer a renpy-build-system to make the
+             ;; installation of Ren'py games easier.
+             (define* (install-renpy-game #:key output game name (renpy renpy)
+                                          #:allow-other-keys)
+               (let* ((name (or name (basename game)))
+                      (launcher (string-append output "/bin/renpy-" name))
+                      (share (string-append output "/share/renpy/" name)))
+                 (copy-recursively (string-append game "/game") share)
+                 (mkdir-p (string-append output "/bin"))
+                 (with-output-to-file launcher
+                   (lambda ()
+                     (format #t
+                             "#!~a~%~a ~a \"$@\""
+                             (which "bash")
+                             (string-append renpy "/bin/renpy")
+                             share)))
+                 (chmod launcher #o755)))
+
+             (install-renpy-game #:output (assoc-ref outputs "out")
+                                 #:game "launcher")
+
+             (install-renpy-game #:output (assoc-ref outputs "the-question")
+                                 #:game "the_question"
+                                 #:name "the-question")
+
+             (install-renpy-game #:output (assoc-ref outputs "tutorial")
+                                 #:game "tutorial")
+             #t))
+         (replace 'wrap
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out"))
+                   (site (string-append "/lib/python"
+                                        (python-version
+                                         (assoc-ref inputs "python"))
+                                        "/site-packages")))
+               (wrap-program (string-append out "/bin/renpy")
+                 `("GUIX_PYTHONPATH" =
+                   (,@(delete-duplicates
+                       (map
+                        (lambda (store-path)
+                          (string-append store-path site))
+                        (cons (assoc-ref outputs "out")
+                              (map cdr
+                                   (filter
+                                    (lambda (input)
+                                      (string-prefix? "python" (car input)))
+                                    inputs))))))))
+               #t))))))
+    (inputs
+     `(("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
+       ("python-renpy" ,python-renpy)
+       ("python-tkinter" ,python "tk")
+       ("python" ,python) ; for ‘fix-commands’ and ‘wrap’
+       ("xdg-utils" ,xdg-utils)))
+    (propagated-inputs '())
+    (native-inputs
+     (list xorg-server-for-tests))
+    (outputs
+     (list "out" "tutorial" "the-question"))
+    (home-page "https://www.renpy.org/")
+    (synopsis "Visual Novel Engine")
+    (description "Ren'Py is a visual novel engine that helps you use words,
+images, and sounds to tell interactive stories that run on computers and
+mobile devices.  These can be both visual novels and life simulation games.
+The easy to learn script language allows anyone to efficiently write large
+visual novels, while its Python scripting is enough for complex simulation
+games.")
+    (license license:expat)))
+
 (define-public python-pyxel
   (package
     (name "python-pyxel")
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 08:37:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 04:37:04 2022
Received: from localhost ([127.0.0.1]:43653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o27TU-0006ln-BQ
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 04:37:04 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:39501)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o27TP-0006ki-Qa
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 04:37:00 -0400
Received: by mail-ej1-f68.google.com with SMTP id y19so7420334ejq.6
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 01:36:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=6F8YsP4jEbIzXvZ2Wf4K/AHClkfeAzg+4HVXIlhPj58=;
 b=Urji3FhOS34SXdDgxkaEpPmIiit8+o9axEnMxbUpLYfVEwnRCdbeUj6trXBbOrSN/Y
 QZTFRvUxglEKvjHV+81DNLPsNLxLR2dErhP6hC1DJ/qpEAq+PgLwfL5mYI2/lCYqRRNw
 1tUIAVMDPO39LUYIvK41R/kkN/2ecyRHYjeKDcBq50EK7IeUFr1HmSBn2dSOeVxc98uP
 ZmU45Uml/CAuavP052UOnwVg/GK6XKrOAm0AIZdXJu0c3RnQ4KmTURAfW73/GH4G2tud
 sVNInv6+75xBitNmaLT098aCeBHuj+v6a5xL2FrVGfumdMQ4az5XNGkJpEbKF4COL5dr
 dfQw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=6F8YsP4jEbIzXvZ2Wf4K/AHClkfeAzg+4HVXIlhPj58=;
 b=aOz/2nIPi0fcP9ypfuhwyQsBWkUbc8dLXITZkVVhOdnA7KwTao/k9XKO63syd4hHr2
 h4l+1EJHKF+/HYTbuvzJVYcqK5gV7J8Q65ZXucsaA5ieOtdr2J/Ncxhyptg6UYLEpSpo
 Sw39L58d3DtxULi9xSWbbE/TNHF8QUEZVQgXs9M3E1tN/WM5P8w1yjfNQ29+weg9Jqok
 KnqC6xAmIthg8NvL+jI48QSKSV51NryONpFqKkOym9s0VWubL0vU41w5ZOX608ns95hq
 SmVFL/WfykzUaSO6jO3zmueodreePzxBkp2D8I5CkNn0P7+BnBSgRZ14Fo0UJQm7XE0I
 QdMw==
X-Gm-Message-State: AJIora8r9+r8OUnOk2SAQ164hxZkQMLmu1slZMwVZdz5bn0qGcM4tf0+
 7efqZoTxHItdEMozo1dc3w4=
X-Google-Smtp-Source: AGRyM1tiaK3j6M1u35QJDeRJksG3pbx5gYiVc4F7S/zXqg9Ssq1ueow1S8N8/TyaFned76aST0iBoA==
X-Received: by 2002:a17:906:3e12:b0:704:6e14:9726 with SMTP id
 k18-20020a1709063e1200b007046e149726mr8409253eji.457.1655455014208; 
 Fri, 17 Jun 2022 01:36:54 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u24-20020a17090617d800b006feb20b5235sm1859491eje.84.2022.06.17.01.36.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 01:36:53 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 10:26:57 +0200
Subject: [PATCH 3/4] gnu: python-pygame-sdl2: Update to 2.1.0-0-1705c6e.
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 7bit
Message-ID: <d293d6e39376bc2562f1ceac956c1aadf8d4109b.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/game-development.scm (python-pygame-sdl2): Update to
2.1.0-0-1705c6e.
---
 gnu/packages/game-development.scm | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 44f8ca57fc..ea83450995 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -1207,26 +1207,22 @@ (define-public python-pygame
                    license:lgpl2.1+))))
 
 (define-public python-pygame-sdl2
+  ;; Using nightly from 2022-06-16.
+  ;; Revert back to URLs once renpy 8 is released!
   (let ((real-version "2.1.0")
-        (renpy-version "7.4.11"))
+        ;;(renpy-version "8.0.0")
+        (commit "1705c6e3004dcb1daf859560bcd52eb093e97d45"))
     (package
       (inherit python-pygame)
       (name "python-pygame-sdl2")
-      (version (string-append real-version "-for-renpy-" renpy-version))
+      (version (git-version real-version "0" commit))
       (source
        (origin
-         (method url-fetch)
-         (uri (string-append "https://www.renpy.org/dl/" renpy-version
-                             "/pygame_sdl2-" version ".tar.gz"))
-         (sha256 (base32 "0nxvca16299jx6sp0ys29rqixcs21ymhqwjfkbchhss0yar7qjgz"))
-         (modules '((guix build utils)))
-         (snippet
-          '(begin
-             ;; drop generated sources
-             (delete-file-recursively "gen")
-             (delete-file-recursively "gen3")
-             (delete-file-recursively "gen-static")
-             #t))))
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/renpy/pygame_sdl2")
+               (commit commit)))
+         (sha256 (base32 "1g0arhpd59zypspk36sgajf1kzavppfkv766vifvxar60968rrjn"))))
       (build-system python-build-system)
       (arguments
        `(#:tests? #f                ; tests require pygame to be installed first
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 08:37:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 04:37:01 2022
Received: from localhost ([127.0.0.1]:43650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o27TR-0006lA-4e
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 04:37:01 -0400
Received: from mail-ed1-f66.google.com ([209.85.208.66]:40820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o27TP-0006kh-HB
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 04:37:00 -0400
Received: by mail-ed1-f66.google.com with SMTP id ej4so1288211edb.7
 for <55424 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 01:36:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=CuyDMg07ik6QzmCZAp0I82eQLXK6082XXrq6pMBVEJM=;
 b=jO94zVDVELdWcXpfc4V6mtYhBqzeFHEpu74tLPLC6uOPV7efURKDIFZlc+kLnB3GOH
 bM56cMa9j2fXGK3G/2cAw7nub2DYemdz9XSMdep0+AjIe2QrSvVU41w6zJGrGiQaM+/e
 uNaMaCS7e2mpg6DI6a792ok2hkO2mYUQBRyecdT97XgU8vikObJluqFBTVrfeYaUUL77
 JZ7J2XkH/iWXnAfWktk9rR6EFcHjMoxA497Iwaqv2a7GldxssSqp1qRC3f8fL/mqd5yf
 NqRZcRCtaWJkgfuixodrXZ+wxnDAnH21B7HebJhwG4SpqnjqXfCet10TeB20QbTatjrL
 xtug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=CuyDMg07ik6QzmCZAp0I82eQLXK6082XXrq6pMBVEJM=;
 b=O4OBXMndg36mYvSFzu/3VjtqlYN2oPXXkQlLB8oZw9/AD+zBNmkrStkE/CXPgC7dr/
 6N6bBjLvf2fZHkyQEdXHlOFh5qXkYU1w/SqJsIhU9I/+ShY/ujj7jvDIIf/h+IdQ8mPN
 +IDRD/Q9yEUytXIbqSM8iu9ytDOTdAAd2nQfj1R/Y+fNgpBcmuOnE4JFYap2arzhp1Z1
 /XKLIDzkJcnkJWvSoqCyfx0zRAgge1FMJ1lN37uhg7Srv9ArgfxlOjxUxzzIP7WTy3qh
 Qw3bkuwzC7KQ4IDLfV3uMXEevNhOywW1LmNjFp1WnPaUEjo0W+VVMxN/pG6z902h1KE/
 01DQ==
X-Gm-Message-State: AJIora/HvtAWF07LeB7qG+IEHqcAqKdN8MbaoOqdSm0Ul9XmyfuUUY0t
 AFCBItTj1GRshDSuHpi+g/s=
X-Google-Smtp-Source: AGRyM1uJGEqY+kCCfhWEyE0pjgehLPyi5ZnCk/u5glSIKKVfXqhsxZ1E+Pd2/dEokvKMGuknZX+w7Q==
X-Received: by 2002:a05:6402:13cc:b0:435:557e:6325 with SMTP id
 a12-20020a05640213cc00b00435557e6325mr6314265edx.83.1655455013642; 
 Fri, 17 Jun 2022 01:36:53 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u24-20020a17090617d800b006feb20b5235sm1859491eje.84.2022.06.17.01.36.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 01:36:53 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Fri, 17 Jun 2022 10:25:48 +0200
Subject: [PATCH 2/4] gnu: Add python-pefile.
to: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Content-Transfer-Encoding: 7bit
Message-ID: <29de90b8ffaacfd90f0b017149a89f82ffacadb4.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-pefile): New variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 4b8e63890f..198340cc82 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -17898,6 +17898,28 @@ (define-public python-pyelftools
      Record Format (DWARF).")
     (license license:public-domain)))
 
+(define-public python-pefile
+  (package
+    (name "python-pefile")
+    (version "2022.5.30")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/erocarrera/pefile")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1qj90a0s2gd5hn2zggypqc1077inid5dcl1fp5973b04kf2b9z8a"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-future))
+    (home-page "https://github.com/erocarrera/pefile")
+    (synopsis "Portable Executable (PE) file parser")
+    (description "This python library provides interfaces for parsing and
+working with Portable Executable (PE) files.  It makes to most information
+from the header, as well as section details and data available.")
+    (license license:expat)))
+
 (define-public python-pyev
   (package
     (name "python-pyev")
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 17 Jun 2022 05:09:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 01:09:16 2022
Received: from localhost ([127.0.0.1]:43515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o24EN-0001Pt-In
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 01:09:15 -0400
Received: from mail-qk1-f175.google.com ([209.85.222.175]:43763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o24EL-0001Pf-Oh
 for 55424 <at> debbugs.gnu.org; Fri, 17 Jun 2022 01:09:14 -0400
Received: by mail-qk1-f175.google.com with SMTP id p63so2479331qkd.10
 for <55424 <at> debbugs.gnu.org>; Thu, 16 Jun 2022 22:09:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ECqSXjQP10zfe5KkamJz16+XpenOn/hmiA+j/1auHAo=;
 b=FfZD8bq+LFv8IfOHmFrauYefMGBoLhblqOVg00qPY30URZupZ7KdqlY3uqcOSYkyNn
 BdB+TZEM0xGYXp7uZog5sncMb4RaSfka5/4mAYYzXyasrich3x7GUpN0tDtsnL/4lXAV
 b07TCIyLIXMMAopgNbkP/RpM2CtMEWZhYbMphiKslfOOOq6i/4sy+0cHjK2pL15fbLEw
 ecIn2vnx+bZ6EGXLUUPuDV/SeCtT1+KfS5JIji5m+mAiYc3Ta74Ei7+xvOA4BiZZDe4h
 0guwGgpu9tYHe2LhQD7LSDiYNgPupS3oYb4caFNoM4+VTQhCOJr/Rm9jIKn7XiUK53tp
 Jk8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ECqSXjQP10zfe5KkamJz16+XpenOn/hmiA+j/1auHAo=;
 b=YOgh5JyMChsuZdH5T7uwo2rg6oWkCJzYXynHeoHIiP3dNGBTQ/3L7H4pBA4lewuJ6V
 QYZX0qNVjTtnkKyB8IZNzB0LrwRCPsnDWoad9DZGlMVSfm0myiP0Ly42i8lY0XEA9FQA
 bRDRKddTm3v9vTg1rUIIXC1EayPa0wjrcYW2rDibFgL2haPWNQQ9JNbg7DmXCl+VYznP
 3Mu9dwR6zQEX2hv9Mv56HeSGA9Fo/1nWvgop8i5X1vvNuLAr4q4P6trAM/wejybNYXPW
 J5EDJQTUZqjJWeYbSX5vVb9dBIjxUcwmybv4vGq/Xr5e7X8iARTmBMD6iHBfwISr3Qd1
 1Zpg==
X-Gm-Message-State: AJIora+eItChaj7mHh+6YgP2fPO7iVdxyd3F9Pr0O293qzcUMUKgLums
 v3NS7Jj/Ywmm3JY0FjV9nukJzbk8bNlHMA==
X-Google-Smtp-Source: AGRyM1tqB43Iqne7Tw8fFZwFPMSjGka7Kps3CQyzGRKB04CJssYdqmy/jyhPVXKoy+s47BNJjfls/g==
X-Received: by 2002:a05:620a:29c7:b0:6a7:4252:2607 with SMTP id
 s7-20020a05620a29c700b006a742522607mr6044475qkp.115.1655442547579; 
 Thu, 16 Jun 2022 22:09:07 -0700 (PDT)
Received: from hurd (dsl-10-149-53.b2b2c.ca. [72.10.149.53])
 by smtp.gmail.com with ESMTPSA id
 g10-20020a05620a40ca00b006a791a42693sm3849632qko.133.2022.06.16.22.09.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Jun 2022 22:09:07 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH 081/602] gnu: renpy: Build with Python 3.
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-81-maxim.cournoyer@HIDDEN>
 <18da4f053901c49dbaf80f8afc5edb8234d20d5d.camel@HIDDEN>
 <87y1xwbkjh.fsf@HIDDEN>
 <0441bfdec832867cb73469fb1cfdf4bcddfe95fd.camel@HIDDEN>
 <87bkusb8kw.fsf@HIDDEN>
 <210e32db4b99c02c1817dbb5b6979b47b5887399.camel@HIDDEN>
Date: Fri, 17 Jun 2022 01:09:05 -0400
In-Reply-To: <210e32db4b99c02c1817dbb5b6979b47b5887399.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Fri, 17 Jun 2022 01:39:10 +0200")
Message-ID: <871qvnc1vy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana,

We have a nice opportunity at the moment to truly phase out Python 2
from Guix, with just a handful packages remaining that still depend on
it, so I'd like to focus on options other than re-introducing Python 2
dependencies at first.

I tried updating the package like so:

--8<---------------cut here---------------start------------->8---
diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 4c1b97f041..89602dc127 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -1208,7 +1208,8 @@ (define-public python-pygame
 
 (define-public python-pygame-sdl2
   (let ((real-version "2.1.0")
-        (renpy-version "7.4.11"))
+        ;; Use a pre-release version to match that of Renpy.
+        (renpy-version "8.0.0"))
     (package
       (inherit python-pygame)
       (name "python-pygame-sdl2")
@@ -1216,17 +1217,16 @@ (define-public python-pygame-sdl2
       (source
        (origin
          (method url-fetch)
-         (uri (string-append "https://www.renpy.org/dl/" renpy-version
+         (uri (string-append "https://www.renpy.org/dl/prerelease-8"
                              "/pygame_sdl2-" version ".tar.gz"))
-         (sha256 (base32 "0nxvca16299jx6sp0ys29rqixcs21ymhqwjfkbchhss0yar7qjgz"))
+         (sha256 (base32 "1ml3650czvzi0k9ap12zz7ykldhzzk0251ncl62wdmncfqfq98wd"))
          (modules '((guix build utils)))
          (snippet
           '(begin
              ;; drop generated sources
              (delete-file-recursively "gen")
              (delete-file-recursively "gen3")
-             (delete-file-recursively "gen-static")
-             #t))))
+             (delete-file-recursively "gen-static")))))
       (build-system python-build-system)
       (arguments
        `(#:tests? #f                ; tests require pygame to be installed first
@@ -1243,8 +1243,7 @@ (define-public python-pygame-sdl2
                                       (assoc-ref inputs "sdl-union")
                                       "/lib -Wl,-rpath,"
                                       (assoc-ref inputs "sdl-union")
-                                      "/lib -Wl,--enable-new-dtags -lSDL2"))
-               #t)))))
+                                      "/lib -Wl,--enable-new-dtags -lSDL2")))))))
       (inputs
        (list (sdl-union (list sdl2 sdl2-image sdl2-mixer sdl2-ttf))))
       (native-inputs
@@ -1260,22 +1259,23 @@ (define-public python-pygame-sdl2
 (define-public renpy
   (package
     (name "renpy")
-    (version "7.4.11")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "https://www.renpy.org/dl/" version
-                           "/renpy-" version "-source.tar.bz2"))
-       (sha256 (base32 "0zkhg2sd2hglm9dkansf4h8sq7lm7iqslzl763ambp4kyfdvd07q"))
-       (modules '((guix build utils)))
-       (patches
-        (search-patches
-         "renpy-use-system-fribidi.patch"))
-       (snippet
-        '(with-directory-excursion "module"
-           ;; drop fribidi sources
-           (delete-file-recursively "fribidi-src")
-           #t))))
+    ;; Use a pre-release version to avoid Python 2, which the last stable 7.5
+    ;; release is still using.
+    (version "8.0.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://www.renpy.org/dl/prerelease-8"
+                                  "/renpy-" version "-source.tar.bz2"))
+              (modules '((guix build utils)))
+              (snippet
+               '(with-directory-excursion "module"
+                  ;; drop fribidi sources
+                  (delete-file-recursively "fribidi-src")))
+              (sha256
+               (base32
+                "0bxihc8lkjmp769i4ih74si76i0lvdw86dg5j005kbj4m4cpvvax"))
+              (patches
+               (search-patches "renpy-use-system-fribidi.patch"))))
     (build-system python-build-system)
     (arguments
      `(#:tests? #f                      ; Ren'py doesn't seem to package tests
@@ -1299,7 +1299,7 @@ (define-public renpy
                                         "/bin/cython"))
              (setenv "RENPY_DEPS_INSTALL" (string-join (map cdr inputs) ":"))))
          (replace 'build
-           (lambda* (#:key inputs outputs #:allow-other-keys #:rest args)
+           (lambda args
              ;; The "module" subdirectory contains a python (really cython)
              ;; project, which is built using a script, that is thankfully
              ;; named "setup.py".
--8<---------------cut here---------------end--------------->8---

It currently fails to build due to a new dependency, 'tinyfiledialogs':

--8<---------------cut here---------------start------------->8---
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -fno-semantic-interposition -fPIC -I. -I/gnu/store/rvjwhr9ib88fm3s2h04n8jl4qpnb54rl-sdl-union-1.2.15/include -I/gnu/store/p7iq81hxxyk9zy7a9dngbf16zm8d4klx-libpng-1.6.37/include -I/gnu/store/rvjwhr9ib88fm3s2h04n8jl4qpnb54rl-sdl-union-1.2.15/include/SDL2 -I/gnu/store/ak70pk2hjks17cx7zjdmdmzpcpiy9gpi-freetype-2.10.4/include/freetype2 -I/gnu/store/jgmr3siy9dr8snlym3dfjbj0gmjzm2zk-ffmpeg-4.4.2/include -I/gnu/store/sh6j1xz8fz7a23x5y2w05rzxjamq4x7y-glew-2.1.0/include -I/gnu/store/9bx852151mzmmbpm92q46zk104qnan1d-python-pygame-sdl2-2.1.0-for-renpy-8.0.0/include/python3.9 -I/gnu/store/65i3nhcwmz0p8rqbg48gaavyky4g4hwk-python-3.9.9/include/python3.9 -c gen3/_renpytfd.c -o build/temp.linux-x86_64-3.9/gen3/_renpytfd.o -std=gnu99 -Wno-unused-function
gen3/_renpytfd.c:618:10: fatal error: tinyfiledialogs/tinyfiledialogs.h: No such file or directory
  618 | #include "tinyfiledialogs/tinyfiledialogs.h"
--8<---------------cut here---------------end--------------->8---

> OTOH if our stance is that we really
> don't want any python 2 stuff in Guix and rather have people use time
> machine, I think we should loudly break the package (by removing it)
> rather than silently.

That appears to be exactly what NixOS has done:

$ nix edit nixpkgs#renpy
error: renpy has been removed from nixpkgs, it was unmaintained and the
latest packaged version required python2

I think finishing the update started above would be a better option than
removing it, if we have the bandwidth to tackle the update.  Would you
like to give it a try?

Thanks,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 16 Jun 2022 23:39:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 19:39:20 2022
Received: from localhost ([127.0.0.1]:43340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1z56-0001r1-EM
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 19:39:20 -0400
Received: from mail-ed1-f68.google.com ([209.85.208.68]:39647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o1z53-0001qm-2H
 for 55424 <at> debbugs.gnu.org; Thu, 16 Jun 2022 19:39:19 -0400
Received: by mail-ed1-f68.google.com with SMTP id cn20so4142342edb.6
 for <55424 <at> debbugs.gnu.org>; Thu, 16 Jun 2022 16:39:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=gVl/pH7dNQLdwitplT19nJbXBRdKl1XA4XSHTl7e0dw=;
 b=ZkgxPMP4MC9LN6b8BwaJlJ8dW2YI0qqkeRnRuOGfRhIh8+FgdP+ed1Vyy4lyW3e3J9
 0ILJJyWjcAchvxXaJp/t+hHk/V4xFuWuiOBGk3C3zDQ92yLTd8iFhuzW2VoELewZ8ls1
 +916jbzaPc2d3TYceIfVJ9A+G6nqSVnxX9zWh1ujBaE+3buq/sA7p2xY6FAiVkysFfoO
 f9MP38bjD+MIyAaavx4LwtxLl6bAHxNkHiA5mAbTTjdy3kp7jpjL+lsBUoqdjSj6LFmk
 UTYgCqvZf7ox0CUhBkHAfOg9yhKh3bE9VcVUQYubHUg8nX3PNoWxQ1WVOkAKGqsjqt2y
 glZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=gVl/pH7dNQLdwitplT19nJbXBRdKl1XA4XSHTl7e0dw=;
 b=zzcoa43Jc7XiyBTX7+6dmd3RwUrr6j5zDDQBt3BbwivLMhO7lmBmA1BrJOHjpnhMvn
 loC8yBKA1HLh/LUcTPjtMLJLfBUUW5/ONtKUoW4WL/0+ltJas7pyx/f2gwlqr/K9JfCa
 TxZMF6uEzG7COtstyi1s4cErpVR0Ts0jh9zhQAWO/lHDwPLaurKqgTdZFETEsS1CJJKd
 C/ECcm1pyISoUnUOUTou/7Kqo/u+NCUAUm1U6qrxHFCHY4zyUz2ot/KMWxmtFNX96+Ed
 EzFq1O3WkhwpjvxPwcf+oWf9dXw/nakkV/LgiKL5nSLcq3mu3usvyoNt5rgB2h913GD6
 syCA==
X-Gm-Message-State: AJIora9yps3zIV7hE6BNtN2seLTho760gh7fwlDlStQR/apm7hHEDcfK
 F5QHC7VBUI3PRo2meBYVm04=
X-Google-Smtp-Source: AGRyM1vr1mi1mVDkY4sJiF/cOffbXJzuq5CyJHVIod+rKkFS7C6SZMh4dv5U/Xq+zoihB++UtC/pJQ==
X-Received: by 2002:a05:6402:34c2:b0:42f:79c0:334b with SMTP id
 w2-20020a05640234c200b0042f79c0334bmr9442404edc.88.1655422751164; 
 Thu, 16 Jun 2022 16:39:11 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 rh17-20020a17090720f100b006fef5088792sm1332947ejb.108.2022.06.16.16.39.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Jun 2022 16:39:10 -0700 (PDT)
Message-ID: <210e32db4b99c02c1817dbb5b6979b47b5887399.camel@HIDDEN>
Subject: Re: [PATCH 081/602] gnu: renpy: Build with Python 3.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri, 17 Jun 2022 01:39:10 +0200
In-Reply-To: <87bkusb8kw.fsf@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-81-maxim.cournoyer@HIDDEN>
 <18da4f053901c49dbaf80f8afc5edb8234d20d5d.camel@HIDDEN>
 <87y1xwbkjh.fsf@HIDDEN>
 <0441bfdec832867cb73469fb1cfdf4bcddfe95fd.camel@HIDDEN>
 <87bkusb8kw.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Donnerstag, dem 16.06.2022 um 17:29 -0400 schrieb Maxim Cournoyer:
> Hello,
> 
> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
> 
> > [...]
> > [T]hese prereleases should not be used to publish game with, which
> > makes packages for them kinda useless.
> 
> Pre-releases are better than a broken or missing package :-).  I
> guess it depends on our users: is someone actively using the Guix-
> provided renpy package to publish games?  
If they did, we would probably be seeing folks make use of our renpy-
build-system, though I can't speak for people using Renpy on Guix to
publish non-free games.

> Since the package was broken 2 weeks ago without a bug report, I'd
> assume that no, in which case a pre-release is fine and more forward-
> looking in this situation.
This does not just affect publishing though.  It also means that a
bunch of games you codes for 7.4 will not work (as expected) with Renpy
8, which might be – pardon the pun – game-breaking.

> > Long-term I do think Renpy 7 should not be in Guix upstream, but
> > past efforts to move it elsewhere like Guix Past ended up mere
> > discussion.  The questions for me is what to do shot-term, while
> > Renpy 8 is not a viable option.
> 
> Are all the above Python 2 dependencies already in the Guix-Past
> channel?  If so, it seems that it could be decent option to keep
> renpy 7 there until renpy 8 is made stable, if updating to the pre-
> release in Guix proper is too difficult.
Only cython is currently in Guix Past, the rest needs to be added. 
Regarding renpy 8, it turns out that no tags exist in Github currently,
so we would have to guess some random commits.  That plus my already
mentioned concerns should imho be enough to consider using the actually
stable version as renpy and offer the other one as renpy-next if people
feel like breaking their stuff.  OTOH if our stance is that we really
don't want any python 2 stuff in Guix and rather have people use time
machine, I think we should loudly break the package (by removing it)
rather than silently.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 16 Jun 2022 21:30:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 17:30:06 2022
Received: from localhost ([127.0.0.1]:43250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1x41-00051L-NW
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 17:30:06 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:44614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o1x3v-00050H-3U
 for 55424 <at> debbugs.gnu.org; Thu, 16 Jun 2022 17:30:04 -0400
Received: by mail-qv1-f53.google.com with SMTP id c1so3603290qvi.11
 for <55424 <at> debbugs.gnu.org>; Thu, 16 Jun 2022 14:29:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=GlocstdG5CClcZGBGMJtiiF889DkLwC1owrQFCUrZFE=;
 b=LlrLPInlscNMSP01EgbHh5hBnbsON6+4wdz8/irc3vgNaxFYVNfgg/s5sgGl5oHhKw
 qocmyCprpk4KE85ZGGP6GQn/W2NnjQjmiPoxUYAJk2Dm0KVXQdQUQozloVrj0rztgztD
 luAar2WaxgM1XBGaS/0OMwEuynWTlzV54O38K4ICj21RbHJLgXGh8JI65UpkZnMqVeOX
 sYUgCDDYIFO/zgeQggNyb2X02/U5ksul02nCZhVGb1m3/sW0wyVC07IN8Wvi7C+Gijgd
 jWoB290c519YHjk0y3Pme5eTciwNxmfNfAcF/HJAHv3plLjgPAjQtDh+3+kzeOrzde+R
 vgDA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=GlocstdG5CClcZGBGMJtiiF889DkLwC1owrQFCUrZFE=;
 b=nBJIl/VY4LYRc8PuI4MAbvV1MAdIcLNQ2r204h+EEeIcKfjtMLXWctyMAU6SyKC5kf
 VXH1GMR6ZLGfYw3Vhp8HJMPAJahOYkdn4moFI/RtzMLPGQyHWUhZ7lFDBtvHiBurM2O6
 r44Bj+c64E2ifInH0Uxj1zmnXpWJYd+yWqV+1ptb6+GcIlLp2YsdkSi3Xk0B4xVsTNro
 JuLdHo2RCqfTnFfYdXxCNTLC7/4wKFItf6/9dgDRTLm8AOMOcR1a/MI1jxFGO2StZF7O
 qh/XJ8zAly/pCfO5Z24TWu5O7vMW+1u7Kp4MHKBQNoVaaeDZsloRy2LSyXK6yr+XrtRI
 oYiA==
X-Gm-Message-State: AJIora+WkiWQ9Vz2ZcmR1V6KhFAepVBzTrfzFgmhyHlghAEFUqAro6Zt
 KwxDlOmsbjf7DMYwCI+bj/CitjE5LxR8Pg==
X-Google-Smtp-Source: AGRyM1vbOdT2Yeth9eAqs6YFiuKzO81TedIU1j+AslHHReNJa9TNmREm7s11VBaYDj0MuX6lSVsWMQ==
X-Received: by 2002:a05:6214:5004:b0:464:4b5d:be65 with SMTP id
 jo4-20020a056214500400b004644b5dbe65mr5874969qvb.73.1655414992981; 
 Thu, 16 Jun 2022 14:29:52 -0700 (PDT)
Received: from hurd (dsl-10-149-53.b2b2c.ca. [72.10.149.53])
 by smtp.gmail.com with ESMTPSA id
 v16-20020a05622a145000b00304f55e56e4sm2967257qtx.40.2022.06.16.14.29.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Jun 2022 14:29:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH 081/602] gnu: renpy: Build with Python 3.
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-81-maxim.cournoyer@HIDDEN>
 <18da4f053901c49dbaf80f8afc5edb8234d20d5d.camel@HIDDEN>
 <87y1xwbkjh.fsf@HIDDEN>
 <0441bfdec832867cb73469fb1cfdf4bcddfe95fd.camel@HIDDEN>
Date: Thu, 16 Jun 2022 17:29:51 -0400
In-Reply-To: <0441bfdec832867cb73469fb1cfdf4bcddfe95fd.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Thu, 16 Jun 2022 20:51:07 +0200")
Message-ID: <87bkusb8kw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> Am Donnerstag, dem 16.06.2022 um 13:11 -0400 schrieb Maxim Cournoyer:
>> Hi Liliana,
>>=20
>> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
>>=20
>>=20
>> [...]
>>=20
>> > According to upstream, only renpy 8.0 will run on python 3, whereas
>> > renpy 7.5 (both still prereleases) will continue to use python 2.7.
>> >=20
>> > I suggest "temporarily" reverting the following commits
>> > 425783b5 "gnu: Remove python2-cython."
>> > ffec658a "gnu: Remove python2-future."
>> > 1a6eb0d6 "gnu: Remove python2-pygame-sdl2."
>> > 9f1bd63f "gnu: renpy: Build with Python 3."
>> > or alternatively dropping the renpy package altogether.=C2=A0 I have
>> > already reverted them on my local tree, so I could push whenever =E2=
=80=93
>> > the question is whether to do it in four separate commits or in a
>> > big one along with an explanation.
>> >=20
>> > WDYT?
>>=20
>> Could you try updating renpy to a 8.0 pre-release?=C2=A0 It was last
>> updated 6 days ago [0].=C2=A0 That'd be preferable to re-introducing
>> Python 2 stuff.
> That looks like the kind of link that would lead to hash conflicts once
> the release is actually out (which isn't that bad normally, since I
> tend to only use actual releases).  We could use some git tag though,
> there's probably a bunch that don't map to releases.  In either case,
> these prereleases should not be used to publish game with, which makes
> packages for them kinda useless.

Pre-releases are better than a broken or missing package :-).  I guess
it depends on our users: is someone actively using the Guix-provided
renpy package to publish games?  Since the package was broken 2 weeks
ago without a bug report, I'd assume that no, in which case a
pre-release is fine and more forward-looking in this situation.

> Long-term I do think Renpy 7 should not be in Guix upstream, but past
> efforts to move it elsewhere like Guix Past ended up mere discussion.=20
> The questions for me is what to do shot-term, while Renpy 8 is not a
> viable option.

Are all the above Python 2 dependencies already in the Guix-Past
channel?  If so, it seems that it could be decent option to keep renpy 7
there until renpy 8 is made stable, if updating to the pre-release in
Guix proper is too difficult.

Thanks,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 16 Jun 2022 18:51:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 14:51:17 2022
Received: from localhost ([127.0.0.1]:43148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1uaL-0001Dx-2m
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 14:51:17 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:34581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o1uaI-0001Di-OW
 for 55424 <at> debbugs.gnu.org; Thu, 16 Jun 2022 14:51:16 -0400
Received: by mail-ej1-f68.google.com with SMTP id o7so4451306eja.1
 for <55424 <at> debbugs.gnu.org>; Thu, 16 Jun 2022 11:51:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=4A7i8Z146lc/Q1upLf+5+e1tOoCuIsqEQ9dwALidnV8=;
 b=fkFh+VmpaDljhYjQwVhPGzl/dlNkeGFPZlBh4774yRr6pqmKQZapdU+HCCDcNaKP4O
 T9allLFQwzeX1OV4zTFFjmmLrqrIqVGxTQUI6W/VRTLFnziiQ/D+RU9oM8NtlfOtUmLG
 WdaMGjvl8uwtkMyKoQ2CDVQo176DA61KdVK+DDRr10VFwqJLgJLWb2PUk20ox8M4LYOJ
 piqfKt+/wWN7l5jJ7y4+0hbhr2gtSU1td0TufmbFGU/5Ijtg0QLZJT2jtp82FROfEk6G
 dheabVnL1NSWZaCMZPkS9PZs+jUf+3Hv8MYTzAgWf9WBWCPJAzdE/xJs1O69DfojgTPb
 eNHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=4A7i8Z146lc/Q1upLf+5+e1tOoCuIsqEQ9dwALidnV8=;
 b=CMAyRq3xNvqN8J/3pDBmL7sZv+2pBa5ND45DuNtHtVNBG7w+afiI5AVsIrxGlnpYdL
 tEOQ2xLUuUbhtqijkIXXiouYNDQByzJxfqUmgzFNhxK6kGVSvA1gkgNNKGgNgxDtsc4G
 zPNxtcPqHB7Yy9NYQ9aRtdqaq+E+ZUOtu71xu3PGKDQmi1OBBGspSyhaInBJnKkNT51C
 yJau+ruRo5aZMyyZLckV3filR9IYASKsMsc+4Vu+zfIHyELIeU5rlnw96CKCA0yRYQJH
 FwKf0OIDhklVkcfOqfz6bEqCH6IkuVkGA0H69PeLkNLPO19bfblPVAYAiUMgSVsSNbJQ
 9d4w==
X-Gm-Message-State: AJIora+9G2W3h9NClTGwt/NDNcgt3LQKRxZErToj4QXBMlGHy6tV1Exr
 HbI0qONfdCVXPu0RpHJe7pE=
X-Google-Smtp-Source: AGRyM1v3wOk6Ll9E7OLQPVwcFJ4oNIhlnyHzcx6jCY54fHCBqBdiPu0QvTaGB6IZb79kGA52YprhPg==
X-Received: by 2002:a17:907:7b9b:b0:711:d8ca:c282 with SMTP id
 ne27-20020a1709077b9b00b00711d8cac282mr5637867ejc.167.1655405468869; 
 Thu, 16 Jun 2022 11:51:08 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 r17-20020a1709061bb100b00711d88ae162sm1108731ejg.24.2022.06.16.11.51.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Jun 2022 11:51:08 -0700 (PDT)
Message-ID: <0441bfdec832867cb73469fb1cfdf4bcddfe95fd.camel@HIDDEN>
Subject: Re: [PATCH 081/602] gnu: renpy: Build with Python 3.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Thu, 16 Jun 2022 20:51:07 +0200
In-Reply-To: <87y1xwbkjh.fsf@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-81-maxim.cournoyer@HIDDEN>
 <18da4f053901c49dbaf80f8afc5edb8234d20d5d.camel@HIDDEN>
 <87y1xwbkjh.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Donnerstag, dem 16.06.2022 um 13:11 -0400 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
> 
> 
> [...]
> 
> > According to upstream, only renpy 8.0 will run on python 3, whereas
> > renpy 7.5 (both still prereleases) will continue to use python 2.7.
> > 
> > I suggest "temporarily" reverting the following commits
> > 425783b5 "gnu: Remove python2-cython."
> > ffec658a "gnu: Remove python2-future."
> > 1a6eb0d6 "gnu: Remove python2-pygame-sdl2."
> > 9f1bd63f "gnu: renpy: Build with Python 3."
> > or alternatively dropping the renpy package altogether.  I have
> > already reverted them on my local tree, so I could push whenever –
> > the question is whether to do it in four separate commits or in a
> > big one along with an explanation.
> > 
> > WDYT?
> 
> Could you try updating renpy to a 8.0 pre-release?  It was last
> updated 6 days ago [0].  That'd be preferable to re-introducing
> Python 2 stuff.
That looks like the kind of link that would lead to hash conflicts once
the release is actually out (which isn't that bad normally, since I
tend to only use actual releases).  We could use some git tag though,
there's probably a bunch that don't map to releases.  In either case,
these prereleases should not be used to publish game with, which makes
packages for them kinda useless.

Long-term I do think Renpy 7 should not be in Guix upstream, but past
efforts to move it elsewhere like Guix Past ended up mere discussion. 
The questions for me is what to do shot-term, while Renpy 8 is not a
viable option.




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 16 Jun 2022 17:11:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 13:11:46 2022
Received: from localhost ([127.0.0.1]:43024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1t21-00076Q-Vz
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 13:11:46 -0400
Received: from mail-qv1-f54.google.com ([209.85.219.54]:43701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o1t21-00076B-0d
 for 55424 <at> debbugs.gnu.org; Thu, 16 Jun 2022 13:11:45 -0400
Received: by mail-qv1-f54.google.com with SMTP id o16so1906314qvr.10
 for <55424 <at> debbugs.gnu.org>; Thu, 16 Jun 2022 10:11:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=eNxJZZAgd37ctJz+FTgxXHZEpbQ3LW51qN42Kxn2tbQ=;
 b=gPwfZNpK7ByaFP2lUSttuizE5C7HSGie7R5xPpMFCHWsalJ+TjIYTlGuMkT+b/2uH0
 vBYxKvxWYg3iKAo2QrsNJH1TAc/Gyw+pnf2kOFrsUmAHbLhpkLza5nPOgUqM5F6LgA23
 MH0FoP9GZbmP2B/0MhSbiz/2WSrCVVtyAImMJK9qhsNxTVGsxmCGFhUS32fRQeszcbLc
 hfX/b8XA5ztR68lopJQjWxKjIbpp4mEW8St2CEnujEQUwcg/rxUAY1ug/Ym4MXbMmkQl
 N7Mj2p+Dn+lkYwKdEHpPGkNV4pJtCfp0Vk4mWxxXQg4aYQnJGIZ4cpppuCQTTl97qt3W
 MysA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=eNxJZZAgd37ctJz+FTgxXHZEpbQ3LW51qN42Kxn2tbQ=;
 b=eXzJrySqfrm6ySm8qsyassFTYWQuDDZnSMgfHnJ0QGIa19nGKkhB0X2fiaA4ZtXolA
 9S52ZznkwPfc2EhjWbdNZWnhFSYpIi72pMMbP5CAEAsaSupM3Lb1+TRwPAw4ijJ4x3OH
 UUc7J2NBVqmvAzTKLKPL5hU2IzAji9zPSeJFjETYSICZ2O0BjkLF6bQ+w/lloK+5ec8+
 U+LhqSakAPBMv41JOsaw3T9YBw6peRcGHtl9GvoUIWLRV0bGg1xAP9D3kXcUu6NrNOab
 iYYJO70YIuucTq91R6eDnNZc2wQDdSlLOCNwxzGaSgZrHIhERKi4//yvWzpqPuQjv7CO
 I1Cw==
X-Gm-Message-State: AJIora8vatIS75VaY1jBCQnfXPeW4lM33vOkoLpJeUcQrBeEjxk98t2K
 HVQv76A77dVSK35l80hvg3SFufjzwJcyAQ==
X-Google-Smtp-Source: AGRyM1t8OA0v/Sqk8l3+O8mYZDaOSbZ8AFFpgGEKRtEk2ATmWXHFNhw1MZLDyRB+X4xSTsk/3dxytg==
X-Received: by 2002:a0c:f886:0:b0:46a:a0f8:db40 with SMTP id
 u6-20020a0cf886000000b0046aa0f8db40mr4822609qvn.88.1655399498969; 
 Thu, 16 Jun 2022 10:11:38 -0700 (PDT)
Received: from hurd (dsl-10-149-53.b2b2c.ca. [72.10.149.53])
 by smtp.gmail.com with ESMTPSA id
 ay35-20020a05620a17a300b006a716fed4d6sm2090186qkb.50.2022.06.16.10.11.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Jun 2022 10:11:38 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH 081/602] gnu: renpy: Build with Python 3.
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-81-maxim.cournoyer@HIDDEN>
 <18da4f053901c49dbaf80f8afc5edb8234d20d5d.camel@HIDDEN>
Date: Thu, 16 Jun 2022 13:11:30 -0400
In-Reply-To: <18da4f053901c49dbaf80f8afc5edb8234d20d5d.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Thu, 16 Jun 2022 15:18:48 +0200")
Message-ID: <87y1xwbkjh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana,

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:


[...]

> According to upstream, only renpy 8.0 will run on python 3, whereas
> renpy 7.5 (both still prereleases) will continue to use python 2.7.
>
> I suggest "temporarily" reverting the following commits
> 425783b5 "gnu: Remove python2-cython."
> ffec658a "gnu: Remove python2-future."
> 1a6eb0d6 "gnu: Remove python2-pygame-sdl2."
> 9f1bd63f "gnu: renpy: Build with Python 3."
> or alternatively dropping the renpy package altogether.  I have already
> reverted them on my local tree, so I could push whenever =E2=80=93 the qu=
estion
> is whether to do it in four separate commits or in a big one along with
> an explanation.
>
> WDYT?

Could you try updating renpy to a 8.0 pre-release?  It was last updated
6 days ago [0].  That'd be preferable to re-introducing Python 2 stuff.

Thank you!

Maxim

[0]  https://www.renpy.org/release/8.0.0




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 16 Jun 2022 13:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 09:18:58 2022
Received: from localhost ([127.0.0.1]:41082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1pOj-0006f9-T9
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 09:18:58 -0400
Received: from mail-ej1-f68.google.com ([209.85.218.68]:35762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1o1pOj-0006ev-3T
 for 55424 <at> debbugs.gnu.org; Thu, 16 Jun 2022 09:18:57 -0400
Received: by mail-ej1-f68.google.com with SMTP id me5so2762483ejb.2
 for <55424 <at> debbugs.gnu.org>; Thu, 16 Jun 2022 06:18:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=HAFvI88db+masLwOLkFaqYenNjq42aI3x15O1nfy9SU=;
 b=Fh/1uszAUNWf8Nm6sejkiGob+7XcbxQ/Iq2wAavB6HXKBkOYtCsYPQcZzLctc+ouir
 HQ1n2ZCfipgjEUFWiNzna+RmnlowAGlRFqOWU9IN9H8dGW7Snw370uovEGxVKx94IOba
 c7LPdjMdSENNG9wTvm5nTFLVMSXby961+8DVcCRKzRSYYPVQbsRGEECxy9l9UcuDMlck
 YJuH6FDC7lNfYymDI/mB1mV/66KoBgrNZx95LTYVS2apjSqfZ6Jgd+kr21HATVKlHi+0
 uRupd0n57p4X8zZ48p3ARmxTMrn5PMgSI8T9iBuoAEm3eg7B63WAoV9Qf+ThBQbRB6vl
 inFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=HAFvI88db+masLwOLkFaqYenNjq42aI3x15O1nfy9SU=;
 b=6c6NF1JIxOcCvXoL/9lMbKzm7J3/CdQfYCpVj9e/MGNh/7gbUdtpSC0K399KwPhkKK
 CO3kF+YrWpyxguozQ3guPNuU1Q0bcQ6Xu1e5fx8zA0BqQ4z9HHmDD/YsvTjTS/AO0E0p
 VDin1EGLkYrumF4sE9deXAOOJwv6im/8nyhsHl61bJRUvk4RPUSlgUKzWgG7ZT+q2j+c
 IzTecTJ5JDrXaIzVbKbgT2mA2xgOVVlMvo8ixZThjS9flXM+xXD/IAU3PIMQYnFiTd6f
 bx/rX9QtCoeT5BXxMmKKlzsDAOqJF6B9qfYtrd+kSrCgXHn1+2oIw2CdBctwtnC982Zp
 gTcA==
X-Gm-Message-State: AJIora9fqQZ7wzd0rg4WUtJTBCtHlL9TDKTrZQMn8dTJNhkTIfyyaKFs
 ILPNTcN5GN2kwUOhbb9NqZk=
X-Google-Smtp-Source: AGRyM1t9xHWFP9+xfm4AOPvRrMJs5GQ9e92xaGRlvD55TvzlUQj8EaeT8hZ51u38WuCGZ6ZtyGefWA==
X-Received: by 2002:a17:907:3f8c:b0:71b:badb:9389 with SMTP id
 hr12-20020a1709073f8c00b0071bbadb9389mr2192493ejc.311.1655385530208; 
 Thu, 16 Jun 2022 06:18:50 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 a16-20020aa7d750000000b0042bd6f745fasm1718023eds.92.2022.06.16.06.18.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Jun 2022 06:18:49 -0700 (PDT)
Message-ID: <18da4f053901c49dbaf80f8afc5edb8234d20d5d.camel@HIDDEN>
Subject: Re: [PATCH 081/602] gnu: renpy: Build with Python 3.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 55424 <at> debbugs.gnu.org
Date: Thu, 16 Jun 2022 15:18:48 +0200
In-Reply-To: <20220515044629.6843-81-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-81-maxim.cournoyer@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Sonntag, dem 15.05.2022 um 00:37 -0400 schrieb Maxim Cournoyer:
> * gnu/packages/game-development.scm (renpy)[python]: Delete argument.
> [phases]: Delete trailing #t.
> [propagated-inputs]: Update the inputs to their Python 3
> counterparts.
> [native-inputs]: Likewise.
> ---
Sorry for commenting on a patch that has already been merged, but this
does not actually build renpy with Python 3, it builds the python parts
of renpy.  And although those "build" fine as a package, since they
lack tests, there is no guarantee that they work – as a matter of fact,
the actual renpy package, which failed to build against python 3 back
when I last updated the package still fails to build if I adjust the
package definition.

According to upstream, only renpy 8.0 will run on python 3, whereas
renpy 7.5 (both still prereleases) will continue to use python 2.7.

I suggest "temporarily" reverting the following commits
425783b5 "gnu: Remove python2-cython."
ffec658a "gnu: Remove python2-future."
1a6eb0d6 "gnu: Remove python2-pygame-sdl2."
9f1bd63f "gnu: renpy: Build with Python 3."
or alternatively dropping the renpy package altogether.  I have already
reverted them on my local tree, so I could push whenever – the question
is whether to do it in four separate commits or in a big one along with
an explanation.

WDYT?




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424-done <at> debbugs.gnu.org:


Received: (at 55424-done) by debbugs.gnu.org; 31 May 2022 19:18:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 31 15:18:05 2022
Received: from localhost ([127.0.0.1]:48936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nw7NV-0007ll-0a
	for submit <at> debbugs.gnu.org; Tue, 31 May 2022 15:18:05 -0400
Received: from mail-qv1-f52.google.com ([209.85.219.52]:39745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nw7NR-0007lD-Gw
 for 55424-done <at> debbugs.gnu.org; Tue, 31 May 2022 15:18:02 -0400
Received: by mail-qv1-f52.google.com with SMTP id a9so5816267qvt.6
 for <55424-done <at> debbugs.gnu.org>; Tue, 31 May 2022 12:18:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=xDzK3aFZ0NC5MJTJx03M/TlCajRrKdLbSMUNmPOhTEk=;
 b=lwjeJg02QVDAYSvdmHyd5STsiOoNDznIXqRri3k/VmbPDYsRHcZu3+P/JmsfXxTUPo
 6yiQXVrRxOYPiu3/OzZjt4Fhx33Cdck/8rB1UOCBTw6IgAw8UMooWj4EV/jBp9wCV5yb
 r1TmHo8avSYpH1HNx8KQoDhsSo4DHFv5hyPWrVUxIcqO+ujr8MGT3iUfoDeq7RsAmLdy
 tiGMBQXi2OZdamNhn9LhCrQR3ZwTSHip3n/VS7qjVI7QVuA7E29F9X3webi9UIZvoU1n
 mDrk89TfV3iAZXtFYd+JJmMKe1aokS1F257iODd8qemRT4yPJStfzJJL+22ecbnaej3h
 kiXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=xDzK3aFZ0NC5MJTJx03M/TlCajRrKdLbSMUNmPOhTEk=;
 b=O62BAcTLaZuG/kXMumn5tpMabyFbx8Tr9ba+5VlL5r9r7qksrgRDLtJ+wgjU5lTu6v
 WlBy89yZB419wRJ0XE1cWEMCwke9EXZFT0bCNE+cfcMCt0zDwehI4HHAFc3w+OMA+tTo
 shdKdPbDKxqikFHPXxid+KtFoI+qWpNnLgteWVpaX12Ur60jtiMvqOuOefwUp4b5o9HC
 qK+ayWZHz/Rf7uEdaU4uEBK1Q5rnVag9f+PM5evh620TIu2EreO6mziWCy7QxiJjyOJd
 vxz2qBR7sPxNqPmEDmcYbK4CKUZys2/FdXgxQwlx/92jlNPK2DTua1lxEF9birzKP8vm
 vefQ==
X-Gm-Message-State: AOAM531yFtnrC6oxzlvnJQMSX3DcZaEHnpGCtnlZPO6hz+Nzlk38+1Og
 BhcZLi4U4uScb+Tnljzs1xigl1TPKh3FMg==
X-Google-Smtp-Source: ABdhPJx1EnkLAKNUE9oOUsSB5eENNOtKTATGJWeiTTOHSkS/KdLtXVqwUK2fCGNaH1TJHxM3LL67dg==
X-Received: by 2002:a05:6214:27c8:b0:456:3800:7b6e with SMTP id
 ge8-20020a05621427c800b0045638007b6emr51401499qvb.83.1654024675450; 
 Tue, 31 May 2022 12:17:55 -0700 (PDT)
Received: from hurd (dsl-154-171.b2b2c.ca. [66.158.154.171])
 by smtp.gmail.com with ESMTPSA id
 j3-20020a05620a000300b006a37c908d33sm9988273qki.28.2022.05.31.12.17.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 31 May 2022 12:17:54 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Guillaume Le Vaillant <glv@HIDDEN>
Subject: Re: bug#55424: [PATCH 000/602] Purge Python 2 packages
References: <20220515044412.6697-1-maxim.cournoyer@HIDDEN>
 <87bkvz9qby.fsf@kitej> <87lev2kw5r.fsf@HIDDEN>
Date: Tue, 31 May 2022 15:17:53 -0400
In-Reply-To: <87lev2kw5r.fsf@HIDDEN> (Maxim Cournoyer's message of "Sun, 15
 May 2022 23:12:48 -0400")
Message-ID: <87ilplqzoe.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424-done
Cc: 55424-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Hi Guillaume,
>
> Guillaume Le Vaillant <glv@HIDDEN> writes:
>
>> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>>
>>>   gnu: Remove ocrodjvu.
>>>   gnu: Remove didjvu.
>>
>> It looks like there are ports to Python 3 for these two programs at
>> <https://github.com/rmast/ocrodjvu/tree/python3> and
>> <https://github.com/FriedrichFroebel/didjvu>, so instead of removing the
>> packages maybe we could use these forks...
>
> I tried it, and it worked!  Thanks for suggesting.  I had to update
> python-gamera to version 4 in the process.
>
> You'll see the result in the 'purge-python2-packages' branch on
> Savannah, which I'll update shortly.

I've now pushed this series with
c35e508b4a317e3c06e1553833b0979e1620f582.

Closing.

Thanks!

Maxim




Notification sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 16 May 2022 03:17:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 23:17:37 2022
Received: from localhost ([127.0.0.1]:51258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqREm-00012T-SV
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 23:17:37 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:35521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nqREl-00012G-Oj
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 23:17:36 -0400
Received: by mail-qk1-f181.google.com with SMTP id z126so11433941qkb.2
 for <55424 <at> debbugs.gnu.org>; Sun, 15 May 2022 20:17:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=J+x6uqahwzqi6TJpRNPIp3W/WSkcrXRG5ucPmeZC0aI=;
 b=lGY+XaqJdqOWYMQa0RuIG16ZPlKOpwR4cXjBV6xzTV5LvFcIsm6hoRnLDdEMI79KXQ
 IMOnYxt4RROxTtyD+FVHbhRcj5A9zqpQoP2EnZzyGPU9+kLr0ijKaKY6twN61Rk9by+I
 d92SYSr9dXVC+gfqXmFFeNcV0KfInD0t9hcEUfA3MEDtMtTmwA/eef+UYnOi6lu9j+iW
 M+r2rCaLc+CQ2xudX6Qr4dosEm51vaE6qmTa6SmS6xiqDfi1dSB3ZJhUSDwZHXg9sLqQ
 o5CCi5iLCMeivEEqjEOsrwGUW7up0NRNjXUtMD8a4MoMiK2RsddzJRsmw8zfGZUfgh5+
 N1TQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=J+x6uqahwzqi6TJpRNPIp3W/WSkcrXRG5ucPmeZC0aI=;
 b=P6LUvZwHmpnbHwMioAOTdGfjMEm4/ig/FfHBkTldwMSqcAWXyril8RyYO7eGo8BJ2S
 QJA3xzmrLNPJ+jjwv/kxzrI+dUJFtw2gByR49FShXbOMmisvcwCjLdQba2yML9OG5iGv
 wcEE8hFS+aOse86CvshHM2tx1ZlEBc0OtRpGPhXTBETIE7yQAWccCQSoptKVJrlqOzPC
 V6wwZd9Fv2LYTNtdgCDhvehRbgIeMRkkfrcAob2yT/OxUEGCaPqxqMbtiTIMlzoF2NkH
 bneAn9aPzTnjlgIgYqdsQfuaJo1EfQ6SYRoT25QFtIixoUcjdV/CW4LTCetCb4ELhinK
 itOg==
X-Gm-Message-State: AOAM5301Vl8WAwclW5KnyAmhFlSnw/OAtUavZtF8ylnHXoGU5vLB1/a0
 mDAVJ6bea7gc7M8lToPThSH/m3Z2meWXsg==
X-Google-Smtp-Source: ABdhPJyO5HDmzuUPcNOS5LFqxEbB/CgOOj8AwJ5np7yg2Skgnlx7iyUxEl/5asBHft/ZgW62HV5FjQ==
X-Received: by 2002:a37:ac0d:0:b0:6a0:805:b99c with SMTP id
 e13-20020a37ac0d000000b006a00805b99cmr10942526qkm.642.1652671050143; 
 Sun, 15 May 2022 20:17:30 -0700 (PDT)
Received: from hurd (dsl-10-136-209.b2b2c.ca. [72.10.136.209])
 by smtp.gmail.com with ESMTPSA id
 o5-20020a05620a110500b006a0b40689b6sm4917692qkk.135.2022.05.15.20.17.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 15 May 2022 20:17:29 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#55424] [PATCH 061/602] gnu: Remove ocrodjvu.
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-61-maxim.cournoyer@HIDDEN>
 <38b24e50aa451c50ccf5fcea1396162f85b3f08c.camel@HIDDEN>
Date: Sun, 15 May 2022 23:17:29 -0400
In-Reply-To: <38b24e50aa451c50ccf5fcea1396162f85b3f08c.camel@HIDDEN>
 (Maxime Devos's message of "Sun, 15 May 2022 10:25:52 +0200")
Message-ID: <87h75qkvxy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Maxime,

Maxime Devos <maximedevos@HIDDEN> writes:

> Maxim Cournoyer schreef op zo 15-05-2022 om 00:37 [-0400]:
>> -=C2=A0=C2=A0=C2=A0 (inputs
>> -=C2=A0=C2=A0=C2=A0=C2=A0 `(("djvulibre" ,djvulibre)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("ocrad" ,ocrad)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("python" ,python-2)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("python2-djvulibre" ,python2-djvu=
libre)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("python2-html5lib" ,python2-html5=
lib)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("python2-lxml" ,python2-lxml)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("python2-pyicu" ,python2-pyicu)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("python2-subprocess32" ,python2-s=
ubprocess32)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("tesseract-ocr" ,tesseract-ocr)))
>
> Apparently python3 is now supported:
> <https://github.com/kcroker/dpsprep/pull/6>.

Wrong package?  That seems to be for dpsprep, not ocrodjvu.  For the
later, as pointed by Guillaume, there exists a Python 3 fork, which I
was able use to save the ocrodjvu package.

Thanks,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 16 May 2022 03:12:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 23:12:58 2022
Received: from localhost ([127.0.0.1]:51209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqRAH-0000sx-Uy
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 23:12:58 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:35333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nqRAF-0000se-4l
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 23:12:56 -0400
Received: by mail-qk1-f170.google.com with SMTP id z126so11430190qkb.2
 for <55424 <at> debbugs.gnu.org>; Sun, 15 May 2022 20:12:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=DKYwJ8TS1WLYxDPApXFx9I0UBtJ7YWI4NCHlD3Wj7wg=;
 b=BI6n8ubQBa5oXv/Q98t1k7VRD7J4YqgpvXp3M2H/UmZmWPvb0NPXxKZqDcbNdZf5oE
 Yu4sdxkppabbWfEYGXfrMHQ0H9oEMzIknvvn4DwLY8HfavY3Mt8qbbqoEmlHisPkK84B
 ns8U9iPf5VMxqTezrlyn3xZzzlCZt6Q6zzSaX6aQF2JaJ5tx1Oj35ImJj4JZBe2l51aT
 P/swMenJp4gwzmfYxlCMSko+MHNtbsRBX2qJFhlKSn50XgOqwBw68kQENzM4lEJBd0+N
 JNUL1VN6tizqIXwZPUMPxRSRoQG+Cea4tNQZXZ89ku39qEdRgIs2cqMvp+fSw02D4Wbx
 pMzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=DKYwJ8TS1WLYxDPApXFx9I0UBtJ7YWI4NCHlD3Wj7wg=;
 b=IR34yUTycxsFTomdoU6MY1ZHmh55TxSALWLS9rxivXp3+EyGepQC0m6KHw9KICXr8r
 uMGlSRFZrlvT0zt3ekpjUQ9If8xju17ZSvKygtCQc2+c5YsUcQ6pAQTXqfpRrDHl1NSk
 01y55uXKUQ3C+BcSYvVQmrb20bOFZsFc8x9dZgXl08h3p1dGIx4jtTNQq30pNK4q+nMT
 8kUvpkl/9zpyODNVP4B+qLhV1jKi/vtvI6LgpaHsrxpgTx8urefvi34NxHEK7g0DXTkl
 Li2sA1OZbK2TCGiyATiK9JYaXIe3PIc0QbEV9re2nEf2h1f1h0m9Te6vCFZSl2gAg/GQ
 0CoQ==
X-Gm-Message-State: AOAM5321l21aJpjHRf/H6NLZKjMucNt9XbvWGOUBo0CKDHqfcZEtBma2
 8Xo4oxUpy4oPbCW5zGVC03Gzp20SgHsfxA==
X-Google-Smtp-Source: ABdhPJxTP74swD5EKfXUa44sxYLF/rmm2P2EUoi+LLcq0hRTyLby+mcb6HxW/jC292yvrAJ3Kh1uPw==
X-Received: by 2002:a37:353:0:b0:69f:eb29:bcdf with SMTP id
 80-20020a370353000000b0069feb29bcdfmr11063261qkd.748.1652670769649; 
 Sun, 15 May 2022 20:12:49 -0700 (PDT)
Received: from hurd (dsl-10-136-209.b2b2c.ca. [72.10.136.209])
 by smtp.gmail.com with ESMTPSA id
 t62-20020ae9df41000000b0069fc13ce1efsm5220656qkf.32.2022.05.15.20.12.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 15 May 2022 20:12:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Guillaume Le Vaillant <glv@HIDDEN>
Subject: Re: [bug#55424] [PATCH 000/602] Purge Python 2 packages
References: <20220515044412.6697-1-maxim.cournoyer@HIDDEN>
 <87bkvz9qby.fsf@kitej>
Date: Sun, 15 May 2022 23:12:48 -0400
In-Reply-To: <87bkvz9qby.fsf@kitej> (Guillaume Le Vaillant's message of "Sun, 
 15 May 2022 07:56:12 +0000")
Message-ID: <87lev2kw5r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Guillaume,

Guillaume Le Vaillant <glv@HIDDEN> writes:

> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>
>>   gnu: Remove ocrodjvu.
>>   gnu: Remove didjvu.
>
> It looks like there are ports to Python 3 for these two programs at
> <https://github.com/rmast/ocrodjvu/tree/python3> and
> <https://github.com/FriedrichFroebel/didjvu>, so instead of removing the
> packages maybe we could use these forks...

I tried it, and it worked!  Thanks for suggesting.  I had to update
python-gamera to version 4 in the process.

You'll see the result in the 'purge-python2-packages' branch on
Savannah, which I'll update shortly.

Thank you,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 16 May 2022 03:11:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 23:11:24 2022
Received: from localhost ([127.0.0.1]:51205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqR8m-0000qb-Hr
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 23:11:24 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:39766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nqR8l-0000qO-00
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 23:11:23 -0400
Received: by mail-qk1-f171.google.com with SMTP id b20so11412264qkc.6
 for <55424 <at> debbugs.gnu.org>; Sun, 15 May 2022 20:11:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=MCgS37zvBIy2v9QMvMQS6EZUcyaZHyz430Z506G2vv0=;
 b=NIhLTFqOQK4C6hj7LTEmpuUzrSaneODhTqb8LCAbPsigB2A59tJAREmzEMqhGnUn5F
 m8vNGBO+7WWl8vqkAvA452Q20snXyrORxnnJDUD6lZvBSyfd48rsV6gZlpD6/NqfTXbt
 hNL5httcbyOLFunvdFweAO2WJiJtZow+UidrssKGEl/w5YwBOltRAMIXSriffPnoLYHm
 xyHMu2tHsa0zcz+5gjF9V7hlYg67804gxLuhU/vVf3QUo0fbS4/hXaSOkFBzC1T5B8Ws
 LqgMtTzN23bjZxuxdi+mZOeZ7X/zeT2wbtVQHaNbsIX5csruaPhfXfSvVDx0inz41igS
 mOSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=MCgS37zvBIy2v9QMvMQS6EZUcyaZHyz430Z506G2vv0=;
 b=M49JDWhuo2k0E51wiJ4Dbt97ozwI+UZAtYLPL6+tjvpJz+/7T9eJK4D+ynxwpdPp9F
 ux2D5bmE0iGtmniP6EXVAAWQOjqTkoqx7paAFCp8feJGR596qTnSpMUwPUSSLC/s84r+
 Ff2EfTmL7xoZVOE+XZJRvfn6+3xDc0+9o76boYw3Mfb7ZgRglYe+pSLg8sAcnIqWYmUL
 H6OmM4IsBa9S8OQfNBHpj4qgXVOcmaCuiip4jqLbCOEO0sdOz2bTEflzsyYkgm6KRn7+
 7GBkhH4k6c7DAVyiSS0ntQVhBiIdzaCw1ixBqh58oUYnVPNPEmEHSKxV467bu/9K2IHz
 2c8A==
X-Gm-Message-State: AOAM533J9KqGSukYNbKv+WXDkiHrEEP7Jam0uVnf3J7PKfaaflujMKBn
 KEkwEq4zuckzOmbfvIzsd7/nsAy4NSHURg==
X-Google-Smtp-Source: ABdhPJypELpH5oaejzzN20QwoOnZuYaD8o592nr/v1RSr/MjXcgUQp3Lihtge9+iHHwioPzkgMAC+A==
X-Received: by 2002:a05:620a:14b2:b0:69f:9cc3:a6df with SMTP id
 x18-20020a05620a14b200b0069f9cc3a6dfmr10845678qkj.406.1652670677241; 
 Sun, 15 May 2022 20:11:17 -0700 (PDT)
Received: from hurd (dsl-10-136-209.b2b2c.ca. [72.10.136.209])
 by smtp.gmail.com with ESMTPSA id
 g2-20020a37e202000000b0069fc13ce23dsm5021231qki.110.2022.05.15.20.11.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 15 May 2022 20:11:16 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#55424] [PATCH 020/602] gnu: Remove pepr.
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-20-maxim.cournoyer@HIDDEN>
 <ed7cfebe66f67a43887aadeedbaa98ffa8f4fb9e.camel@HIDDEN>
Date: Sun, 15 May 2022 23:11:15 -0400
In-Reply-To: <ed7cfebe66f67a43887aadeedbaa98ffa8f4fb9e.camel@HIDDEN>
 (Maxime Devos's message of "Sun, 15 May 2022 10:17:36 +0200")
Message-ID: <87pmkekw8c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Maxime,

Maxime Devos <maximedevos@HIDDEN> writes:

> Maxim Cournoyer schreef op zo 15-05-2022 om 00:36 [-0400]:
>> -(define-public pepr
>> -=C2=A0 (package
>> -=C2=A0=C2=A0=C2=A0 (name "pepr")
>> -=C2=A0=C2=A0=C2=A0 (version "1.0.9")
>> -=C2=A0=C2=A0=C2=A0 (source (origin
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0 (method url-fetch)
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0 (uri (pypi-uri "PePr" version))
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0 (sha256
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0 (base32
>> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0 "0qxjfdpl1b1y53nccws2d85f6k74zwmx8y8sd9rszcqhfayx6gdx=
"))))
>> -=C2=A0=C2=A0=C2=A0 (build-system python-build-system)
>> -=C2=A0=C2=A0=C2=A0 (arguments
>> -=C2=A0=C2=A0=C2=A0=C2=A0 `(#:python ,python-2 ; python2 only
>
> Looking at <https://github.com/shawnzhangyx/PePr/issues/33>
> and <https://github.com/shawnzhangyx/PePr/issues/30>, it appears that
> Python2->3 issues have been fixed.  At least, those that the maintainer
> is aware of.
>
> The latest version apparently is 1.1.24
> <https://github.com/shawnzhangyx/PePr/blob/master/PePr/__init__.py>,
> although it does not have a tag.  According to the =E2=80=98latest commit=
 ...=E2=80=99
> text on GitHub, this version number appears in commit
> <https://github.com/shawnzhangyx/PePr/commit/f1676cdaad4c4f9704ecea328ce3=
b814fb49b6fc>.
>
> So maybe updating 'pepr' would be sufficient?

Unfortunately, no;

***   File "/gnu/store/ba7i5cbiznn4j712d8g8ij5az0jmba7b-pepr-1.1.24-0.05f20=
c6/lib/python3.9/site-packages/PePr/utilities/find_peak_mode.py", line 108
    print chr
          ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print(chr=
)?

That's when using the last commit.

Thanks,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 08:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 04:25:56 2022
Received: from localhost ([127.0.0.1]:48508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq9Zc-0000tk-L3
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 04:25:56 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:59042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nq9Zb-0000tc-Oq
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 04:25:56 -0400
Received: from [172.20.10.9] ([188.189.252.90])
 by andre.telenet-ops.be with bizsmtp
 id WwRt2700B1xnBQk01wRu8b; Sun, 15 May 2022 10:25:54 +0200
Message-ID: <38b24e50aa451c50ccf5fcea1396162f85b3f08c.camel@HIDDEN>
Subject: Re: [bug#55424] [PATCH 061/602] gnu: Remove ocrodjvu.
From: Maxime Devos <maximedevos@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 55424 <at> debbugs.gnu.org
Date: Sun, 15 May 2022 10:25:52 +0200
In-Reply-To: <20220515044629.6843-61-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-61-maxim.cournoyer@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-91K6d67mdTbyJYvkiaGF"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652603154; bh=VT8b23Stfs0Sh/4RLQ83gyuwyH0+86xEicO3Jo5lQJQ=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=MNsbQxbrxTdVPgfXt4g9D/fCHFRe/zxOQFbxvzI1p+KdHiwUqVM7yqqKi3SXOeEol
 gTs+8ucDjLOVVB/aRsXwokWboBXuxR9GFYxc4Q2jBPNDDfFSdgfEzHMIWaNXHef8JH
 bLNqeH3G6ROngnNwKzsD5BZZHopaP7dNGn74jaY+lgz7P8cHCcHQ2VVzceUjAmoXlP
 8dTvI9Tr6qGLZPqGil/Ux/C0Lw9O97FSDwjl1SU07bciH3R59oBzkvP4XQ4pmsY/Js
 M5fmlE70cLD0sFfbwZdXHyt+FlLVQ4OV44HWSVmWWVtpW8o5VnbL0DwHVH1V6VRRYy
 t3Nex7oFhBiSQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-91K6d67mdTbyJYvkiaGF
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

TWF4aW0gQ291cm5veWVyIHNjaHJlZWYgb3Agem8gMTUtMDUtMjAyMiBvbSAwMDozNyBbLTA0MDBd
Ogo+IC3CoMKgwqAgKGlucHV0cwo+IC3CoMKgwqDCoCBgKCgiZGp2dWxpYnJlIiAsZGp2dWxpYnJl
KQo+IC3CoMKgwqDCoMKgwqAgKCJvY3JhZCIgLG9jcmFkKQo+IC3CoMKgwqDCoMKgwqAgKCJweXRo
b24iICxweXRob24tMikKPiAtwqDCoMKgwqDCoMKgICgicHl0aG9uMi1kanZ1bGlicmUiICxweXRo
b24yLWRqdnVsaWJyZSkKPiAtwqDCoMKgwqDCoMKgICgicHl0aG9uMi1odG1sNWxpYiIgLHB5dGhv
bjItaHRtbDVsaWIpCj4gLcKgwqDCoMKgwqDCoCAoInB5dGhvbjItbHhtbCIgLHB5dGhvbjItbHht
bCkKPiAtwqDCoMKgwqDCoMKgICgicHl0aG9uMi1weWljdSIgLHB5dGhvbjItcHlpY3UpCj4gLcKg
wqDCoMKgwqDCoCAoInB5dGhvbjItc3VicHJvY2VzczMyIiAscHl0aG9uMi1zdWJwcm9jZXNzMzIp
Cj4gLcKgwqDCoMKgwqDCoCAoInRlc3NlcmFjdC1vY3IiICx0ZXNzZXJhY3Qtb2NyKSkpCgpBcHBh
cmVudGx5IHB5dGhvbjMgaXMgbm93IHN1cHBvcnRlZDoKPGh0dHBzOi8vZ2l0aHViLmNvbS9rY3Jv
a2VyL2Rwc3ByZXAvcHVsbC82Pi4KCkdyZWV0aW5ncywKTWF4aW1lLgo=


--=-91K6d67mdTbyJYvkiaGF
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYoC5EBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7tmFAQDPoJDwBLKDmukUHSVNUffVRXHZ
OegyW8qsYFAvcmSnxAD/T8veNuj2z/HfcUnfMi0gzZE3yeUvijKz4TUXE36Sxg8=
=f9vx
-----END PGP SIGNATURE-----

--=-91K6d67mdTbyJYvkiaGF--





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 08:17:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 04:17:46 2022
Received: from localhost ([127.0.0.1]:48492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq9Ri-0000hY-0k
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 04:17:46 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:59844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nq9Rf-0000hP-Ss
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 04:17:44 -0400
Received: from [172.20.10.9] ([188.189.252.90])
 by xavier.telenet-ops.be with bizsmtp
 id WwHh2700H1xnBQk01wHhc3; Sun, 15 May 2022 10:17:42 +0200
Message-ID: <ed7cfebe66f67a43887aadeedbaa98ffa8f4fb9e.camel@HIDDEN>
Subject: Re: [bug#55424] [PATCH 020/602] gnu: Remove pepr.
From: Maxime Devos <maximedevos@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 55424 <at> debbugs.gnu.org
Date: Sun, 15 May 2022 10:17:36 +0200
In-Reply-To: <20220515044629.6843-20-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
 <20220515044629.6843-20-maxim.cournoyer@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-/PuHOt+bxVAfRvfy2iDG"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652602662; bh=BqkEZvMSIr6pud0+QHcbF7Q3gHJDO+Bv6DJM6p65eio=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=YZpV8qfeffloDpAq8431H1GMilF4Lss9NN3m5K2BZuUKvFtAP327d4zlnGbIWOSfn
 yuuCchN+9vj0oT8H80KndvsxB3jxFSddO5JlK6oAR8xj+8+ZLa8ES/xMMqT/Fi8VPy
 c8t51u189RZMNhhMmZEY882qo73KMJgKvQHFMeBccFaD8NTCKCEf8+s5iDBnIHMsUa
 +LBw2N51u2see2P/vnTAo2h36WYxrzvTuqIDDcHTigruifqq14lXuq7eBwPw3buzs1
 aG0UxbF+FP7mH8yK2k43u5FeH5EmLl1UHVTEgtLdp1d/90go2JfG6HNCkft9Dho8Z+
 K0ULMvt2OBuHw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-/PuHOt+bxVAfRvfy2iDG
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Maxim Cournoyer schreef op zo 15-05-2022 om 00:36 [-0400]:
> -(define-public pepr
> -=C2=A0 (package
> -=C2=A0=C2=A0=C2=A0 (name "pepr")
> -=C2=A0=C2=A0=C2=A0 (version "1.0.9")
> -=C2=A0=C2=A0=C2=A0 (source (origin
> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 (method url-fetch)
> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 (uri (pypi-uri "PePr" version))
> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 (sha256
> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0 (base32
> -=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0 "0qxjfdpl1b1y53nccws2d85f6k74zwmx8y8sd9rszcqhfayx6gdx"))=
))
> -=C2=A0=C2=A0=C2=A0 (build-system python-build-system)
> -=C2=A0=C2=A0=C2=A0 (arguments
> -=C2=A0=C2=A0=C2=A0=C2=A0 `(#:python ,python-2 ; python2 only

Looking at <https://github.com/shawnzhangyx/PePr/issues/33>
and <https://github.com/shawnzhangyx/PePr/issues/30>, it appears that
Python2->3 issues have been fixed.  At least, those that the maintainer
is aware of.

The latest version apparently is 1.1.24
<https://github.com/shawnzhangyx/PePr/blob/master/PePr/__init__.py>,
although it does not have a tag.  According to the =E2=80=98latest commit .=
..=E2=80=99
text on GitHub, this version number appears in commit
<https://github.com/shawnzhangyx/PePr/commit/f1676cdaad4c4f9704ecea328ce3b8=
14fb49b6fc>.

So maybe updating 'pepr' would be sufficient?

Greetings,
Maxime.

--=-/PuHOt+bxVAfRvfy2iDG
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYoC3IBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7n/BAQD5ZEMehVQOaZoPvssYKcoS1z1H
nInB6YYndL/ZLVKhKwD/aWDmhHN7jbMfKX+XIKw2An9OJvYfNBAwWavDXh10NQ8=
=AZf1
-----END PGP SIGNATURE-----

--=-/PuHOt+bxVAfRvfy2iDG--





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 08:02:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 04:02:14 2022
Received: from localhost ([127.0.0.1]:48469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq9CW-0000KX-N1
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 04:02:14 -0400
Received: from mout02.posteo.de ([185.67.36.66]:45737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <glv@HIDDEN>) id 1nq9CU-0000K2-5p
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 04:02:03 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id E83DC240112
 for <55424 <at> debbugs.gnu.org>; Sun, 15 May 2022 10:01:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1652601715; bh=I0kMJJZHIWj8kecR2+cTg5j/0uvD80fNDRHVqLdVZxo=;
 h=From:To:Cc:Subject:Date:From;
 b=mOzR33Y4HMKQme1Ep2/ZutcjSl1xYz5y9kECqpvLl6fxewxbJTTByso1QMctPoyy2
 xQWxcgpKz534j5qZEzLaJ9CEQRjSbETwf6r1tVcLM08p7leK76CF/mRrZbB7Rgfr6I
 zGlnU10ekup3SXpTj8o4q0YGfc2kUtEelIVOKDbOCB2/O4MTQ1BbjHjnVC4F+hj/I2
 JJcOgT5JoOLdW5MyoLK3DkpOJermbVu7np1pegW/4SyO/KbVRFJCQq4sLjt127aNQH
 69Fx/7C4AaGAEPaJou0iFjtOULQkh4FX+d3pcvjb7oOIxu/eUnz5+2/1sXQapKEQMv
 PCt8Vq/fO8Vsw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4L1FGB68v1z6tp1;
 Sun, 15 May 2022 10:01:54 +0200 (CEST)
References: <20220515044412.6697-1-maxim.cournoyer@HIDDEN>
From: Guillaume Le Vaillant <glv@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: [bug#55424] [PATCH 000/602] Purge Python 2 packages
Date: Sun, 15 May 2022 07:56:12 +0000
In-reply-to: <20220515044412.6697-1-maxim.cournoyer@HIDDEN>
Message-ID: <87bkvz9qby.fsf@kitej>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55424
Cc: 55424 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

>   gnu: Remove ocrodjvu.
>   gnu: Remove didjvu.

It looks like there are ports to Python 3 for these two programs at
<https://github.com/rmast/ocrodjvu/tree/python3> and
<https://github.com/FriedrichFroebel/didjvu>, so instead of removing the
packages maybe we could use these forks...

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEAREKAC0WIQTLxZxm7Ce5cXlAaz5r6CCK3yH+PwUCYoCzcQ8cZ2x2QHBvc3Rl
by5uZXQACgkQa+ggit8h/j+irwD/SjSWh2As5vlhpfjzxG38hz9AtH2sLyVjA73A
81HNEoYA/0s60FwneyVUQik+Ug7ZPK1BWE17zfOptqLA/eiskPbv
=yslB
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:47 2022
Received: from localhost ([127.0.0.1]:48257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IF-0003YB-53
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:47 -0400
Received: from mail-qt1-f177.google.com ([209.85.160.177]:41706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6ID-0003Vu-6B
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:45 -0400
Received: by mail-qt1-f177.google.com with SMTP id y3so10062411qtn.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=zWODSq0N1Zqvh6E3A7uvS/Jmd19TuFfbr3jEOAL/16U=;
 b=O1vRWrk7941s2cbfZNfMxFJpSih2dOxspxRCYX3cWorX8FeYQo5vFFGRqFRGR0hhd8
 MJM/zZWpLIqVBSTN16C3FapJEjTwGpYHuP7bNbsmXTbWQJr9tVZXS5d/cTdBcK1cOevy
 VWEJXcRA18weVFaSWftSsdDyXZLt2c3QbsAhWcdCQ9m6uM3WUdh60SQ7jH0vHTWneIBM
 KIU9Nk4dN8QIri8NXEz3S9FLxmN20ehZaBfnIHDD3D4z6jHNW/onUnAF65fexvQYkZ3x
 MfdDtkpEWyyiU9Z6FPZWzZlDQ0LSySjY9ScLA00CBhXPAw7Wtt9xs5BtntK7QgU74dxw
 uB+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=zWODSq0N1Zqvh6E3A7uvS/Jmd19TuFfbr3jEOAL/16U=;
 b=I57V3voFn3vhFu7hvjQBkgt2pm8gg00xDffeoNdafdqlw6nkVd2PWJxWUCrFXpDp0T
 mEXz7u6bDwULp7j3CaHShlTUIUE5FP3WzjP+q7vRhDtYsdtMPMbB8Sf1J2JVaD2oLasX
 m8KPteXkQ65ahNNwAVA39TWpENehoflS7i2rEQz4m4Y2bdn15vzkVj2h7vyGtdftQndF
 XwrgCMU+nWyG+yqDfNB0PmL/x158Zpw4gZ59PmDXfGyAMD2orPN+7Usblp8myoqcrsVk
 963G6yCUdU6QDsQ65nrPbxDNv/0GjtPhWH/ueiGPGT6G7lIisrYDZ3xjzbuKk4F6fcVo
 a3Zw==
X-Gm-Message-State: AOAM530Oj0rALdSWUucUNi3IjiPJ3G4JIgSDdYu8JHxZkDc6DhmMwoYz
 CxEBmGgOrqEljLEP4JZjMBxglzLdQfnpQg==
X-Google-Smtp-Source: ABdhPJzA2RBMa7DqhAtMEj0kVKpTerhpnAAL3JDl0cimrksSzV0C1BPohrjpDK+4JO1j0v9RsCSxdw==
X-Received: by 2002:ac8:5a8f:0:b0:2f3:d8e9:23c9 with SMTP id
 c15-20020ac85a8f000000b002f3d8e923c9mr10779449qtc.686.1652590042684; 
 Sat, 14 May 2022 21:47:22 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:22 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 041/602] gnu: Remove python2-flexmock.
Date: Sun, 15 May 2022 00:37:08 -0400
Message-Id: <20220515044629.6843-41-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-flexmock): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index a093fedfe8..7ddf424019 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2915,9 +2915,6 @@ (define-public python-flexmock
 mocks, stubs and fakes.")
     (license license:bsd-3)))
 
-(define-public python2-flexmock
-  (package-with-python2 python-flexmock))
-
 (define-public python-flaky
   (package
     (name "python-flaky")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:46 2022
Received: from localhost ([127.0.0.1]:48253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IE-0003Xx-JI
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:46 -0400
Received: from mail-io1-f49.google.com ([209.85.166.49]:43615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6I3-0003RU-Qf
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:36 -0400
Received: by mail-io1-f49.google.com with SMTP id o190so12828941iof.10
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=G08mzgTopV9SC+JJGZfJROr4s0wK3hzOcCtF8qY7ORc=;
 b=BgoiLaEsyo4P/CvC/R1QvJoEQaN/4ugPtqMBW9duca8ckPN/0Z268VpDsI3BxkHVlU
 IPpfEezoWdmRieWcCntcSj842OSsccHR2xt+paRnX/xk89ZKAEDFBk1rgVFPwT6pEAkV
 h5QCoTioH9RRPg0a0Ql92MH9tYJTpWuyk/SKIsrkCqv7S/T0t8HXME3BNJXoFwzlraEY
 MDr3fuZC0fM420KLjvwNvPYzpXqnbMAEEpwuXBLSaRgsoIZQ/vlTAvOwXM4fhFK3GcyL
 se6u/h9wMWLwGN3/+YMkykRDFUwQAIpoz0YQYdrRoVIJHnTrqOQCOu4gAIRMahKI5clJ
 BEOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=G08mzgTopV9SC+JJGZfJROr4s0wK3hzOcCtF8qY7ORc=;
 b=RMZyFW/piKuF201mbDo2Y+4nUB62cldNiFcNp02P3KbUWmZ/3oAlFZUv2vnReNhUL0
 FinC7i/1//HCTwEhs9wzR+dxeXIMVZpsOCsB3RnD4okPOMIGzJZDpXbhmrafIU4x4L5k
 LJgHEWHEcWm+wnWml/FhbHq7GJAb76qkqzAz4gkMrSuSR4txHovw/IG2fLdY8PPNe4g0
 gyzRrckqlaflpm2HI6QMctzmErNzJt5yT6SinuM19GimqnIbFIlEVe/FX2A3eyXnMlYK
 KrQPSLiukLPu5bYi6JGUTA3ZThLQD8+K2WllPL8CGTcDUFme673E78jiHps6V/tS7C+T
 c9tQ==
X-Gm-Message-State: AOAM533sxzTC3ca8Pr50flE0T7ST1vtNkZSCTNhgQE89IMwJvkTxTUQJ
 XOaYeb37wOYzEDUAGP6yR33Jmcxm6eaZSg==
X-Google-Smtp-Source: ABdhPJzJhaAFGIBZP4iYz5bYU9B4qiXlw0klt8jmV5sP16ZMjXLssbZouKBkJl7Ka091BfX/TA7xog==
X-Received: by 2002:a05:620a:462a:b0:6a0:28a3:e0f7 with SMTP id
 br42-20020a05620a462a00b006a028a3e0f7mr8230844qkb.626.1652590062206; 
 Sat, 14 May 2022 21:47:42 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:41 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 069/602] gnu: Remove python2-pyodbc.
Date: Sun, 15 May 2022 00:37:36 -0400
Message-Id: <20220515044629.6843-69-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-pyodbc): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 56fef5ee13..46526bc023 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3110,9 +3110,6 @@ (define-public python-pyodbc
 for ODBC.")
     (license (license:x11-style "file:///LICENSE.TXT"))))
 
-(define-public python2-pyodbc
-  (package-with-python2 python-pyodbc))
-
 (define-public mdbtools
   (package
     (name "mdbtools")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:46 2022
Received: from localhost ([127.0.0.1]:48250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6ID-0003Xj-3l
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:46 -0400
Received: from mail-vs1-f54.google.com ([209.85.217.54]:37463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Hr-0003S6-Pp
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:25 -0400
Received: by mail-vs1-f54.google.com with SMTP id t85so12362394vst.4
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=c2TxSIj5YOiIhhze9ClZbAsl8hKnP/JSHj4gLsH0Gs4=;
 b=V/diTMJX9DoL70pWhdvR2yJQ52SDZsJBlILjjSJKJ9N3NQKHi+ino7vf5fmXCHRfc9
 tEPbx+r4R8ghTmUoehWxhrf+rf+T9U/3y+INSs+ladn2kCGkVvrE+JeLhLxwaEoVIvI3
 ICVXAtWlhCkW+PJDxd1hsqi/Y8SKYoFJVUZW+tla8vO+/hlr1pTo0xxq3UGWCAtwJLBY
 KBTVNbsgrcA0LqwpY3Xq8dPzQwnCzgdXusb+uBAIUVZg5SgfFqK1YpKm46IAYn6qUVIq
 kKMbWsCvKwZeSlHE5bdT2BjqSXwmetVQFR1J+IxTZONMk2OR2Zu1jrfviedZfWGYA3Lw
 AIdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=c2TxSIj5YOiIhhze9ClZbAsl8hKnP/JSHj4gLsH0Gs4=;
 b=UvoJIOqRjwO0gemLwAcrRDjZJAFNPkcimxCIuO4+ZJfM2y4KxmHEfcSjP9ttm4WJDi
 EwHp9xfa2/AMGqftfwyZVz7iPAdkVNA+DfnNRt+f/geQjW/2EOIoo0QtZpkmkw/gmCD4
 7YnujrMDc86o0g+JX3nO1jxpGDYKGnkTZxsGIeZeawHoLkam/CCIiiBiwpU/rkFSkOOG
 BTi9i1+aBuJhx8X7+eNKDhN5+KHO6yeSVQlnCRg4UesL85njH0gK/ItFQcLl7bvEo7+o
 ZM/jw7ZYlXZJufl10Bd2VH+L2hZHo4f408wpALyOx/mKuKdzVJCJ38mNPdsQc02uUrvO
 TFcQ==
X-Gm-Message-State: AOAM5325cgUXF+oPrQg+thXnUxEaQSqwgLKVzvqAxMuUnO++27HyRYFM
 rwHfp4F1lsGIXZAmFADZC9A/+ADLH0GmWA==
X-Google-Smtp-Source: ABdhPJzP53HGQRXOPLkKe497y8GvIo6q1grRpksxROLMCfJbZeA52uTMwc7gK9AbRUabkJwKtbpcZQ==
X-Received: by 2002:ad4:5c4f:0:b0:443:fd5b:b7ba with SMTP id
 a15-20020ad45c4f000000b00443fd5bb7bamr10354182qva.0.1652590029677; 
 Sat, 14 May 2022 21:47:09 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:09 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 023/602] gnu: Remove bamm.
Date: Sun, 15 May 2022 00:36:50 -0400
Message-Id: <20220515044629.6843-23-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (bamm): Delete variable.
---
 gnu/packages/bioinformatics.scm | 79 ---------------------------------
 1 file changed, 79 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 9d4fcbb188..5f637fe29a 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -210,85 +210,6 @@ (define-public aragorn
 structure of the predicted RNA.")
     (license license:gpl2)))
 
-(define-public bamm
-  (package
-    (name "bamm")
-    (version "1.7.3")
-    (source (origin
-              (method git-fetch)
-              ;; BamM is not available on pypi.
-              (uri (git-reference
-                    (url "https://github.com/Ecogenomics/BamM")
-                    (commit version)
-                    (recursive? #t)))
-              (file-name (git-file-name name version))
-              (sha256
-               (base32
-                "1p83ahi984ipslxlg4yqy1gdnya9rkn1v71z8djgxkm9d2chw4c5"))
-              (modules '((guix build utils)))
-              (snippet
-               `(begin
-                  ;; Delete bundled htslib.
-                  (delete-file-recursively "c/htslib-1.3.1")))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2 ; BamM is Python 2 only.
-       ;; Do not use bundled libhts.  Do use the bundled libcfu because it has
-       ;; been modified from its original form.
-       #:configure-flags
-       ,#~(let ((htslib #$(this-package-input "htslib")))
-            (list "--with-libhts-lib" (string-append htslib "/lib")
-                  "--with-libhts-inc" (string-append htslib "/include/htslib")))
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'autogen
-           (lambda _
-             (with-directory-excursion "c"
-               (let ((sh (which "sh")))
-                 (for-each make-file-writable (find-files "." ".*"))
-                 ;; Use autogen so that 'configure' works.
-                 (substitute* "autogen.sh" (("/bin/sh") sh))
-                 (setenv "CONFIG_SHELL" sh)
-                 (invoke "./autogen.sh")))))
-         (delete 'build)                ;the build loops otherwise
-         (replace 'check
-           (lambda _
-             ;; There are 2 errors printed, but they are safe to ignore:
-             ;; 1) [E::hts_open_format] fail to open file ...
-             ;; 2) samtools view: failed to open ...
-             (invoke "nosetests")))
-         (add-after 'install 'wrap-executable
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out  (assoc-ref outputs "out"))
-                    (path (getenv "PATH"))
-                    (pythonpath (getenv "GUIX_PYTHONPATH")))
-               (wrap-program (string-append out "/bin/bamm")
-                 `("PATH" ":" prefix (,path))
-                 `("GUIX_PYTHONPATH" ":" prefix (,pythonpath)))))))))
-    (native-inputs
-     (list autoconf
-           automake
-           libtool
-           zlib
-           python2-nose
-           python2-pysam))
-    (inputs
-     (list htslib-1.3 ; At least one test fails on htslib-1.4+.
-           samtools
-           bwa
-           grep
-           sed
-           coreutils))
-    (propagated-inputs
-     (list python2-numpy))
-    (home-page "https://ecogenomics.github.io/BamM/")
-    (synopsis "Metagenomics-focused BAM file manipulator")
-    (description
-     "BamM is a C library, wrapped in python, to efficiently generate and
-parse BAM files, specifically for the analysis of metagenomic data.  For
-instance, it implements several methods to assess contig-wise read coverage.")
-    (license license:lgpl3+)))
-
 (define-public bamtools
   (package
     (name "bamtools")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:45 2022
Received: from localhost ([127.0.0.1]:48248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IC-0003Xc-QX
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:45 -0400
Received: from mail-pj1-f53.google.com ([209.85.216.53]:50783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Hs-0003SM-Dn
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:24 -0400
Received: by mail-pj1-f53.google.com with SMTP id iq10so11532207pjb.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=NkkMom06IvS22vzHA32lKW6hFyPoYvojVthsO8jdZXg=;
 b=eUOiNfxn7oYaCbVMp3+YE4OaKUnmimQiIqG8THi5SHxPQKC/wXSqsF9ybL6CybQ+kA
 osIRYbcSH82TGeRb92BQa+6e+qQL/vwjygIyTp+cIzw/yc24aEc/yUbV5cj6HEJWyw1N
 u6nHa06VzxXdGKycx7+dSOPtZMd/mu+XsRBcznLnDnisH5PzGBOlqK0Tz2MxHaul7Tw5
 z11qVAmfkpR3VhBwzKxE4Tk0W+pOvllDGyxBGvziIoZfwmij25AuTV/Pg5HbcfMlR7yd
 dbrht7hnmNXjcjUcqL/2pO1RNLk2T/CjCECyUC/NqNVwoDWuWjSIDokGz2a07DwjvllO
 d3AA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=NkkMom06IvS22vzHA32lKW6hFyPoYvojVthsO8jdZXg=;
 b=ZvY1X5gJUd3dkJJbk6LUeDt+N6jyG5wgj4/dKUZYG3SbYbz39IHjZvp+DnfBQUHLhb
 sNk6ERTx6piipExtdaBgMCiPLPcCAjxT8k8hzKKtEANEoQKcq6sy5XEi1WDxDuvLnog7
 cAKUQKGtZBzgXbZ04GuJkXInA+UgxXqSIjJ+cuO/ANrtPe70F+3T61W01NnzS/tNRTC+
 6k+hYGeNidioAEQbove9j4lm4S/7WGwr1DwN9hq62PhCi2Jjw3OsOdPyLUwfGVMIa0FW
 kVeB/xF9fHOFgLnGuye5i6fjLDJnuX5ge6Y68nqqODEJrdtQ0F4zgYhXo59ksmQOHR7U
 nkvw==
X-Gm-Message-State: AOAM532Th0BM68NyBFiJJSSjkq2GBOCiU8Ixh65aHR07MOKEDrZOMOcE
 bxjuhK8nAusxWsXDPKXeoJ88bBCvk6rXiQ==
X-Google-Smtp-Source: ABdhPJwk4r+VkadfkZpi4RFQVGL9fhtXsHYMbtaqlbLmdDBBHK0blwmR20rktwvsVmbb7iC0JA+pqg==
X-Received: by 2002:a05:6214:20e6:b0:45e:720c:32a5 with SMTP id
 6-20020a05621420e600b0045e720c32a5mr10371449qvk.124.1652590076274; 
 Sat, 14 May 2022 21:47:56 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:55 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 089/602] gnu: Remove python2-iso3166.
Date: Sun, 15 May 2022 00:37:56 -0400
Message-Id: <20220515044629.6843-89-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/iso-codes.scm (python2-iso3166): Delete variable.
---
 gnu/packages/iso-codes.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/iso-codes.scm b/gnu/packages/iso-codes.scm
index b2cfd3434c..b567c0e029 100644
--- a/gnu/packages/iso-codes.scm
+++ b/gnu/packages/iso-codes.scm
@@ -115,6 +115,3 @@ (define-public python-iso3166
     (synopsis "Self-contained ISO 3166-1 country definitions")
     (description "This package provides the ISO 3166-1 country definitions.")
     (license license:expat)))
-
-(define-public python2-iso3166
-  (package-with-python2 python-iso3166))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:44 2022
Received: from localhost ([127.0.0.1]:48246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IC-0003XV-Gi
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:44 -0400
Received: from mail-io1-f50.google.com ([209.85.166.50]:36671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Hr-0003Ry-M7
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:24 -0400
Received: by mail-io1-f50.google.com with SMTP id e15so12872416iob.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=2FO4SlFDUJAdZ2iUJcF6XJprbUwOUti72BPrX1N+dgg=;
 b=mvSBSFi94H3Mbxody7+wuXCALbRzEw5DGOVoQUU9A+aC0nXpEAgRx1UsRrtHbSaCw9
 Pw/Wqt/E3uRLX1D9XmwBXKzMWL2IxkdpqSHru3FCQ6b+4wwuFFpZ3cUmu49IhYrgCj6S
 2uMnF/EKBlgipMpr73p1U4efdYu0ezCh6+D4T+nQ4Coy3V4u8ls/On8sYYNPaeSFhRO5
 O5U56ApHzGAkjrPwtpfjJ7B1S9JK3ft8lj8IwSlWPDq4h0Ewsj9WKnTKvZZ8VGUc1uSb
 tqORLFbzeE5xSPhzmpfuul1dF4IABhhuVQpRk+L/8RqM8BaoK6kRaPdR2yFEwwaNzQEH
 4DxA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=2FO4SlFDUJAdZ2iUJcF6XJprbUwOUti72BPrX1N+dgg=;
 b=Ekyie2MPVerAeaW61eFHG5lSuzsNyzW8joVO3UW5PqZrRFcsop2v5zgfTIvDRlU/9s
 OcBV1I+aCkj5okGyuSpa74RicRVc+6Q0wFZJPocO8H2qCKmGXxZealFzZUUxh9xPuGyX
 NlU+6V2BHWJDUtO7i8EwEiBPk8s3DqdSvfh2UqPtwdimmQorJMNLGCaOAwCBbI585AEe
 DrFxawPaL+RcBTQPhlL4DRXLO3C2jktpI/CU44fEcnpEKP88CsjnvY0LDiD5EfHHR6bH
 JtxiBTHaG1UCAsT8WIyTfZhVwQRW2nc4VN94QjlT7Rsg5KmKxXGVDK+AgxXoxnkCtEFj
 IHlw==
X-Gm-Message-State: AOAM530RpnhljS3UGSQ7OXXqlxGDuCt54KkQjJ523++2WzdTF0m98wjc
 QyXb+JxdbXyz9zO3cQvDyrrZNAXmuENBug==
X-Google-Smtp-Source: ABdhPJxwBr+iN/Rr2M82tjM+vIvn4DahRkwga0fdkNuLs+nz9+DZsdTvbt2JuC9/gGdnypoRs37DgA==
X-Received: by 2002:a05:620a:2950:b0:6a0:579e:502f with SMTP id
 n16-20020a05620a295000b006a0579e502fmr8720504qkp.124.1652590034677; 
 Sat, 14 May 2022 21:47:14 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:14 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 030/602] gnu: Remove python2-pbcore.
Date: Sun, 15 May 2022 00:36:57 -0400
Message-Id: <20220515044629.6843-30-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-pbcore): Delete variable.
---
 gnu/packages/bioinformatics.scm | 33 ---------------------------------
 1 file changed, 33 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index dd811815e0..bda958f6f5 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -5284,39 +5284,6 @@ (define-public orfm
     (home-page "https://github.com/wwood/OrfM")
     (license license:lgpl3+)))
 
-(define-public python2-pbcore
-  (package
-    (name "python2-pbcore")
-    (version "1.2.10")
-    (source (origin
-              (method url-fetch)
-              (uri (pypi-uri "pbcore" version))
-              (sha256
-               (base32
-                "1kjmv891d6qbpp4shhhvkl02ff4q5xlpnls2513sm2cjcrs52f1i"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2               ;pbcore < 2.0 requires Python 2.7
-       #:phases (modify-phases %standard-phases
-                  (add-after 'unpack 'remove-sphinx-dependency
-                    (lambda _
-                      ;; Sphinx is only required for documentation tests, which
-                      ;; we do not run; furthermore it depends on python2-sphinx
-                      ;; which is no longer maintained.
-                      (substitute* "requirements-dev.txt"
-                        (("^sphinx") ""))
-                      #t)))))
-    (propagated-inputs
-     (list python2-cython python2-numpy python2-pysam python2-h5py))
-    (native-inputs
-     (list python2-nose python2-pyxb))
-    (home-page "https://pacificbiosciences.github.io/pbcore/")
-    (synopsis "Library for reading and writing PacBio data files")
-    (description
-     "The pbcore package provides Python APIs for interacting with PacBio data
-files and writing bioinformatics applications.")
-    (license license:bsd-3)))
-
 (define-public prank
   (package
     (name "prank")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:44 2022
Received: from localhost ([127.0.0.1]:48244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IC-0003XN-9Q
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:44 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:36801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Aa-0002zW-OF
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:53 -0400
Received: by mail-qk1-f171.google.com with SMTP id w3so10205939qkb.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Mcuf1UGDhePAl2jnvhu2q8rUbz3sldILFmfvrP6UiDo=;
 b=cX+HJqxfwVSzBVLigdUtJ4Yk/vFqf/zIsRwSUwjzURvotYo15Dn0FgNRVokGN1RcEa
 45/qgBQ0b/0s8RJJpICJtHXjqOmJfz2b1JJyD+joiuEZkBV5pczO9WAOlNvJxI0q5PMQ
 R3m/aL9wMYaG+R2q6KaOldXilIIcnCGFOz7On5Kq5dLeXGR6xlzjU83E4xn4YL+3PVYl
 5BZHLmB8B9ik0qtMRtfj8WEmjiDLQImFM+8DbmmZgxssM1lGB3fMSV85LUFBIr/qzrDn
 a8G6kao9Tn/8b62v81lK1eBcLDltJszdcHiJYTcgGXXulUwmNhuA4bZBGeuevZ8IGGTV
 /6DA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Mcuf1UGDhePAl2jnvhu2q8rUbz3sldILFmfvrP6UiDo=;
 b=tdCLVY4uQMQll9RLaUqiLhzaRfz2ml2Bl/mUKuYnqFXZigGQpHFEOqYad+EIqsbcny
 PHZmL7MasZJoWe+GZof6flQQ/72Q1hkSFTLxlGGikIL7fRE6NqfAmbr3GOUszH/T7Pa1
 Ertid2hCB04y4MHU8vVtA1GPRZSner0cCXAfY/JAqHNdz/wVHRua/7NOUDDaaaW6yof/
 zsYLokNvq8veKA0JjZSanvKHgF74J94uhu1r1bBVBt3+u/OuibkhkRHqciNBNZDHqg2Q
 NVJ6GsHxgNKscgFu2N5L6F2ZqD0NJ2QIdAueH7ggbDjioniY//tBLT5TnSr8BUycDuQA
 Pn+Q==
X-Gm-Message-State: AOAM531awL3Zo62pDE6jR2iCYWZSwtqoxJqNoW2V0vf93sKhGxbzv2D4
 ykDksL+e40nCOzRkCU7AR4qIv2HMVqJU/w==
X-Google-Smtp-Source: ABdhPJz9H2N4OsJ5TfWFhR5IIS6lC10S0AEKKxbGIDHTE03DX85YFqna+SstDSq3ksUrl5QIPDnmeQ==
X-Received: by 2002:ae9:dc01:0:b0:69c:7c3d:aba0 with SMTP id
 q1-20020ae9dc01000000b0069c7c3daba0mr8572235qkf.368.1652590067132; 
 Sat, 14 May 2022 21:47:47 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:46 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 076/602] gnu: Remove python2-stdnum.
Date: Sun, 15 May 2022 00:37:43 -0400
Message-Id: <20220515044629.6843-76-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/finance.scm (python2-stdnum): Delete variable.
---
 gnu/packages/finance.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index b5ab051a1f..9ff1b8b03f 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -1226,9 +1226,6 @@ (define-public python-stdnum
 Luhn and family of ISO/IEC 7064 check digit algorithms.")
     (license license:lgpl2.1+)))
 
-(define-public python2-stdnum
-  (package-with-python2 python-stdnum))
-
 (define-public python-duniterpy
   (package
     (name "python-duniterpy")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:44 2022
Received: from localhost ([127.0.0.1]:48242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IC-0003XG-0q
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:44 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:36657)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AZ-0002zP-Us
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:52 -0400
Received: by mail-qv1-f44.google.com with SMTP id kk28so9891757qvb.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=s8sOCsLBeWauECcU8KZwaa/aZof+IXsjQB4ttDN29vs=;
 b=ifjfzQsK2ZOTf/xrnwN0cBCnzowiVd2fFFukitePwfdkSoin6SueXE8gvFiM2VfT3f
 li5cyjY7gZtAT97mUGiXElp0ilZW3+GRHatnZAFPmsX/gSdOx718TyJN2AZX7l24fQXm
 /AvmU0qQyyw2e/4ex71Nv8aYczbW5l7qbugRswZ71VPli3VVxXC/tbESSgqqe+4Uxmls
 OqwMLy1/iRZ1GT9jroZpzPOaD+OMmYObJtE3SFl1hPOryjNfvJMlzSniTcVb2NT7No/5
 A9tXGfqy4IiDccVkFZZkHzDnUd8KXqGDe2j3FmiMREy5IRivooTXuAG4F7H6rERqEDAI
 ITJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=s8sOCsLBeWauECcU8KZwaa/aZof+IXsjQB4ttDN29vs=;
 b=GQ9zLjREIZ5UcnkRPsQkysJ13ziE1egNZiZ5xK4F/bT6bhTla2duUN72zj8TXCJJCs
 0uQpU6hu8VsXPj+S3cRwyk0ijUlVZ0Le2P+38NxCtnDH/SWAnytgMuYWbPNsvZ4glOy9
 0hfGGEXp1fU+txGIpF1TKvRJ2e+ANimxz8yNPbbotHpCVLYLiy7ohVSFYJgK9TCXHC6T
 GAB8e4JnykefqirtE2PmwitbGGyr+e1JuaFtsCNKyPuHHqBjauOZtYtACc2vp2WckHCs
 36ZWKHsgeW0mVF9sK1FcLxIrhXK7YWUN9O0eRY73PAYnGM9WgBCIkq5Q+owVQ4A6ePB6
 8EUw==
X-Gm-Message-State: AOAM533DBCeq1AAM5zDOm9ywRZzLg6zKMcmfAdfMJSQMHl2nGzUF+lVr
 41aWA+jY/fQ1A2G+VcrNqP8SAJo19alyKg==
X-Google-Smtp-Source: ABdhPJw2d6nrLL0ZX1mK0R5SejJkFg+t11ZLeP/gGU2IBUQ5O7JKym3eS8cKVj7SKFEqEiOIaDLdmQ==
X-Received: by 2002:a05:6214:2527:b0:45a:cde6:c768 with SMTP id
 gg7-20020a056214252700b0045acde6c768mr10299622qvb.21.1652590066446; 
 Sat, 14 May 2022 21:47:46 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:46 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 075/602] gnu: Remove lekha.
Date: Sun, 15 May 2022 00:37:42 -0400
Message-Id: <20220515044629.6843-75-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/enlightenment.scm (lekha): Delete variable.
---
 gnu/packages/enlightenment.scm | 28 ----------------------------
 1 file changed, 28 deletions(-)

diff --git a/gnu/packages/enlightenment.scm b/gnu/packages/enlightenment.scm
index 6a02ab1ca4..7be6304a5e 100644
--- a/gnu/packages/enlightenment.scm
+++ b/gnu/packages/enlightenment.scm
@@ -483,34 +483,6 @@ (define-public edi
                    license:gpl2          ; edi
                    license:gpl3))))      ; data/extra/examples/images/mono-runtime.png
 
-(define-public lekha
-  (package
-    (name "lekha")
-    (version "0.2.1")
-    (source (origin
-              (method url-fetch)
-              (uri (pypi-uri "Lekha" version))
-              (sha256
-               (base32
-                "0zr6i74ik58pbzrd7r9l7sawqbdv0r2c1a9927qkqzwga27x8j15"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:tests? #f ; no test target
-       #:python ,python-2
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'fix-data-location
-           (lambda _ (substitute* "setup.py"
-                       (("'/usr/")"'"))
-             #t)))))
-    (propagated-inputs
-     (list python2-efl python2-pypdf2 python2-pyxdg))
-    (synopsis "Simple PDF viewer")
-    (description
-     "Simple PDF viewer based on the Enlightenment Foundation Libraries.")
-    (home-page "https://github.com/kaihu/lekha")
-    (license license:gpl3+)))
-
 (define-public ephoto
   (package
     (name "ephoto")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:44 2022
Received: from localhost ([127.0.0.1]:48240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IB-0003X9-P3
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:43 -0400
Received: from mail-qt1-f177.google.com ([209.85.160.177]:34350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AZ-0002zK-S2
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:52 -0400
Received: by mail-qt1-f177.google.com with SMTP id k2so10097140qtp.1
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=wZg9FI2wdpiLmgPCH/LEkMPK4yEyPfBXX1lOmIgMbbs=;
 b=bfmD2siaYP+X3pQHrJYNATkXUgNriz+u4Xuc9hj315pG9IYmELKmZ2MulsSN+y6/Lm
 GLrR58M0z1E4BOMA41fmvHAbPW3MHjV/WWxWCkaD75AKQk6mvi79GiJriZKbP+LRzG3S
 WeeJHfdy1F3DCb8BrFhTnfa/dWsWR+OEN1dsSqoVoNAT2Tyt6rdyPbl/Sq5gh5QXerXZ
 OnLHlMvykoPhyLtb7hzlyPN09BRjjsk5Z1jWRX+ztOtkx7Q6YyRrrKhGcZZQ2zhCDJSV
 4cvHrsDAILovp7wsIqXxtwrJFX7MPb275Ze+G5IMXB25/7ywOXxkcrujuoi54r1CZ462
 yIJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=wZg9FI2wdpiLmgPCH/LEkMPK4yEyPfBXX1lOmIgMbbs=;
 b=3a7K/ISeM0rocEcFGMLmoS0BY7/ao+q33llAFRl0J1T56K5pYdGusm1M3X1TwigqWe
 fA6hoXHQ+iAKw6L79nhKuE3jh9DqUXoQV6oqQPFpQ1W4WLKLpzGDl9nzq9yt76jsaLGz
 iOzmMIOZLvM+UxEtBVWk2MUMlOBOg1cRsLLUDsae0wT3CJBZM8oiyIVlHkJzJcbpZPFu
 7UWDyWUV+PjrRFF5yFKc0cnaj7k/J/FA5un6oxc+98HXXhq6KRbbvHyLL0XxSwG5eYlD
 1RJ5G0Vr68T2HxWHSBpAcC+jrEiiwh1PjFvt/S0nBpT6Rnb8kXv9R+ELTzKSdUK7/3qN
 Wqbg==
X-Gm-Message-State: AOAM531AI1QG94o41NGKhmUTMLYQEF15SvU/nG1gRb0UqeiocJ9BZMbC
 VBJiRFnyxlrQ5/WjoUUyqMtKoonB11ZAmA==
X-Google-Smtp-Source: ABdhPJxQn9CqKmkCUqAO4DUH5fFgOlWuWNBHk3IshVV8SW8SPfNvA18WStgTsaCtuQcGkslDzYR8Cg==
X-Received: by 2002:a05:622a:1350:b0:2f3:d5a1:8d7c with SMTP id
 w16-20020a05622a135000b002f3d5a18d7cmr10756950qtk.421.1652590071413; 
 Sat, 14 May 2022 21:47:51 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:51 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 082/602] gnu: Remove slingshot.
Date: Sun, 15 May 2022 00:37:49 -0400
Message-Id: <20220515044629.6843-82-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/games.scm (slingshot): Delete variable.
---
 gnu/packages/games.scm | 27 ---------------------------
 1 file changed, 27 deletions(-)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index c6d23298ff..b3430357bd 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -8678,33 +8678,6 @@ (define-public slimevolley
 the ground, the set ends and all balls are served again.")
     (license license:gpl3+)))
 
-(define-public slingshot
-  (package
-    (name "slingshot")
-    (version "0.9")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/ryanakca/slingshot")
-             (commit version)))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32
-         "19m8b6nsi786bc6gmkp185mwri3r5y249gjmqd5qsc23nnfhgrs1"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2))
-    (inputs
-     (list python2-pygame))
-    (home-page "https://github.com/ryanakca/slingshot")
-    (synopsis "Simple 2D shooting strategy game set in space")
-    (description "Slingshot is a two-dimensional strategy game where two
-players attempt to shoot one another through a section of space populated by
-planets.  The main feature of the game is that the shots, once fired, are
-affected by the gravity of the planets.")
-    (license license:gpl2+)))
-
 (define-public 4dtris
   (package
     (name "4dtris")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:43 2022
Received: from localhost ([127.0.0.1]:48238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IA-0003X0-OZ
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:43 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:42734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AY-0002zC-Qb
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:52 -0400
Received: by mail-qk1-f177.google.com with SMTP id j6so10178914qkp.9
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=8wBcKNiDkWCdp/xU9MboFrcreyWeVFoVc/cAIcK3Kq4=;
 b=R0YYnXN+0/1EQwciP1gP+fQyoxFDkY+Gx09jxYjLKd31cMOJI+RkIZhWIrR1Yh95uW
 26eSGdWgGOuRF2DwqaeSRxue0ZyPHLDivmk5Hy8iTivNXF4/3L3ZjfSrtjZCY0mmVIRS
 eyA8dOEKJnoL9neZ5fgdyiC+Mrt/kjt5yqynLPHZASyhFUm/VVKFqAbMuOEsu1gBE9pA
 vRU7FS1lxsdT1P6MrMbjAfjEHJRCOiYnEgZWbk1nsli+Fgpl1KWkWmcXiseYhsazsifV
 w+qvcYnPBur+1jPYcld3O0EWayFWfkqQU+j4ZdPbv1JEDVY/8BgyzLQsmx0O1BBdyXvR
 7uZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=8wBcKNiDkWCdp/xU9MboFrcreyWeVFoVc/cAIcK3Kq4=;
 b=Byn4CY0Di2OQ0vKporUaE4n20jSuVKsnZuVOga62xFkJ0Da7yTLDEGSjIpGgmo+yEo
 DW/FH2sEcOhxWDvjZwwnvNYkKowu3g8NMXF/1yVrR5oCWfsm4bBggrUZp7pEYN+Ma9lw
 KWD2aN6xXtI6yP1XXQlUTlnGDcJpRwwWaHc+dCeGZP7pTius+oQfVO4fRnS0/upDp27Q
 TzMhr8HxwCrE6nEf0l/IvH6zNT+YDQHPykEOvV5XLctlWy9TXvDWBTiroaaSLjnAb4/e
 5WhtaMCoe3+CovHIWsZdYA6wykBSQDGGGcVcpHSh0vf6Vue5ABh2KhRAo3MDm44VpiBk
 pZpA==
X-Gm-Message-State: AOAM530TevQNXX8T1t8uwOzep/Cj7zG4Ecckakw7gYlcIPitel/JXyOk
 nYeCqKwmykFiC2okViGIoDKd5Fxbh+uoZw==
X-Google-Smtp-Source: ABdhPJwiCiLDk8PqN1w/XkdIYfn5orse0CeCsYItmRcgTrBRipwabATS5xx3uXakVaufOU86frE27Q==
X-Received: by 2002:a05:620a:2848:b0:67d:35de:bb5b with SMTP id
 h8-20020a05620a284800b0067d35debb5bmr8473483qkp.499.1652590065038; 
 Sat, 14 May 2022 21:47:45 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:44 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 073/602] gnu: Remove childsplay.
Date: Sun, 15 May 2022 00:37:40 -0400
Message-Id: <20220515044629.6843-73-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/education.scm (childsplay): Delete variable.
---
 gnu/packages/education.scm | 103 -------------------------------------
 1 file changed, 103 deletions(-)

diff --git a/gnu/packages/education.scm b/gnu/packages/education.scm
index 07843142f4..3b9c01c786 100644
--- a/gnu/packages/education.scm
+++ b/gnu/packages/education.scm
@@ -445,109 +445,6 @@ (define-public toutenclic
     (home-page "https://bipede.fr/contrib/")
     (license license:gpl3)))
 
-(define-public childsplay
-  (package
-    (name "childsplay")
-    (version "3.4")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append
-                    "mirror://sourceforge/schoolsplay/"
-                    "childsplay-" version ".tgz"))
-              (sha256
-               (base32
-                "0z7yp2swjnbz51vn2zyfnjn40jq38l5mbh15yafmx1z3vn2z1m77"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2
-       #:tests? #f
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'unbundle-dejavu-font
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let* ((dejavu-dir
-                     (string-append (assoc-ref inputs "font-dejavu")
-                                    "/share/fonts/truetype"))
-                    (dejavu-font
-                     (string-append dejavu-dir
-                                    "/DejaVuSansCondensed-Bold.ttf")))
-               (substitute* "SPConstants.py"
-                 (("^(TTF(BOLD)? = ).*" _ prefix)
-                  (string-append prefix "'" dejavu-font "'\n")))
-               (for-each (lambda (f) (delete-file f))
-                         (find-files "lib/SPData" "DejaVu"))
-               #t)))
-         (delete 'build)
-         (replace 'install
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (pixmaps (string-append out "/share/pixmaps"))
-                    (share (string-append out "/share/childsplay"))
-                    (doc (string-append out "/share/doc/" ,name "-",version)))
-               ;; Install icon.
-               (install-file "lib/SPData/themes/childsplay/logo_cp.svg" pixmaps)
-               ;; Install data.
-               (mkdir-p share)
-               (for-each (lambda (f)
-                           (copy-recursively f (string-append share "/" f)))
-                         '("alphabet-sounds" "lib" "locale" "SPWidgets"))
-               (for-each (lambda (f) (install-file f share))
-                         (find-files "." "\\.(py|dev|db)$"))
-               ;; Install documentation.
-               (mkdir-p doc)
-               (copy-recursively "docs" doc)
-               #t)))
-         (add-after 'install 'create-executable
-           (lambda* (#:key outputs inputs #:allow-other-keys)
-             (let* ((python (search-input-file inputs "/bin/python"))
-                    (out (assoc-ref outputs "out"))
-                    (bin (string-append out "/bin"))
-                    (executable (string-append bin "/childsplay")))
-               (mkdir-p bin)
-               (call-with-output-file executable
-                 (lambda (file)
-                   (format file
-                           "~a ~a"
-                           python
-                           (string-append out "/share/childsplay/childsplay.py"))))
-               (chmod executable #o555)
-               #t)))
-         (add-after 'install 'create-desktop-file
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (applications (string-append out "/share/applications")))
-               (mkdir-p applications)
-               (call-with-output-file
-                   (string-append applications "/childsplay.desktop")
-                 (lambda (file)
-                   (format file
-                           "[Desktop Entry]~@
-                            Name=Childsplay~@
-                            Comment=Suite of educational games for young children~@
-                            Comment[ca]=Conjunt de jocs educatius per a xiquets~@
-                            Comment[es]=Conjunto de juegos educativos para niños~@
-                            Comment[de]=Sammlung mit lehrreichen Spielen für kleine Kinder~@
-                            Exec=~a/bin/childsplay~@
-                            Terminal=false~@
-                            Icon=logo_cp.svg~@
-                            Type=Application~@
-                            Categories=Application;Game;Education;KidsGame;~@
-                            Keywords=suite;children;games;young;educational;~%"
-                           out)))
-               #t))))))
-    (inputs
-     `(("font-dejavu" ,font-dejavu)
-       ("pygame" ,python2-pygame)
-       ("sqlalchemy" ,python2-sqlalchemy)))
-    (synopsis "Suite of educational games for young children")
-    (description "Childsplay is a collection of educational activities
-for young children.  Childsplay can be used at home, kindergartens and
-pre-schools.  Childsplay is a fun and safe way to let young children
-use the computer and at the same time teach them a little math,
-letters of the alphabet, spelling, eye-hand coordination, etc.")
-    (home-page "http://www.schoolsplay.org")
-    (license license:gpl3+)))
-
 (define-public openboard
   ;; The last release builds from qtwebkit, which is planned for removal in
   ;; Guix, so use the latest commit of the 1.7-dev branch, which builds with
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:42 2022
Received: from localhost ([127.0.0.1]:48236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IA-0003Wt-HS
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:42 -0400
Received: from mail-qt1-f177.google.com ([209.85.160.177]:34350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AZ-0002zK-9u
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:51 -0400
Received: by mail-qt1-f177.google.com with SMTP id k2so10097140qtp.1
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=CS2FBJD3yDjeg4U2uKhMwGg8cQgGSzvwGFYrgqwql9w=;
 b=e9QbANyM0aEXq4Qj/GEXRGzoE1jOc+fOXVjACRa9bIwHXpefphFNTigV97kq8+BU8b
 0lGoPUVm+jueNAe1WcbE1vleXyDPbzVvRNtzGok1OegiFnvbzHRCP83rQLgRqu9SA0ZG
 HgvjMNVoDuhaAsRfaQ5Bx19MMD0IdsOzEu7p3njb8C8XC6zLu1/KvEpG881XJqCGanqJ
 GiHzmdslSZ+LR5ks5U4rfwBMurRbIBk+U9e0hrPOmUxolIPD8dFML71tLgzOm9qowqki
 nA/3BiiV5x4jZsJx0SGL5bp3yDpdtJ9tB68Gkj47AgX0AHB2tcTl1IQ6uY3DkPDSwSLg
 P7fw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=CS2FBJD3yDjeg4U2uKhMwGg8cQgGSzvwGFYrgqwql9w=;
 b=CI6NO1TzZVwozfK1ey3RKGs8obA566ZuT3YI+0W9S7tMQ+B8tQQDnD7/beZ1TEaKjh
 LYik5cU8F49WusJvGxrmGub6L649PDJ/gAFnyKFASoICIaTzqRyMe19/o1z4Bo/pUl8O
 gsEIx+PLcAXoeHfIdEriQ3VbRwR3cBpuAHbZY6ehWQVBT3OOJZ+oDggdN7BTO/gjv5Eb
 hil9ectDwuepTa0M5GbLHeBPuyXBE9GMQlxk8RajAauRdmByFRd/CmPbOqDPjGaPjllf
 gM6v3epLnAeq3Ni1D5D2SGUfpIgrwulUE6f3wELQ6lO4f03sqvIMAw3PefEZWUEzu73q
 QiHg==
X-Gm-Message-State: AOAM531MVYnexHwjkQLBDiO72ugImD+UXuZLwqW1QCYlG4fkQdFM3U/5
 KtiSnnwoSqkCGq6U6Tky7NHDqPB9hl+0Iw==
X-Google-Smtp-Source: ABdhPJyGNBiiH227ZiYtbRkVii/+q2yNpUIp2cmhUh6CQWdVvJdleXW7ZH2L4JwV9XWwwlADClau2A==
X-Received: by 2002:ac8:59c9:0:b0:2f3:c0b2:5483 with SMTP id
 f9-20020ac859c9000000b002f3c0b25483mr10958547qtf.383.1652590065688; 
 Sat, 14 May 2022 21:47:45 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:45 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 074/602] gnu: Remove python2-capstone.
Date: Sun, 15 May 2022 00:37:41 -0400
Message-Id: <20220515044629.6843-74-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/engineering.scm (python2-capstone): Delete variable.
---
 gnu/packages/engineering.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index fe9e06e05a..8f188d07bd 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -1647,9 +1647,6 @@ (define-public python-capstone
                 (string-append "'" (assoc-ref %build-inputs "capstone") "/lib',\n")))
              #t)))))))
 
-(define-public python2-capstone
-  (package-with-python2 python-capstone))
-
 
 (define-public python-esptool-3.0
   (package
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:42 2022
Received: from localhost ([127.0.0.1]:48234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6IA-0003Wm-6y
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:42 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:41658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AX-0002ys-76
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:49 -0400
Received: by mail-qk1-f180.google.com with SMTP id k8so10195028qki.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=n3rDoci14cjGthGo8G5dF8XkH5g9VryyvG2+poaWU58=;
 b=VNsUnMFpro2JCu1aHqsgntz1+a0eLwc3h/bLxqUWfB8Ft7cYECLtphw85CZ7AI6Qp2
 UpKcMQQYfFMsHsPKvYEiFfymve1/+HrTaOGc6ufJHcxCYHO2yrzQFHwxaWUgtQLe/ktI
 FSR8rSEnlXQVyknGiQz78BhDPp2kCiGSK7bWZzm5Cxp/mUzGRK9FEEYR0OgpqwrG8WAY
 qSroVatgPDIaCaGLe7N3UhG4EiCkKKW0C9uCAZP0bJFHDD7REhHXrbOUaLgLw6oM3Ib8
 fUQhr2rPV439I67PNBtji6EGDla8C/p8+QfDYUXxylN1f22zz/OWdziixbWRscEQWkEM
 U3ng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=n3rDoci14cjGthGo8G5dF8XkH5g9VryyvG2+poaWU58=;
 b=vx6JGW2VQM3ZaFeatT5cTB6ySxJIiOfSuy9rh+1LrA79scNWQ8Lss8Sm0DcMML0rDm
 q4YwDh5OJ8FO1fe33fdaKs0xxv9581KlhYoiLoaWyxaRQq+2P1a1E70SuJ4p8/V+Ieq0
 kGqcbswTZ0dX4cmZTvBTI+gxMOnQyQt0V3mgxjfkQUSMZ7a9G56upPsWaUCkMkrzAHlZ
 x4IkNAMJOSK/l0sGJOSptQLu3+fYznCZmttl+0z1egwOvdiV6mRBVvPdYwG+QXBouQov
 4BeKu7ev/SgodJ4uwu1n6OiTz95kSXagnVsnHpSUaRH+wR0IQrAp4VZ3GQMGjclwcoUF
 F4gg==
X-Gm-Message-State: AOAM533ZRPui3VnaQZbPXx2V/2zi+p/GgLhRXE/nwUJvwnRsmctV55BO
 1lBJNmhdhqasEtuCGreyV+8v8TSkybnGNQ==
X-Google-Smtp-Source: ABdhPJyy5pjjuUIqeY98rpM9sKP7KA9cJzBq5Pp5Rv99AC2rBoGOOF27AtmoVhzL+IQf1eF8jhwKmw==
X-Received: by 2002:a05:620a:2892:b0:67e:be26:2f4c with SMTP id
 j18-20020a05620a289200b0067ebe262f4cmr8650026qkp.266.1652590063618; 
 Sat, 14 May 2022 21:47:43 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:43 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 071/602] gnu: Remove djvusmooth.
Date: Sun, 15 May 2022 00:37:38 -0400
Message-Id: <20220515044629.6843-71-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/djvu.scm (djvusmooth): Delete variable.
---
 gnu/packages/djvu.scm | 40 ----------------------------------------
 1 file changed, 40 deletions(-)

diff --git a/gnu/packages/djvu.scm b/gnu/packages/djvu.scm
index 38e6278ce5..6ff0ace5bc 100644
--- a/gnu/packages/djvu.scm
+++ b/gnu/packages/djvu.scm
@@ -290,46 +290,6 @@ (define-public minidjvu
     (home-page "https://sourceforge.net/projects/minidjvu/")
     (license license:gpl2)))
 
-(define-public djvusmooth
-  (package
-    (name "djvusmooth")
-    (version "0.3")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append
-             "https://github.com/jwilk/djvusmooth/releases/download/" version
-             "/djvusmooth-" version ".tar.gz"))
-       (sha256
-        (base32 "0z403cklvxzz0qaczgv83ax0nknrd9h8micp04j9kjfdxk2sgval"))))
-    (build-system python-build-system)
-    (inputs
-     (list djvulibre python2-djvulibre python2-subprocess32
-           python2-wxpython))
-    (arguments
-     `(#:python ,python-2
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'fix-paths
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* "lib/djvused.py"
-               (("djvused_path = 'djvused'")
-                (string-append "djvused_path = '"
-                               (assoc-ref inputs "djvulibre")
-                               "/bin/djvused'"))))))))
-    (synopsis "Graphical editor for DjVu documents")
-    (description
-     "@code{djvusmooth} is a graphical editor for DjVu_ documents.
-It is able to:
-@itemize
-@item edit document metadata,
-@item edit document outline (bookmarks),
-@item add, remove or edit hyperlinks,
-@item correct occasional errors in the hidden text layer.
-@end itemize\n")
-    (home-page "https://jwilk.net/software/djvusmooth")
-    (license license:gpl2)))
-
 (define-public didjvu
   (package
     (name "didjvu")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:42 2022
Received: from localhost ([127.0.0.1]:48232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I9-0003WY-S4
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:42 -0400
Received: from mail-qv1-f43.google.com ([209.85.219.43]:33710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AW-0002s0-V3
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:49 -0400
Received: by mail-qv1-f43.google.com with SMTP id j3so601818qvn.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=g2QA9DB9MaNtLaM5yJz1WjNgBdLrkLHCe59S1o7O0v4=;
 b=TfCfXVbY3b86/mJq17s2kGVQ+unGx1SGHLjU4M2l41TMXnusPbeXulg6OCw+CtA3ge
 sEN10R0SG5dq8i3saqjxfP4HP9QHR1RWy0p3lmtDQE6E3qrF7kLDRsdCUd4suz0hGMPo
 L0GpjNqAGUCZQjN32QgCHhqPZn+yZuSP6X6y/BU9OXfwUlTbNCV5VLhyxRuGitnHL2ix
 fe5uFcfEhP/43EISZA4G+rxT+thY3KbqfYJJkf5b98XiigJpVWeSSGddqHnfSaUgT0yR
 bSoi9wPsuYqpWBk0y2Ad5ufs7lQM3D9+4fBXbexucHn4H1YJ5MP4t5FRW2S8pTn47ql9
 bDOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=g2QA9DB9MaNtLaM5yJz1WjNgBdLrkLHCe59S1o7O0v4=;
 b=ybS1uGSKnhUasyEWfHeh+PEXsR8Foa1bzdGpD0+ybiE6+5o3D0vIzgtJMKXEqBfWHF
 HgO8ZTYieA+dbACcKj2WJr84gZIXu4hDfdIkMyQWpanbJwdmtVaLj8gllkejLvV7x3aB
 5+9Hp/HU1xvNysXwHVVAud+bVCRzRultl43mmoMCGURsy8ja0H/ASDiMDv9z5Pnkhr/I
 F6+7aJ9GEJP4iQQkKC9pcxzp19EWECSYA6Xl6m4RgaWLF4p1/5S6jM2ARwFhmyvloIp8
 M0QANGxwnVO7jNqG33QwFE7SOq7jTYWes2n2BFUF6lMY2r+ahuO9lxhKJWKfq1rPkkPb
 YLHQ==
X-Gm-Message-State: AOAM530VH2cLsHaqwibYBMXyz9kNJkjQ6y7EDZMEeoatnDidPB8dHI1N
 LSU8EIPv+f+I2Rx7Mb6sR6BVg3oUcKNFKw==
X-Google-Smtp-Source: ABdhPJxOpx60nRenVTK5ZoAt7ZQpX3NYAGpssuInG91RWnHtC0fv5oWdQ05Ex0QmGNzu/JJQczSAUw==
X-Received: by 2002:a0c:8c0a:0:b0:45a:a06d:2ded with SMTP id
 n10-20020a0c8c0a000000b0045aa06d2dedmr10610094qvb.116.1652590068520; 
 Sat, 14 May 2022 21:47:48 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:48 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 078/602] gnu: Remove python2-keepkey.
Date: Sun, 15 May 2022 00:37:45 -0400
Message-Id: <20220515044629.6843-78-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/finance.scm (python2-keepkey): Delete variable.
---
 gnu/packages/finance.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index 74cec6d143..f0caa9240c 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -1081,9 +1081,6 @@ (define-public python-keepkey
 the KeepKey Hardware Wallet.")
     (license license:lgpl3)))
 
-(define-public python2-keepkey
-  (package-with-python2 python-keepkey))
-
 (define-public ledger-agent
   (package
     (name "ledger-agent")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:41 2022
Received: from localhost ([127.0.0.1]:48229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I9-0003WQ-Hw
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:41 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:46649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AW-0002yf-Cb
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:48 -0400
Received: by mail-qt1-f174.google.com with SMTP id u35so10049723qtc.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=xfeOQs3VNszPPLgL8w6/bFXHDUZuJbtfzBWU/zXfnXU=;
 b=UTIs6/h1/SISeFyenN6LCEayGoUorjoT5pVePzOvEf/TroSgIMwefm6EyyNKKZfeiu
 8nYMyPMydp5W5gkaPTyrjF1K/1Oz9Sdr6rirZCHSSwtSNspR35CQhezKqnLK9HyIkcak
 wsTKO9xJEsc6sY2+fY1TXwFv/Sjlr6A9tSjkKljAHxtJWZMbU6z7RzOcu1YWA7GVwAjZ
 /IsgZ+e0+OTLNoYyCBYT/qTA8+keQgW4z0P+9QWcP+RDKMZmtO3iDnZA9pxBrOlgI+uX
 ayqLfLcQrdx+XkQt+mw8x9ar8L8klw2oFHxIUfMUAbwKw4zfRseqVIPd68OpzwpR9WLk
 GQhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=xfeOQs3VNszPPLgL8w6/bFXHDUZuJbtfzBWU/zXfnXU=;
 b=g6byn/ERXERRm+anH5X1al1gaKp111jtY/r4kGZD+S8IYiL8g8C/0W+a5jFbiXToyC
 kMFaBabLk0mL8maBdKT05rv+dEwNic2tO91qPmtgSm4/e7SZr26kMZZNSt9fCL7Vtvl4
 S9Kb46obZ2qqBa6mf8JRFp1A/jhFGxDfN4b6ni3MOGcsbU+vKl6HNrVNhzv//jGlms+O
 5oFDJsOTFVBuJC/WsaSUlEmUiynWim/7dTGHeemnskS90nwy29bw4fBHW+EogHTIEl8/
 lQbMV2INGRgqBKla7ZRyGPhHoWUINvi4lFEXUl0O9tBIm4W9v/83X3qM3rTLXw77vKN0
 4Brg==
X-Gm-Message-State: AOAM530uohIWUi7WZXrrdLMv00hXN6JjVvGXTrA/VFgh2GHxjZ3zlTrB
 5hGtuhCdfj0+Kci4IgSOCICPFR8TsC4azg==
X-Google-Smtp-Source: ABdhPJwvm1DW++Cl3q12xoPHahDE7PPz+Bp19u8NcPH9S2sB9h506R1thvrcuHzXymj2UBmBBp+AmA==
X-Received: by 2002:a05:622a:1494:b0:2f3:d8bc:48a0 with SMTP id
 t20-20020a05622a149400b002f3d8bc48a0mr10630367qtx.64.1652590062828; 
 Sat, 14 May 2022 21:47:42 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:42 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 070/602] gnu: Remove python2-pickleshare.
Date: Sun, 15 May 2022 00:37:37 -0400
Message-Id: <20220515044629.6843-70-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-pickleshare): Delete variable.
---
 gnu/packages/databases.scm | 9 ---------
 1 file changed, 9 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 46526bc023..b39f0312bd 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3524,17 +3524,8 @@ (define-public python-pickleshare
 database.  Concurrency is possible because the values are stored in separate
 files.  Hence the “database” is a directory where all files are governed by
 PickleShare.")
-    (properties `((python2-variant . ,(delay python2-pickleshare))))
     (license license:expat)))
 
-(define-public python2-pickleshare
-  (let ((pickleshare (package-with-python2
-                      (strip-python2-variant python-pickleshare))))
-    (package (inherit pickleshare)
-      (propagated-inputs (modify-inputs (package-propagated-inputs
-                                                        pickleshare)
-                           (prepend python2-pathlib2))))))
-
 (define-public python-apsw
   (package
     (name "python-apsw")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:41 2022
Received: from localhost ([127.0.0.1]:48227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I9-0003WI-9U
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:41 -0400
Received: from mail-qt1-f170.google.com ([209.85.160.170]:35397)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AT-0002yE-Mi
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:45 -0400
Received: by mail-qt1-f170.google.com with SMTP id x22so10089458qto.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=18ueZGP4VEenTFn5hr9jXFNBZisN3rJVGY8jm5tk3Fk=;
 b=funTBZJBSZ17JDl057A55fnuuNrWIW3oJN3EHCB7drvQMtgXz/v3ystgCtu5zrn/5H
 QKKUiNOE+mbGPSbTE60WLeqlA+1/RG8nxz3b8GP1l/LnPOU5EuA55syZSU/JIGsdlYVD
 gHkPMXTqfLll0DRIfDR9MakYy0vIt0TIeiBku2RJDxBHB9JAbIh82pC8MohdEbDXAiCc
 BV22/KQ4hUubw/XmYNSfujwEtM8hgny4Inq4n8mkCI/CwXM/8Qpfswflo72J4LJh0CD7
 gNEzJ9eHCgPWqrJzFpLBKryM9lAN0FVGY9imWT/hS/llcI8O3XMEZPu2wCLr7z5CFMSp
 iC5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=18ueZGP4VEenTFn5hr9jXFNBZisN3rJVGY8jm5tk3Fk=;
 b=hYIUlwIygvkFA4yrm+UMZ42sb8r7Vz6w6aeuhFg4hlhbRiRDGXRJoFfQcFDq6nZiYR
 1HJib6VGc23/knMc5HnTcIiylcxQl8SsvIQ9s36Imsbf83pon/DYHn9mtW0oD6lipu6+
 3JQmJ1HzpYwrY0GNZeeQh9YHdvhNwbkeLfsaRlRWp3301tAkzMA3Y5KfrGNiB4cHgsZK
 Hkiz1NlVORl/Z7PJrvOx5gQlscNKmpnRDQNVeRkHnBEnemuYE8rsj8umVmX6fB4NXddY
 msSaUBmVEGGthoiCo5LQtmIQ1uV4k4aoAjdlE6j8Fs7ICIkVETDTmS7ntm/MArWAwtgs
 VVyw==
X-Gm-Message-State: AOAM532hoVq/cQBi1xE0H6V5SJDeTWey7/sAbeB+fC49QfqoORgJArdR
 RivdkqYSxwjDHQqgsxe1+2s3s8XXVxuVuQ==
X-Google-Smtp-Source: ABdhPJy5ArUxQWgc2SlxU4Pk6bsH4d5Fme9xK+B5oDA1QNhha+RlvKe89oJff2eOYkuCz4Jol74Rqw==
X-Received: by 2002:a05:622a:58e:b0:2f3:b5a1:99fc with SMTP id
 c14-20020a05622a058e00b002f3b5a199fcmr10719503qtb.675.1652590060130; 
 Sat, 14 May 2022 21:47:40 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:39 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 066/602] gnu: Remove python2-fastlmm.
Date: Sun, 15 May 2022 00:37:33 -0400
Message-Id: <20220515044629.6843-66-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/machine-learning.scm (python2-fastlmm): Delete variable.
---
 gnu/packages/machine-learning.scm | 32 -------------------------------
 1 file changed, 32 deletions(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 02cd6b31aa..7b377c7d35 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1415,38 +1415,6 @@ (define-public vowpal-wabbit
 interactive learning.")
     (license license:bsd-3)))
 
-(define-public python2-fastlmm
-  (package
-    (name "python2-fastlmm")
-    (version "0.2.21")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (pypi-uri "fastlmm" version ".zip"))
-       (sha256
-        (base32
-         "1q8c34rpmwkfy3r4d5172pzdkpfryj561897z9r3x22gq7813x1m"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:tests? #f ; some test files are missing
-       #:python ,python-2)) ; only Python 2.7 is supported
-    (propagated-inputs
-     (list python2-numpy
-           python2-scipy
-           python2-matplotlib
-           python2-pandas
-           python2-scikit-learn
-           python2-pysnptools))
-    (native-inputs
-     (list unzip python2-cython python2-mock python2-nose))
-    (home-page "http://research.microsoft.com/en-us/um/redmond/projects/mscompbio/fastlmm/")
-    (synopsis "Perform genome-wide association studies on large data sets")
-    (description
-     "FaST-LMM, which stands for Factored Spectrally Transformed Linear Mixed
-Models, is a program for performing both single-SNP and SNP-set genome-wide
-association studies (GWAS) on extremely large data sets.")
-    (license license:asl2.0)))
-
 (define-public python-hyperopt
   (package
     (name "python-hyperopt")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:41 2022
Received: from localhost ([127.0.0.1]:48225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I8-0003WB-UP
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:41 -0400
Received: from mail-qt1-f170.google.com ([209.85.160.170]:44549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AS-0002wZ-TV
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:45 -0400
Received: by mail-qt1-f170.google.com with SMTP id i20so10048122qti.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=2dHmXbio2K9ss1EeYAjVbIr5mAm6/60a7Y6qw2f44f0=;
 b=M0lZ2viiaRfonFXo9TBcZ9c9K2Wiq72Mit/zx66n0HJijna9Knl8AP6ALYdZ2+tKtq
 HuMQR4m/PqeIVCsLS70egIzaRjUH9LcpjXyGib36mUmWkbzoQSSeDQHbTAAiRqDOn8eE
 Z3dj+nttQhe6NyPXJrgNn/TREQ3g/0MKzbwQ13jTr7knT5OpbJPLjO8cMt8Bt7iJa1rM
 jaA0XEcV/+IhHS5wP08RnVo3FF6yzQPu+VSmXwptYshc/+VKA1MyaG3kkgn9NMlgP0x6
 Jm7MVpuyZTOm5wqS8aELM41dKz8eiLAZrLXc4nm6yyShq1D3b85TAgp0b7rGgeRQ9Ibs
 WBEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=2dHmXbio2K9ss1EeYAjVbIr5mAm6/60a7Y6qw2f44f0=;
 b=XEe6mNTQXHEkVWYeZcmW6DD3UyhFelHmIEuJmElF6bmW75SXtehAI4eSwhgNe9qddS
 Nze0dwQjC1PHxc5T9FS7qoOjExe0iNC6zJVyPKYz616t2LqC3nlhrWXTkyc7DOCQHa9/
 Nq2kkLV7PlDljX82HZm8PSDGE4xKKjPSXVCzc7Itfn2PiYSZSfz9t7IejTfPznntohE3
 dm70+wcxlVbyK+Iq323lsqdShYc+H5cA9EBFnIb8UO9bFqs8PhjOjkz2B/CMHiU7IEMi
 3vf0LkNAsbET27vjl7fIOVCEsEaRNWMi7sTDic4evNMuItzEKvI9fcOdfwXYVNt12RQq
 4nyQ==
X-Gm-Message-State: AOAM532KjiebgExDcSe2Zga4vnKUr9JuE0VACHZSEqQUMX6Roxh69iWi
 GIbpFtvUOGl5mWq0EbRwEgJoyIGERX+UUg==
X-Google-Smtp-Source: ABdhPJxcuVztXeCF0w0S26oi8D07fZIwL83WW773ffSxT3LQIvsoDIbVpiPdfq+8fbZ66vUsFQxsYQ==
X-Received: by 2002:ac8:5a8f:0:b0:2f3:d8e9:23c9 with SMTP id
 c15-20020ac85a8f000000b002f3d8e923c9mr10779932qtc.686.1652590064382; 
 Sat, 14 May 2022 21:47:44 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:44 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 072/602] gnu: Remove omnitux.
Date: Sun, 15 May 2022 00:37:39 -0400
Message-Id: <20220515044629.6843-72-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/education.scm (omnitux): Delete variable.
---
 gnu/packages/education.scm | 100 -------------------------------------
 1 file changed, 100 deletions(-)

diff --git a/gnu/packages/education.scm b/gnu/packages/education.scm
index 213c8f717b..07843142f4 100644
--- a/gnu/packages/education.scm
+++ b/gnu/packages/education.scm
@@ -679,106 +679,6 @@ (define-public openboard
 a pen-tablet display and a beamer.")
       (license license:gpl3))))
 
-(define-public omnitux
-  (package
-    (name "omnitux")
-    (version "1.2.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "mirror://sourceforge/omnitux/omnitux/"
-                           "v" version "/omnitux-" version ".tar.bz2"))
-       (sha256
-        (base32 "1wmmmbzmxd0blhn00d4g91xwavnab143a31ca3i8hrqgzh6qz9w6"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin
-           ;; Remove pre-compiled .pyc files from source.
-           (for-each delete-file (find-files "bin" "\\.pyc$"))
-           #t))))
-    (build-system python-build-system)
-    (inputs
-     (list python2-pygame python2-pygtk))
-    (arguments
-     `(#:tests? #f                      ;no test
-       #:python ,python-2
-       #:phases
-       (modify-phases %standard-phases
-         (delete 'build)                ;no setup.py
-         (replace 'install
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (share (string-append out "/share"))
-                    (data (string-append share "/omnitux")))
-               ;; Install documentation.
-               (let ((doc (string-append share "/doc/" ,name "-" ,version)))
-                 (for-each (lambda (f) (install-file f doc))
-                           '("LICENSE.txt" "README.txt")))
-               ;; Install data.
-               (install-file "omnitux.sh" data)
-               (for-each (lambda (d)
-                           (copy-recursively d (string-append data "/" d)))
-                         '("bin" "data"))
-               ;; Install the launcher.
-               (let* ((bin (string-append out "/bin"))
-                      (script (string-append bin "/omnitux"))
-                      (bash (search-input-file %build-inputs "/bin/bash"))
-                      (python (search-input-file %build-inputs
-                                                 "/bin/python2")))
-                 (mkdir-p bin)
-                 (with-output-to-file script
-                   (lambda ()
-                     (format #t "#!~a~%" bash)
-                     (format #t
-                             "cd ~a; ~a menu.py~%"
-                             (string-append data "/bin")
-                             python)))
-                 (chmod script #o755))
-               ;; Install icon and desktop file.
-               (let ((pixmaps (string-append share "/pixmaps")))
-                 (install-file "data/default/icons/Omnitux_logo.svg" pixmaps))
-               (let ((apps (string-append out "/share/applications")))
-                 (mkdir-p apps)
-                 (with-output-to-file (string-append apps "/omnitux.desktop")
-                   (lambda _
-                     (format #t
-                             "[Desktop Entry]~@
-                              Name=Omnitux~@
-                              GenericName=Omnitux
-                              Comment=An educational game based on multimedia elements.~@
-                              Comment[fr]=Un jeu ludo-éducatif basé sur des éléments multimédias.~@
-                              Exec=~a/bin/omnitux~@
-                              Type=Application~@
-                              Categories=Game;Education;~@
-                              Terminal=false~@
-                              Icon=Omnitux_logo.svg~@"
-                             out))))
-               #t))))))
-    (home-page "http://omnitux.sourceforge.net/")
-    (synopsis "Educational activities based on multimedia elements")
-    (description "The project aims to provide various educational
-activities around multimedia elements (images, sounds, texts).  Types
-of activities include:
-@itemize
-@item associations,
-@item items to place on a map or a schema,
-@item counting activities,
-@item puzzles,
-@item card faces to remember,
-@item find differences between two pictures,
-@item ...
-@end itemize
-
-Activities are available in English, French, German, Polish,
-Portuguese, Spanish and Italian.")
-    ;; Project's license is GPL3+, but multimedia elements are
-    ;; released under various licenses.
-    (license (list license:gpl3+
-                   license:gpl2+
-                   license:cc-by-sa2.0
-                   license:cc-by-sa3.0
-                   license:public-domain))))
-
 (define-public fet
   (package
     (name "fet")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:40 2022
Received: from localhost ([127.0.0.1]:48223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I8-0003W3-KC
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:40 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:41655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AT-0002y6-3Z
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:45 -0400
Received: by mail-qk1-f179.google.com with SMTP id k8so10194979qki.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=QsWLDTw0Y+Kprn3q40nJkpEga/4cSSoFMs10Jad8wW4=;
 b=Wf80rd+wpDDC5/a/aTbD1y4s9eO8n4GkSHhZr74OiBXPATGI0bZgKOkDiqd1XxTnCF
 eUBLOGRsOwvBRyLJA6EEeY24CRu4ESs2lk0REp7y2QJt/zliKHZB5LC2YPX6PazDJTnL
 LFpqrrSuZp5kG4iQLUUdTRO7PdqYeZI1Yyg9i5aR0kUBGgSwZnBnaQ+W+ijVtgf6Qdvv
 osNhiEhkfQHJlS70LFeCmb2mZ9498fQReCFzXTj/yIWRBh9Ytdc8C4oal2QW1tVOqGfJ
 eHacpTkEJqXmJeTjfKO4tnp4VktPxkGVbDPkpQicCA+VOjqD+V2z3coL9w+cV4N4M6kC
 1u/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=QsWLDTw0Y+Kprn3q40nJkpEga/4cSSoFMs10Jad8wW4=;
 b=tSgPBo7HtrVwF2KQE9kJJiybtzsiABDJW2CR4vmiprGTeYUr1zKs2+KUpKRBxblT/S
 y7BJenILySAuuTZnPcBW+09gYkaxlDiJN6Hjc5uHGCm53wmb4gxbPVlDwQZ3Ucg8NVEn
 986y4HnsCrnSkOuqDi6O6fz58D7reNVpfoUhJMflzo3Oc4xjQsIymr5P9MFztq957JuX
 juScMK46ORKU+4vqi/WXIPBVhQtQy5oAmXL1h0YlhSbUNERblyF31fx2Kci9+QrXoCcD
 htrCYctPufWMs6jJLG12SzKh3h2ABym5nwRd7wj46nOJ60nqDrZl3RuV1tLYU9yrkkbf
 Vl1Q==
X-Gm-Message-State: AOAM531HLMfxCSFVQWikSRqy2UAgnM0J07NutuEeyDZSQj2OUXSa5TN0
 nrmOzCyf9Ib/4W+FXI8XN6SuME9uKp8zFg==
X-Google-Smtp-Source: ABdhPJyGyr2HFN7fg87MvPZzqpTTHeDHaRwDZR6ATgeVO7TiVxWK/qsfpo79W7MNf81ZU/bOoxz2lw==
X-Received: by 2002:a05:620a:400e:b0:6a0:51dc:4a5e with SMTP id
 h14-20020a05620a400e00b006a051dc4a5emr8776832qko.678.1652590059489; 
 Sat, 14 May 2022 21:47:39 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:39 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 065/602] gnu: Remove python2-pytest-cache.
Date: Sun, 15 May 2022 00:37:32 -0400
Message-Id: <20220515044629.6843-65-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

* gnu/packages/check.scm (python2-pytest-cache): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index ca8b744904..cffcd54623 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2027,9 +2027,6 @@ (define-public python-pytest-cache
     (home-page "https://bitbucket.org/hpk42/pytest-cache/")
     (license license:expat)))
 
-(define-public python2-pytest-cache
-  (package-with-python2 python-pytest-cache))
-
 (define-public python-pytest-localserver
   (package
     (name "python-pytest-localserver")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:40 2022
Received: from localhost ([127.0.0.1]:48221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I8-0003Vw-C8
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:40 -0400
Received: from mail-qt1-f172.google.com ([209.85.160.172]:35398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AR-0002xv-N0
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:44 -0400
Received: by mail-qt1-f172.google.com with SMTP id x22so10089440qto.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=TPE4bqrBFkOX5RKKrRnbIGKjDo2cMDqsn845J+C5v9w=;
 b=AnSguqSCe3TBKzT/xrrLiCQcBLzyJwcjsLvle+fhFyjF7CiNkA6vneWd1I0oJAinto
 t/AIhbRGY/KRj5IAkTe+lQZL30gWFu25A5Zn0Rxm9T3gb9+bhq+cCxRDSwVLBuwfNddD
 yf+/9jqkaI6scMN1M1GlJSN/twYGEPH5VuUOfPYXykwVyu5O2Z1Fu5uSvOSw0qRguWDr
 U+OFF4J6GvKgMwZSV6FV9XFKBmKE3dnm3gPiY4g8zdINxemn+huHqQdcbf8lP7PEXhHT
 +FuZIwko23THSW6NIrTEtKSDP2e5E1I7mVatEogFJYjd6TdHMeG1XTn2qlyy+zvk67sd
 24rg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=TPE4bqrBFkOX5RKKrRnbIGKjDo2cMDqsn845J+C5v9w=;
 b=1A8CDxild+QcLNJ15MvffzVewvlm172Zh19nddyhbBn9o6n9J4S21ua3f5QnMtvRB3
 QZ9D8+BCrtc5MNTifdbtX3XSGvuldVn4ktF1wD8TNSHvLXSZlKEa0yMBXcsCVKUoqpVh
 +Os/2s55ARwqJ+rMlCdreaMNQbfBCqHwVSJqmpgbKDr8CsGuwcuaun4KwszMUEvtE/xG
 3ERLpn8DqrFKFwlA/7cytFFroWbQ+777fxJ0O7L1XZhyTKDCCIQIRB7l2Zfvs9gf3oql
 f7U4goaeiXTIveoVjaeYBpJkb2lAJB4sZ/ABWYWT8PI6Sjj1tMFcHU/1N71kR+388Moy
 QeQw==
X-Gm-Message-State: AOAM533+euQoO6uPPYAaiMCoahizmGmhcOA90hMwQkjnXW2AgMj3kl2b
 wQOy3mE43c7MobKKeC8IeA4yBrIc80d2XA==
X-Google-Smtp-Source: ABdhPJxFwhQHwElCrPeSeqgQl9+fc+MP++S+xZc2AWWdvH3Vxopq6OTTFh8rvFRF9nff30U/oOeCrw==
X-Received: by 2002:ac8:7f4b:0:b0:2f3:d0f4:b5af with SMTP id
 g11-20020ac87f4b000000b002f3d0f4b5afmr11027497qtk.577.1652590058101; 
 Sat, 14 May 2022 21:47:38 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:37 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 063/602] gnu: Remove python2-html5lib.
Date: Sun, 15 May 2022 00:37:30 -0400
Message-Id: <20220515044629.6843-63-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-web.scm (python2-html5lib): Delete variable.
(python-html5lib-0.9, python2-html5lib-0.9): Likewise.
---
 gnu/packages/python-web.scm | 19 -------------------
 1 file changed, 19 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 7636931091..60970cd386 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -1324,25 +1324,6 @@ (define-public python-html5lib
 and written in Python.")
     (license license:expat)))
 
-(define-public python2-html5lib
-  (package-with-python2 python-html5lib))
-
-;; Needed for python-bleach, a dependency of python-notebook
-(define-public python-html5lib-0.9
-  (package
-    (inherit python-html5lib)
-    (version "0.999")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (pypi-uri "html5lib" version))
-       (sha256
-        (base32
-         "17n4zfsj6ynmbwdwviywmj8r6nzr3xvfx2zs0xhndmvm51z7z263"))))))
-
-(define-public python2-html5lib-0.9
-  (package-with-python2 python-html5lib-0.9))
-
 (define-public python-html5-parser
   (package
     (name "python-html5-parser")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:40 2022
Received: from localhost ([127.0.0.1]:48218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I1-0003Vb-HN
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:40 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:39673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AR-0002xr-3s
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:43 -0400
Received: by mail-qt1-f178.google.com with SMTP id x9so10080169qts.6
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=04lvQfAAJJY3ifqXZfqYfGwmZW5EOa0t+WaGHRo1tdI=;
 b=YETpJYvmCBC0ALkFaN0wLA8Q6qUQbqGUX2Yu/m/6DbTGreuw9s2vWeoCQ0fmNOQ9Cv
 WZJg2X9WaJ21N9RFguuYr54JVGw4BP3xYb5Y6H8fLK81z+MFY1a60fUECf6IOMD4uf0c
 tpJJPPFiERxyKqdx4ujWbE49Iyz2zqfdsAJOUYhdAI+L15nfzdVWFgrfEGRNf+3DKgma
 g0RpEk+4KOU/ma4mpiGyolW9akGgAxyxLzSh5KRL9FMRtwkWJ1Ii2zzjxsm5YPD4c/Wp
 NTH0RIFZv/RVUZrQwYNwrmsI23PhWWQoooz4feGF2cOBb3kLfEHreWyF51p4Y2Ls3KWS
 BV0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=04lvQfAAJJY3ifqXZfqYfGwmZW5EOa0t+WaGHRo1tdI=;
 b=6FPruXAMT41Lqy5Ff/b4oAXXiWIDNfj8GR72k/UYFy/7Nv1ZQTZpxNtQh8rVPs388Q
 5YIDKoApThZEQUXvTAien8Jz7rg3lItq6LsGzIg11aKSNjCAyJhbx7lFCrkigHlfi1mj
 RZBcG3XbrGaQO2ximdfRqM/Ezr5syIfbD+TNnUIN0BDvIXjI65vpZRlZCgvo6AFaCrht
 VfOfc6K1kEPkXr53LaJxU9llYzIrbZ2lH2Mq3VsildaXrLRwOXL807ONGNMQx5XICgQI
 kHHr9RiRS7agUk/d1QOXDDWD43kmdFnBc9QU1NRxc2WPgoKqQs0oz8hta4ZQ4zy+Sn0j
 K3dg==
X-Gm-Message-State: AOAM530jQU+BD6qiIn33lne5/imnbsbmFMgWFVDlLjn/MeDRPKjwEH7H
 vI2N5bcy5EW/3/4+okKlui/ON7ZtmdyAcg==
X-Google-Smtp-Source: ABdhPJx3QQ/AyFq05Xyi+wvGzGgTxJc9jCXLVbdMnpcHKJr/NBUs/EQRfV0HYyrAYfQopAqV0YeyAA==
X-Received: by 2002:a05:622a:5cf:b0:2f3:c5cf:45fe with SMTP id
 d15-20020a05622a05cf00b002f3c5cf45femr10893530qtb.633.1652590057448; 
 Sat, 14 May 2022 21:47:37 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:37 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 062/602] gnu: Remove python2-pandas.
Date: Sun, 15 May 2022 00:37:29 -0400
Message-Id: <20220515044629.6843-62-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-science.scm (python2-pandas): Delete variable.
(python-pandas): Delete related python2-variant property.
---
 gnu/packages/python-science.scm | 98 ---------------------------------
 1 file changed, 98 deletions(-)

diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index bf7c7ce45f..b3f39fd19d 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -488,106 +488,8 @@ (define-public python-pandas
 multidimensional, potentially heterogeneous) and time series data both easy
 and intuitive.  It aims to be the fundamental high-level building block for
 doing practical, real world data analysis in Python.")
-    (properties `((python2-variant . ,(delay python2-pandas))))
     (license license:bsd-3)))
 
-;; Pandas 0.24.x are the last versions that support Python 2.
-(define-public python2-pandas
-  (let ((pandas (package-with-python2
-                 (strip-python2-variant python-pandas))))
-    (package
-      (inherit pandas)
-      (version "0.24.2")
-      (source (origin
-                (method url-fetch)
-                (uri (pypi-uri "pandas" version))
-                (sha256
-                 (base32
-                  "18imlm8xbhcbwy4wa957a1fkamrcb0z988z006jpfda3ki09z4ag"))
-                (modules '((guix build utils)))
-                (snippet
-                 '(begin
-                    ;; Adjust for renamed error message in Python 2.7.17.  Taken
-                    ;; from <https://github.com/pandas-dev/pandas/pull/29294>.
-                    (substitute* "pandas/io/parsers.py"
-                      (("if 'NULL byte' in msg:")
-                       "if 'NULL byte' in msg or 'line contains NUL' in msg:"))))))
-      (arguments
-       `(#:modules ((guix build utils)
-                    (guix build python-build-system)
-                    (ice-9 ftw)
-                    (srfi srfi-26))
-         #:python ,python-2
-         #:phases
-         (modify-phases %standard-phases
-           (add-after 'unpack 'patch-which
-             (lambda* (#:key inputs #:allow-other-keys)
-               (let ((which (assoc-ref inputs "which")))
-                 (substitute* "pandas/io/clipboard/__init__.py"
-                   (("^CHECK_CMD = .*")
-                    (string-append "CHECK_CMD = \"" which "\"\n"))))))
-           (replace 'check
-             (lambda _
-               (let ((build-directory
-                      (string-append
-                       (getcwd) "/build/"
-                       (car (scandir "build"
-                                     (cut string-prefix? "lib." <>))))))
-                 ;; Disable the "strict data files" option which causes
-                 ;; the build to error out if required data files are
-                 ;; not available (as is the case with PyPI archives).
-                 (substitute* "setup.cfg"
-                   (("addopts = --strict-data-files") "addopts = "))
-                 (with-directory-excursion build-directory
-                   ;; Delete tests that require "moto" which is not yet
-                   ;; in Guix.
-                   (for-each delete-file
-                             '("pandas/tests/io/conftest.py"
-                               "pandas/tests/io/json/test_compression.py"
-                               "pandas/tests/io/parser/test_network.py"
-                               "pandas/tests/io/test_parquet.py"))
-                   (invoke "pytest" "-vv" "pandas" "--skip-slow"
-                           "--skip-network" "-k"
-                           ;; XXX: Due to the deleted tests above.
-                           "not test_read_s3_jsonl"))))))))
-      (propagated-inputs
-       (list python2-numpy python2-openpyxl python2-pytz python2-dateutil
-             python2-xlrd))
-      (inputs
-       (list which))
-      (native-inputs
-       (list python2-cython
-             python2-beautifulsoup4
-             python2-lxml
-             python2-html5lib
-             python2-nose
-             python2-pytest
-             python2-pytest-mock)))))
-
-(define-public python2-pyflow
-  (package
-    (name "python2-pyflow")
-    (version "1.1.20")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append
-                    "https://github.com/Illumina/pyflow/releases/download/v"
-                    version "/pyflow-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1bvfvviw58cndyn862qnv9nj3d9cd3a0dm4vc4sd9vwq8a6z1riv"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:tests? #f ; There is no test suite.
-       ;; There is no official Python 3-compatible version and upstream is
-       ;; dead. See https://github.com/Illumina/pyflow/issues/20.
-       #:python ,python-2))
-    (home-page "https://illumina.github.io/pyflow/")
-    (synopsis "Tool to manage tasks in a task dependency graph")
-    (description "This package is a Python module to manage tasks in the
-context of a task dependency graph.  It has some similarities to make.")
-    (license license:bsd-2)))
-
 (define-public python-pythran
   (package
     (name "python-pythran")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:33 2022
Received: from localhost ([127.0.0.1]:48216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I1-0003VU-9x
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:33 -0400
Received: from mail-qt1-f173.google.com ([209.85.160.173]:38524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AP-0002re-Ug
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:42 -0400
Received: by mail-qt1-f173.google.com with SMTP id fu47so10075973qtb.5
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=jsvCPrUJU0BIugHrGmXg/lv7bGKyx42y1wslsxZanFY=;
 b=WrPeCEm/IFI8e7Ft2zeS82JEUFfAaGtcxgxMC6pD1p8wk/VDWLDmrfgCkHEe/ziH0x
 aEptYJ+skku0Ud009GaaQ5S2J28Y+xmYjWgYNqUcRd63f6foAyHySe6PGvLYbwk5XraP
 beVth+SjuIGWQR/1BA8xBkYv5Qd2pEcokx0Hi6MdNWtbtw8IAMpYK44QeSPm5J2f5gv0
 oIJGRgEg8j6H4m1tw7tZsbiP7K6D40FhweKwq/WiFx4fVdVlD7lc+4Dc0MWWTEbESXNG
 AztI7UYl++QfkJwP2x5iecOFu6dpCT+ILxDff9adgEmf0dBH5wJQjEXN5W151fzFXiK3
 BOQA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=jsvCPrUJU0BIugHrGmXg/lv7bGKyx42y1wslsxZanFY=;
 b=uYa+Hpy8KrgISkWD9vKCMWPTN/QiN8PjznFAEZFewZ+oSOtbtwI8Adw9RFRT1/N619
 dRELGj1hCVL/U/38YQAmwxnvpKdltU1xKybz2ectE5Ovni2qg9dLTUaEJCUyc2xj2U1C
 Qfsg1rz0PnfsqkMQ1rV8ia4ACMO1Og+wC8G/IQTdkdwJsI9wGb+MEDNGu69XHd6hfb0L
 iQ0kzxcvv827ydUFVSjwiccbJdOzwArtEZHCPJmodMH8jAqfQ6mcr1FWzg1oezdh/aWL
 U9B4zTPYj+GEH6YRQeYAi4JOgq2Yj0caDGmPUniS+DKKYfI6mfsPAp1lXg1qlEq7ghsV
 wQGw==
X-Gm-Message-State: AOAM533dfg2HIEAAn5NSk0MQLHod3zOpAnR5pd3WJROqTXcyuMydu5s7
 AjnppjvlO7scPlWOO0via62XQ+AxaD5rKw==
X-Google-Smtp-Source: ABdhPJzZaRkMiGWP1gFp75sOblzhZgh6APMRfnBGnZ46mtrBYJ1QH5sgRvJQ1X450cLOXWCoVSCVoQ==
X-Received: by 2002:a05:622a:10b:b0:2f4:28db:23c5 with SMTP id
 u11-20020a05622a010b00b002f428db23c5mr10934190qtw.358.1652590061488; 
 Sat, 14 May 2022 21:47:41 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:41 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 068/602] gnu: Remove python2-pytest-warnings.
Date: Sun, 15 May 2022 00:37:35 -0400
Message-Id: <20220515044629.6843-68-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-pytest-warnings): Delete variable.
---
 gnu/packages/check.scm | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index f8b4fc7e2f..808dd07a79 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2566,14 +2566,7 @@ (define-public python-pytest-warnings
      "Python-pytest-warnings is a pytest plugin to list Python warnings in
 pytest report.")
     (license license:expat)
-    (properties `((python2-variant . ,(delay python2-pytest-warnings))
-                  ;; This package is part of pytest as of version 3.1.0.
-                  (superseded . ,python-pytest)))))
-
-(define-public python2-pytest-warnings
-  (package (inherit (package-with-python2
-                     (strip-python2-variant python-pytest-warnings)))
-           (properties `((superseded . ,python2-pytest)))))
+    (properties `((superseded unquote python-pytest)))))
 
 (define-public python-pytest-capturelog
   (package
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:33 2022
Received: from localhost ([127.0.0.1]:48214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I1-0003VM-2P
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:33 -0400
Received: from mail-qv1-f42.google.com ([209.85.219.42]:40922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AO-0002xd-Vt
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:41 -0400
Received: by mail-qv1-f42.google.com with SMTP id p3so9881906qvi.7
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ZeFXn+1HoLJg6boAw4bzSl74c7cqLdmKFNjzmcg2vz4=;
 b=YTFKrKyWKcV+1JFS6AwD1lyqQEtllbgseOLrz0SlXX+NIgdHcc1oHh2lcMzuUUQHFY
 HJMFrmU7ccPbF/ySlUYRVTnbKExYEUOAQDI8NaSOR8Vkg3RK/5bCXqqhYPVKlQtIZET0
 QVErOZoBeajz8DdycInDgKjogI1p+zlU4KdRp3Mf9b78AAsTT4N+udQA/+gxEorVzpt3
 jcpATV28Yt0C3R6OkjJz/Zy4EqwBFb9fXywsJREc49RRNpG60o6tgFOpF2N4TCvopn1v
 jIJYWFAWGG2zy1VegHk1hb43UlBmtKYuxdtl7A8xl/g4GGCZKhSB5C4Fi8u5aHK82XTD
 +3QA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ZeFXn+1HoLJg6boAw4bzSl74c7cqLdmKFNjzmcg2vz4=;
 b=FZJeOdYgk+q2WocEMoNQ5oH9sK7L9NXSOfEkbkx2rDMFOrqgOcTdxmJG2/MKE4isUv
 2/4oWTOoeNJ40hZXEhe45U15FHYy/nEP7qTNx5BzoRhasoomgLo0fuuUqXRdN36q7298
 Do3dFnUdUgt5F1piq0kKR4IIjdlQgS/mULo3GB7OFfhkxLFZuHPhbk9rhnJmPgw3vYn1
 xfcfTKEChrTeISPhd1rK0ZyM8bpFJ5Me6KFuSOzNAGy7wzrQ1uFZloPWrKuyBdFhH1qt
 z1iDqpaWTx8f3U6BowkCNu7Qn9FnM9oQ2h/bSgBhJ8WoudwEGyQ3JTVEktspjsfrEAQK
 eKaQ==
X-Gm-Message-State: AOAM533CaucFiI5uLkD7ny3I62h3+kI60TyESHU2G7pTATceiGsDDcvO
 HI7jKOQ8fr45DHFlry2lAvswucBwtILlbQ==
X-Google-Smtp-Source: ABdhPJx+xoN2OikXYTHY03msK6/DShIuXT62wh/NwnroSyW636bWBe9HBJapylq60DjBdzWfsyCfXg==
X-Received: by 2002:a05:6214:518d:b0:45a:933f:965d with SMTP id
 kl13-20020a056214518d00b0045a933f965dmr10879774qvb.94.1652590055417; 
 Sat, 14 May 2022 21:47:35 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:35 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 059/602] gnu: Remove python2-pytest-pep8.
Date: Sun, 15 May 2022 00:37:26 -0400
Message-Id: <20220515044629.6843-59-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-pytest-pep8): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 805e8c2041..ca8b744904 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2367,9 +2367,6 @@ (define-public python-pytest-pep8
     (description "Pytest plugin for checking PEP8 compliance.")
     (license license:expat)))
 
-(define-public python2-pytest-pep8
-  (package-with-python2 python-pytest-pep8))
-
 (define-public python-pytest-perf
   (package
     (name "python-pytest-perf")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:33 2022
Received: from localhost ([127.0.0.1]:48212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I0-0003VF-R9
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:33 -0400
Received: from mail-qt1-f180.google.com ([209.85.160.180]:33783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AO-0002xZ-7M
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:40 -0400
Received: by mail-qt1-f180.google.com with SMTP id s22so4388139qta.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=6lYPEq33NOZSLotK/Funx3YiWhZMVCpgmsZs7RTsWTA=;
 b=PUaGfGrnUiO6EZ9FjwBJleYyU2pBtujqWduuSbsMfmryGaPmLm40CyL8aEu2jUQXxE
 BxfgYc65fXAUttngb4m5Cul+DWZhxYp4LsGMbDiPrFCsuNlisp7HIqmqKyJsza4m48La
 stA0dV/X6kWiWqk3HYyZWJAYxTWEoVSXgQKI0PWIYuRhxL60LKGPeRni5/1HPDMgwwDg
 BCtaD8eM02duhBdQGEOukh7Miy3HT0tuVfrqfYyKjLrYR2v94WhV+1EmayAlVoNuDBG8
 6gNthSleX6QthoQ2bZZh2aIp/zuxavTXQZcrEkItvAfcPGZmN/VmfW15bQTElLqTCBen
 j8IQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=6lYPEq33NOZSLotK/Funx3YiWhZMVCpgmsZs7RTsWTA=;
 b=qXEMvi9z/1vNfCoouSHncDhhFn8TEYRpnWJ4ptbF5PbFGCdLcbgsDc5cRi0BgI7qSY
 uSmUYsucecPLnCFRXfrVUhdHavaMUyIryD/Qs0DcyUCr3Ayh69xK7zRg4KyFygPeckrr
 +CdMJBA/9s0i90KCIsGxnWm6cBufJtqcQtvfBxgx9XPe270eDQWoy2nXHilo7KCSurOW
 6rFNE15IsV3ZAhyJ8a+P7vQuMoE7h/oyicz0waUIEaZQSvSCqErOCdf8h5FqyAgCoEN0
 dV7LFKvd2hP+hkLj+HJ4Jl3e9xz3KojA9L4zxjdGRgXDb7CsO0nm/U5yLEPLo2qtK0F5
 J7eQ==
X-Gm-Message-State: AOAM533srW+5rWje3coNvz7sp+wnXRndQmOh+ZCSQgIMg3Ih3qhGhsIb
 fPXBAgtSszFFuqBSelDd8ebMVvHwbbAnew==
X-Google-Smtp-Source: ABdhPJxrQOOLbzLfxBcHbSDbN3LPylZTx75MSMKLfMQBdhqNLfUe2+vrMjoI10RuyJ8h1Ps5FjRuXg==
X-Received: by 2002:ac8:5fc4:0:b0:2f3:f0e6:7635 with SMTP id
 k4-20020ac85fc4000000b002f3f0e67635mr11081237qta.192.1652590054627; 
 Sat, 14 May 2022 21:47:34 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:34 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 058/602] gnu: Remove python2-hiredis.
Date: Sun, 15 May 2022 00:37:25 -0400
Message-Id: <20220515044629.6843-58-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-hiredis): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 03d8c64037..56fef5ee13 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3873,9 +3873,6 @@ (define-public python-hiredis
 parsing code in hiredis.  It primarily speeds up parsing of multi bulk replies.")
     (license license:bsd-3)))
 
-(define-public python2-hiredis
-  (package-with-python2 python-hiredis))
-
 (define-public python-aioredis
   (package
     (name "python-aioredis")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:32 2022
Received: from localhost ([127.0.0.1]:48210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I0-0003V8-Fw
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:32 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:47091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AL-0002uE-8t
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:37 -0400
Received: by mail-qk1-f170.google.com with SMTP id c1so10164077qkf.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=KWnnQ5l8pJspaetAzOlOPQ/BRsb/1pkXZMc9idL5cKY=;
 b=X4jaTEC0dCnYjFnPFRnWzjyMX1J3Wr3gIdmeEmKhpek4tLaD+tbsxS6rsE+YvyMNP+
 PsFfMs0OlRmNHjnhY589SLalEE5dU+phmlFk1RoN5ceyAZd4dlGol1ZdsNa8amRjuFLN
 MVG36isXAw7dwHTEGyCZZvtraCauY7imgtqrhOeV2xk01NTtdFVkxiWFGCj2W3uJRqd9
 aD0oP6+hEiBsCVlYf1zrsczRkIfxaa8Mbx/ydsDcAgBV4srIt5wm0YP17UNFhPYI5Svp
 tQAIlrWqsJUGGtyzPPx1Y894Ldx8J89ePRG4R5V2Jq2TM4+3pOjqGdOf7QaKoTE6sW43
 gN+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=KWnnQ5l8pJspaetAzOlOPQ/BRsb/1pkXZMc9idL5cKY=;
 b=HINwWuHm6/V1pb4yHKHr/RwqgmF+oEGR0T2FGq0Dg4SlN2upk9QBZHteiUlO98xwE9
 ZK82AQ7J1Iou/E4rGRfgS/orEZr66xTbQzLljOFuYdmgAKipGhfxok0F8p4dfFFfOYkM
 UFcL03mdCGEa4ikIVbKWpBcvFjLwVA4GX5SjZ42/x2scarQHOUsVi1pMEZrK9F24cUJk
 rXZK39MUCUd+TZmNF2cljvpPUtHcsVXTRhZNFW2vFJEV4GegmDBsqzWOJUI1jferMCSE
 fA86SfOYCGkwWchIawdcb+hhqSYQzXaw/TIaNuGY5Nam9Ts5HB2BKOWVYxJYSRILR525
 7cWw==
X-Gm-Message-State: AOAM5334dwoW99Nud3SjcoV2pkhN4Mk4xd0u1ypLyVCo4DZidPqfypvx
 suEStV0H1ASYWBIjVfL7OQwAodyXMDepEw==
X-Google-Smtp-Source: ABdhPJxwoWG2FTd5/+iAERFqrhGzG8hmyoD3Ayw8rQ/7mn+PFiyWEdLPdM03Ho47n7imsbgkgqLnmw==
X-Received: by 2002:a05:620a:440c:b0:6a0:4cd7:3834 with SMTP id
 v12-20020a05620a440c00b006a04cd73834mr8375971qkp.264.1652590056760; 
 Sat, 14 May 2022 21:47:36 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:36 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 061/602] gnu: Remove ocrodjvu.
Date: Sun, 15 May 2022 00:37:28 -0400
Message-Id: <20220515044629.6843-61-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This package still depends on Python 2, and upstream considers this issue as
"wontfix".

* gnu/packages/djvu.scm (ocrodjvu): Delete variable.
---
 gnu/packages/djvu.scm | 84 -------------------------------------------
 1 file changed, 84 deletions(-)

diff --git a/gnu/packages/djvu.scm b/gnu/packages/djvu.scm
index 07c77f318e..38e6278ce5 100644
--- a/gnu/packages/djvu.scm
+++ b/gnu/packages/djvu.scm
@@ -396,87 +396,3 @@ (define-public didjvu
 and background layers of images, which can then be encoded into a DjVu file.")
     (home-page "https://jwilk.net/software/didjvu")
     (license license:gpl2)))
-
-(define-public ocrodjvu
-  (package
-    (name "ocrodjvu")
-    (version "0.12")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append
-             "https://github.com/jwilk/ocrodjvu/releases/download/" version
-             "/ocrodjvu-" version ".tar.xz"))
-       (sha256
-        (base32 "09w9rqr7z2jd5kwp178zz2yrsc82mxs7gksipg92znxzgzhmw2ng"))))
-    (build-system gnu-build-system)
-    (native-inputs
-     (list libxml2 python2-nose python2-pillow))
-    (inputs
-     `(("djvulibre" ,djvulibre)
-       ("ocrad" ,ocrad)
-       ("python" ,python-2)
-       ("python2-djvulibre" ,python2-djvulibre)
-       ("python2-html5lib" ,python2-html5lib)
-       ("python2-lxml" ,python2-lxml)
-       ("python2-pyicu" ,python2-pyicu)
-       ("python2-subprocess32" ,python2-subprocess32)
-       ("tesseract-ocr" ,tesseract-ocr)))
-    (arguments
-     `(#:modules ((guix build gnu-build-system)
-                  ((guix build python-build-system) #:prefix python:)
-                  (guix build utils))
-       #:imported-modules (,@%gnu-build-system-modules
-                           (guix build python-build-system))
-       #:test-target "test"
-       #:phases
-       (modify-phases %standard-phases
-         (delete 'configure)
-         (add-before 'check 'disable-failing-test
-           (lambda _
-             (substitute* "tests/test_ipc.py"
-               ;; test_wait_signal gets stuck forever
-               (("yield self\\._test_signal, name")
-                "return True")
-               ;; test_path fails to find a file it should have created
-               (("path = os\\.getenv\\('PATH'\\)\\.split\\(':'\\)")
-                "return True"))
-             ;; Disable tests with tesseract. They can't work without
-             ;; the language files that must downloaded by the final user
-             ;; as they are not packaged in Guix.
-             (substitute* "tests/ocrodjvu/test.py"
-               (("engines = stdout\\.getvalue\\(\\)\\.splitlines\\(\\)")
-                "engines = ['ocrad']"))
-             (substitute* "tests/ocrodjvu/test_integration.py"
-               (("engines = 'tesseract', 'cuneiform', 'gocr', 'ocrad'")
-                "engines = 'ocrad'"))))
-         (replace 'install
-           (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (invoke "make"
-                       "DESTDIR="
-                       (string-append "PREFIX=" out)
-                       "install"))))
-         (add-after 'install 'wrap-python
-           (assoc-ref python:%standard-phases 'wrap))
-         (add-after 'wrap-python 'wrap-path
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out"))
-                   (djvulibre (assoc-ref inputs "djvulibre"))
-                   (ocrad (assoc-ref inputs "ocrad"))
-                   (tesseract (assoc-ref inputs "tesseract-ocr")))
-               (for-each (lambda (file)
-                           (wrap-program (string-append out "/bin/" file)
-                             `("PATH" ":" prefix
-                               (,(string-append djvulibre "/bin:"
-                                                ocrad "/bin:"
-                                                tesseract "/bin")))))
-                         '("djvu2hocr"
-                           "hocr2djvused"
-                           "ocrodjvu"))))))))
-    (synopsis "Program to perform OCR on DjVu files")
-    (description
-     "@code{ocrodjvu} is a wrapper for OCR systems, that allows you to perform
-OCR on DjVu files.")
-    (home-page "https://jwilk.net/software/ocrodjvu")
-    (license license:gpl2)))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:32 2022
Received: from localhost ([127.0.0.1]:48208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6I0-0003V1-7c
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:32 -0400
Received: from mail-qv1-f49.google.com ([209.85.219.49]:41762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AI-0002sT-FK
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:34 -0400
Received: by mail-qv1-f49.google.com with SMTP id jt15so9877257qvb.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ym6DhblVJbRBMy4aiicgHcWgPKsSyjwDkGRcE0VQF10=;
 b=TbIlB7+0SWQsCSTPVFe3WmiCwpQS5/gfyU2lyeZWwIN3EnzgvUbbDuTWRox+IwzTrs
 uR1ux8/cyL0hbSWtFitLuGAwszMJ5vVjZu0aBtvAt82f7Ami9UcNGJpPxioBmAkv6JNi
 DYqagEG/tuMKbLIQWku4Vk1G/5sQOlurhmL53w06j2L68XNWQ+0R80ORNfrBgZK7TCFV
 p5FYD3G2wS1DlQ9QxZU7HwtTytNYQXs2d7o5olO6OiF30Ft26WUmKax6x2bsLqbYP0p3
 7e6QFi6JXUOk4hHT4ZYHPMCXD8WD3dDjXGx3FX4uQdsS4tiKfU1eXjzuY5XyQpJm5hoV
 wz/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ym6DhblVJbRBMy4aiicgHcWgPKsSyjwDkGRcE0VQF10=;
 b=eDBGeHKGSZLZEFp0/XAu4U+7fRVoObcITwfG+IUSZU0yA8ZSUKeUY86d63hla94Ci4
 1g71BYHFzvcm3U7QFx8c/XhWY75QTED5RuDzKrFx82pPtg3TWnPDy5hPOKrGTLUV/ZiF
 rvfhUPmEIV93xE6IXWQ3SqFZLikqT1sQi/qVxa40fFPJuX8iZDOQV4l3+ZvP4DjCD3OZ
 CBTSysikgBvCU7/DQNrbHd4TGJGFUYdn7ZdP6zLMecSl64vNLlLMNAOXuS1WN4ZcDoTB
 L1qi857zucld8X7Ei7KgX/LdGxx4Ni7sVTMrgi26Pam49Q1/pbvbLQ8myXlhCaP77B9S
 ykXg==
X-Gm-Message-State: AOAM531lo1dvB6WVZYmUT5ITMCWz6Gqm9wKm4ZslfDKGB1Pq2xb5EEJA
 0x5hN6eSA+wntlTebqQmqazMy06hMIGUVg==
X-Google-Smtp-Source: ABdhPJzAeIz0Z4pXFE9nOSbnAVFstvTgh3tAv6DfdbRawybTkemx1N7INd4Krnt5jsrazHVE/TJzJA==
X-Received: by 2002:ad4:596e:0:b0:45a:ac4d:2395 with SMTP id
 eq14-20020ad4596e000000b0045aac4d2395mr10156667qvb.81.1652590054029; 
 Sat, 14 May 2022 21:47:34 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:33 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 057/602] gnu: Remove python2-pymysql.
Date: Sun, 15 May 2022 00:37:24 -0400
Message-Id: <20220515044629.6843-57-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-pymysql): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index cd3f92a855..03d8c64037 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -1525,9 +1525,6 @@ (define-public python-pymysql
 Most public APIs are compatible with @command{mysqlclient} and MySQLdb.")
     (license license:expat)))
 
-(define-public python2-pymysql
-  (package-with-python2 python-pymysql))
-
 (define-public qdbm
   (package
     (name "qdbm")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:32 2022
Received: from localhost ([127.0.0.1]:48206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hz-0003Ut-Td
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:32 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:41965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AH-0002wd-32
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:33 -0400
Received: by mail-qt1-f181.google.com with SMTP id y3so10056574qtn.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ybSFMlKKz2d5P02QA8sbQcQ6mWblUluyiFg20w52Ig0=;
 b=ARPDEAyl5hGtpSmSDSa53jmAu8JfYtJ31806uwHVP0uplpn7LOodeGseySEgjFgtjX
 1YwqhLaZoeRH9Hor1GniLOf5n085Kc9voS8kF109HM7DYQSPDqs9URMc3zYuymLTAESw
 B4p+3pYykz7gyXYmlE38qfl8/zh4j0XCXjPMQovwHY15AQL089qRARrxU9aoImkgAx7l
 FUgfYze1v3hJ4B+Zhnh0coUd79i6PUDFeaXdS5ccYtfKasTiHJhKi8BtR7p+EQWTgpnW
 yDcOZcaRrlmu9v+RFj8EHCJ+QTS04TGmLWkpzWtfpqqmlDLxuAKkCQTUYW0deEiTq/eR
 hBjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ybSFMlKKz2d5P02QA8sbQcQ6mWblUluyiFg20w52Ig0=;
 b=CZMbOIIRDoypnM819wwiLpbx9L1lBV2n3XShmF6nKsp8S3HAy/2ZtqrKGfJ5TKLA5v
 DvMVF46S5otAOXHTIwlg7VKF/6y7KtA1IIqDEnryGbbZO3jMXCAfXzPoJDR3LG9L5Vio
 NdA0DRXIj6z6DT2cFJeUmt+Uwn19JmRjMEdsZxDa2JT0n+O+S+FqVpS2DgEK7yLyTMMT
 4dr6VnsK5D53NElWPUMop2ii2pYnMPVuRuVQy1EMJUt7A+dOD6b45aM3AHADCq2tEHMv
 fk3cL9h6r5DtCPlvS3zwKmr5iqZCtGPB4aD6sUdiaHNyNszTaP3GvQeYAG4nqmoVmNfj
 udHw==
X-Gm-Message-State: AOAM532YfNbCaoZ13Nbl6aOFz9rQ08b9UsM42MTLTyntz1Dbm5XZh8UK
 hfMI2XNBAch048MNUlwnPwI9kXcxU7638g==
X-Google-Smtp-Source: ABdhPJzAxz1l8jpkKmRR8GZSCxKMzmme6kS4RjaRm1MDNn9YWzwKtCuCqjNXd5ueqeyOwtKdgvk/mg==
X-Received: by 2002:a05:622a:1744:b0:2f3:d55c:9f5f with SMTP id
 l4-20020a05622a174400b002f3d55c9f5fmr11081103qtk.14.1652590052618; 
 Sat, 14 May 2022 21:47:32 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:32 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 055/602] gnu: Remove python2-py2neo.
Date: Sun, 15 May 2022 00:37:22 -0400
Message-Id: <20220515044629.6843-55-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-py2neo): Delete variable.
---
 gnu/packages/databases.scm | 21 ---------------------
 1 file changed, 21 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 945525d791..b2c74a54ba 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3643,27 +3643,6 @@ (define-public python-databases
     (description "This package implements async database support for Python.")
     (license license:bsd-3)))
 
-(define-public python2-py2neo
-  (package
-    (name "python2-py2neo")
-    (version "3.1.2")
-    (source (origin
-              (method url-fetch)
-              (uri (pypi-uri "py2neo" version))
-              (sha256
-               (base32
-                "1f1q95vqcvlc3nsc33p841swnjdcjazddlq2dzi3qfnjqjrajxw1"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2))
-    (home-page "https://py2neo.org")
-    (synopsis "Library and toolkit for working with Neo4j in Python")
-    (description "This package provides a client library and toolkit for
-working with Neo4j from within Python applications and from the command
-line.  The core library has no external dependencies and has been carefully
-designed to be easy and intuitive to use.")
-    (license license:asl2.0)))
-
 (define-public python-psycopg2
   (package
     (name "python-psycopg2")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:31 2022
Received: from localhost ([127.0.0.1]:48204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hz-0003Um-Hw
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:31 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:44549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AB-0002wX-Uo
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:33 -0400
Received: by mail-qt1-f171.google.com with SMTP id i20so10048110qti.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=UGkLn4q9YRzuu7Vem1WpZhsFSSJkaMgh1KAfNIyI3F4=;
 b=a9decSiXVa/gWeYbWdHPFI9KFK6EtFFJBnC+C5aAkljVFOtXVSDQ52oOJvrFQ+XJpl
 /VKRV056FqhZWLJrueGeamKyi4MTAp3bfMoAZvrimtiUpAwtAMovborJ5GsC+/jw/WrD
 ekXXOItk+ob3QvKOGCTecu2pyd/e9qwIv4l5QBgMVwewbv/i/GlKDB8zqjZRM5K6n5Ym
 7CmWx45yo8aU14BX4p22RUqvNON+pqEXEKO/XbPDHlZytYGBR9KSJCihlzzvSGKmjrD9
 fMaVdqnye5WGcU+5nq4Gn0tZ2VYW3d3cVrsG2JjI4oDlYEJOHgKzJjhkGZcnmmi4V5Au
 KQeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=UGkLn4q9YRzuu7Vem1WpZhsFSSJkaMgh1KAfNIyI3F4=;
 b=4b2HVc9+T1bAxNSFs4oCq9f9xHwu7ecaiR7pj3k4Sqv7AOJn/8ZVEMgOgCzEXPJ9Fn
 ZWYEhn20hmyfbvycGqum51xmVyq8TKkeRFPeNijR284wL3NIrX+zy/adF/ngJ0m17mSy
 fzLCAhPmm+1PRNC512GM0Q9YDf3DTVSbwd/RBfBa8lhZzKLkKV3RooOpSYdGot/zq6x7
 eYcU+xL3qQrqgxxNF2SJfhavrR1c0GVvkfrYxqCT0piVNBe5rgy9hufnKOvgPgqBH0oR
 zitf0ajm0dsLlYsx+gFTPABXGJw8/desnhRhmk9YmH+UimOa6UzSRGBZWolwCmQPbA4R
 dafA==
X-Gm-Message-State: AOAM531zv94MVA2+BUz6nbvXw5FYK7MF0r5wIttTQSRHS0QswdmMZUsb
 gXdZFWDqiW8r2B/eCVXGQ8yW0m+rQ7sLOQ==
X-Google-Smtp-Source: ABdhPJyDnvmur9H6dlVWl8J5VkLcqick1/F6UP4uZ3JQSjfqXZ5ID/quwOye5Dd660PYQLhkYrwSFQ==
X-Received: by 2002:a05:622a:1186:b0:2f3:cfb7:43da with SMTP id
 m6-20020a05622a118600b002f3cfb743damr10705466qtk.538.1652590047459; 
 Sat, 14 May 2022 21:47:27 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:27 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 048/602] gnu: Remove nmoldyn.
Date: Sun, 15 May 2022 00:37:15 -0400
Message-Id: <20220515044629.6843-48-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/chemistry.scm (nmoldyn): Delete variable.
---
 gnu/packages/chemistry.scm | 60 --------------------------------------
 1 file changed, 60 deletions(-)

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index d94f3ec787..e5b6309585 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -306,66 +306,6 @@ (define-public molequeue
 (define with-numpy-1.8
   (package-input-rewriting `((,python2-numpy . ,python2-numpy-1.8))))
 
-(define-public nmoldyn
-  (package
-    (name "nmoldyn")
-    (version "3.0.11")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/khinsen/nMOLDYN3")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32
-         "016h4bqg419p6s7bcx55q5iik91gqmk26hbnfgj2j6zl0j36w51r"))))
-    (build-system python-build-system)
-    (inputs
-     (list (with-numpy-1.8 python2-matplotlib) python2-scientific netcdf
-           gv))
-    (propagated-inputs
-     (list python2-mmtk))
-    (arguments
-     `(#:python ,python-2
-       #:tests? #f  ; No test suite
-       #:phases
-       (modify-phases %standard-phases
-         (add-before 'build 'create-linux2-directory
-           (lambda _
-             (mkdir-p "nMOLDYN/linux2")))
-         (add-before 'build 'change-PDF-viewer
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* "nMOLDYN/Preferences.py"
-               ;; Set the paths for external executables, substituting
-               ;; gv for acroread.
-               ;; There is also vmd_path, but VMD is not free software
-               ;; and Guix contains currently no free molecular viewer that
-               ;; could be substituted.
-               (("PREFERENCES\\['acroread_path'\\] = ''")
-                (format #f "PREFERENCES['acroread_path'] = '~a'"
-                        (which "gv")))
-               (("PREFERENCES\\['ncdump_path'\\] = ''")
-                (format #f "PREFERENCES['ncdump_path'] = '~a'"
-                        (which "ncdump")))
-               (("PREFERENCES\\['ncgen_path'\\] = ''")
-                (format #f "PREFERENCES['ncgen_path'] = '~a'"
-                        (which "ncgen3")))
-               (("PREFERENCES\\['task_manager_path'\\] = ''")
-                (format #f "PREFERENCES['task_manager_path'] = '~a'"
-                        (which "task_manager")))
-               ;; Show documentation as PDF
-               (("PREFERENCES\\['documentation_style'\\] = 'html'")
-                "PREFERENCES['documentation_style'] = 'pdf'") ))))))
-    (home-page "http://dirac.cnrs-orleans.fr/nMOLDYN.html")
-    (synopsis "Analysis software for Molecular Dynamics trajectories")
-    (description "nMOLDYN is an interactive analysis program for Molecular Dynamics
-simulations.  It is especially designed for the computation and decomposition of
-neutron scattering spectra, but also computes other quantities.  The software
-is currently not actively maintained and works only with Python 2 and
-NumPy < 1.9.")
-    (license license:cecill)))
-
 (define-public tng
   (package
     (name "tng")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:31 2022
Received: from localhost ([127.0.0.1]:48202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hz-0003Uf-8y
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:31 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:47091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AE-0002uE-Rs
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:31 -0400
Received: by mail-qk1-f170.google.com with SMTP id c1so10164077qkf.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=wOu8lG7VRbxUMyub9BwlgGfvS9WWwDpF9HT3COobqt0=;
 b=KeojNDqvJgISHqToI/fWLwwhQLjUPgznteHZVLuZE03D6P6mdz2qdIWBiGpsdjdgi5
 CDp556DUkAaTzCgRofGDCawIFQLbaY5J6ozdzuHn+GSVdikwRoqf32yXzLu+hlp3AJCR
 XrMgbvxv+HFmvNlV1Qr9vVymqmL6YgVjUPyk6GtUWWAe8vl2nlXr0FWbNGChmqCwWKYt
 RHrFHYqhTGSCycLOYb/4gKIzIhxotlQXgYFStpbnufbEp3NdNrdJE4fuMpmSvZgjo4e+
 lCaJEfp/Zb0TffKW3yM1cxA6xaoXqj1XpoiMzS1YrLOspeRNvpbmHgBDtMtms5HzdWh7
 ZKUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=wOu8lG7VRbxUMyub9BwlgGfvS9WWwDpF9HT3COobqt0=;
 b=hIaoqaq1YLq2caOZASuU4Gy+UUzgvgI+PS/UT+Dl0cXj8+9ZDMc02ERctSDvhfAhKd
 Z/fMERlBbwVCI0kOdTT9xYQ19gpnNV3mfuyOoK7sGK3UkACOwPyvKwUOt2R9+PIPypf+
 UVdpDXUgySfhHwExK2X+Lnex6FCisnnJXxk74LdP8kvJiU5YBvugdf4CjuXrMKXHMj7R
 +/vR3VrmkdIgamKOcm9ZsgpPtgEEZRvtq4aM95eCagFWswtzLx7APsOQma9wO5j1DnJR
 UuhcNwgeb2F4tryimtmLXT2X0SfSthErfkzjf3jF+cCy0Co+RfRdOmfWM3dMYZHPkpVm
 Ff7Q==
X-Gm-Message-State: AOAM5323p1yKkGGnSynGUiXR0KcN0X8WVlB/xiJi8TSNsvgvxYBGcQeA
 /EfcdTp3/usotd+xhxzu17tc87N/smY2Sw==
X-Google-Smtp-Source: ABdhPJyDDOU/UvxNFERjunLhtHp/lQ8IggS35Le51OEmZtjCcuqVJoKExiYemZV5VrrhXllixoxNIw==
X-Received: by 2002:ae9:efd6:0:b0:69f:e436:c780 with SMTP id
 d205-20020ae9efd6000000b0069fe436c780mr8598154qkg.205.1652590050413; 
 Sat, 14 May 2022 21:47:30 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:30 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 052/602] gnu: Remove python2-peewee.
Date: Sun, 15 May 2022 00:37:19 -0400
Message-Id: <20220515044629.6843-52-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-peewee): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 126c32725e..e7693552f2 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -2876,9 +2876,6 @@ (define-public python-peewee
 can autogenerate peewee models using @code{pwiz}, a model generator.")
     (license license:expat)))
 
-(define-public python2-peewee
-  (package-with-python2 python-peewee))
-
 (define-public python-pypika-tortoise
   (package
     (name "python-pypika-tortoise")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:31 2022
Received: from localhost ([127.0.0.1]:48200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hz-0003UY-0d
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:31 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:41965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AE-0002wd-9g
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:30 -0400
Received: by mail-qt1-f181.google.com with SMTP id y3so10056574qtn.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1NZrQxDW2EiLgVeme3uJ8bGKuycli34lhuAg9H6PLo0=;
 b=hrJmevXIM4j67/ceiGfxZMwnHeT0x5KMgfSEEykFQhE3nxk84dVdROvZYQqCuC7Ezr
 r+PpzxofCsYDQpPwxsUnYgdbvfsp39YUk0mCuzgAUSYRlzc7qM+Fkle32KnvGGjfl1y/
 oiQDJHRAaW0wr17N6YESF69iUY3A8C4Pa89tdMEduKS4aoFu/ySKTVhdymM6mYmVYO38
 8NmU5D20bF0Bqww8BjPc29Sg+v/5aNFtcr4n8lpKyCNGGJDKdcc7h2Dt32MzIxjGsNz9
 Wt3Lx6NHIkIebbeeycXohPvkGOswe5iNhuDlBaUgTXA7u3/2fXKM075Y+mbRMRmBFk2v
 Dsnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1NZrQxDW2EiLgVeme3uJ8bGKuycli34lhuAg9H6PLo0=;
 b=Xr1+TDuHRrMfKDT7e2n1DUJ+UQgCHPPU59oRbm6TPXiNTwJMj54ou1gNE9WjCG+xqm
 SZkdTJ4cBPVONFIdW9C3A+5NMckiFu35snnn3k+amVPDq+olvhYbM4zOqwANT5aLu5fq
 Uqhhukuao6GmQdAnTFYA4cSavmmKebiI9gehvPJgIvLCASEwcp+K1r4aO7pCrChx9Jpv
 wZkSc7lkvi0+3qIQGirhQLEJPEbvLMN3hC/ZqN8s6ZKQV5dosb8pBfEoZDr7ZN7T4e+9
 0dJT7QAQxmM13mlnA6Y6aYL4Czs5YYpdMUpnuHSqy0Ud2jhCSp3GOV4TqXqZhS3u7/04
 2Yug==
X-Gm-Message-State: AOAM531Zfw0Kspw/gDkdQ6o28nSPS+DwRX6Y52QblXCkDyLVc2JZeONZ
 c3uSy3GQcW3GCvGabZswoxvqm6Mn6oXoxw==
X-Google-Smtp-Source: ABdhPJwKzA5WtejkRFfTVGfDv0+DfPoVFI0nMJuSm/1V2SpqJyivddQGmdWCx73uGb2yqB7JKOFmgw==
X-Received: by 2002:a05:622a:2cc:b0:2f3:b741:fac2 with SMTP id
 a12-20020a05622a02cc00b002f3b741fac2mr10950784qtx.685.1652590044752; 
 Sat, 14 May 2022 21:47:24 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:24 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 044/602] gnu: Remove python2-pytest-flakes.
Date: Sun, 15 May 2022 00:37:11 -0400
Message-Id: <20220515044629.6843-44-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-pytest-flakes): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 089f686c94..c4884c72d3 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2462,9 +2462,6 @@ (define-public python-pytest-flakes
     (description "Pytest plugin for checking Python source code with pyflakes.")
     (license license:expat)))
 
-(define-public python2-pytest-flakes
-  (package-with-python2 python-pytest-flakes))
-
 (define-public python-coverage-test-runner
   (package
     (name "python-coverage-test-runner")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:31 2022
Received: from localhost ([127.0.0.1]:48198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hy-0003UP-LY
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:30 -0400
Received: from mail-qt1-f170.google.com ([209.85.160.170]:44549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AC-0002wZ-NO
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:29 -0400
Received: by mail-qt1-f170.google.com with SMTP id i20so10048122qti.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=4wQjN0hI0hqRXgTlo0lSeAnS1kkemCFAbk8ytXVgXLo=;
 b=eDRDFlJ19kzij8QvFeHG7FkpKoENn2Eeb8KAv03e4/8lc5cr/uKmdZFGSxEXvWC2Bg
 Y80tJyptf/4RMmAj9OZYGWg9QxC8zi/C3VBKebUCO03EdgSbLhYhEmWtE2GusiJsAlM3
 exSRmfJC7BrUaX4lermJYWZNNm14hZafoxacR/C4BQ8OMBNn8ZuylW5GDtZWhQ1u5Zbu
 k2AGlr+ZV+OUht+HMTWR1hfYRtGHN2c0py6mncb64Gjc99LxAws1ERTPW0E8po80r13F
 KHA5Abb9pe79PCQsRfHEHopYVk3Z8WYCeV0VGOv3LzU93G3tYUxUJRR3p9gzo2xX7ax3
 0zPQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=4wQjN0hI0hqRXgTlo0lSeAnS1kkemCFAbk8ytXVgXLo=;
 b=KOtxJbLwlI0WmIad4W1ECWfVTFgNSJEAtmPZ9NSmqBD9hvW3CDlbQcXynmfhG2/iWb
 +BWkCZf7kbw0QLPjT3C0TFMvTzzcKffT0vLuohpxQVnd+GCXgK00opOqqRBlXueaS0Yw
 Oi9K/c/eu8ur6I9k1EfM3lBen1biYERA/RlmbwTpaw14WDSM8dQbEMHagJvOg1A9u222
 b4uwDvQofJQeVdHhLAYmrcjLYj1xXeuc0ylV315hkVyrpmevpu0uJ+YpL6meX54+XrQY
 XyNyWqI0OH9/P7BONIhAg23Yt/+iwrkgVgJ6QH2j53GbQkKv/xanNGQ9natGU8EkS4nE
 0wcw==
X-Gm-Message-State: AOAM532E1o2+VLlRTt2zRl5NgCk61U2ErtNq6fKanyGvUXVNntxdkUfn
 zm/V7W5G5rVd3Mv/O1AHBWU+tKBpLsGWlA==
X-Google-Smtp-Source: ABdhPJzvFMEiFM/lD7NFy4jxN/LFLrBsSVxz+IF1odTHDUd+FtBuC2TwuHEpkUjQlnJ+dzY0GRPiXw==
X-Received: by 2002:ac8:5f11:0:b0:2f3:dcd1:66b6 with SMTP id
 x17-20020ac85f11000000b002f3dcd166b6mr10970273qta.121.1652590048258; 
 Sat, 14 May 2022 21:47:28 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:27 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 049/602] gnu: Remove python2-neo4j-driver.
Date: Sun, 15 May 2022 00:37:16 -0400
Message-Id: <20220515044629.6843-49-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-neo4j-driver): Delete variable.
---
 gnu/packages/databases.scm | 21 ---------------------
 1 file changed, 21 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index feedfe68e7..82ff9fc13c 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3652,27 +3652,6 @@ (define-public python-databases
     (description "This package implements async database support for Python.")
     (license license:bsd-3)))
 
-(define-public python2-neo4j-driver
-  (package
-    (name "python2-neo4j-driver")
-    ;; NOTE: When upgrading to 1.5.0, please add a python3 variant.
-    (version "1.4.0")
-    (source (origin
-              (method url-fetch)
-              (uri (pypi-uri "neo4j-driver" version))
-              (sha256
-               (base32
-                "011r1vh182p8mm83d8dz9rfnc3l7rf7fd00cyrbyfzi71jmc4g98"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2))
-    (home-page "https://neo4j.com/developer/python/")
-    (synopsis "Neo4j driver code written in Python")
-    (description "This package provides the Neo4j Python driver that connects
-to the database using Neo4j's binary protocol.  It aims to be minimal, while
-being idiomatic to Python.")
-    (license license:asl2.0)))
-
 (define-public python2-py2neo
   (package
     (name "python2-py2neo")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:30 2022
Received: from localhost ([127.0.0.1]:48196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hy-0003UI-BP
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:30 -0400
Received: from mail-qt1-f170.google.com ([209.85.160.170]:44549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AB-0002wZ-Hi
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:27 -0400
Received: by mail-qt1-f170.google.com with SMTP id i20so10048122qti.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ootaRqjuLCZGDsiRFZ0xXIC4+QU3/8CJGgX86VM6wAo=;
 b=YZS20NkpASZ6bDRHCzleQahdqLac4MAjxPBZ8HuGM7QdGX38i1PoX3rTj3MCVe0J5U
 iRDTWeTIaAjoRyj09zpJ6d8hnMk9VFt9ULLSrqLJvQHSEdPC9dhKa/Ec49PRPVHwuZxW
 X+kxpG48rRoPpCkLalRf8Wseus7QfFiOHZ27a7/2d5Z2jqtCPQyuqKurrNTN++l0GDGl
 m9fQrwlnk+u0oAAZ0MngmpZEM8riMWOifXaNuJ1PXyF1eU5pCkisAGzcHBdXSUlp9fHx
 F1Ss6NU75SIkbJBMKg4W60sCrJl7CIYCAOuKISXp5ggGnqT8VL9EQWh5Pwj+D+1A0lpI
 sm2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ootaRqjuLCZGDsiRFZ0xXIC4+QU3/8CJGgX86VM6wAo=;
 b=jMbBJc7A/b9pbrgRQI2IzctJ+kvenGXP0pRJTYNh9z21Uop9OLnMkAA5jr4Pz2lRO1
 s7j1CaYhqh1p8WKRzK2o8FrX48NL5gH6EVHDil6FN10oTQ/WifwtQpIyb5NUr2N0Pk8i
 mfX2oVCPWTKqRqGyO9Xw/fchZo9gPYQ+aHmioXxZEgcxdUK0Da1QaZ0c/GTeI79WQbQE
 W/KC2q1g5bP2admz4whDqsq0sw8Ss9UJOF0ulbB4RUs1V0RlXBRTV6vIJSZHvJeDUidP
 j10klLC3X344WdRjIhsik/Gizm5M9gaaEw3PeI/Ly2+borj6tFxwLytLl9vnmRDx/vqW
 RHmA==
X-Gm-Message-State: AOAM531HRn98IPl/Bxz7K7EjhBqlDXC3TjjSWYsQVSQLLB684tbRiYAz
 chytm6yiuB0h1ucmXna2zi6x80w6Z7rGKQ==
X-Google-Smtp-Source: ABdhPJzRrhGOArZ+fD5padaSF4RMgFHMzG5TkrWqDm4K1s/fZzfEMtzi2kXhU6MjsxRRM7xjP09QAA==
X-Received: by 2002:a05:622a:58e:b0:2f3:b5a1:99fc with SMTP id
 c14-20020a05622a058e00b002f3b5a199fcmr10719073qtb.675.1652590041953; 
 Sat, 14 May 2022 21:47:21 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:21 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 040/602] gnu: Remove python2-minimock.
Date: Sun, 15 May 2022 00:37:07 -0400
Message-Id: <20220515044629.6843-40-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-minimock): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index e89e346532..a093fedfe8 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -849,9 +849,6 @@ (define-public python-minimock
 doctest.")
     (license license:expat)))
 
-(define-public python2-minimock
-  (package-with-python2 python-minimock))
-
 (define-public python-mock
   (package
     (name "python-mock")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:30 2022
Received: from localhost ([127.0.0.1]:48194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hy-0003UB-2u
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:30 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:44549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6AA-0002wX-6K
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:26 -0400
Received: by mail-qt1-f171.google.com with SMTP id i20so10048110qti.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=o7Ev8sDnIGPDpw5bbXbPOYK4Ei6SqhCL4vll5DF+M6U=;
 b=mK/W0i+4Mfs0cmGu/Da0ZXQYzbLVvWNBQL5zU49MgdKrNusdZLbQjHQ1B4VZZntQPb
 bZyHtJQJFuejX8sYjMLtbcTGkZCj2OrU7Qae/NzQhwK+9cuFhzt/CoegmylJkvNn+ZYr
 ECZn5LVxJX9L5uQNqp3peJfeaeUy18RD7GY7DG8Le5stssQ5Onf1hOVnEBbeGVXLJ6Mw
 jadRKKkxaOpFs7rmgEu+l/cSy9Osq1JAHjkIQeEuyQaNK2FIHL+SRdZPrMHpKxtuwBWc
 wX53z0SyHbB7OMUujhNPRZNA6lvsT9zXtGOE0sjMOSPXhiFCJOKuGmqRQIiPZwCS2Yz7
 E3mA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=o7Ev8sDnIGPDpw5bbXbPOYK4Ei6SqhCL4vll5DF+M6U=;
 b=TFMr14gCy17ogn0BCxzlCBQwqAWpUIxl/OTrO8aYoYcIqRgquaksoIuKu2ogYkdfbZ
 04jk18OsSi1G5VXxQxjhnDWVh5TiuxsLzN6YNJ6LV+T3M9TxrZJb86gFlM2Trmd/Ttt0
 LyNqDrYnllvzKBQuuycBj4mcHQ8QyMBQLuyjdl2Pw37LMnYIpz1V8oJl4onyMdsY5d9y
 xo6EYfXYHTv0b7lr5WUi33v5cSGWv4fsqaZbiNmIINlC8QsbXw6MdrPLE0wbz61Dk3Gt
 Xk5+wmCDg6UDxZCIVC94f/beqR5nSONNqgHOsFt3DvN4iV76lmZ+sc/vsZxCiXMzLnb2
 iT2g==
X-Gm-Message-State: AOAM53252IOZ2ZumnU+hrk9Hd9DFUhN77ne+lgJ7VdLIhji88BROWdLc
 qIvFO+v9M1RaNhxmuWKcUoKDmzyTibHsKQ==
X-Google-Smtp-Source: ABdhPJyhs7lefKdN+wbsPH8WFoDlhFa/IJ5VG5a/TVQx/o6jmKqLtF2fPRtR+gM7u4AqiZX960WZtA==
X-Received: by 2002:ac8:7e81:0:b0:2f3:d195:ace0 with SMTP id
 w1-20020ac87e81000000b002f3d195ace0mr10798085qtj.5.1652590040527; 
 Sat, 14 May 2022 21:47:20 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:20 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 038/602] gnu: Remove python2-python-paramunittest.
Date: Sun, 15 May 2022 00:37:05 -0400
Message-Id: <20220515044629.6843-38-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-python-paramunittest): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 15929831e1..2d0609b68c 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2575,9 +2575,6 @@ (define-public python-paramunittest
 recognize TestCases.")
     (license license:bsd-2)))
 
-(define-public python2-python-paramunittest
-  (package-with-python2 python-paramunittest))
-
 (define-public python-pytest-warnings
   (package
     (name "python-pytest-warnings")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:30 2022
Received: from localhost ([127.0.0.1]:48192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hx-0003U4-QN
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:30 -0400
Received: from mail-qv1-f43.google.com ([209.85.219.43]:33710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6A3-0002s0-Hn
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:19 -0400
Received: by mail-qv1-f43.google.com with SMTP id j3so601818qvn.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Qte1/dl8HeZ6Yi99bTgMmJPgSu+wT7joe3PzhI8Zb2Q=;
 b=dMChwOYsukCHn181fQjXXZQfnoA4SFz730FY95dfMqkXcob4/URYczXHdSXnEoNyz9
 N2JBrlFOSUBrxQEG0TTDEZarXe4QA4L8Cow4CN8tkiFr4pXBpp36IMKG2o3a7KrAmdPn
 0jJSrh5HoxeUF8a+ljQEwRylY9xcyZQT/e0a3Yu1BGgjnfsRGKbT0Rqpcjx3UKoB0OUk
 1PkeP5jXQpEeTTQGjOrsNtQXR2kgxZzzq0QP2W2gRcePVg/Elt6DSknrnYw6/hTgQvPN
 FGcx0L6xhVHNNmVwlTHoF08cnlo81XyyjXl5SVAoD6+D2a9PfV0G9/mz22GGUx2hb/JJ
 /SSA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Qte1/dl8HeZ6Yi99bTgMmJPgSu+wT7joe3PzhI8Zb2Q=;
 b=eD6d6mBdegl2beWciO9UBH2GkuQ2KEE+Sn1Cy/Rzgf2frv57qDvfk9gzP6/SzOZhoC
 ROX0MIjBwnTeObqUsgbNJS09OwqT/a29YHASWqmO2TGhhnn22dTFmfP+OxKzPCgSsJmK
 hj0D1+kVrHVPELAD6K675hJbE0sA8avArDZiKyZYZN1K9v3wpfhfqsevhW7Y13RcA2Z8
 o5JpcmtY8F6xoLs1PWKpFZY/rdfqdBc377osG74ZNVrxZDCyepmqyw4C9gAzdIO13Efw
 2D5+eRkgoHhgo/LXk8lMf1sogQKi6Ty88k6i79oVDFJRkQfAoQL+z8Y2GWBsZZSdUTxa
 jjFQ==
X-Gm-Message-State: AOAM530TU69+YnTbl4g93/eIfjJq8LBlxJt2nf1TNpSy7RHnOA/fQfAi
 ppz/+0ZoHXb0vaFGlO8TQDnqoNfKS3tadQ==
X-Google-Smtp-Source: ABdhPJzhNnuH5ZDant3cNC9bvf5o3GBRAq3IasgIRk6EZsunH+9XpyNUecK2UIu3oKT7Ce6aZiL3fg==
X-Received: by 2002:ad4:5765:0:b0:45a:7c96:e60b with SMTP id
 r5-20020ad45765000000b0045a7c96e60bmr10780034qvx.66.1652590039069; 
 Sat, 14 May 2022 21:47:19 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:18 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 036/602] gnu: Remove python2-nose2.
Date: Sun, 15 May 2022 00:37:03 -0400
Message-Id: <20220515044629.6843-36-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-nose2): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 3f31243f1c..5dec698fc3 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -947,9 +947,6 @@ (define-public python-nose2
 interfaces and processes.")
     (license license:bsd-2)))
 
-(define-public python2-nose2
-  (package-with-python2 python-nose2))
-
 (define-public python-unittest2
   (package
     (name "python-unittest2")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:29 2022
Received: from localhost ([127.0.0.1]:48190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hx-0003U0-HY
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:29 -0400
Received: from mail-qt1-f173.google.com ([209.85.160.173]:38524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6A2-0002re-Q0
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:19 -0400
Received: by mail-qt1-f173.google.com with SMTP id fu47so10075973qtb.5
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=WcBDWbqtpFsyf+an8Z/Bsi0XuMbrOSG8Y1eHUSxA0Zg=;
 b=F+xyQb4DwgFtrrhKO10ap7DF+Tod4x4l0fXNdiFS8+aPoiCvKjjHEuNoCUdiw/Vu4C
 dnEPSpcBlnJxDilpAlbDXfTRSBwcRXe/G26nWAUYSoVKxEhA2VhPneNRqN4lxcOyrsM2
 u6Ed5B4Ea6l9ZIVMYi6+zwqu4z8jHXT78sVFfJndXm7FvmMl2OdW74adksfmbIsHgI5T
 VTYn2C8D/e+LK7IEaeoYrHv+7qp/pLHzOpOgGsYjLk+couKzDHXb0S87F6yqA9SrVYiZ
 cp1o7fD2kW5ZbKipFcpRCic1nFhLdaxogANUn/iXPbnVlEHeTuDM8/0O6xZUsKRckJH6
 e+PA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=WcBDWbqtpFsyf+an8Z/Bsi0XuMbrOSG8Y1eHUSxA0Zg=;
 b=JkZL02eXk1K/NOowoUPbksC9Yz7x2li4r2th3QfhbfZmuRr3c6/j2AomvFo9PG3lg3
 4yiRx69gSc/XOkMtiqYAmjYW++rNS4WPd6j7tdQq8UMbxIZjuMUeF+ZCLwveJkfcLmhR
 nGfh004h9398RbCr8HKkI2L4O3hX3lq7IJXPPNAxuO+AjOvRlwjBliAUqGbE4j+qeBNv
 RiojHGtPYeCFuczAdvo7ws1414O4J20X/EABISuybdeZfbyZAiOCwwi+BMJxaksG3rME
 inw6bpKncNr+whwUgwAljk+siuSaDZ0tJmgAwR1fYf1p5tCDYDyNqmsK5Oi6OSbxV+x/
 5CDA==
X-Gm-Message-State: AOAM531gKNWzGOB/TkvF7x3bYKqP1nDVVLiPb+oMXbBOSur0ibNplmSR
 YoZ32VBGQJ1qaS85bscncY97SQ2DD2Iu2A==
X-Google-Smtp-Source: ABdhPJzsc5RmmOg1bECWElh5VK/Uz7FSZtQ2oAaMZUkcRniqwTD6573Hr9TM1XMcb0DgvPgPnzxOkw==
X-Received: by 2002:ac8:7f4b:0:b0:2f3:d0f4:b5af with SMTP id
 g11-20020ac87f4b000000b002f3d0f4b5afmr11027034qtk.577.1652590038346; 
 Sat, 14 May 2022 21:47:18 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:18 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 035/602] gnu: Remove python2-testlib.
Date: Sun, 15 May 2022 00:37:02 -0400
Message-Id: <20220515044629.6843-35-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-testlib): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index ac680bdd62..3f31243f1c 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2016,9 +2016,6 @@ (define-public python-testlib
     (home-page "https://github.com/trentm/testlib")
     (license license:expat)))
 
-(define-public python2-testlib
-  (package-with-python2 python-testlib))
-
 ;;; The software provided by this package was integrated into pytest 2.8.
 (define-public python-pytest-cache
   (package
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:29 2022
Received: from localhost ([127.0.0.1]:48188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hx-0003Tp-8L
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:29 -0400
Received: from mail-qk1-f176.google.com ([209.85.222.176]:40538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69y-0002uy-Hv
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:14 -0400
Received: by mail-qk1-f176.google.com with SMTP id 185so10191314qke.7
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XEtfbQwf81sqhbdWqnnJfOAJKYpNJFYz00DniM7nZzM=;
 b=dfDfwdzzODweuZFtBaC6zWuJrw8/YzwtO0KufQgrZP91h124utlgWQH+QNaj/3h0ZZ
 xZ6Om3pHqlx43rACdNNbqCyuIC8BnE6fjnkgDTAh74+khgApa0RQiONtGiS3MLecyRLf
 FF1DbZxsNT3kuDHt++i3TCE5K9bxqWsv74EmRUuld0wQ13gq6YdJONWzut2RcHqTbi9o
 ynajZHn6/y1rr3Qf9J38ZNro33kYyNrE52LaRoAuguo4c3oItm8BS1nc61b/sr9Tv8Oe
 nws7lQJju+f8O0TmhKmEg+m6GAyXpKen6xpcIbTv1uyWmQF16Yf+VszGau9UvvfKJlLG
 5Orw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XEtfbQwf81sqhbdWqnnJfOAJKYpNJFYz00DniM7nZzM=;
 b=Im0tpK4KxwP4dema5/OzxU5spnOoDJvtbH+wyg+0f+FU7QI5/hUNeC3gDcTx4iYLbA
 0u5t58X9dhbfMTwrENAQFUChKK76y/czg+G7Stb0Gi+IT7DZofS3OWKANSzbOrO0V64x
 n+hAEXtfSuv3LH9dWtvN1NFioJMVLhtdSx04w9NbpAda7+VTU3nUudD5VzxMz9OGq7PI
 JGwW95Y6NfuX0E7TDRIlDtwx2hB3o4kHKQI+VRBxt6t4HmeL5+8vI5htwGvh/GclPDUf
 XSRdqP8ftlpYA/iA2Yhhhy1xHVdMylHpF8mGHx0NzAikOdbKEejxfmKNIaFP0f4nGFlh
 h1Fw==
X-Gm-Message-State: AOAM531v5plCbwAT//pOtyJTcnkA373z/S/79rLbbf2Cu/UaReATtjPL
 fMg24B03gm5RlkX3scqhLo8/pqO7Ti1wtQ==
X-Google-Smtp-Source: ABdhPJzaH7XK/g1bka2io1yNEGtgLtXcsy8pjqJiIkGSVs8zk12UVFQ6DTo8qyDbvBPi6EYLgPWaXw==
X-Received: by 2002:ae9:dc01:0:b0:69c:7c3d:aba0 with SMTP id
 q1-20020ae9dc01000000b0069c7c3daba0mr8571550qkf.368.1652590028967; 
 Sat, 14 May 2022 21:47:08 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:08 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 022/602] gnu: Remove python2-pybedtools.
Date: Sun, 15 May 2022 00:36:49 -0400
Message-Id: <20220515044629.6843-22-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-pybedtools): Delete variable.
---
 gnu/packages/bioinformatics.scm | 8 --------
 1 file changed, 8 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 8e7615cef0..9d4fcbb188 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -980,14 +980,6 @@ (define (cythonized? c/c++-file)
 Python.")
     (license license:gpl2+)))
 
-(define-public python2-pybedtools
-  (let ((pybedtools (package-with-python2 python-pybedtools)))
-    (package
-      (inherit pybedtools)
-      (native-inputs
-       (modify-inputs (package-native-inputs pybedtools)
-         (prepend python2-pathlib))))))
-
 (define-public python-biom-format
   (package
     (name "python-biom-format")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:29 2022
Received: from localhost ([127.0.0.1]:48186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hx-0003Ti-1B
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:29 -0400
Received: from mail-qv1-f46.google.com ([209.85.219.46]:45046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69x-0002um-PD
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:14 -0400
Received: by mail-qv1-f46.google.com with SMTP id e17so9860073qvj.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=8Yi5uJEStwc+7+bKvcB79XTu8FNg6Ua8HJohLG3/3EM=;
 b=goXm+cSD8FpiZ0uXoAMHEMN8jpHnv+qt9bFwNEx7OCGXZm91EcMElwr0k9JXEJiH1D
 pgaW9Ug1nSs49oyJEqbmyukBo9oOwnx7pNZFR/1fkaNOFtFFQagHSW2gnOx3NjaroUpS
 RjmMY2tn9Z68TRUbfyfdKmZfwxC/Uz3fpuaVMthhQHWwP2x7jQBrDMQHNdx0jtJsqru6
 j67ERzSGNhIhB0CPN71wxlVkae6Iek8uNuUCZRS8NznY5JguEVgoBHOWPHqmFuPGSmv7
 9GaAGqcjeARs85y5yuuuI9LgH8Axd0O1WjCoX2Wgno3BJe3TkKS9m3zNgcdAfEyPQxwV
 +lGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=8Yi5uJEStwc+7+bKvcB79XTu8FNg6Ua8HJohLG3/3EM=;
 b=5AbsO9krZvcK3nvfmzjzKIwk0Fn3vP5Cml8UmoubMcOO5IbzG3piWGUMarHcq5dVbl
 jReTNtq2ml5Fc87wbFryYFQoCbhkSu3lL+fAW85IStxbJSGNyYRbgLZTC5tyG5Y7Abtk
 Eyc/cyREadvbjhAymiyIFxIvHNC4elDUWFurhZBrEGGOh2JPoDX0Yst2hRVxJZdia0oN
 9CPC4n1vSH/XF5cIFZD6PRTu9R/vtDhlocmkJ09wF1j3Og4pukpzxTeneiL0ViSOsy5R
 /Usr97LxgF9UUtHDh3NL9s4999Y74cEcQQQWuh1y3qQ3bf/OiBjn7Wp31+JSDJArgo5s
 A3kw==
X-Gm-Message-State: AOAM530OhxL7Uy5errSOQQTgtBQFplDOUct47AauGHOMPOywBOhZoIUg
 CxWPYYXMOCGTqrihJ4MQ69cDwgOB2lPx5w==
X-Google-Smtp-Source: ABdhPJybiBq9ooj8aqtM7q1ytLGqE5HbHIrlZgT3k9J8AU73pG4YeTGSxUCskWkR3sdzvDl7AGzV5A==
X-Received: by 2002:a05:6214:108a:b0:461:cb62:d2e5 with SMTP id
 o10-20020a056214108a00b00461cb62d2e5mr173898qvr.84.1652590028218; 
 Sat, 14 May 2022 21:47:08 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:07 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 021/602] gnu: Remove python2-htseq.
Date: Sun, 15 May 2022 00:36:48 -0400
Message-Id: <20220515044629.6843-21-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-htseq): Delete variable.
---
 gnu/packages/bioinformatics.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 250d075b6e..8e7615cef0 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -4156,9 +4156,6 @@ (define-public htseq
 from high-throughput sequencing assays.")
     (license license:gpl3+)))
 
-(define-public python2-htseq
-  (package-with-python2 htseq))
-
 (define-public java-htsjdk
   (package
     (name "java-htsjdk")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:29 2022
Received: from localhost ([127.0.0.1]:48184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hw-0003Tb-OW
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:28 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:43865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69w-0002uL-VB
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:13 -0400
Received: by mail-qv1-f51.google.com with SMTP id v5so1193314qvs.10
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=7LnPtVY+g/9lpHRK5GWlwRFE5USc8DQgVumaYmvEQSg=;
 b=jOuuzGXgIxTaMM4gZ8ATFrvMTJeZsP/N5xXycVoUPcpbsTX/j/uhFq1z6rZyfTdl22
 Ke53Ozzfmd3ZqDBEvq3x2iPJ6L5iyDAod9nzwIujKaAU9GFQjDCmCZFPZQOE3hKSphxg
 MQrnIGCzP7x3CTrFHvCKcDdxcY/6j8pjjQ/+VX6FW/isP8G/rMeUTIvCN5WE+n8xGfmw
 v+P1kV9wIMFGBA+NC0lAxR6QQ0MzeFV7PcJxXJjKytNLbf5DduLwQGaNDUfnffXCe69Q
 /z6IXoo7MNyQ8DfGcC2WJuZ99/7E25u6k1hxjn6wmwVyMOZOOxdNt6Ieq4NPQI27YiUo
 2HKw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=7LnPtVY+g/9lpHRK5GWlwRFE5USc8DQgVumaYmvEQSg=;
 b=0Sr7myGBHfYUC6Eg3+t90o/AVxYXIWSLGQTiNwYfegWkGxZoYXtOBmLaVnVkh5f8VZ
 kCswLcWuJD2WmD1rgAkMzlZwPHkJY1+g8rm0hp1YAZ1P0OGNhae6lVOfdzpCgL8EoenU
 b5MdgoKpDoNeup2OhcxALFlWdjYoK3AxNW39Bh5CL2HRYWkXDZkpaoFtHJgr6H+/cAM7
 HHb8OMprJ092B1a5EorjSpK8a7Wsfbt3jMoixQYnAt68udOFTtb2IbJNHpEZC66CJCIl
 1vR5sprYjC/W7sIQDODcKsvmU6jNf58ikxlf/PVBudAn6nELPT6BY4NGFzxc5MWQqAG8
 dvUg==
X-Gm-Message-State: AOAM530i9eUbvaBGDL8h3sM+fmfraQTpoIfO8CSQTes6eNwBzgYnw9si
 MVwFEYfev+xWKW6aiwNTIt3v/AXeEnp1Qw==
X-Google-Smtp-Source: ABdhPJylmrH6VE1cnrAAjfpI1vBMXXrMe8GQJidIQwHuYhI9DOSLhs7A9sgH1DFaSdtPjkxx5y018A==
X-Received: by 2002:ad4:5d4e:0:b0:461:bf87:b219 with SMTP id
 jk14-20020ad45d4e000000b00461bf87b219mr3667708qvb.87.1652590032483; 
 Sat, 14 May 2022 21:47:12 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:12 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 027/602] gnu: Remove miso.
Date: Sun, 15 May 2022 00:36:54 -0400
Message-Id: <20220515044629.6843-27-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (miso): Delete variable.
---
 gnu/packages/bioinformatics.scm | 48 ---------------------------------
 1 file changed, 48 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index b0ad03612e..d4354e8ea8 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -5194,54 +5194,6 @@ (define-public minced
 assembled metagenomic sequence.")
     (license license:gpl3+)))
 
-(define-public miso
-  (let ((commit "b71402188000465e3430736a11ea118fd5639a4a")
-        (revision "1"))
-    (package
-      (name "miso")
-      (version (git-version "0.5.4" revision commit))
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "https://github.com/yarden/MISO/")
-                      (commit commit)))
-                (file-name (git-file-name name version))
-                (sha256
-                 (base32
-                  "0x37ipwwvpxbkrg17gmq3hp92c9cphch8acd6cj7fqgnrjwd47g5"))
-                (modules '((guix build utils)))
-                (snippet
-                 '(substitute* "setup.py"
-                    ;; Use "gcc" instead of "cc" for compilation.
-                    (("^defines")
-                     "cc.set_executables(
-compiler='gcc',
-compiler_so='gcc',
-linker_exe='gcc',
-linker_so='gcc -shared'); defines")))))
-      (build-system python-build-system)
-      (arguments
-       `(#:python ,python-2               ; only Python 2 is supported
-         #:tests? #f))                    ; no "test" target
-      (inputs
-       ;; Samtools must not be newer than 1.2.  See
-       ;; https://github.com/yarden/MISO/issues/135
-       (list samtools-1.2 python2-numpy python2-pysam python2-scipy
-             python2-matplotlib))
-      (native-inputs
-       (list python2-mock ; for tests
-             python2-pytz))  ; for tests
-      (home-page "https://miso.readthedocs.io/en/fastmiso/")
-      (synopsis "Mixture of Isoforms model for RNA-Seq isoform quantitation")
-      (description
-       "MISO (Mixture-of-Isoforms) is a probabilistic framework that quantitates
-the expression level of alternatively spliced genes from RNA-Seq data, and
-identifies differentially regulated isoforms or exons across samples.  By
-modeling the generative process by which reads are produced from isoforms in
-RNA-Seq, the MISO model uses Bayesian inference to compute the probability
-that a read originated from a particular isoform.")
-      (license license:gpl2))))
-
 (define-public muscle
   (package
     (name "muscle")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:28 2022
Received: from localhost ([127.0.0.1]:48182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hw-0003TT-9Y
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:28 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:46803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69w-0002uS-Bk
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:12 -0400
Received: by mail-qv1-f50.google.com with SMTP id dv4so9860606qvb.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=oYQ+cUN+k07LitRymNjzaaOAe3ozBr/0MO02sJbRG3k=;
 b=QF8h7efqzrH/uJ7vUqf3f3Z+ZMmoIRIAXjSNlSfyZzKANpxRpXdBZexspE5RIlcP3s
 /hq80Jf4ZrpIY0jSiqPa4+k/rEC/tmAI4pWo4rJnk2Z4bwa5XBxCqpguJE1NL8kZiIcY
 4QB/tIdExBAtMF/Cd1nsujAtZOFanHM7NRbNhyPad9IC/qQiL9Hdd5i1nmTwaJjjG7ts
 nuWwaV6tIHqDr1CmcmZthFYKBBq8eM3JOhJaLFSRSRuwyqv1j6Q1bYyuiG0NHYQ9aFmB
 hKOjWcRVdDsgjHq/Y1i1dqvU3AwC0JTerX/HTItbdo2+DnfC33bxZNEqdlf3au/QwgiJ
 DkAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=oYQ+cUN+k07LitRymNjzaaOAe3ozBr/0MO02sJbRG3k=;
 b=pHK19bXSFpy0bcRi9kCx/W1hWHd3DjYLiQmrAn6zsalK65J3mkhX3j2oWRIt27q4Yk
 366MqJ72GhjpsoJm/LY8hUGvWlSCgipHMmh9iRX+8Z5uBCe5ofS/SFZBgI60xbQOulmk
 c1mOUvau9XqMEKV1ah3UAlDiomqo9P2r35HXdUljqnjIwfCdzAu6VlmFrw+8DeUSGpmZ
 IzhbFYm2BDxgzlpSzu1Xqi+WKj2ZYEDbQAcEPe+Ki6I7Pr41HG9mOcnzbhx9qae9DF9F
 uZ9OAa9v28XNRgxYhKPfbKz331QlukfIsvJHJPK4wv66AVmRUgk0hspgmjcYM60Pwjxz
 UT7g==
X-Gm-Message-State: AOAM531YMMHsQGt0ufDafBgyDP4vnXQ+qm1ER+7hqKhpbMkPAxR6RXw1
 osLEpQB0rvJ3P1cNtDcl0dpsYCbjYxJqpQ==
X-Google-Smtp-Source: ABdhPJwiP6csENpmmMB1jHnNMgT5RifM4YeTAU69Bj9YF2KVyKIMZfsi6CLaT3hf8vSgAFFJY1KNNg==
X-Received: by 2002:a05:6214:21e5:b0:45a:c70d:2938 with SMTP id
 p5-20020a05621421e500b0045ac70d2938mr10412260qvj.119.1652590026816; 
 Sat, 14 May 2022 21:47:06 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:06 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 019/602] gnu: tetoolkit: Update to 2.2.1b.
Date: Sun, 15 May 2022 00:36:46 -0400
Message-Id: <20220515044629.6843-19-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (tetoolkit): Update to 2.2.1b.
[python]: Delete argument.
[phases]: Delete trailing #t.
{make-writable}: Delete phase.
{adjust-requirements}: New phase.
{patch-invocations}: Use search-input-file.
{wrap-program}: Use search-input-file.
[inputs]: Remove python2-argparse.  Replace python2-pysam with python-pysam.
[home-page]: Update URL.
---
 gnu/packages/bioinformatics.scm | 53 +++++++++++++++++----------------
 1 file changed, 27 insertions(+), 26 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 8b9c8c65c2..72d033888f 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -2390,59 +2390,60 @@ (define-public python-plastid
 (define-public tetoolkit
   (package
     (name "tetoolkit")
-    (version "2.0.3")
+    (version "2.2.1b")
     (source (origin
               (method git-fetch)
               (uri (git-reference
-                    (url "https://github.com/mhammell-laboratory/tetoolkit")
+                    (url "https://github.com/mhammell-laboratory/TEtranscripts")
                     (commit version)))
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1yzi0kfpzip8zpjb82x1ik6h22yzfyjiz2dv85v6as2awwqvk807"))))
+                "1m3xsydakhdan9gp9mfdz7llka5g6ak91d0mbl1cmmxq9qs6an4y"))))
     (build-system python-build-system)
     (arguments
-     `(#:python ,python-2               ; not guaranteed to work with Python 3
-       #:phases
+     `(#:phases
        (modify-phases %standard-phases
-         (add-after 'unpack 'make-writable
+         (add-after 'unpack 'adjust-requirements
            (lambda _
-             (for-each make-file-writable (find-files "."))
-             #t))
+             (substitute* "setup.py"
+               ;; This defunct dependency isn't required for Python 3 (see:
+               ;; https://github.com/mhammell-laboratory/TEtranscripts/issues/111).
+               ((".*'argparse'.*") ""))))
          (add-after 'unpack 'patch-invocations
            (lambda* (#:key inputs #:allow-other-keys)
              (substitute* '("bin/TEtranscripts"
                             "bin/TEcount")
                (("'sort ")
-                (string-append "'" (which "sort") " "))
+                (string-append "'" (search-input-file inputs "bin/sort") " "))
                (("'rm -f ")
-                (string-append "'" (which "rm") " -f "))
-               (("'Rscript'") (string-append "'" (which "Rscript") "'")))
+                (string-append "'" (search-input-file inputs "bin/rm") " -f "))
+               (("'Rscript'")
+                (string-append "'" (search-input-file inputs "bin/Rscript")
+                               "'")))
              (substitute* "TEToolkit/IO/ReadInputs.py"
-               (("BamToBED") (which "bamToBed")))
+               (("BamToBED")
+                (search-input-file inputs "bin/bamToBed")))
              (substitute* "TEToolkit/Normalization.py"
                (("\"Rscript\"")
-                (string-append "\"" (which "Rscript") "\"")))
-             #t))
+                (string-append "\"" (search-input-file inputs "bin/Rscript")
+                               "\"")))))
          (add-after 'install 'wrap-program
            (lambda* (#:key outputs #:allow-other-keys)
              ;; Make sure the executables find R packages.
-             (let ((out (assoc-ref outputs "out")))
-               (for-each
-                (lambda (script)
-                  (wrap-program (string-append out "/bin/" script)
-                    `("R_LIBS_SITE" ":" = (,(getenv "R_LIBS_SITE")))))
-                '("TEtranscripts"
-                  "TEcount")))
-             #t)))))
+             (for-each (lambda (script)
+                         (wrap-program script
+                           `("R_LIBS_SITE" ":" = (,(getenv "R_LIBS_SITE")))))
+                       (list (search-input-file outputs "bin/TEtranscripts")
+                             (search-input-file outputs "bin/TEcount"))))))))
     (inputs
-     (list coreutils
+     (list bash-minimal
+           coreutils
            bedtools
-           python2-argparse
-           python2-pysam
+           python-pysam
            r-minimal
            r-deseq2))
-    (home-page "https://github.com/mhammell-laboratory/tetoolkit")
+    (home-page "https://github.com/mhammell-laboratory/TEtranscripts")
     (synopsis "Transposable elements in differential enrichment analysis")
     (description
      "This is package for including transposable elements in differential
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:28 2022
Received: from localhost ([127.0.0.1]:48179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hs-0003T4-B6
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:28 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:39813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69r-0002t2-D5
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:12 -0400
Received: by mail-qv1-f53.google.com with SMTP id kj8so9877793qvb.6
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=WJA7s4yYWrfdrinIaIBQGmfG/firhfq7Ff+uVCpLxwI=;
 b=iBIJpku/oBvAONnq2LQZfdpsG7f9c497XtKglf3H649XODcBaXBrotEkzbyhXMOvHC
 Cz2Zz3WUt+M0wH8JNI/UHv1vxjbAQRDY+qRLpkx64eqNBSsCgibFdy46xwIYYulpkXUc
 IwrTF1njQDcYPsTzgr6durhVF0dzYJd5EpqovPJXVZffn3MwB5PlB62l/1xZf+e6ldcv
 KJ0Hx5WZ8eoHsn6XYXgS10beKRZvH173LRNzi9NRo8SNo/jq6EWr+7yeiHR3M1eSPuRr
 YvGFgzGf0HjVABSMUV8CZGc/psm+x6LEiivTXAA7u7h5axsc2OpQDmxB7NGaqwqjuZqc
 E+WQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=WJA7s4yYWrfdrinIaIBQGmfG/firhfq7Ff+uVCpLxwI=;
 b=qjPs8Gpd5eBxHel4aM3uIxYAnn+pCAiBJIqvzfHDor/CDOeOor5l2BG5BsYCwVZ8nB
 A0TDeND21VD9xdMTgqpTuE1CT7BHZqztBVIFi0ot0Llms0wx6WRZ3Igk3DNDjKolaglt
 MtKuN82TOSzZ+GMzVCq+1t31aLri776qSamPPd7JCyKKbH5TPADJoeNzM9fXXp1JtWLJ
 wXI4nduRksEVNRziMgTO5GxlVdRCa+qVNFOtVZOUzuDhDCyiGxTlzbkCLOmLRsocJVDc
 f/e1Xy+fGjRhYv2/DkHQTKK5BZyIJT3U3jvg6Md0KjTV4HOTdyBMjJXzbz9+g9qNtVEd
 v4Yw==
X-Gm-Message-State: AOAM533wZYepZO2CGx8V+LDWOSDg5IDMgX8Seq7qox9uz4qrsU5EDqqR
 XlkaL9ZH0RRW62e2owW1ub8o1/cVR/L2GQ==
X-Google-Smtp-Source: ABdhPJyWMVVM637BxzXMXfPR72ksJikPDfiNIxhfRIEl39Zhdgsbpn10s7FPz5d0A7EXyulCzLgkmg==
X-Received: by 2002:a05:6214:e4a:b0:45a:dfa5:404a with SMTP id
 o10-20020a0562140e4a00b0045adfa5404amr10448752qvc.126.1652590021791; 
 Sat, 14 May 2022 21:47:01 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:01 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 012/602] gnu: Remove raul.
Date: Sun, 15 May 2022 00:36:39 -0400
Message-Id: <20220515044629.6843-12-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/audio.scm (raul): Delete variable.
---
 gnu/packages/audio.scm | 26 --------------------------
 1 file changed, 26 deletions(-)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 402ec329c3..6936a100df 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -3163,32 +3163,6 @@ (define-public libshout-idjc
     ;; GNU Library (not Lesser) General Public License.
     (license license:lgpl2.0+)))
 
-(define-public raul
-  (package
-    (name "raul")
-    (version "0.8.0")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "https://download.drobilla.net/raul-"
-                                  version ".tar.bz2"))
-              (sha256
-               (base32
-                "09ms40xc1x6qli6lxkwn5ibqh62nl9w7dq0b6jh1q2zvnrxwsd8b"))))
-    (build-system waf-build-system)
-    (arguments
-     `(#:python ,python-2
-       #:tests? #f)) ; no check target
-    (inputs
-     (list glib boost))
-    (native-inputs
-     (list pkg-config))
-    (home-page "https://drobilla.net/software/raul/")
-    (synopsis "Real-time audio utility library")
-    (description
-     "Raul (Real-time Audio Utility Library) is a C++ utility library primarily
-aimed at audio/musical applications.")
-    (license license:gpl2+)))
-
 (define-public raul-devel
   (let ((commit "4db870b2b20b0a608ec0283139056b836c5b1624")
         (revision "1"))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:24 2022
Received: from localhost ([127.0.0.1]:48177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hr-0003Sv-Vk
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:24 -0400
Received: from mail-qk1-f175.google.com ([209.85.222.175]:42709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69s-0002tM-5T
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:12 -0400
Received: by mail-qk1-f175.google.com with SMTP id j6so10178393qkp.9
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=twI0Qx7V773z6FPvYlbfofWqJnE9BAQIhp2Budm6+xw=;
 b=hMF18syEQv+/py89gGBEG74Nai7omycE6vejllO/+HehABH4/ykmkq2xbZCHwwE2Lr
 oTo4C/kFeRqDeOJCt2EaRbWEpAni9XE28sZzK7Q6jgdwhkr/4LHirxy/xQ0+l+wadDev
 xxhIuBH5X4bUlwdF8I0+RtRLDB1c5kojk78RT1X5ojG1B+tS3jTnXE6liaBlm6rZbC30
 e6nEiw9hZXBouNuv1bYDkyefsMs5oBDL6sxdQ+K1puQ8FR3rRBmyR9DomfSQObhBQA8S
 dWya0WA+fiMpgcxzGCPy1SdQ6Iiyp1wXVX+eZF+HuflXKhmWkSPj2eqz+PGKYoAJYQ3b
 1Hmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=twI0Qx7V773z6FPvYlbfofWqJnE9BAQIhp2Budm6+xw=;
 b=cyKuvuYiaMwPtb8XXR/XghoqNsc3agVMJkVqHodZpQC9x9JOsFFq8SmWe6qDiI4keL
 rCYBeOhcDdQB0UjsAI/H22pu+aSVHG1QzNDwFJQiRnk+az9KgRELHs7j6A4wDPZum7Tc
 GDZZUyQyJ7RvaMMBu9IYsJIXaOWCv03JInT8/enUy8U/uBt8klAMJ40j+k57uQCzNU1T
 aDNxv7acECoOxjFuKoxSNtS9TZE2wzNN2/7OY0H7mzu/7lNyUHDmzReZ8+d22EzZCzo7
 ZUPsbm0RRBeqz4cYQ5X+QzfDQmPIFFnSjrAarpfP50RdVVnLmAVSY4BxYJQUmTUxrFku
 vNqA==
X-Gm-Message-State: AOAM533WOq46gtkXZfJ811qYXWIy2ZdCGgvOcYP6Cv/BvlLtq62/lV85
 f4+WxQOIHAFRnlS0PjFyqMnM8KdZOGxygQ==
X-Google-Smtp-Source: ABdhPJxzUc5Aa+S4o3IQhr5hgC7gugHw1nZIKuvdmWUSrdxVLOQmdG58N0BOlACNhdNRPQKH1a0XMg==
X-Received: by 2002:a05:620a:2892:b0:67e:be26:2f4c with SMTP id
 j18-20020a05620a289200b0067ebe262f4cmr8649249qkp.266.1652590022502; 
 Sat, 14 May 2022 21:47:02 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:02 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 013/602] gnu: Remove raul-devel.
Date: Sun, 15 May 2022 00:36:40 -0400
Message-Id: <20220515044629.6843-13-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/audio.scm (raul-devel): Delete variable.
---
 gnu/packages/audio.scm | 17 -----------------
 1 file changed, 17 deletions(-)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 6936a100df..c07f9c3156 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -3163,23 +3163,6 @@ (define-public libshout-idjc
     ;; GNU Library (not Lesser) General Public License.
     (license license:lgpl2.0+)))
 
-(define-public raul-devel
-  (let ((commit "4db870b2b20b0a608ec0283139056b836c5b1624")
-        (revision "1"))
-    (package (inherit raul)
-      (name "raul")
-      (version (string-append "0.8.9-" revision "."
-                              (string-take commit 9)))
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "https://git.drobilla.net/raul.git")
-                      (commit commit)))
-                (file-name (string-append name "-" version "-checkout"))
-                (sha256
-                 (base32
-                  "04fajrass3ymr72flx5js5vxc601ccrmx8ny8scp0rw7j0igyjdr")))))))
-
 (define-public resample
   (package
     (name "resample")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:23 2022
Received: from localhost ([127.0.0.1]:48173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hr-0003Sn-Mi
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:23 -0400
Received: from mail-io1-f49.google.com ([209.85.166.49]:43615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Hj-0003RU-Ni
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:15 -0400
Received: by mail-io1-f49.google.com with SMTP id o190so12828941iof.10
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=aeT3SRqgM/rMsdXtIaHqPGvgy57K62cifP5yyiyHyGc=;
 b=oI9usH2XCnxjC47UjLnIqq1xGqUt0MuxmigG7Av8QnPA+AGmvcbLRcLqFy8L5FVVoc
 1YcrAQkGe3Saq+hhEfWU6FBIKmszK5wuEvepUtIKqcPbLXVELWQ6ksPC6UoJYb84MGK6
 i8Dj2jmrqFVHesIknPT3yKDZqUSsWr/zsA3+QK6iq4LP5qJbLsfoufdKnOZ9OEeUUz+K
 uvZUY7PQQTqKqXftCMnADH3DNKvd6b3AGJC2xCAnSipAGROQ7b3qe0OurSaI0Wpj1tcz
 X4ZP2HwYwiNdZcUTeXAURijrrSNxfqXESe2BlYuomWGH3mZ5pFDCDU35zDCtNvZCTH3p
 yOww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=aeT3SRqgM/rMsdXtIaHqPGvgy57K62cifP5yyiyHyGc=;
 b=ssIX6guSm/yHjNzzJJoscNl1tXIi5WPTpZoKIHbjecwog2JoZDYHnoTdSpdqB+TVSH
 x0Wzy/hIpvV0+BkOuo6Scz+QkW0+ewCO0xvNV4v0y7FnoJVrdRHt73CFtcH3bbPb7Ps+
 H/V8M3A2ocqCi3gfF43bcbDr8FvCFXm5MXnPsfT2ScEeN6Hxe3X7ZsrV6zjD+DRoiNpo
 l3xsU8N2UPJWqj29UVu0sABnGcaYsbjngdPKFYGhmdJiQ1UQNNBh1156SW6IlwcGBlSq
 8Jx5FF39ZXncvAZ2S3r9EmcUGQgd7m1ScvggQJVb5UPmH63fs43fkYgrsAzw8mVQUJUN
 AU/Q==
X-Gm-Message-State: AOAM531uLvn+wp2cqB7BpPcMFQSQk54TOIRVD4Fj07CCFNDGaiehtMdh
 Iuhp9wGtonKzwx6iHoGjzwEuADudcXQUng==
X-Google-Smtp-Source: ABdhPJzP5wAvWtmZ7/v1r5+aY75c+7ofVxKLhkErL7vgKsIz1/QOO6qrYyJlyVRSxIkgvAtLk32wJg==
X-Received: by 2002:a05:622a:13ca:b0:2f3:b1ac:48f5 with SMTP id
 p10-20020a05622a13ca00b002f3b1ac48f5mr11158199qtk.125.1652590049000; 
 Sat, 14 May 2022 21:47:29 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:28 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 050/602] gnu: Remove python2-redis.
Date: Sun, 15 May 2022 00:37:17 -0400
Message-Id: <20220515044629.6843-50-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-redis): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 82ff9fc13c..717918ed0d 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3998,9 +3998,6 @@ (define-public python-redis
      "This package provides a Python interface to the Redis key-value store.")
     (license license:expat)))
 
-(define-public python2-redis
-  (package-with-python2 python-redis))
-
 (define-public python-rq
   (package
     (name "python-rq")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:23 2022
Received: from localhost ([127.0.0.1]:48171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hr-0003Sg-EI
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:23 -0400
Received: from mail-qk1-f178.google.com ([209.85.222.178]:33407)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Hd-0003Q7-Dz
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:09 -0400
Received: by mail-qk1-f178.google.com with SMTP id bs17so10252606qkb.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=tN+GBLC8qC1+iOPFJUrwf0kT2aAtDExSimYoOTq15Dg=;
 b=f48YreVZ4S1CzUz4FzC0N2vFrU9D/cSj+R2S0i1NO6vD451Tun3liHccY2buKXqFtB
 LUUyjmZPx0NrK+kFobpBWAsI0EpICcZdO4X1SVOYQJTQRa1xtWKtJr4LKRCxk+vXz1qT
 gqtEEaaGw6kIEms5kMLktKITw2WUjQUz8vD2R3ZBMSpa1xHpGcKhqf0Qmrk2fK3ftR7F
 hhDVwzHMkCFx0P5zv0eGmgjqC46dE7Xap964ddGpWR1NP6IEBgskPY65Xqqz90MNqwWM
 9fBlgO05ZQcfpf61K60+DY/mmJAVjHg8l7ig5844kh/5wUoybpuK1JBz3xTZpeOHJrUc
 F7Pw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=tN+GBLC8qC1+iOPFJUrwf0kT2aAtDExSimYoOTq15Dg=;
 b=XBNUvmsMPzbzCWCO2NXqaUx52qTT/eGyrT9KTRwH0i9nB51jJN7tCxMb55lmEK7O0l
 dlXa15GbJXP19HeelbzemNzunIK3/YxKKB5tCkejC1Vx6Q2LdycxiffrURV+Un+nV/9C
 a4DdjK/qqUQmEIoLv/cWlYvzhSp1JFv/gq42gzrWy2s22e7cY3AQqdL2rkzKtWbuEyjy
 7Kf685J0165oDbNrcze8MitBdxiGooDD6syYBbMQUE+6Zzw08k73amXwZmLbTc6xIfjR
 OtQn17f21T049whpUNKd831TseoSRtkbOYqamYhKsnYHKVOD9H5BRuOTz4Im5MSO5K7q
 pnMA==
X-Gm-Message-State: AOAM532pIx3xP7PnM31MbM7gsyDXlpGG6fVfqN8+hD9FxRapd9PvlDzf
 8xBQEJL18smjyQeQhumKFCCO0N0iTtN1Xg==
X-Google-Smtp-Source: ABdhPJzXtH6g0fEuGfk/k0wCJe1cFYj/7dUzfdrR+n83wWkd9MNM4E1GgwpZNd+ZhAJlpI7HJrQy2Q==
X-Received: by 2002:a37:f516:0:b0:69f:83cd:f557 with SMTP id
 l22-20020a37f516000000b0069f83cdf557mr8672672qkk.555.1652590027465; 
 Sat, 14 May 2022 21:47:07 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:07 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 020/602] gnu: Remove pepr.
Date: Sun, 15 May 2022 00:36:47 -0400
Message-Id: <20220515044629.6843-20-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (pepr): Delete variable.
---
 gnu/packages/bioinformatics.scm | 26 --------------------------
 1 file changed, 26 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 72d033888f..250d075b6e 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -8726,32 +8726,6 @@ (define-public piranha
 may optionally be provided to further inform the peak-calling process.")
       (license license:gpl3+))))
 
-(define-public pepr
-  (package
-    (name "pepr")
-    (version "1.0.9")
-    (source (origin
-              (method url-fetch)
-              (uri (pypi-uri "PePr" version))
-              (sha256
-               (base32
-                "0qxjfdpl1b1y53nccws2d85f6k74zwmx8y8sd9rszcqhfayx6gdx"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2 ; python2 only
-       #:tests? #f)) ; no tests included
-    (propagated-inputs
-     (list python2-numpy python2-scipy python2-pysam))
-    (home-page "https://github.com/shawnzhangyx/PePr")
-    (synopsis "Peak-calling and prioritization pipeline for ChIP-Seq data")
-    (description
-     "PePr is a ChIP-Seq peak calling or differential binding analysis tool
-that is primarily designed for data with biological replicates.  It uses a
-negative binomial distribution to model the read counts among the samples in
-the same group, and look for consistent differences between ChIP and control
-group or two ChIP groups run under different conditions.")
-    (license license:gpl3+)))
-
 (define-public filevercmp
   (let ((commit "1a9b779b93d0b244040274794d402106907b71b7")
         (revision "1"))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:23 2022
Received: from localhost ([127.0.0.1]:48169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hr-0003SZ-5t
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:23 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:43865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69v-0002uL-Mc
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:11 -0400
Received: by mail-qv1-f51.google.com with SMTP id v5so1193314qvs.10
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=SoGlUEOOlOybQY8VBxqOcqFElqM4zE7ZjiWlZ+pW+YE=;
 b=P4rtvNzTlZz1Yn1btEAatMoXMh6dHklAOyhHHAPSy8SfXPt5i5pdviCG9PtNNAFz29
 x/vrSxxocj3g/O2+Lmna4YCm3sZ+BZCkPzgsLaK5xnHC4Lb3VoKnZ41qjhAE79ANkLJV
 a//KPYxQ1zCKHqQJrRPjteqs+WYMSfOF2EGuTfMaXRMwuO22JvnMlj4q0zUlcin61OB6
 f/CO1ptQlACMAJCxIwtl0/RIPnqGxAq2UkNDS2mAvOw6jimVA1a2Byd6BDJvWVFdFeiB
 tXr/hGVDPMk0JCYO+9D9WSCzFWHNM+usVp5I1nDVD4VM4tFFK/sPwcSdEhhaR1kwIRnD
 giGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=SoGlUEOOlOybQY8VBxqOcqFElqM4zE7ZjiWlZ+pW+YE=;
 b=PhDJ1nM8Skk2j5vt3IwO8IztFlcn0yWl67jnjYpqKGjTNdQflzhO9emrcoUVN/EYJW
 MBcg3N5IrpgFhJhVq1hTpd5YdqsF7J45miP+1cI+VU81514ZOsoat2Rgf1oIcNMFO91M
 Tr/U36hQIkZgn4vIIQIZc7TmUCCSzCElmr5YsFUj6Az3qxPSJzVwyc4U0GsM5GrSiekv
 /aLfgp8Oidgg23hcqGyrX05/6PD0pPnU53T/xaaCSVV+xnwCeYj+zUpxDcBe91Pg99Y5
 c6wSEX6cKT9tnbdNujlvr2S2qayCe8OYc0YM25XzUi2EPi97/eUWVn/gqMp5yn3XwLAf
 9eSg==
X-Gm-Message-State: AOAM532HSJwaWR19wyPgSsDY9Hzhen4ZJ+Hb+1/7g3DD2Ms0fUqAuWHG
 OI8XZ4xk+aPkJRUewa0uc3DMACm+O0kAhQ==
X-Google-Smtp-Source: ABdhPJzcIyy+Jgyvr7KsMBTzpjuMT6u2s6CT7e/yjFgAU4R7aHthnM3y9seZRMlOR9vPVKSd5L3UQw==
X-Received: by 2002:a05:6214:5284:b0:444:10c8:ee59 with SMTP id
 kj4-20020a056214528400b0044410c8ee59mr10384562qvb.68.1652590026088; 
 Sat, 14 May 2022 21:47:06 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:05 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 018/602] gnu: Remove python2-pybigwig.
Date: Sun, 15 May 2022 00:36:45 -0400
Message-Id: <20220515044629.6843-18-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-pybigwig): Delete variable.
---
 gnu/packages/bioinformatics.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 902e65394d..8b9c8c65c2 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -2853,9 +2853,6 @@ (define-public python-pybigwig
 accessing bigWig files.")
     (license license:expat)))
 
-(define-public python2-pybigwig
-  (package-with-python2 python-pybigwig))
-
 (define-public python-schema-salad
   (package
     (name "python-schema-salad")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:23 2022
Received: from localhost ([127.0.0.1]:48167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hq-0003SR-Pr
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:23 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:47091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69u-0002uE-VB
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:11 -0400
Received: by mail-qk1-f170.google.com with SMTP id c1so10164077qkf.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=sGP3pBMS1XUONT0hvVUjMhK9lhPspBt0WosXLFZHxV4=;
 b=Q3pdNrnQOXaLvg29jynLOXaqEVA+oGj3lxwEzKg1Y4JisQ5xn1lb+aiTLUQAgajTrH
 nXQSepts3KKM6hm1Cr1QJvMsL3gBhgErSG0mbRjcF5hfEv0lIiDZSEE2qJ7PYuFcjs0O
 r1pxVaF7i9aE+rK6WAqenCrKax7JKHAoAkR5gGE1sPXsr0ybojH2tpvIQXIFhro4uAxs
 pHewvs3RKtOUMma/cCAwy2L0CYNV512GaF8dkElgVNaEpU3gtnDL0+tjq7erwx3n4GTc
 0MSYTro2i4YcimrmANCyJwvkXl9rsQ/+K2qwzuoH8+8eX16aXWXQyJXPhIocaOHB8+5m
 k1zg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=sGP3pBMS1XUONT0hvVUjMhK9lhPspBt0WosXLFZHxV4=;
 b=0he4nkitLDv70PerJwuvqABgvPtHOPWby+7AqNzR4dvPZ6aQ64987VWHf0eccD1pDk
 FyJZ/zBDbFMRCqn2fsxet40tPa9DxzxKv9FHSSxQ9YhOieg5wVY4SmGs1ieW8+NQGbFt
 Ng95UF9POC1ugN2G23K2+iAa+u01XWdzCWkaDn3mKAdgg3j1NNCDMGAD1PgqCB3XgF1w
 Zi6MM2HMfQeN4YhrpJtJ/v3v8B0U632by7msxt4icmTKwzj2YzWi6oY7ltJ252ReZ0aG
 YroxG+3wsejSetZSx2hRdHwlydVTd45J+JsBoWpCXimUAbRip6K6E1CSbdFQaeIB3NVt
 WtDQ==
X-Gm-Message-State: AOAM530TfSqhUPPtIHM/AKyS8bLqflgO91Iq3PK8DadIvEbOFlJrZ3ym
 kdzLwMBe07ciugmEwZhqXS+5GbnZTrZK8Q==
X-Google-Smtp-Source: ABdhPJz5dtThTPwXqUy8gpFcvTKJ1Tl7HajVSWSQqxm1g1cdaRZExfdUpR9ibtFvNhR/HRuCeYfiew==
X-Received: by 2002:a05:620a:2848:b0:67d:35de:bb5b with SMTP id
 h8-20020a05620a284800b0067d35debb5bmr8472741qkp.499.1652590025345; 
 Sat, 14 May 2022 21:47:05 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:05 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 017/602] gnu: Remove ribodiff.
Date: Sun, 15 May 2022 00:36:44 -0400
Message-Id: <20220515044629.6843-17-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (ribodiff): Delete variable.
---
 gnu/packages/bioinformatics.scm | 46 ---------------------------------
 1 file changed, 46 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index c754cdb176..902e65394d 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -839,52 +839,6 @@ (define-public ribotaper
 provides the Ribotaper pipeline.")
     (license license:gpl3+)))
 
-(define-public ribodiff
-  (package
-    (name "ribodiff")
-    (version "0.2.2")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/ratschlab/RiboDiff")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32
-         "0x75nlp7qnmm64jasbi6l21f2cy99r2cjyl6b4hr8zf2bq22drnz"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2
-       #:phases
-       (modify-phases %standard-phases
-         ;; This test fails because of the matplotlib plotting backend.
-         (add-after 'unpack 'disable-plot-test
-           (lambda _
-             (substitute* "src/ribodiff/functional_test_te.py"
-               (("pl\\.make_plots\\(data, opts\\)") "#"))))
-         ;; Generate an installable executable script wrapper.
-         (add-after 'unpack 'patch-setup.py
-           (lambda _
-             (substitute* "setup.py"
-               (("^(.*)packages=.*" line prefix)
-                (string-append line "\n"
-                               prefix "scripts=['scripts/TE.py'],\n"))))))))
-    (inputs
-     (list python2-numpy python2-matplotlib python2-scipy
-           python2-statsmodels))
-    (native-inputs
-     (list python2-mock python2-nose))
-    (home-page "https://public.bmi.inf.ethz.ch/user/zhongy/RiboDiff/")
-    (synopsis "Detect translation efficiency changes from ribosome footprints")
-    (description "RiboDiff is a statistical tool that detects the protein
-translational efficiency change from Ribo-Seq (ribosome footprinting) and
-RNA-Seq data.  It uses a generalized linear model to detect genes showing
-difference in translational profile taking mRNA abundance into account.  It
-facilitates us to decipher the translational regulation that behave
-independently with transcriptional regulation.")
-    (license license:gpl3+)))
-
 (define-public bioawk
   (package
     (name "bioawk")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:22 2022
Received: from localhost ([127.0.0.1]:48165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hn-0003SG-2f
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:22 -0400
Received: from mail-qv1-f41.google.com ([209.85.219.41]:35751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69q-0002sn-Mm
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:11 -0400
Received: by mail-qv1-f41.google.com with SMTP id dm17so987775qvb.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Omu5/swOp3+ngyvpnOqrgiqttrq7hyw/3WiJ8sQMREo=;
 b=J8xcsKRO8llmob160F1J0rJc732vyY2+dY7BWJh8dYTACAjEpaZFSEZITW/PhTyJ7S
 ry4HjOMR/+hUlmvzPh5jFchSj088gvzfPLKOWuokDceI9FZ8ymgDcjTwQAkGwIKOpktV
 p/+Qm59GFjjFC50YxgZWZrI7uYltM8JVI/I+zLw22Xbs/Kx2XXGc3JLzF6OIUmeGjNz2
 96SgdtOFUNmVt+1DGEBwdgSrmWj80ssZGZsugU0r0Ls0u0W2CEnEFQTdSJchN2sQjxnW
 qv66bhc4FtWrWHkVeCRn9fVw8Y1pyUIQFB7uF1F7DUQm8oJ7sE7fi1RmiOWoKj0ONjpK
 57zQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Omu5/swOp3+ngyvpnOqrgiqttrq7hyw/3WiJ8sQMREo=;
 b=IYmkxqPZOlN8JQu87v9Lx16y87ek3geGN1oBtfjzpwcO6dMgUG3iswqGEZbrz5Dow4
 1QCDijopMu4vHHUnHI/t/WGgs9vn9tHWVVvCilplWotefE64s8XNWR4Zd4Q0JEl07Xx6
 uVnbg7xLh9HGOIO0b3vDuN4/afboL07O8lbcoUZGERrEEHQ2NtAnwOzRhwYaOU+wzFE2
 TrLp7bdmauVX6pFV+wnig9g32iNqOrw5mePRkXKv9G1uSgz6ypKid0hBZLGgfujalksl
 DFmSwkjo/XFjJkZ9uDkM8rISg7Yn6HZ2DhBTF3biXh7oc0KTSNwtD6V5PJqbEF69sbWO
 nGyg==
X-Gm-Message-State: AOAM530PsdMMNgZHeuTdC6JOePVLhO6kRUKPw3vjIRXhNgCNoNke5cWM
 QN6AdmscQsWLrv84mJsNsDx0Q5Z287ecKQ==
X-Google-Smtp-Source: ABdhPJz5VQ/c77CMnZSbAlGkt3EacXK/IBPetWuzLrvlRvtau12BTGgpVJzj5iVk2JFaE0NYEBSTrA==
X-Received: by 2002:a05:6214:20e6:b0:45e:720c:32a5 with SMTP id
 6-20020a05621420e600b0045e720c32a5mr10370146qvk.124.1652590021051; 
 Sat, 14 May 2022 21:47:01 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:00 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 011/602] gnu: Remove ingen.
Date: Sun, 15 May 2022 00:36:38 -0400
Message-Id: <20220515044629.6843-11-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/music.scm (ingen): Delete variable.
---
 gnu/packages/music.scm | 85 ------------------------------------------
 1 file changed, 85 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 210af3b166..0b76e57acf 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -4474,91 +4474,6 @@ (define-public mod-utilities
 plugins, a switch trigger, a toggle switch, and a peakmeter.")
       (license license:gpl2+))))
 
-(define-public ingen
-  (let ((commit "cc4a4db33f4d126a07a4a498e053c5fb9a883be3")
-        (revision "2"))
-    (package
-      (name "ingen")
-      (version (string-append "0.0.0-" revision "."
-                              (string-take commit 9)))
-      (source
-       (origin
-         (method git-fetch)
-         (uri (git-reference
-               (url "https://git.drobilla.net/ingen.git")
-               (commit commit)))
-         (file-name (string-append name "-" version "-checkout"))
-         (sha256
-          (base32
-           "1wg47vjw9djn99gbnsl2bcwj4xhdid61m4wrbn2nlp797flj91ic"))))
-      (build-system waf-build-system)
-      (arguments
-       `(#:python ,python-2
-         #:tests? #f ; no "check" target
-         #:configure-flags (list "--no-webkit")
-         #:phases
-         (modify-phases %standard-phases
-           (add-after 'unpack 'patch-wscript
-             (lambda* (#:key outputs #:allow-other-keys)
-               (let ((out (assoc-ref outputs "out")))
-                 (substitute* "wscript"
-                   ;; FIXME: Our version of lv2specgen.py does not behave as
-                   ;; expected.  Maybe this requires a development version of
-                   ;; LV2.
-                   (("lv2specgen.py") "touch ingen.lv2/ingen.html; echo")
-                   ;; Add libraries to RUNPATH.
-                   (("^(.+)target.*= 'src/ingen/ingen'," line prefix)
-                    (string-append prefix
-                                   "linkflags=[\"-Wl,-rpath="
-                                   out "/lib" "\"]," line)))
-                 (substitute* '("src/wscript"
-                                "src/server/wscript")
-                   ;; Add libraries to RUNPATH.
-                   (("bld.env.PTHREAD_LINKFLAGS" line)
-                    (string-append line
-                                   " + [\"-Wl,-rpath=" out "/lib" "\"]")))
-                 (substitute* "src/client/wscript"
-                   ;; Add libraries to RUNPATH.
-                   (("^(.+)target.*= 'ingen_client'," line prefix)
-                    (string-append prefix
-                                   "linkflags=[\"-Wl,-rpath="
-                                   out "/lib" "\"]," line)))
-                 (substitute* "src/gui/wscript"
-                   ;; Add libraries to RUNPATH.
-                   (("^(.+)target.* = 'ingen_gui.*" line prefix)
-                    (string-append prefix
-                                   "linkflags=[\"-Wl,-rpath="
-                                   out "/lib" "\"]," line))))
-               #t)))))
-      (inputs
-       (list boost
-             python-rdflib
-             python
-             jack-1
-             lv2
-             lilv
-             raul-devel
-             ganv
-             suil
-             serd
-             sord
-             sratom
-             gtkmm-2))
-      (native-inputs
-       (list pkg-config python-pygments))
-      (home-page "https://drobilla.net/software/ingen")
-      (synopsis "Modular audio processing system")
-      (description "Ingen is a modular audio processing system for JACK and
-LV2 based systems.  Ingen is built around LV2 technology and a strict
-separation of engine from user interface.  The engine is controlled
-exclusively through a protocol, and can execute as a headless process, with an
-in-process GUI, or as an LV2 plugin.  The GUI can run as a program which
-communicates over a Unix or TCP/IP socket, or as an embeddable LV2 GUI which
-communicates via LV2 ports.  Any saved Ingen graph can be loaded as an LV2
-plugin on any system where Ingen is installed.  This allows users to visually
-develop custom plugins for use in other applications without programming.")
-      (license license:agpl3+))))
-
 (define-public qmidiarp
   (package
     (name "qmidiarp")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:19 2022
Received: from localhost ([127.0.0.1]:48163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hm-0003S9-Pw
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:19 -0400
Received: from mail-qk1-f173.google.com ([209.85.222.173]:42708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69t-0002tu-G4
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:09 -0400
Received: by mail-qk1-f173.google.com with SMTP id j6so10178410qkp.9
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=nHzGPEiPjmGqWZg4vWixoRUno8q84adoyAKKloJtCMg=;
 b=MyspNPZJejfTJELQWdFigZPawPSsS96RWuF3ajg9PTD9AaxvGlKqCR/u655d+Iqtyp
 tGuLZJ3flGi3Ep/4Y/KhCHhffV6guJf/SVEPx8SYJLObv6DbUZu38CW4M0kMfbN37Joa
 f7SjPEF47C8r8ykFiI74c9OpmmMBBumxTyUzvPDKt4hGx/RU3H8gv31O/Q0ApJ1r2e1U
 JGLUxa1TNRE/TVCc7eB+/wtMO/LAKU0fDv3O1hrQeOvhu9/nru4knfpTQMVwgLZ68h1N
 OSxwssb8sFkSpPzH6mTSJ3/TVwXR7ZKGQGFo9rkFxvtPP7/cmDBPTf0Jo1GaIULduBzx
 7i/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=nHzGPEiPjmGqWZg4vWixoRUno8q84adoyAKKloJtCMg=;
 b=ytbBmK7rah7vu5WhQARmc5+8A4sc9TcmkJHpF0dnDd31JHkPURupAtIuR+RU+tvALL
 7LUDWWZD1rPbyUpAHiYBrWkIqy9RlGOW7U4iaT0P5jEsfvS13TA2BxIKvRYp2IjRMXnF
 eMTqyJR1NEDr9TOtyZs6wFoIpJCGI/743psnmm7ZL75Q0RIp8DpdgOSx4VyUKCI0koZe
 lbXAdZZf1iZ2WGeFlWf0wduN86Lw2YE7ijrLZB8t4iR5DO9qPZ7jjhBOYyxKiv/zIcnE
 PqpTe86XD+evyVzH3lM+Uifg+lvK+UVPjXEe9SpXFUNHm2oUeM2+gy2lLDp//d7zNTvg
 ZY2Q==
X-Gm-Message-State: AOAM531u2yCwHs2CkQdBatqLJE0uato1lK0AikHZ8+opK1S8wQI0VDV1
 WoZko+35SrYpKqvnyfDxXBT46Vx0MVKqFg==
X-Google-Smtp-Source: ABdhPJxKXI6sF8NMw15H/nAh8x8sL7cy9G8eudHm984AgwFUJrB2HLIDF3LPnpd/+7Of7oRf0yBFWw==
X-Received: by 2002:a37:2c46:0:b0:6a0:5e42:a884 with SMTP id
 s67-20020a372c46000000b006a05e42a884mr8731348qkh.263.1652590023873; 
 Sat, 14 May 2022 21:47:03 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:03 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 015/602] gnu: Remove python2-fastalite.
Date: Sun, 15 May 2022 00:36:42 -0400
Message-Id: <20220515044629.6843-15-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-fastalite): Delete variable.
---
 gnu/packages/bioinformatics.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 33bf0921d1..6037a100aa 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -1305,9 +1305,6 @@ (define-public python-fastalite
 relying on a complex dependency tree.")
     (license license:expat)))
 
-(define-public python2-fastalite
-  (package-with-python2 python-fastalite))
-
 (define-public biosoup
   (package
     (name "biosoup")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:18 2022
Received: from localhost ([127.0.0.1]:48161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hm-0003Rz-HW
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:18 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:45568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69s-0002tW-M0
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:08 -0400
Received: by mail-qv1-f44.google.com with SMTP id js14so9861945qvb.12
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Dvig96GtNA0rmNo6H4KpDQXWBkdce0lI1jAn3IQEVLM=;
 b=kxCF1oPaiR05CkM/UlourUOSeW3MHezn26nvGbNyKnsCd5cGEmGIcyuvTtHOgrH4A9
 PPgGp7nEqUuBy+ZnQvjVuAYWWz6WTZQ4Dhyj8sTpWOb+sjBoIqX2JUL3vr8rK6JFZb8c
 cUJKXPBp/P9MLTvOQcQHbzBUjXSE7a8fVib5NZIOx0fHjaDt1Gk9J3vybjEFOdv8A1i1
 ZgdNbMR+OBLKWZR4xCiEcak9Z+mc+5EcnYoP+7D9K0CFrwHU094HOXJMgTWkk7soAgFm
 aYzzPoEAaDjWrpD5lJpAzQakWLJP2zjclYOdwuknE8ep19hSv95BGF0mO0blkaX5lyPc
 GQzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Dvig96GtNA0rmNo6H4KpDQXWBkdce0lI1jAn3IQEVLM=;
 b=pfD2ESwlkr+dfCqm1I6cGi6JNp22rk9LrQuVMwh8iFIJ3c8RfIGBjV3APOksFp2ycJ
 LbI6EzjldYA0XJdj3Wtt0jCqtWGiRqYLt2kD9WcBtsbqRjah45OEMzL7zgV+iiHPw3CL
 2sF4kbF+upj+5VYGO1STbBJqj9+nOf7PdGee4tIASk72lKZBgfKME7x3+m4P4KqDWAQG
 +ZoEUVQfjwLirEdnVTmA9MWhkB8hLdP9erW+5exFYm1C5mGD0Oij+UJGsmXY9N6w8sQb
 rjpe+7u6sxzqlYxgvdrvaeSxIdyU1fpo8KHL8D766SPzNXly3dRhKu83aSs5C76i8cnO
 2zfw==
X-Gm-Message-State: AOAM531RgXDSqNose8noUau0Z5Hf+tOiHWGFWiadM7ebdilISfAD+JhA
 1ZyqG52WLz5DzvRgrbKRBJ13tzL2i2I6fw==
X-Google-Smtp-Source: ABdhPJyzwGEPHldX8PLQR603FLkHwW00WBsd/enrAswRv9ccDAckUqA7MreY25K3/2ixA4liJLfaaw==
X-Received: by 2002:a0c:a699:0:b0:45a:b237:e066 with SMTP id
 t25-20020a0ca699000000b0045ab237e066mr10422455qva.49.1652590023152; 
 Sat, 14 May 2022 21:47:03 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:02 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 014/602] gnu: Remove python2-pyaudio.
Date: Sun, 15 May 2022 00:36:41 -0400
Message-Id: <20220515044629.6843-14-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/audio.scm (python2-pyaudio): Delete variable.
---
 gnu/packages/audio.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index c07f9c3156..d2f8f2e5ce 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -2568,9 +2568,6 @@ (define-public python-pyaudio
 cross-platform audio input/output stream library.")
     (license license:expat)))
 
-(define-public python2-pyaudio
-  (package-with-python2 python-pyaudio))
-
 (define-public python-pyliblo
   (package
     (name "python-pyliblo")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:18 2022
Received: from localhost ([127.0.0.1]:48159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hm-0003Rr-3R
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:18 -0400
Received: from mail-qv1-f43.google.com ([209.85.219.43]:33710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69p-0002s0-3X
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:06 -0400
Received: by mail-qv1-f43.google.com with SMTP id j3so601818qvn.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=RbtZLCE2VRDwRlajfQlAZtKX0nWK7OBv77vwfuy1zV8=;
 b=Yl7ZbMepqp2pz2ySqZvXKqog7WiP/QyeG4UL54OxXjFX7tbiZONjOIF/X2IV0plk24
 JZqQu1aC3EWSVdwQExzF+Id1xep6MrSIdp3+ZAd36DU+zp7Kv+LzKueZJ9oelaj7dbSX
 DOTT3hrodPG04WJtKwfuG/HSWktAFilAga/P22aN4n+IMY8s8Cu+/8TFLjSglKhTDq/G
 yZcB7KKcIgpTXb7f5Fuar4nieYqN83uP88+BvldFnP+LKFFBS8XUYTN4H5pz4AHtqeDK
 +hUQ4cprU1ihxwvu9lRHLX1yrrEg2u0G3N7OY7WgcJlOFSZtOUhuHmueQYIZSxg0F6Nu
 GT6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=RbtZLCE2VRDwRlajfQlAZtKX0nWK7OBv77vwfuy1zV8=;
 b=LYCz4vPDoQ/tATLyKxHZztC8BXDtc2p9PJsnp4zPRXZtMho3wTb0XDshPH76NZ9VWr
 IY7kWZCUAL4C5GIzLh8zb7gFVxiIfockgls6vsOYwxOpNX40ZgPJ1JB8NTR46+HnVCwM
 p3UGe0pkl2cHlLzMb5Ihs4LSAvpbnV5DYMmNIxtyFZCeKgySw7OoFrtVQOUlIVlHChpN
 41Xq84tsY+sH8EAHxypLDeN7j+pD8u+LMlQM5TmkdfZ2N6n9Tl1NtvT7Gl0pmxu8NXRg
 +rumBxn3o+fQAqH7HUuE6oZVvY3+UwSLJJ2CidCKTyJzSfPPOU4ERLJPpn7KE7wpbhlb
 urpQ==
X-Gm-Message-State: AOAM530DDzBD0/vxl8kfKTZkuwhg/8OtfdlY3QaLYJG/3R3OV7a/W5so
 RlRytNTJR8ZVLmraZZ7PQi5EYJltLOVbBg==
X-Google-Smtp-Source: ABdhPJxo2aeZMJUzMl56Cs1VBqbMpGSo2uE2rbWJxe+Hiut2FaGrr0LrjtKPKddVvm2CaxvJtMNdvw==
X-Received: by 2002:a05:6214:b67:b0:45d:db71:9592 with SMTP id
 ey7-20020a0562140b6700b0045ddb719592mr10661550qvb.128.1652590024633; 
 Sat, 14 May 2022 21:47:04 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:04 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 016/602] gnu: Remove grit.
Date: Sun, 15 May 2022 00:36:43 -0400
Message-Id: <20220515044629.6843-16-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (grit): Delete variable.
---
 gnu/packages/bioinformatics.scm | 42 ---------------------------------
 1 file changed, 42 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 6037a100aa..c754cdb176 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -4024,48 +4024,6 @@ (define-public gemma
 genome-wide association studies}.")
     (license license:gpl3)))
 
-(define-public grit
-  (package
-    (name "grit")
-    (version "2.0.5")
-    (source (origin
-              (method git-fetch)
-              (uri (git-reference
-                    (url "https://github.com/nboley/grit")
-                    (commit version)))
-              (file-name (git-file-name name version))
-              (sha256
-               (base32
-                "1l5v8vfvfbrpmgnrvbrbv40d0arhxcnmxgv2f1mlcqfa3q6bkqm9"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'generate-from-cython-sources
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             ;; Delete these C files to force fresh generation from pyx sources.
-             (delete-file "grit/sparsify_support_fns.c")
-             (delete-file "grit/call_peaks_support_fns.c")
-             (substitute* "setup.py"
-               (("Cython.Setup") "Cython.Build"))
-             #t)))))
-    (inputs
-     (list python2-scipy python2-numpy python2-pysam python2-networkx))
-    (native-inputs
-     (list python2-cython))
-    ;; The canonical <http://grit-bio.org> home page times out as of 2020-01-21.
-    (home-page "https://github.com/nboley/grit")
-    (synopsis "Tool for integrative analysis of RNA-seq type assays")
-    (description
-     "GRIT is designed to use RNA-seq, TES, and TSS data to build and quantify
-full length transcript models.  When none of these data sources are available,
-GRIT can be run by providing a candidate set of TES or TSS sites.  In
-addition, GRIT can merge in reference junctions and gene boundaries.  GRIT can
-also be run in quantification mode, where it uses a provided GTF file and just
-estimates transcript expression.")
-    (license license:gpl3+)))
-
 (define-public hisat
   (package
     (name "hisat")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:18 2022
Received: from localhost ([127.0.0.1]:48157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hl-0003Rk-PN
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:18 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:41762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69q-0002sf-1z
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:06 -0400
Received: by mail-qv1-f48.google.com with SMTP id jt15so9877283qvb.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=l5rTgM5nHWDGL6VkG3cwSM0NdHRU2vfITRHcXtTj6+E=;
 b=R6uOXEsvIyC7zUbAUqcjj3alcwZCtbhPFPO+o0yfTtC80Itgj977Q8+Agv0q1LRCOw
 wWqvuEUs3CftKPOV2ZfMhCYpNOE1nanNVsIkgu4w0t9/70n/177TKV9MjUA8KJPXAJpw
 xtlLh9tdGVdYQgWfYKQ5AFVFxrZLTDxMp4W0DzF90XxAFKPqU5lgrYbEf8M7XqJQmX4t
 UiYu3boXoRflTPLSRyFVl08w/xLoFDCINkZUF0WgxmL5MQLNszBJasxDF5C6+aJKg629
 zQPLD9kh4wbaUyCn8oBZmA6yiQQA3NeifiCexKwZSPEDDwfOkEZDPrsSBgAH9A/5Tjog
 kRjg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=l5rTgM5nHWDGL6VkG3cwSM0NdHRU2vfITRHcXtTj6+E=;
 b=U/B0uCvk1xAC5qoS05Srfxu17uk6OKSknhCg98X50iu11CK/M1jHC6McZKcfWiqCe3
 lq9s6v2Z/pcyrgx+wstqu4gM7A1D8TkJbyovgK2IC5zItqmfRtNZiKzEeWFWRWrlUXvb
 wNiwy/NhZ8pW7pmIFjt2hB1s3I7FM5oSue/+3SAUohLQDBxn8XD/0l/bE/7nuUQHIiFx
 rhPrr4OmWJ/mzzBCrHiZ/G3k/JfCKbujbAFPxKCxA0iEJhZCmTRlOfJA9HB9q1Ph9mjk
 amgBGXtACQv60GONgMMVvNBuYdso76KcgYMZqq2hF6hwt1e8fbXW4WMdTV/rU7m/4aN9
 83Pg==
X-Gm-Message-State: AOAM531PwYeXB136yvUk4jM+bc7fpgLubSsNvqJLuWk7IQ1oyztM+Fjl
 TAPj3BYD9N4lw5hE0f3uNby3EIHsQs3Q/g==
X-Google-Smtp-Source: ABdhPJwqGhmBOA2RZEzEWcxL0VMSBeGyx2do9gD50DZlGlgUUawr82lFe8iOf7nxAPq/UkNyaMIFYQ==
X-Received: by 2002:ad4:5aed:0:b0:461:caa6:81f8 with SMTP id
 c13-20020ad45aed000000b00461caa681f8mr450438qvh.49.1652590020418; 
 Sat, 14 May 2022 21:47:00 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:00 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 010/602] gnu: Remove python2-pyalsaaudio.
Date: Sun, 15 May 2022 00:36:37 -0400
Message-Id: <20220515044629.6843-10-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/audio.scm (python2-pyalsaaudio): Delete variable.
---
 gnu/packages/audio.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index 6b16269670..402ec329c3 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -4347,9 +4347,6 @@ (define-public python-pyalsaaudio
 mixers.")
     (license license:psfl)))
 
-(define-public python2-pyalsaaudio
-  (package-with-python2 python-pyalsaaudio))
-
 (define-public ldacbt
   (package
     (name "ldacbt")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:17 2022
Received: from localhost ([127.0.0.1]:48153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Hd-0003RL-2g
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:17 -0400
Received: from mail-qv1-f47.google.com ([209.85.219.47]:38669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Hb-0003PT-44
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:07 -0400
Received: by mail-qv1-f47.google.com with SMTP id n10so9883867qvi.5
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=7c3f4F9JXtD7QCxK3oYR1z3X5bnl37koui24Jk0cghg=;
 b=CloQWCeq8NvTtZp1u7C1tZS841WUjhkldn5vcdGh5y8lyfbi6KuMmL3X59jz8cYQSM
 mwmup1cFi6ui2AHS2ldvJKCBsAunlBj/aP+RYLPjOSWQ+zGWpC5qHCdZGQ075zqTOy+j
 ID8pH6ePSwojdfsMOgvHUjotUpW0xyfzp5aFooNHCb8/7V1NWXMlGgqHnOOXtbIc8UkQ
 7MYv9F/lCCcz3Ww9viUMh1ahxZodbbScQcaWaw17dV911QY4jGido0wF+dtZMGOVJLQv
 q6kPnQnDKyJaeX2PGdo8LLzUpDLaz5IqFxlEqdGQ4WBZBgWckWW5kf7llL4S1C6m3Yqc
 swYw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=7c3f4F9JXtD7QCxK3oYR1z3X5bnl37koui24Jk0cghg=;
 b=rsweOnYlVLywkWga1Gv7jtP6OhsWiwIr/d1871l3kNp+Fd8d1v0NoIg3tWhARGMl0F
 EqRI+DHZ3AjzA9E8Max7rDtvRsHnf4r5JyeVqstEgRcqzBRu9uvIKFSyMZCOFQe3q2jC
 0gdJTA7gN3K/haPTfnMgC+kGS/xk+DKIP0xhJItFW+f5hLr0WcIIHKzWlb78NC2qDG6G
 nFj1pgJCNjwQEMxi6J3rw/RRjLBd64cD8nNzzgJtkp3wUur8aJLUVNBTKJjeCsLFR9Zg
 HWqhxiOkDTVY1kRKsH+ieA6vGslDTpwvSEx/YVDLI/MPcxS1liEDNTLNaVERmwi+GaQ6
 5TBg==
X-Gm-Message-State: AOAM531olbIc5mk/z3DTLYFpujBLnsJ88GDtiF7lnRuzAIFZPEscwugm
 XVHaOTbeO+cqQC5mGLmTdogiQ4sH6QALmg==
X-Google-Smtp-Source: ABdhPJwziDe8cM+jAlVKD8FDy4LHe1OdWcYnZkqxbqEyx3zUozENTyiCrq/NwUftaAa5zxhwwxSJyw==
X-Received: by 2002:a0c:dc91:0:b0:461:cab2:8630 with SMTP id
 n17-20020a0cdc91000000b00461cab28630mr429563qvk.79.1652590070680; 
 Sat, 14 May 2022 21:47:50 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:50 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 081/602] gnu: renpy: Build with Python 3.
Date: Sun, 15 May 2022 00:37:48 -0400
Message-Id: <20220515044629.6843-81-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/game-development.scm (renpy)[python]: Delete argument.
[phases]: Delete trailing #t.
[propagated-inputs]: Update the inputs to their Python 3 counterparts.
[native-inputs]: Likewise.
---
 gnu/packages/game-development.scm | 197 ++----------------------------
 1 file changed, 10 insertions(+), 187 deletions(-)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index d8725e837c..961b396ea7 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -1263,9 +1263,9 @@ (define-public python-pygame-sdl2
 (define-public python2-pygame-sdl2
   (package-with-python2 python-pygame-sdl2))
 
-(define-public python2-renpy
+(define-public renpy
   (package
-    (name "python2-renpy")
+    (name "renpy")
     (version "7.4.11")
     (source
      (origin
@@ -1284,8 +1284,7 @@ (define-public python2-renpy
            #t))))
     (build-system python-build-system)
     (arguments
-     `(#:tests? #f ; Ren'py doesn't seem to package tests
-       #:python ,python-2
+     `(#:tests? #f                      ; Ren'py doesn't seem to package tests
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'fix-commands
@@ -1293,8 +1292,7 @@ (define-public python2-renpy
              (substitute* "renpy/editor.py"
                (("xdg-open")
                 (string-append (assoc-ref inputs "xdg-utils")
-                               "/bin/xdg-open")))
-             #t))
+                               "/bin/xdg-open")))))
          (add-after 'unpack 'fix-include-paths
            (lambda* (#:key inputs #:allow-other-keys)
              (substitute* "module/setup.py"
@@ -1305,8 +1303,7 @@ (define-public python2-renpy
              (setenv "RENPY_CYTHON"
                      (search-input-file (or native-inputs inputs)
                                         "/bin/cython"))
-             (setenv "RENPY_DEPS_INSTALL" (string-join (map cdr inputs) ":"))
-             #t))
+             (setenv "RENPY_DEPS_INSTALL" (string-join (map cdr inputs) ":"))))
          (replace 'build
            (lambda* (#:key inputs outputs #:allow-other-keys #:rest args)
              ;; The "module" subdirectory contains a python (really cython)
@@ -1316,8 +1313,7 @@ (define-public python2-renpy
                (apply (assoc-ref %standard-phases 'build) args))
              ;; The above only builds the cython modules, but nothing else,
              ;; so we do that here.
-             (invoke "python" "-m" "compileall" "renpy")
-             #t))
+             (invoke "python" "-m" "compileall" "renpy")))
          (replace 'install
            (lambda* (#:key inputs outputs #:allow-other-keys #:rest args)
              ;; Again, we have to wrap the module installation.
@@ -1332,8 +1328,9 @@ (define-public python2-renpy
                  (apply (assoc-ref %standard-phases 'install) args))
                (copy-recursively "renpy"
                                  (string-append out site "/renpy"))
-               (delete-file-recursively (string-append out site "/renpy/common")))
-             #t)))))
+               (delete-file-recursively (string-append out site
+                                                       "/renpy/common"))))))))
+    (native-inputs (list python-cython))
     (inputs
      (list ffmpeg
            freetype
@@ -1342,11 +1339,7 @@ (define-public python2-renpy
            libpng
            (sdl-union (list sdl2 sdl2-image sdl2-mixer sdl2-ttf))
            xdg-utils))
-    (propagated-inputs
-     `(("python2-future" ,python2-future)
-       ("python2-pygame" ,python2-pygame-sdl2)))
-    (native-inputs
-     (list python2-cython))
+    (propagated-inputs (list python-future python-pygame-sdl2))
     (home-page "https://www.renpy.org/")
     (synopsis "Ren'py python module")
     (description "This package contains the shared libraries and Python modules
@@ -1355,176 +1348,6 @@ (define-public python2-renpy
 are only used to bootstrap it.")
     (license license:expat)))
 
-(define-public renpy
-  (package
-    (inherit python2-renpy)
-    (name "renpy")
-    (build-system python-build-system)
-    (arguments
-     `(#:tests? #f ; see python2-renpy
-       #:python ,python-2
-       #:modules ((srfi srfi-1)
-                  (guix build python-build-system)
-                  (guix build utils))
-       #:imported-modules ((srfi srfi-1) ,@%python-build-system-modules)
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'fix-commands
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (substitute* "launcher/game/choose_directory.rpy"
-               (("/usr/bin/python")
-                (string-append (assoc-ref inputs "python2")
-                               "/bin/python2")))
-             (substitute* "launcher/game/front_page.rpy"
-               (("xdg-open")
-                (string-append (assoc-ref inputs "xdg-utils")
-                               "/bin/xdg-open")))
-             (substitute* "launcher/game/project.rpy"
-               (("cmd = \\[ executable, \"-EO\", sys.argv\\[0\\] \\]")
-                (string-append "cmd = [ \"" (assoc-ref outputs "out")
-                               "/bin/renpy\" ]"))
-               ;; Projects are still created in the usual style, so we need
-               ;; to adjust the path.
-               (("cmd.append\\(self.path\\)")
-                "cmd.append(self.path + \"/game\")"))
-             #t))
-         (add-after 'unpack 'drop-game-from-paths
-           (lambda _
-             (substitute* (list "launcher/game/gui7.rpy"
-                                "launcher/game/gui7/images.py")
-               ((", \"game\",") ","))
-             #t))
-         (add-before 'build 'start-xserver
-           (lambda* (#:key inputs native-inputs #:allow-other-keys)
-             (let ((xorg-server (assoc-ref (or native-inputs inputs)
-                                           "xorg-server")))
-               (setenv "HOME" (getcwd))
-               (system (format #f "~a/bin/Xvfb :1 &" xorg-server))
-               (setenv "DISPLAY" ":1")
-               #t)))
-         (replace 'build
-           (lambda _
-             (invoke "python" "renpy.py" "launcher" "quit")
-             (invoke "python" "renpy.py" "the_question" "quit")
-             (invoke "python" "renpy.py" "tutorial" "quit")
-             #t))
-         (replace 'install
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             ;; Here we install our custom renpy program.
-             ;; After finishing this step, "out" will have the following:
-             ;; |-- bin/renpy
-             ;; `-- share/renpy ; i.e. path_to_renpy_base()
-             ;;     |-- common
-             ;;     `-- gui
-             ;;
-             ;; Note that common shares the source files that would be installed
-             ;; by python2-renpy (which are instead deleted from that package),
-             ;; but also contains their byte-compiled versions.
-             ;; On other systems, renpy_base would point to site-packages or
-             ;; even somewhere in /opt.
-             ;; The former approach is not as straightforward as it seems
-             ;; -- it causes renpy to load files twice for some weird reason --
-             ;; and the latter is impossible on Guix. Hence the detour through
-             ;; share/renpy and the custom renpy program.
-             ;;
-             ;; As a convention, other games should be installed as
-             ;; subdirectories of share/renpy in their respective outputs as
-             ;; well. This differs from the traditional layout, which is
-             ;; roughly the following:
-             ;; `-- Super Awesome Game
-             ;;     |-- game       ; <- the folder we actually want
-             ;;     |-- lib        ; compiled renpy module and dependencies
-             ;;     |-- renpy      ; yet another copy of Ren'py's code
-             ;;     |   |-- common ; the common folder from above
-             ;;     |   `-- ...    ; Python code (source + compiled)
-             ;;     |-- Super Awesome Game.py
-             ;;     `-- Super Awesome Game.sh
-             (let* ((out (assoc-ref outputs "out"))
-                    (bin/renpy (string-append out "/bin/renpy")))
-               (copy-recursively "renpy/common"
-                                 (string-append out "/share/renpy/common"))
-               (copy-recursively "gui"
-                                 (string-append out "/share/renpy/gui"))
-
-               (mkdir-p (string-append out "/bin"))
-               (copy-file (assoc-ref inputs "renpy.in") bin/renpy)
-               (substitute* bin/renpy
-                 (("@PYTHON@") (search-input-file inputs "bin/python2"))
-                 (("@RENPY_BASE@") (string-append out "/share/renpy")))
-               (chmod bin/renpy #o755))))
-
-         (add-after 'install 'install-games
-           (lambda* (#:key outputs #:allow-other-keys)
-             (define renpy (assoc-ref outputs "out"))
-             ;; TODO: We should offer a renpy-build-system to make the
-             ;; installation of Ren'py games easier.
-             (define* (install-renpy-game #:key output game name (renpy renpy)
-                                          #:allow-other-keys)
-               (let* ((name (or name (basename game)))
-                      (launcher (string-append output "/bin/renpy-" name))
-                      (share (string-append output "/share/renpy/" name)))
-                 (copy-recursively (string-append game "/game") share)
-                 (mkdir-p (string-append output "/bin"))
-                 (with-output-to-file launcher
-                   (lambda ()
-                     (format #t
-                             "#!~a~%~a ~a \"$@\""
-                             (which "bash")
-                             (string-append renpy "/bin/renpy")
-                             share)))
-                 (chmod launcher #o755)))
-
-             (install-renpy-game #:output (assoc-ref outputs "out")
-                                 #:game "launcher")
-
-             (install-renpy-game #:output (assoc-ref outputs "the-question")
-                                 #:game "the_question"
-                                 #:name "the-question")
-
-             (install-renpy-game #:output (assoc-ref outputs "tutorial")
-                                 #:game "tutorial")
-             #t))
-         (replace 'wrap
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out"))
-                   (site (string-append "/lib/python"
-                                        (python-version
-                                         (assoc-ref inputs "python"))
-                                        "/site-packages")))
-               (wrap-program (string-append out "/bin/renpy")
-                 `("GUIX_PYTHONPATH" =
-                   (,@(delete-duplicates
-                       (map
-                        (lambda (store-path)
-                          (string-append store-path site))
-                        (cons (assoc-ref outputs "out")
-                              (map cdr
-                                   (filter
-                                    (lambda (input)
-                                      (string-prefix? "python2" (car input)))
-                                    inputs))))))))
-               #t))))))
-    (inputs
-     `(("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
-       ("python2-renpy" ,python2-renpy)
-       ("python2-tkinter" ,python-2 "tk")
-       ("python2" ,python-2) ; for ‘fix-commands’ and ‘wrap’
-       ("xdg-utils" ,xdg-utils)))
-    (propagated-inputs '())
-    (native-inputs
-     (list xorg-server-for-tests))
-    (outputs
-     (list "out" "tutorial" "the-question"))
-    (home-page "https://www.renpy.org/")
-    (synopsis "Visual Novel Engine")
-    (description "Ren'Py is a visual novel engine that helps you use words,
-images, and sounds to tell interactive stories that run on computers and
-mobile devices.  These can be both visual novels and life simulation games.
-The easy to learn script language allows anyone to efficiently write large
-visual novels, while its Python scripting is enough for complex simulation
-games.")
-    (license license:expat)))
-
 (define-public python-pyxel
   (package
     (name "python-pyxel")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:07 2022
Received: from localhost ([127.0.0.1]:48150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Ha-0003R2-Po
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:07 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:35631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6HZ-0003P9-EA
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:05 -0400
Received: by mail-qt1-f179.google.com with SMTP id x22so10094695qto.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:55:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=0bG+fQ6KeGTr+vNJFtgZSjdvnTcXmxEFIwz/yutJyjI=;
 b=Q4Zm1P+kf4ey2CxymxevmiasYRv/9ZwpJ8I52nMcxVv0jyv4waUK+nRS8L43LMUAnG
 GeVDjOQRmZozNq5SP9lwITgGobu22RQv7ngObcdSa5OBhcGMvd5HXWoAogJoQ32YLJDI
 C2QvIYf7ha3lJCkbf06GF19E53t0xVsU+UgKU7fLzDqVWWgU7KoH6E24qbM+pxnpTpB6
 WyYp/8255dtR9fZ2v6ebWdON2j+3/Lfza0fAGaUagNJQXBvtHgMtgoSLR1sxsDuT1WDg
 wlFwIAAPkcS7POOySTtk7HUOGqIeCrc4VffKegQNTQEHoco+R6dlgvuaebxOKpNWcXfC
 Ahrw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=0bG+fQ6KeGTr+vNJFtgZSjdvnTcXmxEFIwz/yutJyjI=;
 b=wwduFCgilbWAxA1Xr31wod+QwFT8hyfHP+3FZ9AZiUF8ltEAnaL0vzZBZqA+gzHBr+
 ZCkLh0PS9HZY5n5T1Sd7rk08UhiVgZezoT/PkNhrjS3G8xXO61CgtYMu2F8Aicd1tx1c
 BMZCy7wWZxuf6KcX276t4Yrj60mYEuQ274AN8iywzUeFtfFIiMAV3xpJuzBEraZMyFY9
 nLfTP5uQC+csDhPYduHsXQNabL9QWHTf2i6tK67P2HLwgdcLA7addHTTYxjTSZ54eWN/
 SULEwsD3/e29G0ZzDOLoMyO/wp4IyFrivuAfc/UMgPCZnfV8BMpdkVyV9Fmn5FtBGxSn
 p5Tw==
X-Gm-Message-State: AOAM531a29i6qaUFldWafkVOuOI1eiknZdYp6BNVuSKGnXnTeehC13rc
 HVyYwb/W+NL1Sv18MgL2tj+76zGOrjyJcQ==
X-Google-Smtp-Source: ABdhPJzwanMOeIlBS6JfNF+StiifX3yrHFy96YjPeJNl9VMu67C8waBD/Q3kGKDk6xXaY4ne9AuV5w==
X-Received: by 2002:a05:622a:287:b0:2f3:d53a:5abd with SMTP id
 z7-20020a05622a028700b002f3d53a5abdmr11013568qtw.588.1652590051101; 
 Sat, 14 May 2022 21:47:31 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:30 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 053/602] gnu: Remove python2-ccm.
Date: Sun, 15 May 2022 00:37:20 -0400
Message-Id: <20220515044629.6843-53-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-ccm): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index e7693552f2..96bb05a486 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3289,9 +3289,6 @@ (define-public python-ccm
 on localhost.")
     (license license:asl2.0)))
 
-(define-public python2-ccm
-  (package-with-python2 python-ccm))
-
 (define-public python2-pysqlite
   (package
     (name "python2-pysqlite")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:06 2022
Received: from localhost ([127.0.0.1]:48148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Ha-0003Qv-En
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:06 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:37504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6HN-0003OS-OI
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:53 -0400
Received: by mail-io1-f43.google.com with SMTP id m6so12871851iob.4
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=zHbqbZaw67LNnzzRcuMFKTTvoS/Cjp2140+bCNG9ISA=;
 b=f61ZKOT6AZa7Ehd5SR77NeRfhUSHWhrvS9G4AIIOi7bwk0yW2vrbqmIv1dFuV/iLTI
 4kjJBC6QyZ6K79k9PC3rIn8N1ncLzPX1a0voZIFGqPGd7bzoIuQQSCt8jYMye0GsAZ2M
 5ynAP2vMglJHSV31xAeu3YuYvKx7NlQZbNtmfPGdks3G2KvXxCw9DQY/qG2csuE7b3pD
 vKCPKxuGt/h6N4DMCAnK2QqPOhiL+wKZmXv2Z3GRO5Ebg+psfaUFRvHmau8AZnP3v4pP
 0osZVlPjXlTT+AW+I3Sd4c6j55fIBvhMTVIkVAmvap/abGsb9lkGUPaGEh//rLXInZV1
 hCEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=zHbqbZaw67LNnzzRcuMFKTTvoS/Cjp2140+bCNG9ISA=;
 b=zJw6Xqg97ogevnsdjENhtAo3tkXABRxKPCpw8+e3ObE+196Be/UN0FJ/SOGqGYd5cZ
 F5K4kMQDjsGR4WwJMzhxjWfYkiiGVVFh661I3cPrJcyqrmzjV0rPjI+2xmRskjE8khyb
 wIODFMz1c+LT8iLkfBBm3281SmC+ZkU23/FgFs3Y4AGXbdL0YjvB6Kj689eimfOVFaPn
 AUATFq3A+ucBxIw+9btgtF2VU/ACympPXsT2oP3PVU13qJfS1b4atnQoSW09mSvirp/M
 Uk7Q9hIJXlH55iMeKd30+4EB4fy0SWMWTeFvpPh1ioa9tZbDif4YlSO6pcTSww3gDxS7
 VxKg==
X-Gm-Message-State: AOAM532OxSwl7rElWlTmFpx1F8iZh+GQuyHgws4naEGaFoGkX4gnm8Z4
 NKvduCKWAoDoONwEvKfNlRAVll2z2afXOA==
X-Google-Smtp-Source: ABdhPJyDwbQ3kqHel6b/e9VxIfWCvh+gtqnN3R2zlWPQYoVjYvTadOlRXGFEnE6TJ5upnkoyqs30xQ==
X-Received: by 2002:a05:622a:1350:b0:2f3:d5a1:8d7c with SMTP id
 w16-20020a05622a135000b002f3d5a18d7cmr10756322qtk.421.1652590044072; 
 Sat, 14 May 2022 21:47:24 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:23 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 043/602] gnu: Remove python2-cov-core.
Date: Sun, 15 May 2022 00:37:10 -0400
Message-Id: <20220515044629.6843-43-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-cov-core): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index cd5401748b..089f686c94 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -1919,9 +1919,6 @@ (define-public python-cov-core
 testing frameworks.")
     (license license:expat)))
 
-(define-public python2-cov-core
- (package-with-python2 python-cov-core))
-
 (define-public python-codecov
   (package
     (name "python-codecov")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:55:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:55:06 2022
Received: from localhost ([127.0.0.1]:48135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HP-0003Ot-No
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:55:06 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:39869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6HL-0003OI-FX
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:51 -0400
Received: by mail-qk1-f180.google.com with SMTP id b20so10197020qkc.6
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=OikKGloNPIY430xY3wdCJNeW9i4/hbNh8s5mwpnv7ME=;
 b=bTj4NEwzUnAi85GOe7EzNzRqewi5q14WuvszLxhu7pZMksoUmHxN/VPegLCrk5Rd/w
 cXNyeHnK9hJrjY5c/oYL/n0Rq+qQ8W77Fl8luTb9xbBKoMMpCCqzckKVTwlqF9QlvVKI
 0+boXwXuwCcvxVBakjmBet1YVHrwlhtMUhHqJHYIc+9Rii4Of8+SffMjaI29Sq7UeT+K
 TmqpmudZs84bd6PNIK/qgAPGqDxB3NL8OtYmYpv9Wsh1hW/j5A4Or9xe9MMX9w0ddxmH
 ckxvpP867sfN/h8R8qgpZ0HCGvFvwp8xXzMfhC2AKI03zKLmvLO7JmiEgYdYWxLAvFtc
 mJVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=OikKGloNPIY430xY3wdCJNeW9i4/hbNh8s5mwpnv7ME=;
 b=BL+Wc25/r3o5FLJSQvbTJYsLFTm9NKa3n75OaSJ0pVYanB1I9BD+ZkcSzPpyqYmVMM
 lMZiv/vtRrMZZQtb5BpGS1q1ccLJ/wlDavGQz+FOOH0YGsTy6s7q6kB1qhAT+FlC+ck/
 8ukgs0rHNoZmXtQmffP6g+vmqULeIu4SliAw+N7yJbsUqGl0NOH1Zap5WEzyifd3AVas
 Lg4VAbsoeZYYshWX7Rf6Dbs2ztTbM3dVmF/N9a2K5+HP94Zwr3Zgh+Px6ehTRvYvOwgW
 jIBUzTRZkPgjMJilwSP3kRv23IRUSwr5JSf/CrYX2L10SqLeDnEpa6EBCNiS65cnu/tG
 9qyg==
X-Gm-Message-State: AOAM5314niLXLX8PI9aYW8Zr51apbLKiksJ27+53TJh8TYb2/9hjqMxq
 uvgiCwmxAodAcg1NnG6rHP16NSDBKelBvg==
X-Google-Smtp-Source: ABdhPJw+boE9hkV7EvMcd8oFhKBlvq+6+FyAi2usicTv157vAk9BdPrd4R8oa3JL9CwOAtpWPiPiPQ==
X-Received: by 2002:a05:620a:2950:b0:6a0:579e:502f with SMTP id
 n16-20020a05620a295000b006a0579e502fmr8721387qkp.124.1652590082624; 
 Sat, 14 May 2022 21:48:02 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:02 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 098/602] gnu: Remove python2-pyechonest.
Date: Sun, 15 May 2022 00:38:05 -0400
Message-Id: <20220515044629.6843-98-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/music.scm (python2-pyechonest): Delete variable.
---
 gnu/packages/music.scm | 33 ---------------------------------
 1 file changed, 33 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index c15def4649..d0b51c7bba 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -3692,39 +3692,6 @@ (define-public python-isrcsubmit
 @url{https://musicbrainz.org/, MusicBrainz}.")
     (license license:gpl3+)))
 
-(define-public python2-pyechonest
-  (package
-    (name "python2-pyechonest")
-    (version "9.0.0")
-    (source (origin
-              (method url-fetch)
-              (uri (pypi-uri "pyechonest" version))
-              (sha256
-               (base32
-                "1584nira3rkiman9dm81kdshihmkj21s8navndz2l8spnjwb790x"))))
-    (build-system python-build-system)
-    (arguments
-     `(;; Python 3 is not supported:
-       ;; https://github.com/echonest/pyechonest/issues/42
-       #:python ,python-2))
-    (home-page "https://github.com/echonest/pyechonest")
-    (synopsis "Python interface to The Echo Nest APIs")
-    (description "Pyechonest is a Python library for the Echo Nest API.  With
-Pyechonest you have Python access to the entire set of API methods including:
-
-@enumerate
-@item artist - search for artists by name, description, or attribute, and get
-back detailed information about any artist including audio, similar artists,
-blogs, familiarity, hotttnesss, news, reviews, urls and video.
-@item song - search songs by artist, title, description, or attribute (tempo,
-duration, etc) and get detailed information back about each song, such as
-hotttnesss, audio_summary, or tracks.
-@item track - upload a track to the Echo Nest and receive summary information
-about the track including key, duration, mode, tempo, time signature along with
-detailed track info including timbre, pitch, rhythm and loudness information.
-@end enumerate\n")
-    (license license:bsd-3)))
-
 (define-public python-pylast
   (package
     (name "python-pylast")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:55 2022
Received: from localhost ([127.0.0.1]:48133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HP-0003Om-FI
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:55 -0400
Received: from mail-qk1-f175.google.com ([209.85.222.175]:39862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6HH-0003Nn-6Z
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:47 -0400
Received: by mail-qk1-f175.google.com with SMTP id b20so10196957qkc.6
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Ldc0EQ+qVUM5er/mk6wndbs666DFLnoT1F/8PDBVfAA=;
 b=Db0QUXbtz7OXUFUZV+WKD6MbTEFmiHwB3wMqgZg/IsKeI8KVSIyDkwXtyEExapIgrE
 CyHNAJpI4I/e/GlUV9B0cBwhGmms2iHRvDAJ60/oVu2xxhYYVpU9pjfdXupQ9cIW97Sx
 HXjFIA+9au62zj7NwGxORD3PJPprM991ayBIAMYc9wTPC6u+33iyCSzRcnE+NZvuVYSr
 wwXfnXwNdV6SW8l+ND2bovqArfk+570Wu+WrJuhO/ZksjytaT5gOEGbfKZEyh2Gwrw6G
 rwZOCu0jQkP4E8JM2MzqB5hik7x6PVSy93X4euFccsLfSvnzew+uRxTRurW65g1h2/RC
 AqKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Ldc0EQ+qVUM5er/mk6wndbs666DFLnoT1F/8PDBVfAA=;
 b=SdteGLKeexv6QyJzbOftDCvptIJZIoFGNeK4RKJjjpVTUeYaQxKEGq9ciqVhgmdipq
 b9x5hST/QENFmfPyElAzEd51hHtrj4rvEvH65h2meSSFcUSS9iNNzcH3Xq9/k1R/Fgfx
 5gqMiNvlw8DIAm+SiG3ZEnQv/CwCksFHq/NBZwO1/BvTAAgOx47YT6mzZhBGHjqL3g61
 y1PLll6jAmTwgsjDIGEgLrRF6Aq0FzurDzpNKjey1wWFMNOic+oNQpmk2otn2GBzD3UA
 naVVe3x2Q0j4dqERdoGOODEozCgajC/V9dMlHD08B2lQaqW++97aPPzScJt1wZs3SUBF
 S9Zw==
X-Gm-Message-State: AOAM532fcKTsXX+LZCcY/G4JQ3BIfy7BScKBA4ZiCkXeQfSomK7ntUVp
 qjLfYkYpPE2yVzXweCFdJ4SLW/RDeNhd6g==
X-Google-Smtp-Source: ABdhPJy0xpJOO3+f9d0r1LSPIRXu/rGM866tkddaYrownHQ7MPJTfiknO218NTwNzj7ibRrb6De+KA==
X-Received: by 2002:ac8:5b84:0:b0:2f3:cba9:242d with SMTP id
 a4-20020ac85b84000000b002f3cba9242dmr10980313qta.260.1652590049692; 
 Sat, 14 May 2022 21:47:29 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:29 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 051/602] gnu: Remove python2-trollius-redis.
Date: Sun, 15 May 2022 00:37:18 -0400
Message-Id: <20220515044629.6843-51-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-trollius-redis): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 717918ed0d..126c32725e 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -4095,9 +4095,6 @@ (define-public python-trollius-redis
   Redis protocol.")
     (license license:bsd-2)))
 
-(define-public python2-trollius-redis
-  (package-with-python2 python-trollius-redis))
-
 (define-public python-sqlparse
   (package
     (name "python-sqlparse")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:55 2022
Received: from localhost ([127.0.0.1]:48128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HG-0003OJ-SD
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:55 -0400
Received: from mail-pg1-f181.google.com ([209.85.215.181]:44573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6HC-0003NA-Gt
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:45 -0400
Received: by mail-pg1-f181.google.com with SMTP id v10so11147989pgl.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=P8QS9IQ1hpGTuTkwOu+MxSCcGNyKw2gAefsPIdlqMKA=;
 b=IysbFoo2SXDVToUrbp/dYVF+U4eEiwP6jU5JAHR7BWZGGskw4MFWtA2MjBaccqygqz
 CK/JT7uCDKdULD7uDXptKG+PhBNEVfpDqIGTFilPbmBahFjE5B81Add2qRFrbxqDGF0G
 wtf8yLsW9HIB5MBqgshdVV5jODOr4TITcrBe1ugVdWDe2ah4Z0q9+Ti0qTVxvUhk3qNM
 LZdSfMF4kfqGzHZbPnAniCZfOlo/Tlhtoho1DZri2+XQGuaXJ2NqeqRcmWe0quU+TZ2M
 sujw6G3r4joa4BNAlil120wsVa1YSYBwv0LZWfNpDuuU5f0a7adMNadc9MGPmYPrIpFV
 0Gfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=P8QS9IQ1hpGTuTkwOu+MxSCcGNyKw2gAefsPIdlqMKA=;
 b=4mNMFeon8+5fqQm5Dm6f8+jhv5TMDuKlEZ2tIAJSZWpMz+uH6FjZ9CGrxJHTFK7XKa
 PHoYv4M2zpcEVfXliF9WtuXjsDoAIePDGJHFz4NU4LTTyFZ1tFbUnRvM2gaekVZSuU17
 t0sp3AelaodLLwFYW9G+QZuWFJYHEICbDk80mWdsV6kOTZKoIn9iuWWHTdaHRkbf4ysq
 HhVW7b6RZbd6+pDNw3/Wn4qvb3pK7jXUXB7xPd8szfg9tSR8SBrLna1nCPjgEJfFs1wF
 gy/7nKBJWRGiyIsVmDqcuoTDqAAVrxd4/hnfoUP2+oR8vb9lolG/Ng602h6sna/mZdvM
 KuDw==
X-Gm-Message-State: AOAM530/3xfYMVMwgIxE4mWpg2GMzYxF94n8EFiaO8vX8VTYozTfOn3H
 ajU5vb6OjnE2lxn7CbRkjh/WqzCgG60oQA==
X-Google-Smtp-Source: ABdhPJzQg803QRNKufA1pSwvBg58RX5aklEcYwl12XT4cwQ+24OLwaT1Fg4zFBAcQ7JsLVtNW2OLVQ==
X-Received: by 2002:a05:6214:108a:b0:461:cb62:d2e5 with SMTP id
 o10-20020a056214108a00b00461cb62d2e5mr175082qvr.84.1652590080620; 
 Sat, 14 May 2022 21:48:00 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:00 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 095/602] gnu: getmail: Deprecate with getmail6.
Date: Sun, 15 May 2022 00:38:02 -0400
Message-Id: <20220515044629.6843-95-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/mail.scm (getmail): Mark as deprecated in
 favor
 of... (getmail6): ... this new package. --- gnu/packages/mail.scm | 45
 ++++++++++++++++++++++ 1 file changed, 23 ins [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.181 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.181 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

* gnu/packages/mail.scm (getmail): Mark as deprecated in favor of...
(getmail6): ... this new package.
---
 gnu/packages/mail.scm | 45 ++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 22 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index c4ccc53e84..31cdc8da55 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -32,7 +32,7 @@
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@HIDDEN>
 ;;; Copyright © 2020 Justus Winter <justus@HIDDEN>
 ;;; Copyright © 2020 Eric Brown <ecbrown@HIDDEN>
-;;; Copyright © 2020, 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2020, 2021, 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2020 Michael Rohleder <mike@HIDDEN>
 ;;; Copyright © 2020, 2021 Alexey Abramov <levenson@HIDDEN>
 ;;; Copyright © 2020 Tim Gesthuizen <tim.gesthuizen@HIDDEN>
@@ -40,7 +40,6 @@
 ;;; Copyright © 2020 Oleg Pykhalov <go.wigust@HIDDEN>
 ;;; Copyright © 2020 B. Wilson <elaexuotee@HIDDEN>
 ;;; Copyright © 2020 divoplade <d@HIDDEN>
-;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
 ;;; Copyright © 2021 Benoit Joly <benoit@HIDDEN>
 ;;; Copyright © 2021 Morgan Smith <Morgan.J.Smith@HIDDEN>
@@ -1550,31 +1549,33 @@ (define-public muchsync
 pairs have previously synchronized.")
     (license license:gpl2+)))           ; with OpenSSL libcrypto exception
 
-(define-public getmail
+(define-public getmail6
   (package
-    (name "getmail")
-    (version "5.16")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "https://pyropus.ca/software/getmail/old-versions/"
-                           "getmail-" version ".tar.gz"))
-       (sha256
-        (base32 "1yk7lrndbfsrbdxikwzdqvadryqsldalxdn3a184dg4sxzmgis3a"))))
+    (name "getmail6")
+    (version "6.18.6")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/getmail6/getmail6")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "08a5yw6ll1kmd1ardj8rzhsw4wl48zzdc87g5lh4p5snv8w2m4ja"))))
     (build-system python-build-system)
-    (arguments
-     (list #:tests? #f                  ; no tests
-           #:python python-2))
-    (home-page "https://pyropus.ca/software/getmail/")
+    (arguments (list #:tests? #f))      ;tests require docker
+    (home-page "https://github.com/getmail6/getmail6")
     (synopsis "Mail retriever")
     (description
-     "A flexible, extensible mail retrieval system with support for
-POP3, IMAP4, SSL variants of both, maildirs, mboxrd files, external MDAs,
-arbitrary message filtering, single-user and domain-mailboxes, and many other
-useful features.")
+     "A flexible, extensible mail retrieval system with support for POP3,
+IMAP4, SSL variants of both, maildirs, mboxrd files, external MDAs, arbitrary
+message filtering, single-user and domain-mailboxes, and many other useful
+features.  This is a fork derived from getmali 5.14, aimed at Python 3
+compatibility.")
+    (license license:gpl2+)))           ;see docs/COPYING
 
-    ;; License is specified in file '__init__.py'.
-    (license license:gpl2)))
+(define-public getmail
+  (deprecated-package "getmail" getmail6))
 
 (define-public libetpan
   (package
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:42 2022
Received: from localhost ([127.0.0.1]:48125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HC-0003Nx-HN
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:42 -0400
Received: from mail-qt1-f177.google.com ([209.85.160.177]:40568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6H9-0003Mr-Mb
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:39 -0400
Received: by mail-qt1-f177.google.com with SMTP id g3so8818258qtb.7
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=cDIoxfsg+BDqEny1NC40cV7te26Dib3iS1HvRWFMRZ8=;
 b=LBfp96BQ1BHJ1AV7N9qmvw0mEGeBqO6osKxzLp2tw06IoDTdOx+yVkMzgJMumOWB/i
 TY93X7VZ+K0Rv68TQAa+cOmVVn5ZWkwcBwW8Jlw/J6bmehNU9oVSdQ1Or2J3hnuwjYWv
 S9cROpgjH2BqTaHfikthTK26GR1oR9Cu5pQUCtGO/Gu4fnnUl99nC0p09LFRZ0q1yezX
 D9gXqPxfNLVQGgonFKUrdjOc86/nXXAqLh3OUg3gHrGfeU8ZanWqu98iQmxM8mb1IfW6
 0qJUzRoeeM0rIaVooyOpilrA+l61cLxL67HKFKcHzVef5Rx+rjj/aS1Nm/+RoyygzMuC
 y90Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=cDIoxfsg+BDqEny1NC40cV7te26Dib3iS1HvRWFMRZ8=;
 b=8Hng+RkJA+tVi1oCISHd5vTQECbcDkgDt/wfvzy0/rBncPFeuZQH/zOC1UKlVHsnAI
 Qk0ddiQXWg2Qs/UAqJywpu2XZF5sPBzLpIy7ux518X9/vjIhD3kvzwZNRP2mtDFGcqb7
 sgapSgg1vLlZhPAYfUs4nfz9XlBySRal/RFZf+OSCoCYMae2hIyZ44zcB3tn0HVzxX1/
 +hhr2aeYBcF0CJxZUVL8kT21ETi2hUooCFOmQiRK4ZXVDY93VGOX1g9PkfYEds6EzRR9
 DL+rzq4ZLTC5uDYd7mIWK64L4JIW+XLcI/A7CIYFJV6EQPGVrWTjBSNmg/VrA7Wj6cBO
 VmtA==
X-Gm-Message-State: AOAM530lOe/NK+4ES7u6IUReYVPDHC+euEegIpttDIa8M81CQD5nSdvM
 vk4E9mG+IzBVxegKOJypDZW+dWpw7+15WA==
X-Google-Smtp-Source: ABdhPJw6xB4E5ZVrXMRG9whMYzRHnVelWXAHeZtiH1bGbtktBCG8SrnHXgsEsUGpcYbbXBTrB3iQDg==
X-Received: by 2002:a05:622a:256:b0:2f3:ebbe:4c84 with SMTP id
 c22-20020a05622a025600b002f3ebbe4c84mr10838446qtx.541.1652590030286; 
 Sat, 14 May 2022 21:47:10 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:09 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 024/602] gnu: Remove python2-dendropy.
Date: Sun, 15 May 2022 00:36:51 -0400
Message-Id: <20220515044629.6843-24-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-dendropy): Delete variable.
---
 gnu/packages/bioinformatics.scm | 16 ----------------
 1 file changed, 16 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 5f637fe29a..cb3328cc1c 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -2954,22 +2954,6 @@ (define-public python-dendropy
 trees (phylogenies) and characters.")
     (license license:bsd-3)))
 
-(define-public python2-dendropy
-  (let ((base (package-with-python2 python-dendropy)))
-    (package/inherit base
-      (arguments
-       `(#:phases
-         (modify-phases %standard-phases
-           (add-after 'unpack 'remove-failing-test
-             (lambda _
-               ;; This test fails when the full test suite is run, as documented
-               ;; at https://github.com/jeetsukumaran/DendroPy/issues/74
-               (substitute* "tests/test_dataio_nexml_reader_tree_list.py"
-                 (("test_collection_comments_and_annotations")
-                  "do_not_test_collection_comments_and_annotations"))
-               #t)))
-         ,@(package-arguments base))))))
-
 (define-public python-py2bit
   (package
     (name "python-py2bit")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:42 2022
Received: from localhost ([127.0.0.1]:48123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HC-0003Nq-9M
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:42 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:34551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6H6-0003Mn-Ux
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:37 -0400
Received: by mail-qt1-f171.google.com with SMTP id k2so10101852qtp.1
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=IWezK+5b9/SKpi5bd8aH19w2zEQbzT8/KMYPPx+xer0=;
 b=dujyhSCe+0e5nlaQnCjvmJjjWi+PgRzIqt422TVMCThtrNtKol4Mk7/eqdG2udE25w
 7SgYErgcIFFRMpi3V7lxFaNV2YXFbl5DppPrEqQLBWmmqbIVuxSoAAPMbnhM7iuYfQnu
 FDHx1Kj4dbW2H7AeQNzOSgyK7U5qpbwENy2GdtT8un7HFmTyIgfQbmKLLXuNwLaZZ9GX
 RxeRy4KEcS2qCb4Vz5oVwUdMjPKXeVyETyWltYN/17sUP4Fjyye+3g+irY2Yhf9DmaIL
 B03P37dd9G1Z9vfTDVdTH7apzxco9oDCbvzzOvtiFY79gY1OJ0OdazMnUtUugVncl+Zu
 tIEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=IWezK+5b9/SKpi5bd8aH19w2zEQbzT8/KMYPPx+xer0=;
 b=6TABqsnUGg7MqO8dLk1iWxPHgOMti5fWSg1bTNV+0e/6qV5vdZt7oIPJwoWj5VCNZk
 sew0iLCcFuzI3AFYF62GoRMYQ4a0gEbJdEpBD6Cu7Hz78z0IQ9qZcyTyOkY5ItYPlxy0
 7fZKAAwVWjAPbiTNvh8I/xlNphTvYIgvLaxbokd1vj1Yn90OxY8nazBBi9cfObrGFU6i
 vFgNm7sOmu0fFm3zmHrZkBgddRLRwBt9ahen/2/q5JWmWWojX9XSh60TL0Dob+h7P8us
 3BFCWFNoHl0Ky/tsXVvyg3iPINUUBQB2SvkHX8DArfL5KL/SOX6psJs65u3hg5wj2WjU
 wXzQ==
X-Gm-Message-State: AOAM532Yzw4P+k4onlymNnsmGA6vX9YgS6AiNeJ8+3NIEDm6qnEtEDYX
 p4g+74FuHEmdrotGG9OuDJ9ErHAbcWDYnQ==
X-Google-Smtp-Source: ABdhPJw21xh1YR121xyES8brPyhvBSp3Lkg9Ucxf3Mq4ZXQW97zPfjT+C4CfG/nLDTfB62zyRKfwkg==
X-Received: by 2002:ac8:59c9:0:b0:2f3:c0b2:5483 with SMTP id
 f9-20020ac859c9000000b002f3c0b25483mr10958042qtf.383.1652590043381; 
 Sat, 14 May 2022 21:47:23 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:23 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 042/602] gnu: Remove python2-discover.
Date: Sun, 15 May 2022 00:37:09 -0400
Message-Id: <20220515044629.6843-42-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-discover): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 7ddf424019..cd5401748b 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2690,9 +2690,6 @@ (define-public python-discover
 backported from Python 2.7 for Python 2.4+.")
     (license license:bsd-3)))
 
-(define-public python2-discover
-  (package-with-python2 python-discover))
-
 (define-public behave
   (package
     (name "behave")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:42 2022
Received: from localhost ([127.0.0.1]:48121 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HC-0003Ni-0O
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:42 -0400
Received: from mail-pj1-f53.google.com ([209.85.216.53]:53137)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6H5-0003Mf-Bf
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:35 -0400
Received: by mail-pj1-f53.google.com with SMTP id l14so562902pjk.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1Q/hJaSA6qZW5LlckiimLZkqdtOvsQ8V8tVp0Lxamxc=;
 b=Xg9sUGB69GLl2DJ/pBETT34QQgHCY8bhUwr1EUbuk7CAv+Usb7a7Hn3Cvw5n4nERlE
 XJXS1pkuEmjWLCnRWEnsv/8nCmRmfN6D8HM9+MY1/o9kBTysZNn5v0AVS3U/rpfOuFOS
 ZILys5QWo3KFEjXChuKU3AFYUP9sLejlhGKVVRXOK+iWaWFyElohBfg0TyLVFNwVo7BF
 lrfm5q+DRNMrIE0w9J9n/Rx2fRnEO95y+WxoEOCuWH2egGS1yoCUko8KSEqpNJB8TDGB
 GBX6ZNYM3msgoHR0lD8az7z86aaSc2Imuj01Zg1JpikrjGOuvn/613qYBXOVq/ygwF9F
 rKDA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1Q/hJaSA6qZW5LlckiimLZkqdtOvsQ8V8tVp0Lxamxc=;
 b=yAImCJxmgSL7OmcUJYfBGYYoYGTFkt/WTg4ERKWICVbEBiHR2gtqW9rTKjdCy2VwQA
 7jQ4OmToMSE1qKjAfATbQriqEL1AmXDWI79lTe3nLEoV+WifiNp4UE3QCJIJPFcONkse
 dx87j4YPbvyvKtOUhHjdrokCoCLovB6YE/hO1ckg3SHY69uQu0ZNkso7RoQI1AOp4x4n
 GrpNkz791/GKQIlH6VfqmdvhZ28loMbangaGhMjPog8Rg9VxzrwbucifSKxQS6W1N0+t
 z/+PXpdQBT7icbmU8p3RRt2vcfg3R7oafQreUouAJlrCa6BpqNjb16mr+3A+S1nqVWRq
 GILw==
X-Gm-Message-State: AOAM531DYUa9w1NlyaZXXX0RIxDe2QujCz6M61Osi9uIWcAE2b1Lh3ct
 1Vo3gPFRa2T0XYSmdcQrRJSjvfWv3S+qvQ==
X-Google-Smtp-Source: ABdhPJxS5vOhgNK+SfESGLM4ypihkb1M+gDuJn4sBQC3uGGr+8XghNr3pqGQ7hGwtAf6AANIqNEsog==
X-Received: by 2002:a05:6214:5284:b0:444:10c8:ee59 with SMTP id
 kj4-20020a056214528400b0044410c8ee59mr10385754qvb.68.1652590079830; 
 Sat, 14 May 2022 21:47:59 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:59 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 094/602] gnu: Remove python2-autograd.
Date: Sun, 15 May 2022 00:38:01 -0400
Message-Id: <20220515044629.6843-94-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/machine-learning.scm (python2-autograd): Delete variable.
---
 gnu/packages/machine-learning.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 7b377c7d35..509b9c7cdd 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1326,9 +1326,6 @@ (define-public python-autograd
 main intended application of Autograd is gradient-based optimization.")
       (license license:expat))))
 
-(define-public python2-autograd
-  (package-with-python2 python-autograd))
-
 (define-public lightgbm
   (package
     (name "lightgbm")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:42 2022
Received: from localhost ([127.0.0.1]:48119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HB-0003NZ-KC
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:41 -0400
Received: from mail-pg1-f180.google.com ([209.85.215.180]:40484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6H5-0003Me-9F
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:35 -0400
Received: by mail-pg1-f180.google.com with SMTP id x12so11161081pgj.7
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=aZ9Dlavyp2iO/rXUpK8TEOukZ5DpqdlDVbj9uT1ZgmI=;
 b=gmhKjEtmWLQLxPyqKr1SyotvS6DpVMim96VbL/k9EgsDYBvQDkbZKR8wDIueTQ11za
 /vW8JW0H86+XoPPlZ80ttDcsCkTLS5DzgGOIQCufux3imSFp/QBPStjWRXbKmarc4Sek
 o2P0fQLWuQ6LoEzjhdliSStj0AfQ/XyieicT3N7F2g0TDak5V9U3gwtCNI0XLjyBmCB9
 CEuhYRoV2pDLmj2eIUOwRtwlXPol6iCXxsqvqqpsESW3LTgoDuAl+CGM0QKXNjaQ+jpE
 jEanLEQnM/tGwlC3yqQTt35GfDNhfkoHRcxtL5Q7GWgl3IdoQhfVTWSnUwIeivcFf/x/
 e3cw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=aZ9Dlavyp2iO/rXUpK8TEOukZ5DpqdlDVbj9uT1ZgmI=;
 b=ZPRziNAP+9cztTqWX/fv6FCTT0GdTzT5LIdmTguZvfz/BZUy2FtGfEJpO0tmlDlutj
 SH/zpF9zjUVGJaJcbq9XU7e+QuJdJIHUn4CQpKW4q8amviuzXg6oksm/aXHAh23kZ6tb
 oJCZh5K5ZfS+1sQ2k5xcPNAGRAWtFIISDczHyjKlkNPyZeEpupHbq0TQ9NJeFBtCVksE
 rhx5q5D6w8DWUGyqbbNNBkA3DsjSXRCTzO538V3iE3+1MmBOw+c5OddW8zjmMQ+iOYgY
 ogJH5r26G8RPcA6rc9tQr6g+qKbmwmBbmDvhMu2cBUJvNO8TnI0VwPh3Fp6bNUfstlio
 QVnQ==
X-Gm-Message-State: AOAM530KE5Bw+Ou6dTGQH/YqxEystCJE2qy4DLJ86uIyIaMKkIE5EfN2
 PLLpwzSQD4fLUyaIV8+Kok0Dtt4WtHH6+Q==
X-Google-Smtp-Source: ABdhPJy96Ti3yJ7NeTq2/l7zl2tlRKfO4I04KtO0x25bV5DspKj84UMlZtdYwxmD8UaOS8dyfdfJOQ==
X-Received: by 2002:ad4:576d:0:b0:45a:f221:6ba7 with SMTP id
 r13-20020ad4576d000000b0045af2216ba7mr10858457qvx.14.1652590051798; 
 Sat, 14 May 2022 21:47:31 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:31 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 054/602] gnu: Remove python2-apsw.
Date: Sun, 15 May 2022 00:37:21 -0400
Message-Id: <20220515044629.6843-54-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-apsw): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 96bb05a486..945525d791 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3587,9 +3587,6 @@ (define-public python-apsw
 translate the complete SQLite API into Python.")
     (license license:zlib)))
 
-(define-public python2-apsw
-  (package-with-python2 python-apsw))
-
 (define-public python-aiosqlite
   (package
     (name "python-aiosqlite")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:41 2022
Received: from localhost ([127.0.0.1]:48117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HB-0003NS-8T
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:41 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:46858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Gz-0003MK-QV
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:30 -0400
Received: by mail-qt1-f178.google.com with SMTP id u35so10054456qtc.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=+nqijKXHE9TAXeovpSYqUHa28E+/8dnroN7kIAmWUPM=;
 b=Av/748MxtghZtF8+cYVHsm90lfJv2fGSobXYkQWjurdj2dguWZB6Gqg8T878WIPcj4
 oWyduWXzDKHuN607Pe7bAE6439u4tVfDfacQSAsmlZQyXFu16kmBTXdiZ5YZY9veqJVk
 gL/WKHQjCSJu1KIbOPrmVofKdvaCC8rwXb2jLuqQAexRZEIPh0tqS0ftw81pt85PzAKL
 Dvr2bPrh/OPj5UweQLX0Q8DdlQ3Fbn0yMz1sdRk8AgqIkSPfIORN6YSjLcr+ugwFPYZp
 tctGybfFg8OUYeMqGQLbtZeQEem4Wmqsa4l9gOoBhi/mxc93Vl1BzMhppLnfYgalDgnT
 lu7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=+nqijKXHE9TAXeovpSYqUHa28E+/8dnroN7kIAmWUPM=;
 b=CbOqlXexGTCy8j5e4Yfd2AFZ68zUMp6Qd2f2tITk+h/Ttiyj3MhjpXHKbYWAYRPDKR
 oyByTYTXDYbirMApp/O7N2d+/xGZ9eEvKpbM7TOHHK2R+wFQiXUrQRvX0GJbHLjlUG8B
 pzjAumxFL/UvUD7KCllJBrzRAi8okJ091gDQDXNKxQswzZ8YjLz+QYYK10j1N2gdKSPy
 Ik8RnZ2fJZp1Ut3bsLl3f7zCHgQg+MEULPc8eqqwPC0SVt0wmkgIbfRD0MQ8iggePipg
 TTCaxvzL7BzrN3HGLgEuc3FsCIAZCCVQoracPipB2VH5sACCoNXVbGFTO40FEPgsTYdp
 Gd2w==
X-Gm-Message-State: AOAM5325vsyBBKiIWx9O8cIEgYGLMyI0vpE4+Ex23B1IzOXxAN62EZXd
 rgLHl0cY0dGTy1zLnkpdu83Ud8WHwUIhsg==
X-Google-Smtp-Source: ABdhPJxwqQ8jZMbnbve4ymAG/hYCzN1/FYPLdh6Ojxjns/NsTXACl74q67hdapCQ0E88hvxMHI0JlQ==
X-Received: by 2002:a05:620a:1087:b0:6a0:151:658 with SMTP id
 g7-20020a05620a108700b006a001510658mr8616278qkk.108.1652590060815; 
 Sat, 14 May 2022 21:47:40 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:40 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 067/602] gnu: Remove python2-parameterized.
Date: Sun, 15 May 2022 00:37:34 -0400
Message-Id: <20220515044629.6843-67-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-parameterized): Delete variable.
* gnu/packages/patches/python2-parameterized-docstring-test.patch: Delete file.
* gnu/local.mk (dist_patch_DATA): De-register it.
---
 gnu/local.mk                                   |  1 -
 gnu/packages/check.scm                         | 11 -----------
 .../python2-parameterized-docstring-test.patch | 18 ------------------
 3 files changed, 30 deletions(-)
 delete mode 100644 gnu/packages/patches/python2-parameterized-docstring-test.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 4ef12fd68e..77f5ee9c33 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1701,7 +1701,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-mox3-python3.6-compat.patch	\
   %D%/packages/patches/python-typing-inspect-fix.patch		\
   %D%/packages/patches/python-packaging-test-arch.patch		\
-  %D%/packages/patches/python2-parameterized-docstring-test.patch	\
   %D%/packages/patches/python-paste-remove-timing-test.patch	\
   %D%/packages/patches/python-pycrypto-CVE-2013-7459.patch	\
   %D%/packages/patches/python-pycrypto-time-clock.patch		\
diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index cffcd54623..f8b4fc7e2f 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -818,19 +818,8 @@ (define-public python-parameterized
     (description
      "Parameterized is a Python library that aims to fix parameterized testing
 for every Python test framework.  It supports nose, py.test, and unittest.")
-    (properties `((python2-variant . ,(delay python2-parameterized))))
     (license license:bsd-2)))
 
-(define-public python2-parameterized
-  (let ((base (package-with-python2 (strip-python2-variant
-                                     python-parameterized))))
-    (package/inherit
-     base
-     (source
-      (origin
-        (inherit (package-source base))
-        (patches (search-patches "python2-parameterized-docstring-test.patch")))))))
-
 (define-public python-minimock
   (package
     (name "python-minimock")
diff --git a/gnu/packages/patches/python2-parameterized-docstring-test.patch b/gnu/packages/patches/python2-parameterized-docstring-test.patch
deleted file mode 100644
index 14691e1904..0000000000
--- a/gnu/packages/patches/python2-parameterized-docstring-test.patch
+++ /dev/null
@@ -1,18 +0,0 @@
-Skip unicode docstring test, required when running on Python 2.
-
-See <https://github.com/wolever/parameterized/issues/44>.
-
---- a/parameterized/test.py
-+++ b/parameterized/test.py
-@@ -284,11 +284,6 @@
-             "        More" %(foo, )
-         )
- 
--    @parameterized.expand([param("foo")])
--    def test_unicode_docstring(self, foo):
--        u"""Döcumentation."""
--        self._assert_docstring(u"Döcumentation [with foo=%r]." %(foo, ))
--
-     @parameterized.expand([param("foo", )])
-     def test_default_values_get_correct_value(self, foo, bar=12):
-         """Documentation"""
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:41 2022
Received: from localhost ([127.0.0.1]:48115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6HA-0003NL-W5
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:41 -0400
Received: from mail-io1-f52.google.com ([209.85.166.52]:36636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Gw-0003MG-SW
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:27 -0400
Received: by mail-io1-f52.google.com with SMTP id e15so12871481iob.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=cvHRtYhNZaURapgtJzST73alTl4J8zjiQrcN5IDdfvo=;
 b=LFG2yRwgTGoUElprPQRxw4iLg0q19oPg6Xl9UBmmz3hWQHwe9JtALLJb5dysyPXqB4
 gZOYRferNsIcXDDZsN4skv7HGn6cloouqAzLzjcc/6JIfezf6eLkV/aoLqZ3wNMo2K/s
 wtusqHTGkQYnmILOUqJWODyHDv8Zs/zEJO1Ez/opk6ccDxFI8i2gg5g+fjp+1lARwpt5
 +Ut9Ci+o9klspHj21c7OSizvgungiKCFVLoNcSsKswLyN7Ev68bhtKte5QB7f0jtvwuW
 j9ZbbJe9LzPNBmn6WrfuxEJwOK3JvtYJcPFG96kZC5R2wJhAjqMMfXTDIEtnVYptk0AR
 kR1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=cvHRtYhNZaURapgtJzST73alTl4J8zjiQrcN5IDdfvo=;
 b=iwww0Va4FOvXEwXk/RYtcRlFnUabU75soplexkRFEdBA/ae7omLCQTusqlxTPSUplh
 IEqPErqTHWAacc93laMGvkAthTydfujTZyWsf/z/8/oRphaSWjOykgSrd3utjyn1Y6A8
 BfPHjHuNS5XUSvTBQJqIbXyNQ7i7dCe8W2Hj7jl8fKBjbx7US7/a/GHfquzylh7kwLc9
 RzhM+sEGTM85mNLN/xw7mLxQiSBM65qwJmK4sfFhNievYxHfsx8pxYV0tTIwNNM/f/g7
 eNrhSaltGTmi9Tk32DWm5ZQb3UxxfrarVXNDfsr911bYOrgmebEf6/SdGO22v+TU5mZl
 ua7w==
X-Gm-Message-State: AOAM533w5vAotjY0njrq4OCg1sVkiz0mWRrkqXcQkCILQHzDyiKD93C1
 bXXFTa3L1RkxXYoa+2HTWlweTQLuUowoWQ==
X-Google-Smtp-Source: ABdhPJwh/pY2FNqJJTzkcxGZxxUFkZB+IQzx8uBjsxUykj7OT66EX59egzwPh+3+Y1jU5Re7cDwHjQ==
X-Received: by 2002:a05:620a:666:b0:69f:bbd4:b9af with SMTP id
 a6-20020a05620a066600b0069fbbd4b9afmr8461305qkh.11.1652590046146; 
 Sat, 14 May 2022 21:47:26 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:25 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 046/602] gnu: Remove python2-nose-randomly.
Date: Sun, 15 May 2022 00:37:13 -0400
Message-Id: <20220515044629.6843-46-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-nose-randomly): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 0cabbecbfa..805e8c2041 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2831,9 +2831,6 @@ (define-public python-nose-randomly
 create data based on random numbers and yet remain repeatable.")
     (license license:bsd-3)))
 
-(define-public python2-nose-randomly
-  (package-with-python2 python-nose-randomly))
-
 (define-public python-nose-timer
   (package
     (name "python-nose-timer")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:41 2022
Received: from localhost ([127.0.0.1]:48108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Gx-0003MZ-7H
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:40 -0400
Received: from mail-vk1-f175.google.com ([209.85.221.175]:35687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Gv-0003ME-Ma
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:25 -0400
Received: by mail-vk1-f175.google.com with SMTP id e7so6055076vkh.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=CewHl8VBgDvXvQ594AU2AecuOmZj80Ps5940gwt+w+I=;
 b=bB0sl5ID2EbWYSEgu1De8+EIOt5tmc0/J5aNWIck2qVwnclYEfsgRm4MDhQvW92T7P
 O7ikzcPhPlQHss37CGH65BFOXY7p0hDbD5yUrO29hvebHQ89I/72xQn74ZMOn5Ycd6gu
 SW2rm7JNAWjU5tEie3AZidvwnY/iugKilenOvXeRFi3i4kE3wqJN4cmP7bCFfM9vesvm
 qpKUXxTLyk3MGoM/JE6fo7sVh3tvK28mvkssvKD3cwO5TZOSN2DFklH29SD1zJmcMHb1
 wxlrmZk41icQJAFOEk1zHHKNOIUdj02clURHPCCAJvXhFSTHyJPlZhOkBPUpShC1fYtw
 bpkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=CewHl8VBgDvXvQ594AU2AecuOmZj80Ps5940gwt+w+I=;
 b=afuDF1djAXuAjReDRbjF58ib23ZZG4osH7ed7bjdVlHLJN716ttwNbCqUKl/xDiM0u
 KPX3NBL//RyV6lgR4ABAxym2glNBnpu4ij4hrK1l6LRDyRg9aMdoYQmkTgZbSEEWwIrh
 ueob5Fq+vQ5VJ6BxvH/J6Bj58esjRYxH0igA2yXgLnSQzqaanT/PY72oJMaDKp9YZ1yA
 qv58s05yp2FT1X0TPyWAeY1/IzvM5APukQGtQBKm5JIQKxfFIKREWgBCRD0AAMpqQ8hv
 UMadLmS/GEvkmsVq8Ab4ZfG4KyQHyxBbmvKSosaQpXEPpNxMgRy5uBxDYSPTnC/0nDl1
 CpEQ==
X-Gm-Message-State: AOAM533q3muuskt53QDcb5URm0JhNiTxZ1nWxYPWK9fbH6dn209s5DIi
 NMNFZEWD6xpSohkOzFSDxJtw/MTNd5Ac/A==
X-Google-Smtp-Source: ABdhPJxe9yHRLbu9D1IuHiHJscb1Bq6EK5Q9zwoPdpkcoPhp8yPbt+9BLt33dmQPdrnYGEKz9o1Z1Q==
X-Received: by 2002:ad4:5aed:0:b0:461:caa6:81f8 with SMTP id
 c13-20020ad45aed000000b00461caa681f8mr451748qvh.49.1652590074966; 
 Sat, 14 May 2022 21:47:54 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:54 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 087/602] gnu: dot2tex: Update to 2.11.3.
Date: Sun, 15 May 2022 00:37:54 -0400
Message-Id: <20220515044629.6843-87-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/graphviz.scm (dot2tex): Update to 2.11.3.
[arguments]: Remove python argument.
[phases]: New argument.
[native-inputs]: New field.
[inputs]: Move texlive-latex-preview to...
[propagated-inputs]: ... here.  Replace python2-pyparsing with
python-parsing.  Add texlive-bin, texlive-amsmath, texlive-latex-geometry,
texlive-latex-graphics, texlive-latex-base, texlive-latex-xkeyval,
texlive-pgf, texlive-pstricks and  texlive-xcolor.
---
 gnu/packages/graphviz.scm | 30 ++++++++++++++++++++++++++----
 1 file changed, 26 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/graphviz.scm b/gnu/packages/graphviz.scm
index 2a99c0988e..f2fd90e616 100644
--- a/gnu/packages/graphviz.scm
+++ b/gnu/packages/graphviz.scm
@@ -415,11 +415,33 @@ (define-public dot2tex
                 "1kp77wiv7b5qib82i3y3sn9r49rym43aaqm5aw1bwnzfbbq2m6i9"))))
     (build-system python-build-system)
     (arguments
-     `(#:python ,python-2))
-    (inputs
-     (list texlive-latex-preview graphviz))
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (when tests?
+                (invoke "pytest" "-vv" "tests"
+                        ;; The test_semicolon test fails for unknown reason
+                        ;; (see:
+                        ;; https://github.com/kjellmf/dot2tex/issues/94).
+                        "-k" "not test_semicolon")))))))
+    (native-inputs (list python-pytest))
+    (inputs (list graphviz))
     (propagated-inputs
-     (list python2-pyparsing))
+     (list python-pyparsing
+           ;; These TeX dependencies are propagated to make it easier to build
+           ;; the resulting generated TeX files, which \usepackage them.
+           texlive-bin
+           texlive-amsmath
+           texlive-latex-geometry
+           texlive-latex-graphics
+           texlive-latex-base
+           texlive-latex-preview
+           texlive-latex-xkeyval
+           texlive-pgf
+           texlive-pstricks
+           texlive-xcolor))
     (home-page "https://github.com/kjellmf/dot2tex")
     (synopsis "Graphviz to LaTeX converter")
     (description
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:17 2022
Received: from localhost ([127.0.0.1]:48104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Gm-0003M3-Th
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:17 -0400
Received: from mail-qk1-f176.google.com ([209.85.222.176]:41863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Gl-0003Lr-0f
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:15 -0400
Received: by mail-qk1-f176.google.com with SMTP id k8so10199756qki.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1NTyPphS/p9zDCz9pQ6Osv54CgVz/3VYzzK16X82Bkk=;
 b=b3Cr5Q8ynYM34wlZIKbB0BH6D4hWc9wg+sRCS9fVAwLJ++Cq3iAvo9Y4KlKoFo99jg
 q0Ik39LSAT3JMLzGBH50Pqh89aKItW+cf0hyHbwpLO+wGSf/S71xy9vl80RzE93eFvCf
 21wgF0buS2Avu/61dak8nAClk60JvkQ4jeNCPN9rGd7GbZVch8gHFCyCEKhwMD2yB0C1
 Sd0V6a6/6O0AfdzeUMRJI9cmTGBXgS4j4DhReBk9fh88i+sCLf5AwFBUG80sZKfLl7LC
 S5DE76Sic/FFyyFY8E5CsIHHsKnx07fSr5t5oV/tW+7raEXisIaxYmuAN59uSlom9iSq
 usNg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1NTyPphS/p9zDCz9pQ6Osv54CgVz/3VYzzK16X82Bkk=;
 b=rMy9kZn9Zi0R0YsKo0dBTqK2/mBPn7++lNtgBYjYnSjQ88QflgCQUApL6dDWvevhR3
 SoCRTmdeMHcsEd1IGLgnuqyObmPhbiiKcZF58Rmz2JK5vpNTuMYLB4gaMv2yUWnsGD0H
 mrF4vvCAgS+a9hQlIUmsPbjQdmhMyucL3EIrA+ahUmxObK7EKclB6p3wdJih+pAv7Ssg
 kb5/JkNoLOIhpkpKu/ecD6wTKKGdH0MjlaOsxSW9yu9MrFUNM+/Al7mJ1sqYPpXvK+Xd
 wL1R4Lzrmj3aZsUSNQSvy/8Q/H7f0SbR8A70XvtIw1sJpQan1hq4oMzHH6d14sAIzByo
 NCIg==
X-Gm-Message-State: AOAM530CqO8LQoJ2eh3oyKrGtWy6KVsnDrfKPCmWP8wds8fLA9LMoG7X
 ColC9KcHasNu1VevgC0D7vChdAhFm2XHJA==
X-Google-Smtp-Source: ABdhPJxSblt53EgfSoWPGr+NrkSnQoM1C+zoWa8Kqh+2vvTe1SHMfFfozS5r6I+0OZ7020Jnbhc+/A==
X-Received: by 2002:ac8:7c4e:0:b0:2f3:fb43:c767 with SMTP id
 o14-20020ac87c4e000000b002f3fb43c767mr10875733qtv.188.1652590046847; 
 Sat, 14 May 2022 21:47:26 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:26 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 047/602] gnu: Remove domainfinder.
Date: Sun, 15 May 2022 00:37:14 -0400
Message-Id: <20220515044629.6843-47-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

* gnu/packages/chemistry.scm (domainfinder): Delete variable.
---
 gnu/packages/chemistry.scm | 29 -----------------------------
 1 file changed, 29 deletions(-)

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 94803719ac..d94f3ec787 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -128,35 +128,6 @@ (define-public avogadro2
 powerful plugin architecture.")
     (license license:bsd-3)))
 
-(define-public domainfinder
-  (package
-    (name "domainfinder")
-    (version "2.0.5")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "https://bitbucket.org/khinsen/"
-                           "domainfinder/downloads/DomainFinder-"
-                           version ".tar.gz"))
-       (sha256
-        (base32
-         "1z26lsyf7xwnzwjvimmbla7ckipx6p734w7y0jk2a2fzci8fkdcr"))))
-    (build-system python-build-system)
-    (inputs
-     (list python2-mmtk))
-    (arguments
-     `(#:python ,python-2
-       ;; No test suite
-       #:tests? #f))
-    (home-page "http://dirac.cnrs-orleans.fr/DomainFinder.html")
-    (synopsis "Analysis of dynamical domains in proteins")
-    (description "DomainFinder is an interactive program for the determination
-and characterization of dynamical domains in proteins.  It can infer dynamical
-domains by comparing two protein structures, or from normal mode analysis on a
-single structure.  The software is currently not actively maintained and works
-only with Python 2 and NumPy < 1.9.")
-    (license license:cecill-c)))
-
 (define-public inchi
   (package
     (name "inchi")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:06 2022
Received: from localhost ([127.0.0.1]:48096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Gc-0003Ky-JU
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:06 -0400
Received: from mail-qt1-f177.google.com ([209.85.160.177]:37639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Gb-0003J8-1r
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:05 -0400
Received: by mail-qt1-f177.google.com with SMTP id h3so10100601qtn.4
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:54:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=PBZwULB3ODw3RZItEIn8lw6EG4Pm8TpSmMbg7gRKPQc=;
 b=RuHLSPrry7pHBCEUZNEqI0wIywcH0Ue9nzHJ5I0yEBLzMQOMRxjzBierTuU42/BX6q
 BDrF/WpGbGEmKcQ56YaO7ZFMVXVbeQ9KlEyntK0Rtt0zQh3sNNIIdzivQQ6aTpZ83sqc
 kWdOzD6pXAW1Kr0zztAO4JRWiB0aF4sZKo8pKlajCnHX7frecTW7E/mmqMAPro+yjHnY
 9JDghtpioFU4X9E/pZiGfEZrPUucFqQJNxHygM5KM8OBI2AbVg3TOa5ZdVvXPbKnkB0C
 dGAvmaRCfQHXj7dasJoRKvfJgKN/Ojs+89cqCj/z2G2jhgzdOcVaNGRES7ekH5h/ZdND
 6Gxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=PBZwULB3ODw3RZItEIn8lw6EG4Pm8TpSmMbg7gRKPQc=;
 b=LMqJT9Wpub87Vw35TlDDZhJ2FnqhCsr6tu+N4fCM7qNpRuTeJ3Q5JbGXgLVTomc8dZ
 UaMWDZkUyq2hlwyHeS/ZQDmuQ8yqKX6cB3QITYS4YQlvWDMAs5BT5wKRq0vob9ePQLOu
 cn+yrogQ0Zogy9a4MuPQybIyqfqbbYBEeGloSOtOOTzi+vf/t90NNQ0kXChu3wIH9VIG
 CGs+Yrm/lMmt52ZUeqcTgrpR5hc5z1DPD0F+ImMn6m7ctvFF5zu35ZzjgI9HUGzQK2s5
 E/ced5FaevOoBKSbHYgAZDTZ1t1Wq2o1YqfMAF61vvxMI154JBlBV09AYuUg0psGEgoy
 Tyhw==
X-Gm-Message-State: AOAM530xtRJghHaxLVlej4X1T+GI7EDYtf6JmBBaTpd/bgmxh1FB5Mf1
 92NYMOFqPo0eSKICX0DsdeS+mwmk9e5Fcg==
X-Google-Smtp-Source: ABdhPJxEAFnOI8M7uOan7Wfb/CTeqWs5+6/DCNpl31FrgUO+1I6/bOW7Ik9rWhrjd3Kn2QGwjtJKbw==
X-Received: by 2002:a05:620a:2402:b0:69f:ff32:bd37 with SMTP id
 d2-20020a05620a240200b0069fff32bd37mr8540536qkn.657.1652590067894; 
 Sat, 14 May 2022 21:47:47 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:47 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 077/602] gnu: Remove python2-ledgerblue.
Date: Sun, 15 May 2022 00:37:44 -0400
Message-Id: <20220515044629.6843-77-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/finance.scm (python2-ledgerblue): Delete variable.
---
 gnu/packages/finance.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index 9ff1b8b03f..74cec6d143 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -974,9 +974,6 @@ (define-public python-ledgerblue
 Ledger Blue/Nano S.")
     (license license:asl2.0)))
 
-(define-public python2-ledgerblue
-  (package-with-python2 python-ledgerblue))
-
 (define-public python-btchip-python
   (package
     (name "python-btchip-python")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:00 2022
Received: from localhost ([127.0.0.1]:48082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6GW-0003JB-DE
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:00 -0400
Received: from mail-qk1-f174.google.com ([209.85.222.174]:46797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6GS-0003IP-OI
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:56 -0400
Received: by mail-qk1-f174.google.com with SMTP id c1so10168933qkf.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=pTw/EVpm4R1nXEFQNYVLhtLEvxEwezjTuYEsJvKaC9w=;
 b=ga38B7zPKG46CyNa79BQe3ZYjIVPQFs9H7lYxC1Dbq41TcOC955wmQntCq+ODpxBcN
 QOs1XCmuKix4NqKk2F8CJVwVvFggYK6BTKGEfJIgwsaYT7smsm3tzYVYUpq4sFCOuMEq
 n73/j4kFfUTlcPMnJb8hdedvwRdprHEcXfEjrEDBgNQw/g3BuwsNDtC3txsarQTiU64T
 A2bJwLNElGVzEXibZY3dFzBfAdaB3Cbgpe6Wy2eoIdJ67J5q989IyjtRQahF7Knyq2rS
 08EYKNH8P3iN9UqIH1WjucjPwhF8iOKWjUCGQzM9hHDOpgNToravjKmSROdulqsodIAj
 3keA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=pTw/EVpm4R1nXEFQNYVLhtLEvxEwezjTuYEsJvKaC9w=;
 b=VoiFII9sjxck/M8GY8HlGIMeZX1XplvShG2UsDdEpmHAEVs1xEi06a2bVyBnjsXxOw
 TUi/lNOqwRB8/wAfJmdTuMZ1kWo2dtFH6jQTTwjj2NWyyBBBdEV2tAQxxiqjlvDRi8Vx
 K8PwssCD63h/tg5UfGezAnI6iUV0ey+S6RsqZ78vWfEE0dPt7FMZ7LaUH/3fIYE+8vOv
 i5UNkBqqIt0bgdRx1/ytBBerGsFKiyLgtwcF4WQ9GFNTwjWC7tlOWH/0egtvKw5EDnc7
 GQK2UZJwlDWI5JJWv/2+RmFlJ5BuL89fG6OG7/7vtXxiGq2XleK1mGliHPNadgp5+oeq
 XMGQ==
X-Gm-Message-State: AOAM5327u71uhOcQQ7FqybgV4evFZOdQRzUSPSO0OFIbIga+icVIEUMp
 jKKiNDrhDpJcUTDO18dYv58drpROGK8xdA==
X-Google-Smtp-Source: ABdhPJzy1hd4gf4oEz/JO00lRHb59AE3mnJZIDi69y6MHuonZZULySwSeBfQt9smnTKu3XujHqzwLQ==
X-Received: by 2002:a37:a514:0:b0:6a0:5e42:8436 with SMTP id
 o20-20020a37a514000000b006a05e428436mr8691784qke.472.1652590033983; 
 Sat, 14 May 2022 21:47:13 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:13 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 029/602] gnu: Remove python2-pyfaidx.
Date: Sun, 15 May 2022 00:36:56 -0400
Message-Id: <20220515044629.6843-29-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-pyfaidx): Delete variable.
---
 gnu/packages/bioinformatics.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 3debc32ea9..dd811815e0 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -12316,9 +12316,6 @@ (define-public python-pyfaidx
 fasta subsequences.")
     (license license:bsd-3)))
 
-(define-public python2-pyfaidx
-  (package-with-python2 python-pyfaidx))
-
 (define-public python-cooler
   (package
     (name "python-cooler")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:54:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:54:00 2022
Received: from localhost ([127.0.0.1]:48080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6GW-0003J9-7P
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:54:00 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:33434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6GR-0003I8-9s
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:55 -0400
Received: by mail-qv1-f53.google.com with SMTP id j3so607224qvn.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=m5LWcxBxv8gwzYA90KrO9D7Q+lydqz1w4FwnpqbFyoI=;
 b=khFL1uoNWVy5LbfQ8ZTt0PHTXj1btGbqx5wCPq8uUXZWbZpPzpAD70PI/fGVdJjd+n
 gnesYigoYwEhridIJxE0vh0o3sbj0XgjS9hswLyRjdPRu3QrchNh2uCzIUHkD4qXrlGH
 HK9ul05ioYZ15K7/Rc9fyugGmq1kx8KTHT5h0Vxfu8Asmj53CMxtz9px8dCUnt1FGuBf
 uS7B7/RZtuIjk3es3zChHlr0AT5/b9DbFAr4l4hHL9D0UeiKXtTiGNn2ZmkVdQw5QEM7
 a09DjbCChwrLECr2tx9YApyxrfULqaSUqX+xsp72ILK9w4pyGrPIV6sU9f4R0WYfcq8O
 x9Qg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=m5LWcxBxv8gwzYA90KrO9D7Q+lydqz1w4FwnpqbFyoI=;
 b=VaXg2fCvGH5wLxwRV6Zq/fPfASkqa8h032JKM7UT5cW2/kcAln9haI5GBpctzqXLgt
 fiU9VJBbSy+eNUu7pR2FKqzz9qYoaoB4kyeRGewzSiwna4vasSbP3GiO5TcM76K2Fo+B
 Ovzs27w+sUBdLPWSrWpPgko0q4nDRyE/PcyqMrRBAsBTMAjYGbP6DQsVeMgG+7sCLJJ1
 htH37c7yogPaVz2f+AsEiW/V0mwsQldTzEPnhn+ns4+BKGL9I8WIHrghUDiscvT1djDY
 SE0UhT0z9lsH7zGNGyb9yTiMi6PzFigHVih5WR4wqjDB+iIu00M0DOiVLUJ8j+cCbuRa
 320Q==
X-Gm-Message-State: AOAM531ShQCAsLPrV/BF2YDrDpNDLGrhsfYXCr9qoPSuLqnyN3JA9Qvu
 1NQy72rUAWiuzhJIIRHfmmiYKuqLeMrFLQ==
X-Google-Smtp-Source: ABdhPJwhKnylehm9Xv8HBnRVtibc7AHXQnkmiUOqjqSFGUGTzZegizNb6HAPifCWzpOdU7UZQcViXA==
X-Received: by 2002:a05:6214:b67:b0:45d:db71:9592 with SMTP id
 ey7-20020a0562140b6700b0045ddb719592mr10662809qvb.128.1652590079211; 
 Sat, 14 May 2022 21:47:59 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:58 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 093/602] gnu: Remove python2-pyusb.
Date: Sun, 15 May 2022 00:38:00 -0400
Message-Id: <20220515044629.6843-93-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/libusb.scm (python2-pyusb): Delete variable.
---
 gnu/packages/libusb.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/libusb.scm b/gnu/packages/libusb.scm
index 01771dffca..8c34956fee 100644
--- a/gnu/packages/libusb.scm
+++ b/gnu/packages/libusb.scm
@@ -300,9 +300,6 @@ (define-public python-pyusb
      "PyUSB aims to be an easy to use Python module to access USB devices.")
     (license license:bsd-3)))
 
-(define-public python2-pyusb
-  (package-with-python2 python-pyusb))
-
 (define-public python-capablerobot-usbhub
   (package
     (name "python-capablerobot-usbhub")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:56 2022
Received: from localhost ([127.0.0.1]:48077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6GR-0003Im-TM
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:56 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:45610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6GQ-0003I7-RR
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:55 -0400
Received: by mail-qk1-f177.google.com with SMTP id a76so10181833qkg.12
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=cW1glpgXIDuKu9Gz1XE55ZyEOsqgMPRoWkPPbj+QFoc=;
 b=ZXq/kIV3YgFmP/ipfC3ygqsNUSlzSdAzuCYsl80sta6z17tP2zfv23S3fksPAIU+4R
 YhCzfhA+68So+U3wE+7oRgLg2bemf+FLGhlZ9v3x6qdS4n4Ugswfc2LVBKm/QcdvdQvx
 TucIoTFikeZClSijPTzI2XRM+WImTpsiZNpdahg2njlqRwLnCKYLapGBEqwe+gXlFNvf
 yMX9wdv6sHQdQpWcODn++eaUHzmhnX36C0+r0eZZkLtAmCKxCVVXZmNitU6TsAWIICMQ
 vAGfhfKAi3jQlS7JZO7jOeEBB9LxQW1t2ofIjT8HShqHInbhDmQh/n+p9CykBcyu5Ppu
 ykxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=cW1glpgXIDuKu9Gz1XE55ZyEOsqgMPRoWkPPbj+QFoc=;
 b=MpU4sUY6STsQTrWIInfh2SNoqBQ8Vw77gaQJkD9rMeAYTYtVJgLa7rR1Gl4vuKDn4x
 dMP05kcd/g0nJdkTb9PXaQ/Ja91ci+SzVAaXz45N3PWts967fMCFqyoWI0SHzjzxWIvy
 myHeec/HtSTv6Qc534OtTQ36iuO4gewZ3BFTtl6Y7EWqE+h4uYWfl5f9eUmTv4bXnCAM
 9bFS1vAdc8Gs0vVI9QZpJfg9TYtrtaIhot3+X3PFUSVFzAjnvOrSg+lxd5LVvJ45vkDP
 dVjjDbbYZ1ZOGPrQqglT6HuZoiaFpf6SBxNsMWTpSqvNvmlI6gsrzmUnzxtT9OUK7lmz
 0HKA==
X-Gm-Message-State: AOAM532kWohyPpnINkJCMIbHuiTQ/MLBtyx6cdd6+ITqwMp8c8xaxU2o
 8NAh0QFzrt5VeBJoFu9KyK1P9elR5VDlaQ==
X-Google-Smtp-Source: ABdhPJwfc56vcLgfuKfHBTSzvbwA4A+yygTxM/0OJb18qe1NcyNeBPmg4nUCCCysgeLjqj24BEhS2A==
X-Received: by 2002:a05:620a:22ae:b0:6a0:af9a:1dd4 with SMTP id
 p14-20020a05620a22ae00b006a0af9a1dd4mr8440222qkh.248.1652590035338; 
 Sat, 14 May 2022 21:47:15 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:14 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 031/602] gnu: Remove pyicoteo.
Date: Sun, 15 May 2022 00:36:58 -0400
Message-Id: <20220515044629.6843-31-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

* gnu/packages/bioinformatics.scm (pyicoteo): Delete variable.
---
 gnu/packages/bioinformatics.scm | 39 ---------------------------------
 1 file changed, 39 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index bda958f6f5..0fd7844a26 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -5405,45 +5405,6 @@ (define-public proteinortho
 large-scale data and can be applied to hundreds of species at once.")
     (license license:gpl3+)))
 
-(define-public pyicoteo
-  (package
-    (name "pyicoteo")
-    (version "2.0.7")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://bitbucket.org/regulatorygenomicsupf/pyicoteo.git")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32
-         "0hz5g8d25lbjy1wpscr490l0lmyvaix893hhax4fxnh1h9w34w8p"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2 ; does not work with Python 3
-       #:tests? #f))      ; there are no tests
-    (inputs
-     (list python2-matplotlib))
-    (home-page "https://bitbucket.org/regulatorygenomicsupf/pyicoteo")
-    (synopsis "Analyze high-throughput genetic sequencing data")
-    (description
-     "Pyicoteo is a suite of tools for the analysis of high-throughput genetic
-sequencing data.  It works with genomic coordinates.  There are currently six
-different command-line tools:
-
-@enumerate
-@item pyicoregion: for generating exploratory regions automatically;
-@item pyicoenrich: for differential enrichment between two conditions;
-@item pyicoclip: for calling CLIP-Seq peaks without a control;
-@item pyicos: for genomic coordinates manipulation;
-@item pyicoller: for peak calling on punctuated ChIP-Seq;
-@item pyicount: to count how many reads from N experiment files overlap in a
-  region file;
-@item pyicotrocol: to combine operations from pyicoteo.
-@end enumerate\n")
-    (license license:gpl3+)))
-
 (define-public prodigal
   (package
     (name "prodigal")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:55 2022
Received: from localhost ([127.0.0.1]:48075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6GR-0003Ig-JJ
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:55 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:35720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6GQ-0003Hv-BE
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:54 -0400
Received: by mail-io1-f43.google.com with SMTP id f4so12862310iov.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=xns/Uz9ixpWpCr3wOzc9sRFx5DaBC0xnFgjPTxEU43Q=;
 b=SoOtqUR2NBhtC5SYe3lPflHHFIugOlZxFVnMFyzPrXJzHwUFHG+IHb8V6+6V/8EhFQ
 TXqAWpJlnEbDAe++ljKFJ+lpLmWVVEN3UYfQZ15ndtlstwGjjG+iqyC4CjLtvaqFxnkK
 m0JR9aCYXh56aFDLiLdHsaN/QF+xnFhtB3sFrsqb1TaTpc6tSFyZdDaiPAUlpnraeroa
 TVZcv7Tvi2w042hkL2tNFt+C9FDzOmiULge+WLiN2T8fsl5Tzhc9RWTGuFFs9EPJKFWd
 lr4IS4JTrLsTSJcefeUvYgB88EeAq9HNHlkT1ZMFOhgF/1DOLk9U6iIENz5NI7XJz4pR
 sRfQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=xns/Uz9ixpWpCr3wOzc9sRFx5DaBC0xnFgjPTxEU43Q=;
 b=kXFuAv7xbUa/3x4ty00qsPXxrYuCkoNNPCFEwDUqGsAOokwZ8faGxNj5v5htuSzu84
 tB6PTk6EwgUqVZLBBcBR3dYETUtFPjHOufJ/KNAHltjsCVzHzAtdU13f0ELfzXXNOuVn
 hFjDW1J0HhFMepDapDX5AeHq8ixvJSigexXY+m29HeStffVB6nJOKdu/qvyBJGL03DS2
 US40yVHELrMQAPC/zO+8fia+LUuA3ny4q3fjFz3AI6wxXo978OAQnufPLEpV98L+TDzI
 4SsfuNwJFdgvjVNK+E7rtcQseyJxOcniFPwuvO610g5A8jDJ1F5E/Q4H70OUQAtMtoeH
 75Dg==
X-Gm-Message-State: AOAM532nmowcEC0a/83gCsd7Lp7J97V415/ricsp7tmvI9bITU6HufjR
 iV77xSjJYjuX0e72+1aQJFdl0MOJw0SWUg==
X-Google-Smtp-Source: ABdhPJyhtGQb4Ue402qsdg3lCyWzfpSies1S21E5KgcsrYgoZF+sDlON2pW478eVgjqrixLOMp7gXw==
X-Received: by 2002:a37:501:0:b0:69f:bcda:e371 with SMTP id
 1-20020a370501000000b0069fbcdae371mr8387451qkf.39.1652590075584; 
 Sat, 14 May 2022 21:47:55 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:55 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 088/602] gnu: Remove h-client.
Date: Sun, 15 May 2022 00:37:55 -0400
Message-Id: <20220515044629.6843-88-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/hardware.scm (h-client): Delete variable.
---
 gnu/packages/hardware.scm | 36 ------------------------------------
 1 file changed, 36 deletions(-)

diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index 38bc3881b9..946cd9aba4 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -375,42 +375,6 @@ (define-public edid-decode
 human-readable format and checks if it conforms to the standards.")
       (license license:expat))))
 
-(define-public h-client
-  (let ((version "0.0a0")
-        (revision 138))
-    (package
-      (name "h-client")
-      (version (string-append version "-" (number->string revision)))
-      (source
-       (origin
-         (method svn-fetch)
-         (uri
-          (svn-reference
-           (url "https://svn.savannah.nongnu.org/svn/h-client/trunk/h-client")
-           (revision revision)))
-         (file-name (git-file-name name version))
-         (sha256
-          (base32 "1pdd2qhyaa5vh7z4rkpwjlby1flkwhzmp8zlglalx5y5sv95l4kp"))))
-      (build-system python-build-system)
-      (arguments
-       `(#:python ,python-2
-         ;; Tests depends on /etc/os-release which does not exist in the
-         ;; build container.
-         #:tests? #f))
-      (inputs
-       (list python-2 python2-pycurl python2-pygtk pciutils usbutils))
-      (synopsis "Graphical client for the h-node hardware database
-project")
-      (description
-       "The h-node project (https://www.h-node.org) aims to build a database of
-hardware that works with fully free operating systems.
-h-client is a GTK+ graphical client that is able to retrieves information on
-the hardware inside the computer it's running on, and on peripherals connected
-to it, and help you submit that information to the h-node project along with
-whether the hardware works with a fully free operating system or not.")
-      (home-page "https://savannah.nongnu.org/projects/h-client/")
-      (license license:gpl3+))))
-
 (define-public headsetcontrol
   (package
     (name "headsetcontrol")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:51 2022
Received: from localhost ([127.0.0.1]:48070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6GN-0003IC-Aa
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:51 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:34535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6GK-0003Hc-SG
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:49 -0400
Received: by mail-qt1-f179.google.com with SMTP id k2so10101326qtp.1
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=rHDj+7eQ85NCtBCbn5k1n/sddlRwzLuY2VHb8cfed/s=;
 b=UzeI9QalL33mrmR9Rj9sdytAvEAx1CwZLIqCJhQlv6U6aVjjGSXEuOQIASJKdNXoL+
 zgoUE8JnXluMIXWO+OW7THvRxnCc9jSGwfExXj1+JJEya+Nn7OxpXx7MCWQMpPpc0LZq
 50g4wQKxTITjSM0rTgPsstbjzIWu+U1eteTs5OJ9yG1Tv/EvP7QfoHALe2Mqt775KjPP
 37Kgj+dd9TFHblTTOu17wElRNYRNMa+J5MFj6iyvinY/aW+0laLokIkl+T9dWx7BuTQl
 vTGIlBGqlgv/1e0WK71YX8SDoqI0dvVHRUoyddlyNN87wPiaNtvzCreOOied/Wl1Pgve
 g7Rg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=rHDj+7eQ85NCtBCbn5k1n/sddlRwzLuY2VHb8cfed/s=;
 b=oyW9QQywpkIJbEgQTR+79mKFhrE5XYWprcaFDMh1n/Yhpr7zzO5TmHI0q2iZpjYz3n
 oE3yozuFiL7zjQGX4oqeJCCB7DrD4WJVpGpgJr2zUR2XYEjl2SrsUC4Gn2X/N3uO/RHG
 DCSm92033jmwd+q0hrzMIIDB/f6omF5Mcu6paNmV8RbUutVwc9EI/6Z+XQY4CyyS2ZGZ
 abQzo7QViUSI3B6j6EuML7fYgOf/G/qXobr3aNRr1Q+7YgmmxwKGA6KFH5gt4aSQ8vSp
 4Y5s8osz5sy+aHGkYwImXpNAjeDC9na4jGzVzpBRlVEhrhqdmCbSndOEgVMyRusm7qG/
 NQKA==
X-Gm-Message-State: AOAM533zRLoROzqcuBN9Zrb+U3IKkGhgLfyNwj126Tk3ZrTuLgTOx0SN
 PQRKaGXfjTHCgbep0U6Y1kPbQKku7PDGLg==
X-Google-Smtp-Source: ABdhPJweMQ43dvVeVS9wd3Vcr7ZbgqcOvZXr9uXXuHgF+zQvIAm9HTlPv41q+RJF3fZhcr+c1nreCg==
X-Received: by 2002:a05:620a:1a08:b0:6a0:1c06:d601 with SMTP id
 bk8-20020a05620a1a0800b006a01c06d601mr8451948qkb.416.1652590072118; 
 Sat, 14 May 2022 21:47:52 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:51 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 083/602] gnu: Remove python2-gpg.
Date: Sun, 15 May 2022 00:37:50 -0400
Message-Id: <20220515044629.6843-83-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnupg.scm (python2-gpg): Delete variable.
---
 gnu/packages/gnupg.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index cde7427d07..58a5c44318 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -532,9 +532,6 @@ (define-public python-gpg
 distributed separately.")
     (license license:lgpl2.1+)))
 
-(define-public python2-gpg
-  (package-with-python2 python-gpg))
-
 (define-public python-pygpgme
   (package
     (name "python-pygpgme")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:51 2022
Received: from localhost ([127.0.0.1]:48068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6GN-0003IA-4A
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:51 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:34537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6GJ-0003Ha-M9
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:48 -0400
Received: by mail-qt1-f182.google.com with SMTP id k2so10101306qtp.1
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=NISZizrDqnoxHWY5CFE7d+MNzPE4l+Ztu0QoLnEFrF4=;
 b=KNPpJlsZFiKwLnfM23/VgOHWmy4VmGaugikW86QUDH8oSAiZC2sa11WYQ7RkkH6YSU
 4e7VtM7jyHVwffRWqKZovbGyizGk96IUbsTCiVd5wWorHvGrVOSeVdnS7TjG7uBZGX7J
 +auoauZemgOciJn4C3zBNQ45DV8MWPdxrMOk58TkAPYWJYxK4VSoxv9wlvEyd5mXQUy+
 6QIbYwEAD+tcOoXTYFiTrd0gptM7ZFRY5MzIqukuCFGcSMSttxpOqn4XhaNUz3EjcJ4l
 47FieoYoBO8u6LnlorZO1jDM4jQEbMFoRVszMwr5I8ZQCl6SHZpApQboxYdo3QmeGfLh
 6k3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=NISZizrDqnoxHWY5CFE7d+MNzPE4l+Ztu0QoLnEFrF4=;
 b=cg3yaOIDLdvLnXMS6sad026kEVnEKhrvodaNonfMlr1XA5jf2aPRud2JIGJK8VYILx
 ud6e9tzLwIVmYIIkBzhCtVaevHTtSLewwHz+kmFdAXX7f7uAact8tWXO12I5vHpZrg5a
 WZtmJ3Ro/309vS6OZpqhPi0Gr6WXt03pzUQNzy0O0OD5105ht9MkeII30+E1MhoE5Gjd
 m4mH28AO/+8Q4UMhhIgu8NQMewfB6GenyFER9IsLEpVElifKfel+WXS9fHQu+RGPpKhn
 l75EjTkSqDl19AwkYPmQ7YWUsj+qm9n2bRu4h62axYnYe+GIzWApmf4D3z+2BI8lT/QI
 riBQ==
X-Gm-Message-State: AOAM531Rl5LQt8db6eX3ZXH53LkYP9zD1FitCUtoKUk/k6frQ7h2uhHD
 dBugFZgu3TXZQdUb/2O5FhWFivZtoe/khw==
X-Google-Smtp-Source: ABdhPJwsCyncyT1LixzndAOQjAUgd7Q8eGaRRkVYQjQaenKGattlmeeCnI19kU/R0d954ybKD0pKyA==
X-Received: by 2002:a37:a514:0:b0:6a0:5e42:8436 with SMTP id
 o20-20020a37a514000000b006a05e428436mr8692631qke.472.1652590082012; 
 Sat, 14 May 2022 21:48:02 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:01 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 097/602] gnu: Remove python2-musicbrainzngs.
Date: Sun, 15 May 2022 00:38:04 -0400
Message-Id: <20220515044629.6843-97-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/music.scm (python2-musicbrainzngs): Delete variable.
---
 gnu/packages/music.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 0b76e57acf..c15def4649 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -3671,9 +3671,6 @@ (define-public python-musicbrainzngs
     ;; 'musicbrainzngs/compat.py' is ISC licensed.
     (license (list license:bsd-2 license:isc))))
 
-(define-public python2-musicbrainzngs
-  (package-with-python2 python-musicbrainzngs))
-
 (define-public python-isrcsubmit
   (package
     (name "python-isrcsubmit")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:49 2022
Received: from localhost ([127.0.0.1]:48064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6GK-0003Hm-PW
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:49 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:36490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6GI-0003HY-Jj
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:46 -0400
Received: by mail-qk1-f180.google.com with SMTP id w3so10210318qkb.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=CXc8dFiP9OTJZdfbit52CHRTGfkrGowYuMVuS85KJk0=;
 b=U2m37ppo+PqaSAlfScLvz3+BX9bQz7Mpv+VJ2MIqwNaaMyppANHiPuUTXE7ce8uamO
 o1+IA4fM4aQ/pKKt7xuExiVGp8dZ1gilN8OAgmU8L3lfC4Obm13fkoly0HW4XLn4N26p
 d3HJZlL2eCrcZv1JcGfemMXRNFiyDcOrRhvqDxwKdUUmdPSPuuzxnnR2dinlIsAigGLw
 5oot50Upw+QmmcruRXtMsN0LNOQcOi/TIlwQzegs3pwYyiRSI/dkfGBrrnl8kI8k+mD9
 y4ZLUL6YOUMwBTcidiaKJN7L1LQSgoJ9XVLkg6hdypvF+Stq0QN9jP5lNAsTeBAZROlD
 lzAA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=CXc8dFiP9OTJZdfbit52CHRTGfkrGowYuMVuS85KJk0=;
 b=GaK0bQx4VcJ9VR+MvxFfPcT9HX7PVfSKsQZg0w/rBOjl7gfoPOtI1JmuX2DqsBDDcg
 oxxvP5am39gPmbFVle5lkizT1VpN5Mm+i51ir3rv0WenWeXqnRxuxLXQ+b/lEctQE4Vm
 rRgsEe+Be6ktg0HR9Ykp/7D/4/uUeWaFHM3XEac16Rq7fYrKOHHpxb2LEkGQpv5UDRAx
 6eu7hmBmx9li1d58tjMSnD6kssGqf+oOPgV7jeRlMQMAuSvsiiS4tZF5VNKwuJ9z9HUz
 hGRsiTHCSUExGAw2D8nnr+bCgwG3YTUJMtq9ftP6SjN1uubFuCf1QHNhRh7nX5Vxjj4X
 QQVg==
X-Gm-Message-State: AOAM532/R3uTdRrLLDudyDEDJ7axKZ2hoAYCGzn7Ar9IJXqcahG0a/xn
 lNCJ8U8XTCb9lUKdu5q6HAUAu0ZTmAxU6g==
X-Google-Smtp-Source: ABdhPJwxzAQctT9cZ3avca63tRaX9Fz3V/tu+yyvefpe2Wsimfh+A7tLBINSwM55ntZIbdby5RPEpg==
X-Received: by 2002:a05:620a:414d:b0:6a0:42a9:a31 with SMTP id
 k13-20020a05620a414d00b006a042a90a31mr8146404qko.528.1652590074213; 
 Sat, 14 May 2022 21:47:54 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:53 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 086/602] gnu: Remove python2-pydot.
Date: Sun, 15 May 2022 00:37:53 -0400
Message-Id: <20220515044629.6843-86-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/graphviz.scm (python2-pydot): Delete variable.
---
 gnu/packages/graphviz.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/graphviz.scm b/gnu/packages/graphviz.scm
index dfbb28a8a9..2a99c0988e 100644
--- a/gnu/packages/graphviz.scm
+++ b/gnu/packages/graphviz.scm
@@ -403,9 +403,6 @@ (define-public python-pydot
 graphs in Graphviz's DOT language, written in pure Python.")
     (license license:expat)))
 
-(define-public python2-pydot
-  (package-with-python2 python-pydot))
-
 (define-public dot2tex
   (package
     (name "dot2tex")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:34 2022
Received: from localhost ([127.0.0.1]:48061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6G6-0003HK-GA
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:34 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:41843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6G5-0003GZ-3R
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:33 -0400
Received: by mail-qk1-f181.google.com with SMTP id k8so10199228qki.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=WVJNxoa/ryDyNEBJtd5+aEeGx2iO0XwnvQ1eh71S4lE=;
 b=o5MkHdqnYG2wq2nJnVGvsiLY2sSYoLnH6/WC5nATuTJlm7VvdiXVkZgf17s32TtMrg
 KZ2/fGPd6BFYmDoyINkdF2BPeHcaJFks4ZxGz0EliVQb9+2cGW4yGQJQ911togHIOTE6
 62dr68hT3GSjLCrz1iwDC17s55HRfIHmvSaQ3mwZiAoZQ3lQMOMKY88VmysnAdvgB5nK
 tqW3AZFaLWskOIBcbPa7Q1TQuwOLVGTVaGpY5b8/Lz0uYl9aRbcecpcZSQo4VdbhJc7e
 Wp9P+o3nx7uwC5BmjmVukEPGUJ47jLpgh46uONVN6D4GY7K6THQ1w2mr04wQjKLa7Xim
 DSyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=WVJNxoa/ryDyNEBJtd5+aEeGx2iO0XwnvQ1eh71S4lE=;
 b=H/y/T4nnkCbu6pgRFjZfHZBv63RXLfzEcLbt+cHhHJhrYZpFLJGY1RC+ajMPwss556
 hQwMPhTZiCRnl37IDsDm48RZKzlmlOtWdbmGdClE+TifJg6A+GiqsEwLd8SMsUkojP3S
 SBhBBloa1dQ3gKrnU4LRA+mtOkmWtSjWbTFEqEEQ325OQkkGpsqlnF3Bsm9kJASgL23X
 EjPbMmvScVo5BxsdT1ok1jOC7JiC3d1OTDPoZwS4m7wXTRaunEJ37pz9o92SBVbOx+R6
 F89XF2v67xXUoY5BJnrXDKM/v38PX/zUxnD9WIOI3rU0R5FUWaBKOanXzcz1qiSZ7wn3
 p6MA==
X-Gm-Message-State: AOAM532NWC7Ds4hLUsM6UKdAt/EWeDCWC7NKejW7TTeUvn8SAw5At+St
 dfKtTa68pn9Q6kmtlhn5L5hUdGMP8blRxA==
X-Google-Smtp-Source: ABdhPJzQ1zpOlHAF2ipwBydGfVWmJ9S0ZkikgF8DmbtTqYFY2sUjx5jQl1wEnBInLYi7UkiCl2NBGQ==
X-Received: by 2002:a05:620a:4155:b0:6a0:4cd7:3847 with SMTP id
 k21-20020a05620a415500b006a04cd73847mr8487614qko.7.1652590031105; 
 Sat, 14 May 2022 21:47:11 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:10 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 025/602] gnu: Remove poretools.
Date: Sun, 15 May 2022 00:36:52 -0400
Message-Id: <20220515044629.6843-25-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (poretools): Delete variable.
---
 gnu/packages/bioinformatics.scm | 36 ---------------------------------
 1 file changed, 36 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index cb3328cc1c..c70b9e3aa7 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -12855,42 +12855,6 @@ (define-public porechop
 Barcoding Kit or Rapid Barcoding Kit.")
       (license license:gpl3+))))
 
-(define-public poretools
-  ;; The latest release was in 2016 and the latest commit is from 2017
-  ;; the recommended way to install is to clone the git repository
-  ;; https://poretools.readthedocs.io/en/latest/content/installation.html
-  (let ((commit "e426b1f09e86ac259a00c261c79df91510777407")
-        (revision "1"))
-    (package
-      (name "poretools")
-      (version (git-version "0.6.0" revision commit))
-      (source
-       (origin
-         (method git-fetch)
-         (uri (git-reference
-               (url "https://github.com/arq5x/poretools")
-               (commit commit)))
-         (file-name (git-file-name name version))
-         (sha256
-          (base32 "0bglj833wxpp3cq430p1d3xp085ls221js2y90w7ir2x5ay8l7am"))))
-      (build-system python-build-system)
-      ;; requires python >=2.7, <3.0, and the same for python dependencies
-      (arguments `(#:python ,python-2))
-      (inputs
-       (list hdf5))
-      (propagated-inputs
-       (list python2-dateutil python2-h5py python2-matplotlib
-             python2-pandas python2-seaborn))
-      (home-page "https://poretools.readthedocs.io")
-      (synopsis "Toolkit for working with nanopore sequencing data")
-      (description
-       "The MinION from Oxford Nanopore Technologies is a nanopore sequencer.
-This @code{poretools} package is a flexible toolkit for exploring datasets
-generated by nanopore sequencing devices for the purposes of quality control and
-downstream analysis.  Poretools operates directly on the native FAST5, a variant
-of the Hierarchical Data Format (HDF5) standard.")
-      (license license:expat))))
-
 (define-public jamm
   (package
     (name "jamm")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:31 2022
Received: from localhost ([127.0.0.1]:48058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6G3-0003H0-7s
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:31 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:41843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6G1-0003GZ-OU
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:29 -0400
Received: by mail-qk1-f181.google.com with SMTP id k8so10199228qki.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ij3zcD3XzeaVQjVoQYkwBnXBkzLyuIBNYiX9+LCJ97o=;
 b=KxAHmJdsdZvXMl9tArUDpcJMkrK5nNhdd8aZtDZud4whqaFZEpBBXYR7M2TN7yCltJ
 vii7PNilXniHjuWEHeI/UP+W9rDvwZjWl24egsTq1PhSqaWkabCz6xEKUdxZHdr1vq1B
 VWzFxXtSldW9p4q3euF5OFauzEUghdNXLxq9ogttJW5K2NThcRmKiNnRvo7Q2LTbVLa+
 8WfjZynYk1Xi8u/SbrE50qxLvlxnxgfYCG4c6gdyyXUZCjSLkFcIWoy/Oz1jXCrwOXsY
 xo3GtxufThGbwOZXhNetriuktrpE7Xcw+f0SADkS0i1WBUvtXXOhhXuiuplQoyn7vCk8
 6b7g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ij3zcD3XzeaVQjVoQYkwBnXBkzLyuIBNYiX9+LCJ97o=;
 b=xr0uzuaJo9YHvdEzBC1w+XHiEIRd1MQDJWHvOVEHBiEKDKYD7yjPGwH1XY/EKCJz+g
 11JV5OLBD2CiqX8HAVJBCWEjVJBBGjCaA4pDEBgh4wMvXBpWwcZikHFv5raOqXgg3zox
 FW5c8DRyLirAZsfYV7qF32IktqB5sR362YZoeb/3Z4FeYCe4GO7cD++zgpbJslCSomcn
 IzsxZ6rXcDyQri8YD67YbeYm/hzbWb5XRJ7T34NlOirlEfyJpJ7b4+s1ePxu94/y4RaD
 Mmh6vQkZEwbMzIKhwRV7CV0m9xa+PH5ica6wsfxGjMIte7XBq0Z41yZYfX/8o/c9NqNc
 64/g==
X-Gm-Message-State: AOAM5335B71g4Jc44GgSj0nrjhCtPxJ/frGXZ6hysh8WDydvFPnOVFE0
 n8uRDRWNj1vaTLjSRv0J1Wyjczcf/ZistQ==
X-Google-Smtp-Source: ABdhPJxvou6RU4P2CBmzTo5eG0eUP6FkOr0AHnaIFe796Qj9Zzg28QRuSPAC3eBwhd/uvR3XD73ZcA==
X-Received: by 2002:a05:622a:1c5:b0:2f3:cacc:12ad with SMTP id
 t5-20020a05622a01c500b002f3cacc12admr10850532qtw.502.1652590041292; 
 Sat, 14 May 2022 21:47:21 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:21 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 039/602] gnu: Remove python2-rednose.
Date: Sun, 15 May 2022 00:37:06 -0400
Message-Id: <20220515044629.6843-39-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-rednose): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 2d0609b68c..e89e346532 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2796,9 +2796,6 @@ (define-public python-rednose
 @command{nosetests} command of the Python Nose unit test framework.")
     (license license:bsd-3)))
 
-(define-public python2-rednose
-  (package-with-python2 python-rednose))
-
 (define-public python-nose-random
   (package
     (name "python-nose-random")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:31 2022
Received: from localhost ([127.0.0.1]:48056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6G3-0003Gy-0z
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:31 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:42535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6G1-0003GY-9a
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:29 -0400
Received: by mail-qt1-f181.google.com with SMTP id t16so10053504qtr.9
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=a76vrtOvLi+P7z5B3Cp022zNkkGrO7WM7UzkpV3dZnQ=;
 b=j2Vc8UykS5N0jq5Nkx7mdy5MX1ZbF/OVA6rC+/LxUbQMZifypEuW/0oI78WpAEqJG/
 bwNKzDeB17izo1AxA3K+hgeYJUZoaEtGwfPBpUbtShq0dfVZsk/+5VAZxNwMgbxqNxBY
 xCfCogsZPTspmzX6wcPYWiK3au5RYRv2LLj0HudNbNclBwNgoZrYXlZd/GiYFmonY4Yq
 W+a+X1RjuYL1JeXMpCDPicklP2Kgdi4KZv1wqaJ91igMoOPhnN8KETSTASk/XjYekqy8
 49M+C/sUlFExbejCsn9Ff+EexeG1/b/Df6apPuDbHdHce3/5lxuH7MjgBdno6P+AbpOH
 l/Bg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=a76vrtOvLi+P7z5B3Cp022zNkkGrO7WM7UzkpV3dZnQ=;
 b=yj0UjdN009gT9MuDo7vHrrwo+/oweaSlDqgvkFIdkkNSrX2siL0B7OyEUEGn8ZF63g
 okWW4xJx3zzQmwPZik4lr5vsCFbWrabJQGqhHfwXg+4w4QCZzjSjcpQ5y2Ri7UCBWhLR
 FKAUC+VXZYQHV9Ttdv1hbiWRE3ETpZBj4p9eNzszslEaT9QZPOK3ff6QhkKqNTFsvwcv
 jniQgYqoReRhQAiZ34O0LwTbypyrGQffLwGx1otSSJR0FDbvHtwKHApMHHDB6tYRzTx1
 e3NnpP2WOZbxteuOo6qMzjeFUT/n8H/QNjmxq/Xc8YEWpEpxPkt2qzcp2cYvl0ymwna7
 vzJQ==
X-Gm-Message-State: AOAM531jvjEUHpuvj4Nw5rTudesIgpjmmta6UCCILWC44A0ah3eveqsy
 DvdOwjAXmVY+UzkrT8z0QMqX0hBVe6liJw==
X-Google-Smtp-Source: ABdhPJwNNKo0M+IMxpixBREcnLtaqJuUtXyb4AqyDJts67BMv50+Ca5+64ezEcUDLAC9qDJC8rbCnQ==
X-Received: by 2002:a05:622a:11c4:b0:2f3:d4e4:a52b with SMTP id
 n4-20020a05622a11c400b002f3d4e4a52bmr11130651qtk.76.1652590053327; 
 Sat, 14 May 2022 21:47:33 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:33 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 056/602] gnu: Remove python2-pyodbc-c.
Date: Sun, 15 May 2022 00:37:23 -0400
Message-Id: <20220515044629.6843-56-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/databases.scm (python2-pyodbc-c): Delete variable.
---
 gnu/packages/databases.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index b2c74a54ba..cd3f92a855 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -3091,9 +3091,6 @@ (define-public python-pyodbc-c
 for ODBC.")
     (license (license:x11-style "file://LICENSE.TXT"))))
 
-(define-public python2-pyodbc-c
-  (package-with-python2 python-pyodbc-c))
-
 (define-public python-pyodbc
   (package
     (name "python-pyodbc")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:25 2022
Received: from localhost ([127.0.0.1]:48052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Fw-0003Ga-Pg
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:24 -0400
Received: from mail-qk1-f174.google.com ([209.85.222.174]:37634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Fu-0003Fy-Tl
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:23 -0400
Received: by mail-qk1-f174.google.com with SMTP id 126so10204808qkm.4
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=YCQ20p6gKsMETrStDGYkXCwvmhBEnRJN3I7Nz/c4oM4=;
 b=RrfDamjpY6U0PkrMCT0xasvCXjZ3ZHctcvneALYW/aFVJsZQbSkJroJoGhCxTlTsUT
 Vf6tAuBo8fNwnRVOUocjxUkZOEMeg090kaMTmWB1QWMPZk7Rh5xKT1Z2gFl553GeblyF
 pynrMHJAyhtaA2yO1oi6ExXMVK45c/LaLZS+UsMjiUoMrp99X/FImcjBytCeHCnYlutS
 hnIGtEN4hMeiO/zLgXVItXYR0LX7Z95Ev6uejHJFl3xawNFOuj9DVjTreWjnn6KfwFIF
 gKuEtQ8FTQHX+1twKiSON9OamUP9uY/zrUST/eueeVP+FNK/om8HxdqmFG3wMrETRJps
 tH6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=YCQ20p6gKsMETrStDGYkXCwvmhBEnRJN3I7Nz/c4oM4=;
 b=vBbrX8krYzkPNyK1jSuEdbFQ50KlCn4poPBO5U/CYb5JdxKwZ7l9T7rA8mdZrbTGjH
 vuGLZ4t+uPcMM/W1BJ5ZYZhDLfhoNvyJvFFGnmBfIiepR2FK3D05bf10/Al8aiD/EwrU
 yt1loXs26OzHLQuKSZ+dIdPFeI+rWN/ImAOY7YzKfFazVCAZ9MWejfO9CVIPg7CfTg+N
 flfWA46qKktPZeLRCtBWd8/sTpaO1vNFqWv3RbD7T1+vU4GduW9rqMXS6uplkCrJ8WjT
 V64IrGmQSpglvO5mYdCUnnSZhiW6bgFxpM947EAsOQLiT/R8uGb4RWIp5ct2WATQfpzu
 ClcQ==
X-Gm-Message-State: AOAM531Cb/1tUeOWVORFeQpCJhdrDxHq2jZ0H9J99dmRAEzsEtqW9DDF
 rFh4+2InLQQXvgXPbl6SzhPf4/Crbj8VFg==
X-Google-Smtp-Source: ABdhPJxWCytz/+MAxga5waHdjFlMhVucm2up3rXF6+FYXsGSe86iAIPy7JIvAtEN845oFElS5hfWJA==
X-Received: by 2002:a05:620a:4155:b0:6a0:4cd7:3847 with SMTP id
 k21-20020a05620a415500b006a04cd73847mr8488267qko.7.1652590069241; 
 Sat, 14 May 2022 21:47:49 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:48 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 079/602] gnu: nototools: Update to 0.2.16.
Date: Sun, 15 May 2022 00:37:46 -0400
Message-Id: <20220515044629.6843-79-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (nototools): Update to 0.2.16.
[arguments]: Remove python argument.
[phases]: New argument.
[native-inputs]: New field.
[propagated-inputs]: Remove python2-booleanoperations, python2-defcon,
python2-fonttools, python2-pillow, python2-pyclipper, and python2-ufolib.  Add
python-afdko.
---
 gnu/packages/fontutils.scm | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 444d1635cb..7c03109be5 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -1525,27 +1525,31 @@ (define-public python2-defcon
 (define-public nototools
   (package
     (name "nototools")
-    (version "20170925")
+    (version "0.2.16")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
-              (url "https://github.com/googlei18n/nototools")
-              (commit "v2017-09-25-tooling-for-phase3-update")))
+             (url "https://github.com/googlefonts/nototools")
+             (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
         (base32
-         "03nzvcvwmrhfrcjhg218q2f3hfrm3vlivp4rk19sc397kh3hisiz"))))
+         "14rrdamkmhrykff8ln07fq9cm8zwj3k113lzwjcy0lgz23g51jyl"))))
     (build-system python-build-system)
     (arguments
-     `(#:python ,python-2))
-    (propagated-inputs
-     (list python2-booleanoperations
-           python2-defcon
-           python2-fonttools
-           python2-pillow
-           python2-pyclipper
-           python2-ufolib))
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-before 'build 'pretend-version
+            (lambda _
+              (setenv "SETUPTOOLS_SCM_PRETEND_VERSION" #$version)))
+          (replace 'check
+            (lambda* (#:key tests? #:allow-other-keys)
+              (with-directory-excursion "tests"
+                (invoke "./run_tests")))))))
+    (native-inputs (list python-setuptools-scm))
+    (propagated-inputs (list python-afdko))
     (home-page "https://github.com/googlei18n/nototools")
     (synopsis "Noto fonts support tools and scripts")
     (description
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:21 2022
Received: from localhost ([127.0.0.1]:48049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Ft-0003GG-HM
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:21 -0400
Received: from mail-qt1-f177.google.com ([209.85.160.177]:46819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Fq-0003Fb-G7
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:18 -0400
Received: by mail-qt1-f177.google.com with SMTP id u35so10053628qtc.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=nG5H5uOUDctzR+5sEvEKO18AqtJJ+NsOmagB2U+tKQA=;
 b=QYSmQFHCTeue6HLarSh67ALybd7pYZ96LfLrHNQXHZ0lFbjUtwmNTn0E8Y2D+OPFtR
 rsylfdqqPXpNnsPQlsKbvzvIjNv0ViCjuYXrxLxR3RtDJS3o0+WtyGwPrIsa63A02Otg
 rmzRQqkhUEtj72YRZK5GM97mDIOoFdHe9MJNWs+nOsS8s0PxtkM1UNp3l9nBfxaWNtyc
 Qw/egO5uYl/JRQnzpCzsqpZq85w+RZBDBzuOx7tWPyG23f44ej5GmShYWCyt8AguYZ0W
 TcmlHlnN6sirFgTEju4rbvp2vhXqjUyQFnFliwK+sEyud7AWLORBpDPTjHhcK+3zpxVN
 41TQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=nG5H5uOUDctzR+5sEvEKO18AqtJJ+NsOmagB2U+tKQA=;
 b=yEZK1hDhMbGmXoTtxVGDxTOz4tgSZrzTYnIOMh4g0wNpabGF6QRmxG4h/xOXG0MQ4a
 S/w7jKMEkkGUR6xXI8YeJBSgJoPTX8Sv+bDulKUlaz3qnEDBOS07HTA96B2lXykGPBHY
 U5cAGWp5FdqyCNL/mF8MmI3FpQFSnrrvBzVH3kwDfrIoy88qWH4is/SluofVy1zWu3G6
 g1E2EhZ2Bq85J0XbR9P388Oh81QSxC7HSTd/FoIuymcVY/29+AYarKrOtUCdj6TqKc5A
 +oMAiJrwYqnDsNN/yP0MqWhLPKZJkHbgROyJTiy8QGarZQHCR7o4SCmsoE2YgSHABNgx
 x05Q==
X-Gm-Message-State: AOAM533WtGv3CdI23TZa1sN6iMcyQf4PZGJHbCxtcwUI87KDxb8XB2XK
 liNQb0x/wDvkcJia767S++vD9VNSYIWebg==
X-Google-Smtp-Source: ABdhPJzM1WP3F7ykfafeZuIRbCED71rmHqrQCDTlEY0wNnM/f2AySubB8ldmhjsG4M5QKuOqYcTSIw==
X-Received: by 2002:a05:620a:1a08:b0:6a0:1c06:d601 with SMTP id
 bk8-20020a05620a1a0800b006a01c06d601mr8451220qkb.416.1652590031802; 
 Sat, 14 May 2022 21:47:11 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:11 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 026/602] gnu: Remove python2-warpedlmm.
Date: Sun, 15 May 2022 00:36:53 -0400
Message-Id: <20220515044629.6843-26-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-warpedlmm): Delete variable.
---
 gnu/packages/bioinformatics.scm | 41 ---------------------------------
 1 file changed, 41 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index c70b9e3aa7..b0ad03612e 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -5365,47 +5365,6 @@ (define-public python2-pbcore
 files and writing bioinformatics applications.")
     (license license:bsd-3)))
 
-(define-public python2-warpedlmm
-  (package
-    (name "python2-warpedlmm")
-    (version "0.21")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (pypi-uri "WarpedLMM" version ".zip"))
-       (sha256
-        (base32
-         "1agfz6zqa8nc6cw47yh0s3y14gkpa9wqazwcj7mwwj3ffnw39p3j"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2  ; requires Python 2.7
-       #:tests? #f ; test data are not included
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'use-weave
-           (lambda _
-             (substitute* "warpedlmm/util/linalg.py"
-               (("from scipy import linalg, weave")
-                "from scipy import linalg\nimport weave"))
-             #t)))))
-    (propagated-inputs
-     (list python2-scipy
-           python2-numpy
-           python2-matplotlib
-           python2-fastlmm
-           python2-pandas
-           python2-pysnptools
-           python2-weave))
-    (native-inputs
-     (list python2-mock python2-nose unzip))
-    (home-page "https://github.com/PMBio/warpedLMM")
-    (synopsis "Implementation of warped linear mixed models")
-    (description
-     "WarpedLMM is a Python implementation of the warped linear mixed model,
-which automatically learns an optimal warping function (or transformation) for
-the phenotype as it models the data.")
-    (license license:asl2.0)))
-
 (define-public prank
   (package
     (name "prank")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:18 2022
Received: from localhost ([127.0.0.1]:48046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Fq-0003G0-BH
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:18 -0400
Received: from mail-pl1-f173.google.com ([209.85.214.173]:35371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Fn-0003FY-S3
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:16 -0400
Received: by mail-pl1-f173.google.com with SMTP id c9so11561156plh.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=uUaoNp3BVwCByDVfMax9SKqov+AVaf5C45Fjcx8jdOA=;
 b=SyScjJBfwSg2l7bGrIL/P9gdjO/NNMWRmUmNbGiV8JwKT7du+vO0ps97e9C7f+GOQ1
 aqZhZ/Ighz5SMF/NfvWLF5kKDsAj8bO3puSIte9BhOUO95lMkmKRVgKvQx5a+0YkUBvF
 3wC8gv1I+HesCac/8Re3sT51ZCSQjZTkE5wiIXpzXyMRDx0ftI6a8j5yqXZgI3SOyPDf
 tEwTmDN8YImKSuT3xlNOkDQiMBdG/HEFXodu6iuH5K99APLtEmFZJ9uuvOcn29C3ZB3h
 nCG3UfCwqbhassuQoPZ9WuUCzUjLAryWa67TcH7XtO57aj51w9DHMm9GoKks5tU7W0/i
 ztEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=uUaoNp3BVwCByDVfMax9SKqov+AVaf5C45Fjcx8jdOA=;
 b=xo/EgKiWWJgRdeRqFY1fF/lyGQCm2lpcogtmfv8FYW8kCAxDQxpqjOJtE2TDUWyIoH
 ftWMpQj/UIDJFfNOrQyQGXwCSDMvfQ9IYasvM4wuZmWSfr+xI2oiAhNv1y7FM57bkHKS
 Rt9nrbriZb/D7YOMrPJQ4VsO7We025e9OmHfxFxT4LP4KeUPWZLTgIi0jZ3f47riHgLf
 q3zItDJ6laTSVdiK3F8YYR7t8zjYlTZ5peicHkShasIAYqZntAy8A2Qa8TVwZl6u4UOl
 h2Rhs4AMXBuP72n2XRzfSxeBCM29/sM6HxJPk2cq0OFv+Scekv+plNyRLVYtkeh3MK4M
 tBTw==
X-Gm-Message-State: AOAM5327RaHCA3VGpOPx7tPfDT8u9r5uRvkUZgxPX/SU6FltmsCCTTtx
 B9b99usAiXMg5KhRUcotMkq2rN+1uOQAYw==
X-Google-Smtp-Source: ABdhPJwYd7y3EDp+aQZZUZ3I3vrcG2PGK8HawizRbxOPhVc4svdft1b1sjDwPMDyPkujbM8sRMAG2A==
X-Received: by 2002:a05:6214:e4a:b0:45a:dfa5:404a with SMTP id
 o10-20020a0562140e4a00b0045adfa5404amr10450066qvc.126.1652590076967; 
 Sat, 14 May 2022 21:47:56 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:56 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 090/602] gnu: Remove python2-iso639.
Date: Sun, 15 May 2022 00:37:57 -0400
Message-Id: <20220515044629.6843-90-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/iso-codes.scm (python2-iso639): Delete variable.
---
 gnu/packages/iso-codes.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/iso-codes.scm b/gnu/packages/iso-codes.scm
index b567c0e029..c34911fe9b 100644
--- a/gnu/packages/iso-codes.scm
+++ b/gnu/packages/iso-codes.scm
@@ -96,9 +96,6 @@ (define-public python-iso639
 groups.")
     (license license:agpl3+)))
 
-(define-public python2-iso639
-  (package-with-python2 python-iso639))
-
 (define-public python-iso3166
   (package
     (name "python-iso3166")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:16 2022
Received: from localhost ([127.0.0.1]:48044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Fo-0003Fl-5D
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:16 -0400
Received: from mail-qk1-f173.google.com ([209.85.222.173]:44565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Fm-0003FV-5r
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:14 -0400
Received: by mail-qk1-f173.google.com with SMTP id n8so10175483qke.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=t9rapn+5+SjLLbf0WuNwpbcktctbRxEYzs55yyz3jMc=;
 b=nDrAzWFcsBk5fj/kmFTsWAomlvSDJrcmGhgqw6TSMGmlbMU6l4uuSl8tp011EePjHu
 UZZBae7TL+Vi92oqLSmgjyCRIeJ0aqql1RnTPf2CbobDUcc7ufnc6I7Gx4kc2fZSoEF3
 rMgxVc/ZXlyLV8Xor1qO4BqCZMIgNA7dccsg7LSm68YOcH7o4X+tNnqCowAxUsZJVyub
 jt0oDgYZZBYbcxZo6UI/tzGL0B9vRdzBwlww0j1fzQlli3uiKOQT5Ozv/u2pzBFiqJfP
 mknsmbs6xamjmeb+kDwijOGkyF/tB1XwrqgbcyrGPAb13MXmNtf8UCCpkJLfkYiVHo4F
 sQoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=t9rapn+5+SjLLbf0WuNwpbcktctbRxEYzs55yyz3jMc=;
 b=YBzKAEkssEQ5cdsRFozDgrqHZcxxGCoKGJeaRiJwy6shxrkLz4xtXMDjUdsnlkQjvy
 7AUOIEe18FkOkjoY+hiEpN4YF2LQ/NZFX1Y7zoF3w7cdJ6FTidM1dVxArDSFJtJsbKBK
 cE9+lzEs5kyHB5fJs7zJGNogV/U7SorbZFT4ZRZz3YG2v6uTvA8Gxt+glgO222WuK8i8
 Fe7FGreBGOPZ0Ej1Gv5bphPIJiuvu++enN0HdCFOfKaJtlJWsgQHvodjvg65urGJIT0q
 qyHysvsExWJWz+cMAFpggJqA9BjSvUV4uZVAXNA42Tj3lFfSKHfgBLv/03FaJRZV0+za
 H8Dg==
X-Gm-Message-State: AOAM530SqYPd01g9atot0SjfhXLxpmAKloDHDvaJN2zhv7A5UNX2Q97R
 Dq0xrDZoMuaaPNmyE365Z21WEElNEuBkAw==
X-Google-Smtp-Source: ABdhPJxzFUgx8RP+zi0Id/HydMP3wtuVyv9L+ZTXHVM44IzHjz1jldzS0ntmtm/LCy6b6yIKy+5rzg==
X-Received: by 2002:a05:622a:349:b0:2f3:cba9:242c with SMTP id
 r9-20020a05622a034900b002f3cba9242cmr10950085qtw.50.1652590045396; 
 Sat, 14 May 2022 21:47:25 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:25 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 045/602] gnu: Remove python2-pytest-subtesthack.
Date: Sun, 15 May 2022 00:37:12 -0400
Message-Id: <20220515044629.6843-45-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-pytest-subtesthack): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index c4884c72d3..0cabbecbfa 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2100,9 +2100,6 @@ (define-public python-pytest-subtesthack
     (home-page "https://github.com/untitaker/pytest-subtesthack/")
     (license license:unlicense)))
 
-(define-public python2-pytest-subtesthack
-  (package-with-python2 python-pytest-subtesthack))
-
 (define-public python-pytest-sugar
   (package
     (name "python-pytest-sugar")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:04 2022
Received: from localhost ([127.0.0.1]:48039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Fb-0003F3-Ub
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:04 -0400
Received: from mail-qt1-f180.google.com ([209.85.160.180]:37612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Fa-0003E5-LU
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:02 -0400
Received: by mail-qt1-f180.google.com with SMTP id h3so10099877qtn.4
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=vSVtyg0L/MVxyLN+7l6NGj/PxLF3YVydHjqqflQLWbI=;
 b=X+J86D4pt6usLqo9cfa9QbXmSULELPOLPrBjPMBhsjgrdz4bvpxoKclmarzgBZqKyl
 WX1Yk63G/p86P3ws1NRKJU3u79yR33Y8YuI0C9SC66V7nACe01AYVLkUTZVhijpErtFi
 IChf3val/7m8fpsavst5dD0DX/ajQ6iHIC7DzyR74hfAdo14H+Okziiq5kGoGHn3p0F0
 5gx5AIO8WuiuC3qEUFbbx/oq16fEKCurAKPknMdrORYySfdeMgblCCTC4T67ruqygrgs
 DCC6qM+Iu21Z7So6SR0Hnec4t6bYd5nNwyTL1sKFS2wUhcEa1fymf7QIoh0VztjP9ufl
 TKtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=vSVtyg0L/MVxyLN+7l6NGj/PxLF3YVydHjqqflQLWbI=;
 b=Vg39nWUkkVNFdy2roV2iX6A6ji3f7lJW+qRw4mBYIKTDfDnL5G38SBQzadGle0Kxqt
 w5zp02mJBvkM/KG2+hNKeRTwPzyJdxShHM03mYfrYmAy+zCBoCEMEPmHRPZWmZXoP3W6
 kicdmDEv7YGNfvUaAU/qn9HEn2oF5z6ec2yRA/AB5+nsGw4L5pMjrWQiPcJUjWFgw4Sn
 SdBhS1F/UhGuDqYDXp2+vRx9naSoUwQJlZJAIKWa0FA7n2mPS3V8uUAOq+z/OClz445i
 r8PcJFj0sIIgyLZM5PZiCeQxdx4greghF7/z7/tXY2n5aKCE/kDaomJkZ2SrRSpO+j/N
 dU1A==
X-Gm-Message-State: AOAM531Bl/gsffb3A/6swP/QWihQ5iQdGlq47ErJHAeqBHYKXoYT5vr8
 I7/6/o0p+AV/Lt/PmSmfjeSC9r8OWOJ1ZQ==
X-Google-Smtp-Source: ABdhPJzHiBR5d3+BurduexOU9hjPABjA9VJi5An0Elu2aCMtjnPTh7O89XbWL8y/QMgcPAn3GRymFg==
X-Received: by 2002:a05:620a:17a6:b0:6a0:8ebe:c24a with SMTP id
 ay38-20020a05620a17a600b006a08ebec24amr8482029qkb.227.1652590039812; 
 Sat, 14 May 2022 21:47:19 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:19 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 037/602] gnu: Remove python2-pytest-capturelog.
Date: Sun, 15 May 2022 00:37:04 -0400
Message-Id: <20220515044629.6843-37-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-pytest-capturelog): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 5dec698fc3..15929831e1 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2627,9 +2627,6 @@ (define-public python-pytest-capturelog
      "Python-pytest-catchlog is a pytest plugin to catch log messages.")
     (license license:expat)))
 
-(define-public python2-pytest-capturelog
-  (package-with-python2 python-pytest-capturelog))
-
 (define-public python-pytest-catchlog
   (package
     (name "python-pytest-catchlog")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:53:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:53:01 2022
Received: from localhost ([127.0.0.1]:48032 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6FZ-0003EF-Jh
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:01 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:34777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6FY-0003E1-Ny
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:53:00 -0400
Received: by mail-qk1-f177.google.com with SMTP id v11so10219506qkf.1
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:53:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=dN/Ij+vxnoC10F1rscBA3aiIDJWGZ7nd1bt6kJyJiBA=;
 b=MYSRfGZMaLW7zV1t9Le9velW83nwhYXY+wv60prvCm2rHK2CluFoDX/CBh0K2tNVCO
 01BP1RcFfNRubUNkBCpk4ZVwmlnUsXHGG3MS73LLcw2YCWxE/TX2vwD7xBwLRPNE29lH
 wxPAHsmg1KSo5rH5qCgOuAnXwi6mXNRDYCRXmVjtgm7KyoznNqDI+wsDwg+9DewZ+oa2
 tCwzulyekLgy6ReRdkQ5vkESktsP5tOzNbiQ2dM/rWz9+DfhUDF6ooly13DzrNRqUq/m
 c0pkTkArlcv6c5pmcoTBwLxWKl3dYfJvpY2RWsAvaBFVVW/qo7/7pHvVCy9fE6nu+lKJ
 Wx6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=dN/Ij+vxnoC10F1rscBA3aiIDJWGZ7nd1bt6kJyJiBA=;
 b=CkzJYnJhBVK+91lXS+sY6Y7Xpvaw8PyqjzL5v/gXFLSf2k0bSrGjtwfc/xGXO7wG07
 ok7txQCAiz8A0cD/botTdUmZFUwNf8i3Yuxplq/R7bG+jWonggRaAsdgjAl0tz7IkKGA
 ce8d829Kq1vyAEmBst+Tnqk3thsPGhFXTx4hhnFa7ERZMk930GoWwwhY4BOjguvlCepH
 Zl9Fv95qGXVt3Q4/T657R4vJEwT2F+J1m3ZjRvPBjHDSeOQ/+W4bA79vr8dK6uTbDjW0
 ixeay6nSnQlnWk8TJKNzSMtW16q6v0XBKRYErd63aN0b8ggc4ZcNN+bQ+f0VLVkPbwss
 GWvA==
X-Gm-Message-State: AOAM531xi5+puj9see0Ku+evGla5SdKqHDdE+gfg8O2ty8fDeiLdxcOn
 yZcHalv5IzL5+P+lIJdSBSYLwvmGrrqt+A==
X-Google-Smtp-Source: ABdhPJwciL/o8333O25ixJJc0Fbo5fmBFrJZyvDJzOUH9FCVeOrdbrETMFaVBh0SmsycngGNtXi+yg==
X-Received: by 2002:ac8:7e81:0:b0:2f3:d195:ace0 with SMTP id
 w1-20020ac87e81000000b002f3d195ace0mr10798491qtj.5.1652590058833; 
 Sat, 14 May 2022 21:47:38 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:38 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 064/602] gnu: Remove python2-statsmodels.
Date: Sun, 15 May 2022 00:37:31 -0400
Message-Id: <20220515044629.6843-64-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/statistics.scm (python2-statsmodels): Delete variable.
---
 gnu/packages/statistics.scm | 21 ---------------------
 1 file changed, 21 deletions(-)

diff --git a/gnu/packages/statistics.scm b/gnu/packages/statistics.scm
index 244a2f3ecb..891c2b804c 100644
--- a/gnu/packages/statistics.scm
+++ b/gnu/packages/statistics.scm
@@ -2068,27 +2068,6 @@ (define-public python-statsmodels
 inference for statistical models.")
     (license license:bsd-3)))
 
-(define-public python2-statsmodels
-  (let ((stats (package-with-python2 python-statsmodels)))
-    (package/inherit stats
-      ;; Version 0.11.1 and later does not work with Python 2.  It may build
-      ;; fine but loading modules fails.
-      (version "0.9.0")
-      (source
-       (origin
-         (method url-fetch)
-         (uri (pypi-uri "statsmodels" version))
-         (sha256
-          (base32
-           "0fxs8a7sp4d7jvqlm36yi45i2d28kjfvraf9q8i9jr1chhxgjqb4"))))
-      (propagated-inputs
-       `(("python2-pytz" ,python2-pytz)
-         ("python2-numpy" ,python2-numpy)
-         ("python2-scipy" ,python2-scipy)
-         ("python2-pandas" ,python2-pandas)
-         ("python2-patsy" ,python2-patsy)
-         ("python2-matplotlib" ,python2-matplotlib))))))
-
 (define-public r-coda
   (package
     (name "r-coda")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:52:55 2022
Received: from localhost ([127.0.0.1]:48029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6FT-0003Dq-7a
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:52:55 -0400
Received: from mail-qk1-f182.google.com ([209.85.222.182]:41826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6FR-0003DP-2W
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:52:53 -0400
Received: by mail-qk1-f182.google.com with SMTP id k8so10198797qki.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:52:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=d9FNjJg3dT/cgIhk/fwzs2eoJkSuG/mkYtZQYbMnFzw=;
 b=Vx1dPlLvM3Ikrk7JXWDIuBZ3W9ffIH+905kU32oa/nI66xyquVeRB2A97MMuWV0qx6
 7uqH64HLlUt2A8FND4RmLXGrDqnIvU1uPI/CkHHPQeS/b7DEDWlgfm/+4kVkta9q+5j/
 lbLM6IT3VQVTz+aCx0zEreqcfNIuOl4R7WrKBn4cNY12KFHqi3OOf4Et/YuEI9jjXgUm
 DI8dr8WU7PJZeSXTvIUxMix/UPRiw7wzH/BWzCZQtbrPJMmSxtAtz/8zb2FK4hza/LCl
 DIC6f0Yvr84WFhxUR7dm/T7Ll8UbtHKsigl6HRXFV41Zl7tpAl5WLG6zrCU3a94pKXy8
 H9/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=d9FNjJg3dT/cgIhk/fwzs2eoJkSuG/mkYtZQYbMnFzw=;
 b=nDu+1uQD50cdBxuCw/5iVOz9zpyggigsHD/Gyz8JrEUwpnQzCQrC2X17y7NiGEFWTe
 okTdBlglldRiBScDzZaAndbiOblkKVZIQxTZUVN1oXUzp4hOdPNbd3quzSoIHynW8jvc
 BdTfliatR0wuQSU2aqXjBCF+PTZgNTAvv+7YyWWal82dxx5scWOt5RzloLzqCdOlTYjd
 kZTpIyKxNTUUhyZDa1jNjl1RY69ZGGVeaAOB5yuEuKrtKs53wOEBrLtNlH7oUseXNNMh
 zgcyXNlvQ/wvvDvz4CdNgvc9XmB3AaHWa8shbJDbLrF7PPjIsuErkDBZm4Fxo7vZjMD8
 TjFQ==
X-Gm-Message-State: AOAM532+xiqs5mmryaQPGjAnBE4xM86lNai3hahOvzQdBMQKPSZ2gsTR
 NHZp2W0h/hnMORXx84Cdb5j1rWu5DNkxuA==
X-Google-Smtp-Source: ABdhPJwPocS2eKTNE1egqU6L48DQvUWcOi3IpOV/fYzqQmRmI+zFdpCnRPlK0f0V24pIVq0Q9CvJnA==
X-Received: by 2002:a05:622a:256:b0:2f3:ebbe:4c84 with SMTP id
 c22-20020a05622a025600b002f3ebbe4c84mr10839046qtx.541.1652590056137; 
 Sat, 14 May 2022 21:47:36 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:35 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 060/602] gnu: Remove python2-scikit-learn.
Date: Sun, 15 May 2022 00:37:27 -0400
Message-Id: <20220515044629.6843-60-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/machine-learning.scm (python2-scikit-learn): Delete variable.
(python-scikit-learn)[properties]: Remove the python2-variant property.
---
 gnu/packages/machine-learning.scm | 47 -------------------------------
 1 file changed, 47 deletions(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 3897342345..02cd6b31aa 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1128,55 +1128,8 @@ (define-public python-scikit-learn
     (description
      "Scikit-learn provides simple and efficient tools for data mining and
 data analysis.")
-    (properties `((python2-variant . ,(delay python2-scikit-learn))))
     (license license:bsd-3)))
 
-;; scikit-learn 0.22 and later only supports Python 3, so we stick with
-;; an older version here.
-(define-public python2-scikit-learn
-  (let ((base (package-with-python2 (strip-python2-variant python-scikit-learn))))
-    (package
-      (inherit base)
-      (version "0.20.4")
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "https://github.com/scikit-learn/scikit-learn")
-                      (commit version)))
-                (file-name (git-file-name "python-scikit-learn" version))
-                (sha256
-                 (base32
-                  "08zbzi8yx5wdlxfx9jap61vg1malc9ajf576w7a0liv6jvvrxlpj"))))
-      (arguments
-       `(#:python ,python-2
-         #:phases
-         (modify-phases %standard-phases
-           (add-after 'build 'build-ext
-             (lambda _ (invoke "python" "setup.py" "build_ext" "--inplace")))
-           (replace 'check
-             (lambda* (#:key tests? #:allow-other-keys)
-               (when tests?
-                 ;; Restrict OpenBLAS threads to prevent segfaults while testing!
-                 (setenv "OPENBLAS_NUM_THREADS" "1")
-
-                 ;; Some tests require write access to $HOME.
-                 (setenv "HOME" "/tmp")
-
-                 (invoke "pytest" "sklearn" "-m" "not network"
-                         "-k"
-                         (string-append
-                          ;; This test tries to access the internet.
-                          "not test_load_boston_alternative"
-                          ;; This test fails for unknown reasons
-                          " and not test_rank_deficient_design"))))))))
-      (inputs
-       (list openblas))
-      (native-inputs
-       (list python2-pytest python2-pandas ;for tests
-             python2-cython))
-      (propagated-inputs
-       (list python2-numpy python2-scipy python2-joblib)))))
-
 (define-public python-threadpoolctl
   (package
     (name "python-threadpoolctl")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:52:55 2022
Received: from localhost ([127.0.0.1]:48027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6FS-0003Dj-VA
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:52:55 -0400
Received: from mail-qt1-f169.google.com ([209.85.160.169]:34496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6FM-0003DJ-QM
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:52:49 -0400
Received: by mail-qt1-f169.google.com with SMTP id k2so10100570qtp.1
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:52:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=RjmDM+SS+GdwO1NSz5QvET7QDPtBUflPHC/0rauXVUk=;
 b=QDiZllhq/NPUChhqlnfckDjPxBVXFokSSZyayc7kvj9HlmcWA6U6nAmDEl+1oMv4v0
 JGcCaiIPpXUD2fctEkZCh3PqkuqZw8vzZOPp4X5X/UpDvXNgsHqG4f/mzrIwsktOFhwd
 X1LRuXuzSLZhq027PSaXZq1YKQbIh45eDjQx0CoK1MT0MwIDYN4/ydW+IZ2APvb5moJE
 IIb4WBbm6niaq2v1BKroeAdhr6ORjWvxW6tnNaYwh5OYF+cGHB5dpcojI47QCZEMD8FX
 vyUDu1z4VaNXRTp0ibuQ8DGCa8HUgkw+T+FImsckdfUSU5RvfE3e6Vj+PwZWUBK65lvJ
 FRgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=RjmDM+SS+GdwO1NSz5QvET7QDPtBUflPHC/0rauXVUk=;
 b=IfccbrUhFC0lVKz0IcfblGQWi7pxSTuaV1bn4wTDEQawOE/+f8flH92A/LYn27TfFX
 hmjkOebdHO6Gfx76EVwCRNKGias/2DtRIzLp+Nzqj/n82qjOfALHc77w+p51DYMbFXIy
 v2CjL4Sq2Bn7JyKgvEBhHAd2loeGgop6quT4eycDafD6zGXMX+s97KBmzGoS8M5reA/B
 0bX6sNk5JJXCOEIC0GAkPwxxka+CNYJUM6vFmFj3SyV+hBCUWQwo9/oGs0tWoVq/wNML
 Yh07NKiIH91mUqwSzSiE+lM8yiAEVFl1BKRwJ2SiHcm0nKtdXrVhw7BEOqssmgnNT6IW
 Ywgw==
X-Gm-Message-State: AOAM532v3Xs0//D/VifhYWwrf0FRwiky31oo+Kz2jLhmBe1bid+cgO1L
 yB1sKXXk/azC4Xg23MEm5fVxlfNX6ImVpQ==
X-Google-Smtp-Source: ABdhPJwsenxVegwVV2MxLSGBTmKmZWi8ejcpQ75iHUAkdBLQfUINsc8SkkdDEh7CScvqHZTV+DTk7A==
X-Received: by 2002:a37:501:0:b0:69f:bcda:e371 with SMTP id
 1-20020a370501000000b0069fbcdae371mr8386699qkf.39.1652590033176; 
 Sat, 14 May 2022 21:47:13 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:12 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 028/602] gnu: Remove python2-screed.
Date: Sun, 15 May 2022 00:36:55 -0400
Message-Id: <20220515044629.6843-28-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bioinformatics.scm (python2-screed): Delete variable.
---
 gnu/packages/bioinformatics.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index d4354e8ea8..3debc32ea9 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -6544,9 +6544,6 @@ (define-public python-screed
 sequence itself can be retrieved from these databases.")
     (license license:bsd-3)))
 
-(define-public python2-screed
-  (package-with-python2 python-screed))
-
 (define-public sra-tools
   (package
     (name "sra-tools")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:52:55 2022
Received: from localhost ([127.0.0.1]:48023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6FF-0003DB-5Z
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:52:54 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:35553)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6FB-0003Cr-3M
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:52:37 -0400
Received: by mail-qt1-f176.google.com with SMTP id x22so10092832qto.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:52:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=oRi3cfWjxRgOctewAWlFZF7435zvl8JqxxaMzSivwqw=;
 b=AbHMg/WKx97CVt55yusvhXQQpFKPaBq2ZhZ49Qzjd+//zBQ57Amqf8rKwGNgjeFGGN
 K80cNvLFGEiL1928OZcXrVOIeAAgkb7lONbEdqMtndl8UcMdgfSe9a92LfTkAi0j//Ma
 FRj3AsMCxFkd/Zng6G/VrqZDkA2a93GHHEAawhTRKcgNMocXp4z63wUzP6lKKSGkm7YO
 eZMVFgszhfAEk3+tSgUWUsvjaZTUccjMM1wuvHsjdzVxYW7+KfoZSNIGvO5OfnqHnals
 vN0CvsN/MVUVagxqujYPvmu5X81HfdiGcntaLZJEd+KcQrDb1kPoFJMW/wtldN6OO0Q7
 So3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=oRi3cfWjxRgOctewAWlFZF7435zvl8JqxxaMzSivwqw=;
 b=HAK8euZ3vnvZnud9jbPOiXzwz0rVJ1QDuuMzAqSorFVsIcNAH7lcsMtyL5SOnzDKTv
 IUS4y4bT2CvLAfx+foK/0yAEo9jYeycvHOv4KQ/etOuxSpusbw4Y1iSEPK7y7JduUQwW
 rtFjXvks3xpudBmTS6h03SdmXeMrvHyWibUKSXSO3/54XBLXvjdCLOeCttXq/PdE6obt
 TvVWCPHCsEa4vdlGJbzBnmNyYeqW6V3PIkntKN6ABDshWleaclQTSd/Qzix1valzYdgn
 watp5RVcAjT+74CH/t0oOGI7vqRW0ZPv0+Qq3/HHOftG+etqqO8/jY6r4vAcPf3bzauz
 r+4A==
X-Gm-Message-State: AOAM533DSzjl3wrKq4bkMGLV55u3W+RjRhWCZC/YtNIw2MWvyTUrgSqg
 x0+agrhmJ65nTHK2mtxfCabTgbXk+nls3Q==
X-Google-Smtp-Source: ABdhPJwsssDgh6gpPypRi8Mecb00ql1vZURWhOKlBTnKOIvaxIZDfDFaT/bLxv8bF51sx/uCkv3znA==
X-Received: by 2002:a05:620a:1a07:b0:6a0:2601:6f57 with SMTP id
 bk7-20020a05620a1a0700b006a026016f57mr8494894qkb.579.1652590036121; 
 Sat, 14 May 2022 21:47:16 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:15 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 032/602] gnu: Remove transmission-remote-cli.
Date: Sun, 15 May 2022 00:36:59 -0400
Message-Id: <20220515044629.6843-32-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bittorrent.scm (transmission-remote-cli): Delete variable.
---
 gnu/packages/bittorrent.scm | 43 -------------------------------------
 1 file changed, 43 deletions(-)

diff --git a/gnu/packages/bittorrent.scm b/gnu/packages/bittorrent.scm
index 0191bb8e1b..1c9358b896 100644
--- a/gnu/packages/bittorrent.scm
+++ b/gnu/packages/bittorrent.scm
@@ -255,49 +255,6 @@ (define-public tremc
     (home-page "https://github.com/tremc/tremc")
     (license l:gpl3+)))
 
-(define-public transmission-remote-cli
-  (package
-    (name "transmission-remote-cli")
-    (version "1.7.1")
-    (source (origin
-              (method git-fetch)
-              (uri (git-reference
-                    (url "https://github.com/fagga/transmission-remote-cli")
-                    (commit (string-append "v" version))))
-              (file-name (git-file-name name version))
-              (sha256
-               (base32
-                "09w9f8vrm61lapin8fmq4rgahr95y3c6wss10g0fgd0kl16f895v"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2 ; only supports Python 2
-       #:tests? #f ; no test suite
-       #:phases (modify-phases %standard-phases
-                  ;; The software is just a Python script that must be
-                  ;; copied into place.
-                  (delete 'build)
-                  (replace 'install
-                    (lambda* (#:key outputs #:allow-other-keys)
-                      (let* ((out (assoc-ref outputs "out"))
-                             (bin (string-append out "/bin"))
-                             (man (string-append out "/share/man/man1"))
-                             ;; FIXME install zsh completions
-                             (completions (string-append out "/etc/bash_completion.d")))
-                        (install-file "transmission-remote-cli" bin)
-                        (install-file "transmission-remote-cli.1" man)
-                        (install-file
-                          (string-append
-                            "completion/bash/"
-                            "transmission-remote-cli-bash-completion.sh")
-                          completions)))))))
-    (synopsis "Console client for the Transmission BitTorrent daemon")
-    (description "Transmission-remote-cli is a console client, with a curses
-interface, for the Transmission BitTorrent daemon.  This package is no longer
-maintained upstream.")
-    (home-page "https://github.com/fagga/transmission-remote-cli")
-    (license l:gpl3+)
-    (properties `((superseded . ,tremc)))))
-
 (define-public aria2
   (package
     (name "aria2")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:40 2022
Received: from localhost ([127.0.0.1]:48006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6BM-00035w-BU
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:40 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:44919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6As-000333-WC
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:11 -0400
Received: by mail-qk1-f179.google.com with SMTP id n8so10171848qke.11
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:48:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=eoevXrwyOaHZDBQztgv3bF6BDVbhia94NTklKvGvEPg=;
 b=jO5ckQRiEfIH/97Be2yw9wy7qYcbAwMRyxfoGvMKfFoCNDMyPnGwXWHfTcmRnU8oQU
 G45mYr3E791M4JT3BbXJM6YvfOnERpPYlZxJPxrRqS3eXBoXbMXqxc+tHnpma79Kb26N
 oD3LLjluaTRUqAR5itUJn/al3CAkMmtXMxM3e2w3w0Q4FDsTHdb7346UniFktaKItKzX
 N6UaONjoypyQskVKxUWUQhh4LLsvjY9RDLIWlCZVFyOZ7MjG73BSRNfBetD2eMvnHZrq
 6yxnqDCg6CNFqvK56o0yl36hu13DYNAaty/acik2Wfd+iZmqXdXQMc8+RjVlF4YUG5N9
 mosQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=eoevXrwyOaHZDBQztgv3bF6BDVbhia94NTklKvGvEPg=;
 b=mZX9G4HmMVyRFMWaAUnzEBLxt+M4JTLvQJ1DlQhk9lyyRW6Pj3sc+ChhycbyWsmjAb
 ubvyC/eEYj2eeDk+iNYEezTUolCigYWzF7X9uiXqKoraa+VxRIyzSVGEjayl9VlwxZ/T
 s8DDVtnNgunA240m4F0QkyNT952GtD4pJLkt3BIXaaYVzHMBMcDv5Dfi+IIBha1+Xyen
 CLYWrUoah0P0Wq5lXsC4XkGJxf+Lu0gEsledwnpn7bBd9dfnPIYrcJ1+9nofEZm1PLlq
 qvdTIt3iNUAGloZbDUK8Oeenp/NRoPV10vejyjOLSDdrsp0xGgilEUIXNr3pbXZOtACM
 Cbhg==
X-Gm-Message-State: AOAM532tXgEDd+1rajzNeu9ze/cbjYds2gJtRzNJZqEB7fYDF1vbNJcD
 xV4+gRtLDp8vRtDtWVsoSONRjnHSnX2NJA==
X-Google-Smtp-Source: ABdhPJxPvW6kL/+M7AoDcLGap0DsEqdruDF5esMJg768ZUiJgJ47B3Q0lvEnvX/urVflK54MUxE+/Q==
X-Received: by 2002:a05:620a:25d:b0:6a0:dbf3:54d5 with SMTP id
 q29-20020a05620a025d00b006a0dbf354d5mr8473825qkn.74.1652590085387; 
 Sat, 14 May 2022 21:48:05 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:05 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 102/602] gnu: Remove non-mixer.
Date: Sun, 15 May 2022 00:38:09 -0400
Message-Id: <20220515044629.6843-102-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/music.scm (non-mixer): Delete variable.
---
 gnu/packages/music.scm | 22 ----------------------
 1 file changed, 22 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 5818a2ea62..ee978c5e00 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -1762,28 +1762,6 @@ (define-public non-session-manager
 communicate with the session management daemon.")
     (license license:gpl2+)))
 
-(define-public non-mixer
-  (package (inherit non-sequencer)
-    (name "non-mixer")
-    (arguments
-     (substitute-keyword-arguments (package-arguments non-sequencer)
-       ((#:configure-flags flags)
-        `(cons "--project=mixer"
-               (delete "--project=sequencer" ,flags)))))
-    (inputs
-     (list jack-1 liblo ladspa lrdf ntk))
-    (native-inputs
-     (list pkg-config))
-    (home-page "https://non.tuxfamily.org/wiki/Non%20Mixer")
-    (synopsis "Modular digital audio mixer")
-    (description
-     "The Non Mixer is a powerful, reliable and fast modular digital audio
-mixer.  It utilizes JACK for inter-application audio I/O and the NTK GUI
-toolkit for a fast and lightweight user interface.  Non Mixer can be used
-alone or in concert with Non Timeline and Non Sequencer to form a complete
-studio.")
-    (license license:gpl2+)))
-
 (define-public tascam-gtk
   ;; This commit represents the latest version at the time of this writing.
   (let ((commit "17b8575ff88dfd2ede0f7ef9c5c5597ab8a00702")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:40 2022
Received: from localhost ([127.0.0.1]:48004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6BM-00035p-12
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:40 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:35794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Ar-00032e-Iz
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:09 -0400
Received: by mail-qv1-f50.google.com with SMTP id dm17so988559qvb.2
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:48:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=LgxEDYNzqgbzPyMgP2LiZzH0jJ80E4ML9qsalRrubGM=;
 b=KVLt4RMQXkmlAsfP2Mz12zgqqDs9iTgvMoF4u1g8rzgZB87JuiKmOdWCUFuclH+wNL
 vl8JGhLPmF7WIAFRHkV4dDSL1GfnAwlhI7niYeezmxIBJr+r/4pYEmVceQKrf/w+fnbH
 ejJ7CFGDS+4D7gCT8qJHjIb71ThHCqEaliLdijq56HEKxYHgQq4hstt5mqsGa5UeOQWV
 O482yr+NsEVQBz2wnUTsNksOYHQnQpMudi9t03ippH+ZS/VWaZYK9CktlRm41N+5PMCQ
 99owXO1pOJvNn2rOcVadaLvVBxKUsbMDOUIHUUMhvmZYAvNWbByMakLsFUyiYNueDQa2
 hBew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=LgxEDYNzqgbzPyMgP2LiZzH0jJ80E4ML9qsalRrubGM=;
 b=EVaoOGitz4xskIHMheF43ozXrDVO5h0475CEtRs2zm11M+wFzy1p5FjBoPV9Pp6Tm8
 oCCNmyusfkfwU0KuOBClDCgb6VbLbGnOpSC3Y+++Evr2PHdg8cX2p+zXf+qLC5ik13DI
 cBjpMSkagvvpAjzC8IaIeAQmJ8CGTNnTyUoSq5WrVQsI/EiqkEZoxsfIGx4GXPa/ZCpV
 UXB3/q+27xvWYxcru7ksb3Js5YcyDU8qWV5reovenlhusj7xmPrnGFsqh+9oygD/W7AP
 Hq/iQHpDId1fD9EHV9L2OZwwbCX/bZOVfXZ+CTPg6Jal6vKo/0jLLuW1cFbkffTnpTTa
 xBXA==
X-Gm-Message-State: AOAM530G2Bmj0qsE1cD0YlMVJ4/llpYYu+C8pGGtvhgpnK+iNwsxTOk/
 JCRV0WdfgQsH/neazwldzP1t5saIj3GU6g==
X-Google-Smtp-Source: ABdhPJwZk5yanIsLs8eKu49L1B7ZVY4ntmmGE72i1pQUj0S2QP6cH0NL6J0s0wSII45PEfSpzU0dpg==
X-Received: by 2002:ad4:5de8:0:b0:45a:8926:f2d8 with SMTP id
 jn8-20020ad45de8000000b0045a8926f2d8mr10579998qvb.51.1652590083992; 
 Sat, 14 May 2022 21:48:03 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:03 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 100/602] gnu: Remove gtklick.
Date: Sun, 15 May 2022 00:38:07 -0400
Message-Id: <20220515044629.6843-100-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/music.scm (gtklick): Delete variable.
---
 gnu/packages/music.scm | 46 ------------------------------------------
 1 file changed, 46 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index e4308c6300..7255701963 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -1271,52 +1271,6 @@ (define-public glyr
 biographies, reviews and more.")
     (license license:lgpl3+)))
 
-(define-public gtklick
-  (package
-    (name "gtklick")
-    (version "0.6.4")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "http://das.nasophon.de/download/gtklick-"
-                                  version ".tar.gz"))
-              (sha256
-               (base32
-                "0dq1km6njnzsqdqyf6wzir9g733z0mc9vmxfg2383k3c2a2di6bp"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:tests? #f ; no tests
-       #:python ,python-2
-       #:phases
-       (modify-phases %standard-phases
-         (add-before 'build 'add-sitedirs
-           ;; .pth files are not automatically interpreted unless the
-           ;; directories containing them are added as "sites".  The directories
-           ;; are then added to those in the PYTHONPATH.  This is required for
-           ;; the operation of pygtk.
-           (lambda _
-             (substitute* "gtklick/gtklick.py"
-               (("import pygtk")
-                "import pygtk, site, sys
-for path in [path for path in sys.path if 'site-packages' in path]: site.addsitedir(path)"))))
-         (add-after 'unpack 'inject-store-path-to-klick
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* "gtklick/klick_backend.py"
-               (("KLICK_PATH = 'klick'")
-                (string-append "KLICK_PATH = '"
-                               (assoc-ref inputs "klick")
-                               "/bin/klick'")))
-             #t)))))
-    (inputs
-     (list klick python2-pyliblo python2-pygtk))
-    (native-inputs
-     `(("gettext" ,gettext-minimal)))
-    (home-page "http://das.nasophon.de/gtklick/")
-    (synopsis "Simple metronome with an easy-to-use graphical interface")
-    (description
-     "Gtklick is a simple metronome with an easy-to-use graphical user
-interface.  It is implemented as a frontend to @code{klick}.")
-    (license license:gpl2+)))
-
 (define-public lingot
   (package
     (name "lingot")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:40 2022
Received: from localhost ([127.0.0.1]:48002 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6BL-00035h-NY
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:39 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:39673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Ap-0002xr-BN
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:07 -0400
Received: by mail-qt1-f178.google.com with SMTP id x9so10080169qts.6
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:48:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=T/vyUgD9+Lo4VQiLqPMt8LOsVsU9y7eJqNd+DBtiaLI=;
 b=k2lNz6n+H/30Eqfz9rBQymy/fVUSGI0jX//1pgJGl9JCZ3uRRAd/knHN/nx51xQpB7
 8w/HKxdvC2WdykYrGBatnudtkIUzddAyQgqdo4CEL/tDXYFmRq+aKPcRvQvn4L1+6Cr9
 hBP5FfvGIPhQ21kYm/xjz8rFik7/Kz5MTOzzlnLC8nPdDTMdU0T1K3LyEVBoGMynka2b
 98RK89EptkoU7pXzWiOT6l21rUk4Hqpg8maumagiZaZwEROF70XD8NG6yy+B5r1MTguj
 LAoEo6zOxRA3ahQsqY5R7U2QTNOAi3QevTg4rGYYjoga/Lz7jODLnoriX+7W8deZDbVg
 SbBQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=T/vyUgD9+Lo4VQiLqPMt8LOsVsU9y7eJqNd+DBtiaLI=;
 b=rK/RMrQ8THvDeDeuh/MqcFFpOygXWQqVozlresVGN+4I4U4wH0JTY6z+1Jnts0fGhN
 kjrds4wtb0SHurR2e7JwWoW/IqNi0VrVokF7YEQqllpZv6V9HCvs16PTI1whyM0g92Wd
 7LqAoqE7KVc9JOvQqJxPMiZWYUZPAU/eVMNOiJBge0fCmTgHwsXe6bPKWw+4UJ3LeSiB
 5lMncZQo9PwtfS2GSBWO6fwYooJEYs9uDZt0iWvgP8NTFXu7osw15ZUE8QcmcaGv7tXp
 kZXdr1+22We5Ka89J98d0i9xlDrZ7p8Grj1J0ORXjSHrewePz3ApZauOjk77bFYWfef/
 PgKQ==
X-Gm-Message-State: AOAM533redFOC4fIUwFUWZydqOhH0p5xgQj+ScAjd6C76Pe0tQS2sH5A
 sxwuMQ5T/nw78BvRmLSz3WyH8vQbx902JA==
X-Google-Smtp-Source: ABdhPJx40qUh/Xkra9GoXJNeatZeQLQREEkmAhSJ3dn5aUzTn45grYoFqE3sc9Yu8m1/mD7+EYP5mw==
X-Received: by 2002:a05:622a:349:b0:2f3:cba9:242c with SMTP id
 r9-20020a05622a034900b002f3cba9242cmr10951059qtw.50.1652590086878; 
 Sat, 14 May 2022 21:48:06 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:06 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 104/602] gnu: Remove sala.
Date: Sun, 15 May 2022 00:38:11 -0400
Message-Id: <20220515044629.6843-104-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/password-utils.scm (sala): Delete variable.
---
 gnu/packages/password-utils.scm | 27 ---------------------------
 1 file changed, 27 deletions(-)

diff --git a/gnu/packages/password-utils.scm b/gnu/packages/password-utils.scm
index 1891a2cf09..348afb5af4 100644
--- a/gnu/packages/password-utils.scm
+++ b/gnu/packages/password-utils.scm
@@ -1035,33 +1035,6 @@ (define-public john-the-ripper-jumbo
 is the community-enhanced, \"jumbo\" version of John the Ripper.")
       (license license:gpl2+))))
 
-(define-public sala
-  (package
-    (name "sala")
-    (version "1.3")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (pypi-uri "sala" version))
-       (sha256
-        (base32
-         "13qgmc3i2a0cqp8jqrfl93lnphfagb32pgfikc1gza2a14asxzi8"))))
-    (build-system python-build-system)
-    (arguments
-     ;; Sala is supposed to work with Python 3.2 or higher,
-     ;; but it doesn't work with Python 3.6. Better stick
-     ;; to Python 2, which works fine.
-     `(#:python ,python-2))
-    (propagated-inputs
-     (list gnupg pwgen))
-    (home-page "http://www.digip.org/sala/")
-    (synopsis "Encrypted plaintext password store")
-    (description
-     "Store passwords and other bits of sensitive plain-text information
-to encrypted files on a directory hierarchy.  The information is protected
-by GnuPG's symmetrical encryption.")
-    (license license:expat)))
-
 (define-public fpm2
   (package
     (name "fpm2")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:39 2022
Received: from localhost ([127.0.0.1]:48000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6BL-00035f-Et
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:39 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:46649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Ao-0002yf-Ih
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:06 -0400
Received: by mail-qt1-f174.google.com with SMTP id u35so10049723qtc.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:48:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=YCWmMQVTOSwgAFgvGQQ6pii5FrBW8FTu4V0l1kP3UUM=;
 b=WxQptG4b5RTIzfh9ZtVRDkrExzW8PWuJKO8Rv6cke/4ZCcfhiNy5AWqjWgR2uB7c6M
 iNzTEMRsRN3AadB8UWWF1Fil4rnQquq1rsdA4EwWkY1mHoWkRAV7zqGdRjkYMhkYDYl3
 TzwRrvODOLk8TwJFZd1FtX8O6107m6rS+62G1ZZ1be1xQOG6vFTzmXXyOQnWiozfQ3Ac
 OHBslickSVGYYJ85SDReWIuQ14KUm4tOOt4TixxfVer31c4MCKS7uKfg5ZzwQ9pprjpV
 wV3tw5edmR91Zp4mprTTqm4lfRNl/v7ZD3SH9I+WOQb81uRPIq6NS/lQd+yY9hHxy22n
 Bc8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=YCWmMQVTOSwgAFgvGQQ6pii5FrBW8FTu4V0l1kP3UUM=;
 b=S56ogwMq81TpXcKXjjsxcHwpIRvxA55YApXaOwujHKUebLIcalEA5tSMn3fpeSPSOi
 FnH5w/yzk3UmvIe2BxW880sQK+1e4aakGfqbv0qreGJo8ljDEP+o6R3cRj79z6k2iQOb
 YRXw/ropvbWu+O1ltdmcH3Jss7VQyXKvKuPNFAvuWRLUUN8pw6Pt2wR3u6kV4o/xUGxx
 y4VsLovMzfmkZUTlaJ/UtztJsel7eOuzh3S6ZZYmksvAFjBRGsSqMDx6pWD5uDcqZeJ9
 nyS/sQPLTQYBDwpliJ2Vb5/NMCMLjSv5lbc0mIhxaIa4SlpkX1LQwrm4w710zHHbMOln
 U/fQ==
X-Gm-Message-State: AOAM530DHFiXYk1OHQKaH83KlJz7YMRbVlFLzSe34xmruvG4E9ZxQH+E
 o35sYg1dLEPa+44fkaSyXvGLUmQ4sndL/A==
X-Google-Smtp-Source: ABdhPJxOxte7HxJaNY3R8Rye2LqfuIYlb2cDiajT1Q9XD56AUJDjd/YjydpopbJColRQLeocqzwlTw==
X-Received: by 2002:a05:622a:42:b0:2f3:dbbf:4508 with SMTP id
 y2-20020a05622a004200b002f3dbbf4508mr10968427qtw.206.1652590086131; 
 Sat, 14 May 2022 21:48:06 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:05 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 103/602] gnu: Remove python2-ipy.
Date: Sun, 15 May 2022 00:38:10 -0400
Message-Id: <20220515044629.6843-103-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/networking.scm (python2-ipy): Delete variable.
---
 gnu/packages/networking.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 9010e1f120..c9f1e12a28 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -2619,9 +2619,6 @@ (define-public python-ipy
 networks.")
     (license license:bsd-3)))
 
-(define-public python2-ipy
-  (package-with-python2 python-ipy))
-
 (define-public speedtest-cli
   (package
     (name "speedtest-cli")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:25 2022
Received: from localhost ([127.0.0.1]:47998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6B7-00035C-5Y
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:25 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:42734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6An-0002zC-8I
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:05 -0400
Received: by mail-qk1-f177.google.com with SMTP id j6so10178914qkp.9
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:48:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=i60XlIVZhgvnmnB6kXMAHC1CDWKlUevZbwvu14GCBKY=;
 b=EEQBz4HqyxD0Bp6xHk90BkMaA2OwAQBiUrcMHR9GD8hWfsY+U+nmTPYOcVigm5sGAm
 IG9fu+KCBsmOzPmIwfzTWxbiwsCaJDn8Uupq+wyhbh+j356BKhRtZx5QML2na4pSBjoi
 4G2lltoP4VfmdDCnKzD7iaiyWEsSYXsh2Bvm2kHqMeC1EDo2/g7aXJ2wiSi7XzFk4YY9
 Hpq6OwFmtTzeLxGxvoRT/WYjO+0FP4hGFuuxDrSIigCzEaGEVXvE80QBNO85wlKwce7I
 wHMNYvjABbG3Ute3+LziVD0nHeRDwzn1IkAdOiZMimXjg3DQegLj+WmXODhVDOSJWlRH
 wRFw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=i60XlIVZhgvnmnB6kXMAHC1CDWKlUevZbwvu14GCBKY=;
 b=XwPiAX9javFjtEQqaDYRBxxxP3qJkF0mK+ZEsmJuzjQpaptox/74ICn30p16mZV2r8
 GRwyuXqb+9XhNh65ClrxPdD10xLaCLUsjmQVlx5oy5H4ORlmTtdtG/hdmxkrl1jDUVnt
 r4vZqQajLakfItJpm9FWRY22Bf+jEx4euVlZHfynsVXo19u5SIMQrJtMzdLtHE6xlcMz
 ALaxQqf4IzGzeCf9U+s3IhzZfDIXRvA3qYyZr7dW12qqbgLr6QXIaJnhdZjY0EFgcXpM
 I2b7SZ8A504YrTzA4juc/mK9TkEU0fEK2KRTXxhODpCSM1LsbeTaBc2R65z0dXtqPI8A
 /tLA==
X-Gm-Message-State: AOAM531bbFoiOScjqAMlHd8v+ByhZhNSokv/Pg55CjjO2McG+2QtST6K
 oIm8mX0ce2c9PgsWzLv/yj1WZXuNDM9G6Q==
X-Google-Smtp-Source: ABdhPJwUtXMaB3UKlYuGNkHy+Xb+9617BKlIDV97cnBZpZrmsem0SzlOj8eGY9IeFe0YadzKnH1MXg==
X-Received: by 2002:a05:620a:1a07:b0:6a0:2601:6f57 with SMTP id
 bk7-20020a05620a1a0700b006a026016f57mr8495741qkb.579.1652590084771; 
 Sat, 14 May 2022 21:48:04 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:04 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 101/602] gnu: Remove non-timeline.
Date: Sun, 15 May 2022 00:38:08 -0400
Message-Id: <20220515044629.6843-101-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/music.scm (non-timeline): Delete variable.
---
 gnu/packages/music.scm | 22 ----------------------
 1 file changed, 22 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 7255701963..5818a2ea62 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -1784,28 +1784,6 @@ (define-public non-mixer
 studio.")
     (license license:gpl2+)))
 
-(define-public non-timeline
-  (package (inherit non-sequencer)
-    (name "non-timeline")
-    (arguments
-     (substitute-keyword-arguments (package-arguments non-sequencer)
-       ((#:configure-flags flags)
-        `(cons "--project=timeline"
-               (delete "--project=sequencer" ,flags)))))
-    (inputs
-     (list jack-1 liblo libsndfile ntk))
-    (native-inputs
-     (list pkg-config))
-    (home-page "https://non.tuxfamily.org/wiki/Non%20Timeline")
-    (synopsis "Modular digital audio timeline arranger")
-    (description
-     "The Non Timeline is a powerful, reliable and fast modular digital audio
-timeline arranger.  It utilizes JACK for inter-application audio I/O and the
-NTK GUI toolkit for a fast and lightweight user interface.  Non Timeline can
-be used alone or in concert with Non Mixer and Non Sequencer to form a
-complete studio.")
-    (license license:gpl2+)))
-
 (define-public tascam-gtk
   ;; This commit represents the latest version at the time of this writing.
   (let ((commit "17b8575ff88dfd2ede0f7ef9c5c5597ab8a00702")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:25 2022
Received: from localhost ([127.0.0.1]:47996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6B3-000351-OY
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:25 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:36801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Al-0002zW-S4
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:04 -0400
Received: by mail-qk1-f171.google.com with SMTP id w3so10205939qkb.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:48:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XCOQaFlNg4f8CTJLm7NcLQF1wCqTaiL3Sklopzi+OjA=;
 b=Kj2i29feDOSx98Bcr47zqqPC1xnPqGEr2po1wtLWhpSQLKsVWN93DcZrsuYq1A5/DL
 B4x9/qFu9mpKEcyDso7Re0Nd0OseJGe8RUg1lM/MIeVghS3Q9SqX5wVN2wp0sqSJ7Scv
 BAzU2Ij6Qr2pumQ58jH/XTjUj9Vs6TsTTkfrJxHnZlaqRNP4CFKReszMG8+wITRNF1KA
 ieBsPxw73tM1oVEKH+CmLZBCvm2fIlPH/9G1oKm/MBL8L9IsfjjrxZhJ0pH+2OX1WkIw
 bzQ/6WNQHcZXx8t0eoLk6CYfAiUGvcyxRP1Ow1SVZcM6MfwiB09jPW7VAtl6hmNTWcrI
 zwJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XCOQaFlNg4f8CTJLm7NcLQF1wCqTaiL3Sklopzi+OjA=;
 b=XvEn9jG2flGIseIQSj50iD1+mRPqhiVq4zao/i5VCvts2qellrURt4z2vkf6PqvVE4
 1IngJ7xYHarNvNsF8jETMr7u2K9S/ghq0Rg7nZZq8+EWQxUw+82H+R2XTCutTlsF9/PX
 EayJ1y1ucSejs0Xm08XEW9PkvD0enRS+JlvJ0dIlZ7RQc1n75jOZWH2VHlm0dGw4dz8z
 NiNjqQBt/Wheab9s2FQzpN5gPx6T0spyS+PaTc7RfjeGi+hFHx1yZ6sHDR6mp8JcBvH5
 XTrlG7FEj5z3IeXri2Dqe0SDkwMkCrm+tevlrc7S2KJINu/Mr2/I7B5DQFXdRAed26S/
 GLFg==
X-Gm-Message-State: AOAM533LLsBknNJxFKVytQZBBvx4Y0tLs7KZTClnJBB6Rg3Cih5r+icA
 nPaZKKio4csqg91BAQFD3PIGYZ7UDqpPUQ==
X-Google-Smtp-Source: ABdhPJxXrH4AkcSY7Ex+RwCgfekZLXf9fYX26XXcPS1sRTizJKqNsDXC54TdaUvPlr/b4F7cnvbg1A==
X-Received: by 2002:a05:620a:22ae:b0:6a0:af9a:1dd4 with SMTP id
 p14-20020a05620a22ae00b006a0af9a1dd4mr8441059qkh.248.1652590083346; 
 Sat, 14 May 2022 21:48:03 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:03 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 099/602] gnu: Remove mloop.
Date: Sun, 15 May 2022 00:38:06 -0400
Message-Id: <20220515044629.6843-99-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/music.scm (mloop): Delete variable.
---
 gnu/packages/music.scm | 39 ---------------------------------------
 1 file changed, 39 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index d0b51c7bba..e4308c6300 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -5547,45 +5547,6 @@ (define-public fmit
     ;; are under LGPL2.1.
     (license (list license:gpl2+ license:lgpl2.1))))
 
-(define-public mloop
-  (let ((commit "adebff98b0b4dc5872a03acb82e89c77cb29c127")
-        (revision "0"))
-    (package
-      (name "mloop")
-      (version (git-version "0.0.1" revision commit))
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "http://git.fuzzle.org/mloop")
-                      (commit commit)))
-                (file-name (git-file-name name version))
-                (sha256
-                 (base32
-                  "175gxvg5slq0bllcx1c381rjlq3xpxww8c3kpiw5i2kfr4m52myz"))))
-      (build-system waf-build-system)
-      (arguments
-       `(#:python ,python-2
-         #:tests? #f))                     ; no "check" target
-      (inputs
-       (list jack-1 ncurses))
-      (native-inputs
-       (list pkg-config))
-      (home-page "https://fuzzle.org/~petern/mloop.html")
-      (synopsis "Live MIDI looper")
-      (description "mloop is a live MIDI looping system, using jack-midi.
-Loops are recorded, optionally with beat quantization, and can then be played
-back, either once or looping.  A 'note cache' system is implemented to
-remember which notes are pressed and their velocities.  This allows for a loop
-to start off with the currently pressed notes, making seamless loops much
-easier to perform.  Features include:
-
-@itemize
-@item Quantisation; end a loop on a beat exactly.
-@item Delayed recording; wait for a MIDI event before starting a loop record.
-@item Adjust tempo; Playback speed of loops can be adjusted on the fly.
-@end itemize\n")
-      (license license:gpl2))))
-
 (define-public pragha
   (package
     (name "pragha")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:21 2022
Received: from localhost ([127.0.0.1]:47994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6B3-00034u-F5
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:21 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:36801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Aj-0002zW-OP
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:02 -0400
Received: by mail-qk1-f171.google.com with SMTP id w3so10205939qkb.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:48:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Th/aepckEnyH9J8ZQ98CUbt5oz68L347OCOICKftUeQ=;
 b=hmsopV9rP2efgMkNQqzYjEiNcMLtVecYTKto8ga1cXIfF39qCTe6TGsDDPjMFwLF6c
 /2Isluxcx/iGLSdygWRegrhZhg+FS48VsV9z/gfdAxv+1G9jlfqcU7Qs3yvk4iMzxkWm
 HDd09wKKxjsJYtq452yHB+E43Oy5iDtQvYlDEMV+8SI8MwH808EiuXJ6L/zcZA2XMs2k
 PMkxgTDds4PSdsM5grqwGCW6hjkZjwMkClnQ08dWqQJRsHT08RGqlo5/XIA0o7RK3uup
 KZh0QugL6oOLL8ncm2S//xShBAXioYsPB06j/j3TNSD5CuPeGY7x3O0nrpUJRBaEV1NO
 1bFw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Th/aepckEnyH9J8ZQ98CUbt5oz68L347OCOICKftUeQ=;
 b=3hoN0dMkOwdETg5EiIlX9hLncJfTT1Ji7uqZrOWBS+7+matPCdvPWl+dJx4dT700QH
 b+Z2DlmPp6CF/6/fMjqeAvjl0AtTVA1BjfGsBMxNhxwRH+jtJq6fd/LrcwhzWF/+G7tW
 htTF33lmguT7Ge0L1lhYC3kLifLVYoR8dVfRJkAK2f6AQkTSTX4bHHkv6xTyi3XV4uSX
 48ZwRhagSb3AgIGJfP6VeLSlx9B1yZM0RwgmWh4Kd0qF/CEW2U1grLPzWcHWzlMjQaU8
 d1+g3aeEPc/uP4rSSe7LLOhJLrg7k3G+B6uWUDkU4QHedvz1uI1VT5mC9P1NoXhwXJDn
 5lag==
X-Gm-Message-State: AOAM532GlmDgsg77fwXhczBZ2U5Hm6pu6HtwFmKRwz1aCVCTHYlJohNK
 prhAYHRqBf1BYuz7+PgzCfd1UbtjWuRNog==
X-Google-Smtp-Source: ABdhPJyyW5eLJUe5f15XdcLLALJsMKF1zzquMyvjX4xG0bpasRoUFIBmUx38SfEb+aTugqkNfmZtMw==
X-Received: by 2002:a05:620a:404d:b0:6a0:54c9:1e3f with SMTP id
 i13-20020a05620a404d00b006a054c91e3fmr8516877qko.726.1652590081298; 
 Sat, 14 May 2022 21:48:01 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.48.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:48:00 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 096/602] gnu: Remove python2-mailmanclient.
Date: Sun, 15 May 2022 00:38:03 -0400
Message-Id: <20220515044629.6843-96-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/mail.scm (python2-mailmanclient): Delete variable.
---
 gnu/packages/mail.scm | 17 -----------------
 1 file changed, 17 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index 31cdc8da55..4365fa647d 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -3365,25 +3365,8 @@ (define-public python-mailmanclient
     (description
      "The mailmanclient library provides official Python bindings for
 the GNU Mailman 3 REST API.")
-    (properties `((python2-variant . ,(delay python2-mailmanclient))))
     (license license:lgpl3+)))
 
-;; This is the last version which supports Python-2.
-(define-public python2-mailmanclient
-  (let ((base (package-with-python2
-                (strip-python2-variant python-mailmanclient))))
-    (package
-      (inherit base)
-      (version "3.1.1")
-      (source
-        (origin
-          (method url-fetch)
-          (uri (pypi-uri "mailmanclient" version))
-          (sha256
-           (base32
-            "0fdfs5g3pf30v2i7w18pdkv9xnfxmfcv66mzv56dck0a1igq07m3"))))
-      (propagated-inputs
-       (list python2-six python2-httplib2)))))
 
 (define-public mlmmj
   (package
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:21 2022
Received: from localhost ([127.0.0.1]:47992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6B3-00034n-52
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:21 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:46649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Ag-0002yf-Vt
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:59 -0400
Received: by mail-qt1-f174.google.com with SMTP id u35so10049723qtc.13
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Cwgsfw9pJKdI5DcH0uXtkSVToQ0MhV8U3/mG+NlhfZc=;
 b=TwLbA8GNnZLwbsUn5y0HM4+649RVUL2j28y1BN6TiCvdXkNrugJF+JwROKfpDALWqw
 3Ez1ZiXJyjGvQWuL+fzaCIgQzHbhdf/eMq2OKVZW7uJvbpcWOjzaxWcBjL1ImV53HVNa
 V7syhoDVBJfPY2BP8fhb0gCZVBFsqdPdu958oDitZhSHLW/z4b6iJwshFgFt5cEsKS+r
 LmHjHMtsNBeFzW6T7PdY1EwQfXXs9zymDgvw7L54w+LgGKh6b+NJLt/c9icImkZsYN+8
 iJSpAubjS93YVeWzlt2Ss3yNHLYeV8kMBxeIwr/mqILOjum+yAO/vJBoxQ1gxOpldYf+
 vJ4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Cwgsfw9pJKdI5DcH0uXtkSVToQ0MhV8U3/mG+NlhfZc=;
 b=jfHWUKXrnWMLraVumj8ClS7+id2XqTHWb1m2WThB6k7C8w1xjyh+QNaOJMKu5b10f/
 zsVP0gz19gC1OZ2Rvm9gIBiGy54Nm8EALPvr0CW1FgM9XJ64oxA6OLVIixMkOVwBEr2B
 5GkHsvku5Iw94ilSOiUEkhK3ulzNtT3LtfDaRxdobPOut84Ag7LKZA+CRdvnn/7ljGAM
 tp0mr3HQKWiSdSsx0kjGKvcGG16WVVvB1YyODcbTQdFvX+TzLkKFQcQFjIB7VRUMhVsy
 WreFuGy1GnwdJZvIFAI5OqGjwO0BcT1PBpXLsjTu1nFPw22a89HiwhFnUUJWOHd5cKrV
 Po7g==
X-Gm-Message-State: AOAM533GS5j2/OuHPQ3oQbrX5Aw2GPqC5f2tMV4iUxW5MEEmbKvkPdNp
 gL4TYl7w17/gahkW4xaZ+P2YPgjoW8ia1Q==
X-Google-Smtp-Source: ABdhPJy267zZNHYV++PcNL7ZKZLhaSWlLhGB777bgStxsXUk1JxAhy9m1pvh7GM7j1djrzymWzCWFQ==
X-Received: by 2002:a05:622a:494:b0:2f3:c0b0:599c with SMTP id
 p20-20020a05622a049400b002f3c0b0599cmr11094437qtx.95.1652590078495; 
 Sat, 14 May 2022 21:47:58 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:58 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 092/602] gnu: Remove python2-tegaki-recognize.
Date: Sun, 15 May 2022 00:37:59 -0400
Message-Id: <20220515044629.6843-92-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/language.scm (python2-tegaki-recognize): Delete variable.
---
 gnu/packages/language.scm | 52 ---------------------------------------
 1 file changed, 52 deletions(-)

diff --git a/gnu/packages/language.scm b/gnu/packages/language.scm
index 6a0f1af2fa..ce7646b7ad 100644
--- a/gnu/packages/language.scm
+++ b/gnu/packages/language.scm
@@ -1006,58 +1006,6 @@ (define-public python2-tegaki-tools
     ;; under gpl2+. Therefore, the combined work is licensed under gpl3+.
     (license license:gpl3+)))
 
-(define-public python2-tegaki-recognize
-  (let ((commit "eceec69fe651d0733c8c8752dae569d2283d0f3c")
-        (revision "1"))
-    (package
-      (inherit python2-tegaki-tools)
-      (name "python2-tegaki-recognize")
-      ;; version copied from <https://github.com/tegaki/tegaki/releases>
-      (version (git-version "0.3.1" revision commit))
-      (source
-       (origin
-         ;; We use GIT-FETCH because 'tegaki-recognize.desktop.in' and
-         ;; 'tegaki-recognize.in' are missing in the tarball.
-         (method git-fetch)
-         (uri (git-reference
-               (url "https://github.com/tegaki/tegaki")
-               (commit commit)))
-         (sha256
-          (base32
-           "09mw2if9p885phbgah5f95q3fwy7s5b46qlmpxqyzfcnj6g7afr5"))
-         (file-name (git-file-name name version))
-         (modules `((guix build utils)
-                    (ice-9 ftw)
-                    (srfi srfi-26)
-                    ,@remove-pre-compiled-files-modules))
-         (snippet
-          `(begin
-             ;; remove unnecessary files with potentially different license
-             (for-each delete-file-recursively
-                       (scandir "."
-                                (negate (cut member <> '("tegaki-recognize"
-                                                         "." "..")))))
-             ,(remove-pre-compiled-files "pyc")
-             #t))))
-      (arguments
-       (substitute-keyword-arguments (package-arguments python2-tegaki-tools)
-         ((#:phases _)
-          `(modify-phases %standard-phases
-             (add-after 'unpack 'chdir
-               (lambda _
-                 (chdir "tegaki-recognize")
-                 #t))
-             ;; 'setup.py' script does not support one of the Python build
-             ;; system's default flags, "--single-version-externally-managed"
-             (replace 'install
-               (lambda* (#:key outputs #:allow-other-keys)
-                 (invoke "python" "setup.py" "install"
-                         (string-append "--prefix=" (assoc-ref outputs "out"))
-                         "--root=/")
-                 #t))))))
-      (synopsis "Chinese and Japanese Handwriting Recognition (Main program)")
-      (license license:gpl2+))))
-
 (define-public tegaki-zinnia-japanese
   (package
     (inherit python2-tegaki-wagomu)
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:21 2022
Received: from localhost ([127.0.0.1]:47990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6B2-00034j-QI
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:21 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:36657)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Ag-0002zP-7X
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:58 -0400
Received: by mail-qv1-f44.google.com with SMTP id kk28so9891757qvb.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=is9eoGv6evcmpXwloBk/zr+7G6GlDtPWMF+3a6h8MmQ=;
 b=K17zN23mIr7uHaMhaHEUeXHw+ucvSvJJwRLGc2yVnJfsgb5jZz/AJIuUSGdkqBljFo
 XOzeT2bZca+SLa8363ukOOwbblbkp7egQAPv1/mCHPDq5+b43x5MO14ld7T4FYN4utc5
 P2FCTEFAcN11JsOX2fxgishXcAYnsSa7L1xgm+W2kh6mSz1ZzrvKd1nKFVk7Txez0VGr
 o5Zxd8zcusQbtrJxUmSV3YUPqIX2o8BSXTESOd2bi/Ls2hSxPAuZ1WFV4auDzgda7ZDw
 lnjDx8aV70MakS1SV5khtpW78fngHybqkOH9i4Fe15YT1SUw2RR0qxprlTlBUr6/djMv
 Nz6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=is9eoGv6evcmpXwloBk/zr+7G6GlDtPWMF+3a6h8MmQ=;
 b=64dX9U3ZZ+b53ZILZarg8UPa3jruyWswQLAiRRBRCBcnL0jfqzfMJILQ3uz43C/3K+
 hBsMwD6742J8KLmN3qFGrWCqcweU0cyYJNFTwnEgZJYWCcyyHaEyDkuZzeyYaXpFIcib
 yLP8oAY2zC6HOqKzf+Vq3LMGKcyyyiHQQq+TIe7MEKOJb6EVfngRI0DSKtFL1z0zTEg5
 3q1wcIcJr2jr8I1IV/UDlor9je63PmPXs8zGXPR30KMzDOuUUKmXLeMaIu5wDJ6rX/hz
 x5K9Cj7inBPJue5stU1y1kWXBVZAwo8/IMVBpTkpNgvXZDqjPsuF3HQNt+amD/f1MUYF
 muJw==
X-Gm-Message-State: AOAM532z4zQREd8EgeuqqVPoTmJRLoJ/xVEqGJb5LOF8c8fI28FYM5T5
 wHFF7e+nR/jcQms8dy+SY9oomDJPNJHEKg==
X-Google-Smtp-Source: ABdhPJxvqDPp4ioCCkT6Px380IidInfiViFbM3ZmMxcSfmF8i4fPvo8Wt3JA7AK/Y97kjXLNfkWvlA==
X-Received: by 2002:a0c:a699:0:b0:45a:b237:e066 with SMTP id
 t25-20020a0ca699000000b0045ab237e066mr10423705qva.49.1652590077744; 
 Sat, 14 May 2022 21:47:57 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:57 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 091/602] gnu: Remove key-mon.
Date: Sun, 15 May 2022 00:37:58 -0400
Message-Id: <20220515044629.6843-91-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/key-mon.scm (key-mon): Delete variable.
---
 gnu/packages/key-mon.scm | 25 -------------------------
 1 file changed, 25 deletions(-)

diff --git a/gnu/packages/key-mon.scm b/gnu/packages/key-mon.scm
index e7b549d184..d70dd0cd48 100644
--- a/gnu/packages/key-mon.scm
+++ b/gnu/packages/key-mon.scm
@@ -26,28 +26,3 @@ (define-module (gnu packages key-mon)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages gnome)
   #:use-module (guix build-system python))
-
-(define-public key-mon
-  (package
-    (name "key-mon")
-    (version "1.17")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append
-                    "http://key-mon.googlecode.com/files/key-mon-"
-                    version ".tar.gz"))
-              (sha256
-               (base32
-                "1liz0dxcqmchbnl1xhlxkqm3gh76wz9jxdxn9pa7dy77fnrjkl5q"))))
-    (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2                    ;uses the Python 2 'print' syntax
-       #:tests? #f))                         ;no tests
-    (inputs
-     (list python2-xlib python2-pygtk python2-rsvg))
-    (home-page "https://code.google.com/p/key-mon")
-    (synopsis "Show keyboard and mouse status")
-    (description
-     "The key-mon utility displays the current keyboard and mouse status.
-This is useful for teaching and screencasts.")
-    (license asl2.0)))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:20 2022
Received: from localhost ([127.0.0.1]:47988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6B2-00034Y-F6
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:20 -0400
Received: from mail-qk1-f172.google.com ([209.85.222.172]:42732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Ad-000300-Ib
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:55 -0400
Received: by mail-qk1-f172.google.com with SMTP id j6so10178966qkp.9
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XNAtbkoZFblUAke7VrQIWLmxAaVOBQ7pJ/5Yna/pX5s=;
 b=fWksOAW39oVe0mA0szCWyVrXaNrQ5A7N8QZHbfxhfACfQLtAJBB4wcgHdV36pxoIxS
 NStzxp4etDpex/TvHvJVovugd1OQxQfmwVULsYYQ54hvfVNWXb9vY8X9yW4nVKx6yPeH
 y2IxoM9A1AnPEpp8kLVbJdfRbPRpU3oAE2zwVb6ppZOiqxzVPTx13gKO4Oe46Vc4bL3p
 6rTk2CBPAHm1M1JdxL2VMc1yEPlCFsC6JgkDCcLNbCbTSHfERGQiVt1JR8h/J73li1pH
 +m5QFUogfG3IbaEdYspIGEu6yVB8mzH3llWgfEiX4H1Rq2oa5vBaldqaP+4NDXlsAXWM
 Nrmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XNAtbkoZFblUAke7VrQIWLmxAaVOBQ7pJ/5Yna/pX5s=;
 b=I5eBNZdsb6OJjkjkoUzFHjXuOhdEVyRcyDeVJcrc2eGjVatF95sHpRa0VLU4w8fRVB
 Rmpu6+rCTj9/Tai9d1MGPyPUGHh9DlkAw9WI/fVmiUr2/OqPvhFQ22BrDXJ9FgbIEigV
 xfNNZggUO/JsBTAvpkO0sTsAiSVPiIkahcNhmd5UUfgFqexv2fUnBy9XjShIBiuHFhBM
 lJSooiK4OXajB1VATwGgxSsa3Dupx1c0u0sJGT0biJFgo4YveGGCgzwHoUXIYXcThrtG
 jYmiYi3mKxIwyatQetbgJISPqIWXsxr0+9TQwCo3UtsJ6LINBod0HBs4NMjeCLwxKLYw
 a2Ew==
X-Gm-Message-State: AOAM530sJ7PqiMd8fG4Rw0cTawCSecEzd7xT8jfLPmzHRdnjZiXfMSBG
 +nzuT94Bx5BnopoYPzLLJXFnN0JYnMJtPg==
X-Google-Smtp-Source: ABdhPJyIMyXGmLBCe0zLH3q3TlS+Oe80zwE22EgZWUMs0uEUJv1fJhkNWAdCfh+hGxGeE7AHpo48bg==
X-Received: by 2002:a05:620a:444e:b0:6a0:68da:2105 with SMTP id
 w14-20020a05620a444e00b006a068da2105mr8702922qkp.366.1652590069974; 
 Sat, 14 May 2022 21:47:49 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 080/602] gnu: Remove python2-tmx.
Date: Sun, 15 May 2022 00:37:47 -0400
Message-Id: <20220515044629.6843-80-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/game-development.scm (python2-tmx): Delete variable.
---
 gnu/packages/game-development.scm | 8 --------
 1 file changed, 8 deletions(-)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index daeeec42cb..d8725e837c 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -407,14 +407,6 @@ (define-public python-tmx
                    ;; under the CC0 license.
                    license:cc0))))
 
-(define-public python2-tmx
-  (let ((python2-tmx (package-with-python2 python-tmx)))
-    (package
-      (inherit python2-tmx)
-      (propagated-inputs
-       (modify-inputs (package-propagated-inputs python2-tmx)
-         (prepend python2-pathlib))))))
-
 (define-public python-xsge
   (package
     (name "python-xsge")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:20 2022
Received: from localhost ([127.0.0.1]:47983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Ao-00033N-RQ
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:20 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:39673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Ac-0002xr-2x
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:54 -0400
Received: by mail-qt1-f178.google.com with SMTP id x9so10080169qts.6
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1m6xxA8i9ScS+FtKdHxTm/VvYcF7QR8gn6lntJelps4=;
 b=lE7rJEWCvbGHq6B9puMR7OkFVUYlWkQYcned4N9CytVvnOlmsUfG1zQt80csETPQlP
 o/Wksj9hMZBo9b7IcAXhC4SN1kSNulL0mkqCNr9Pu+iHSgUX0yOy5/6N4i9xfnzP2+P1
 LRmfC0qXnmaeUPCfushkm9Ab3mqAapCIberbHQIvymubnKTZVMlTCX2ZrmlpGeS9XnYH
 cl7y4ULr7a192OMe3gmntFtiu/Aiurmr9/o0jbhYMheCqvXAFCACmaoIMSA5hhCsnltk
 WbvvjnZKMiawsFcH5Y8lRZsMAEoXNwZhYlKotK+bNJLS9chdl8VZkitEhgqtSUXwagyv
 IR3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1m6xxA8i9ScS+FtKdHxTm/VvYcF7QR8gn6lntJelps4=;
 b=RLxa+gnhiSeUArRWVbry4yqvVmlAPmQ8qpJmWsTTa38h4wCh/Zn1If187X6O080ihP
 gCL3Lzk7S00n2L6bERtiQ7ZCP30Dbm46lijL5n6MqXD1XeQHzOLOYUfBoxmy0VOeXkOH
 DVV1nw5Dt8YnlcQVKRKU3A87BNCSNoNV9l77xlbIm/KnaFNj8jGJwxY0npyLvXFSuzAk
 ZvJQ0/bR8XLGIJd1qRS5Q575JAiGrkmM8hwlXb9w+WgONvnX2yiqgDbtqxJ/rRwcwCtN
 MS6uiHwo9+0WpGEwVSEvQob1JcG7YfU/FkmFu0D5NfG6fZM2h18Qaf63lGDD6+llQ7xn
 GIvg==
X-Gm-Message-State: AOAM531NYEARWH2DtNBNBHPeDVXSjPfRIZqNu+WPd3Z4f8KBO+xR9Pss
 UIwtHGTziilVV7zVtZdaZEDApNj5+5zVVQ==
X-Google-Smtp-Source: ABdhPJzYjPFmVvCtAB1TdNnEM4W6q8dwqECN7TbkNRgUEQFLAJAm3i/+94Y9nySej7gzC3XRhDd9JA==
X-Received: by 2002:ac8:5c4c:0:b0:2f3:b9d8:d82c with SMTP id
 j12-20020ac85c4c000000b002f3b9d8d82cmr10860982qtj.486.1652590073545; 
 Sat, 14 May 2022 21:47:53 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:53 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 085/602] gnu: pius: Update to 3.0.0.
Date: Sun, 15 May 2022 00:37:52 -0400
Message-Id: <20220515044629.6843-85-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnupg.scm (pius): Update to 3.0.0.
[arguments]: Delete tests? and python arguments.
[phases]{set-gpg-file-name}: Streamline.
[description]: Spell key signing as two words.  Mark commands with Texinfo
markup.
---
 gnu/packages/gnupg.scm | 65 +++++++++++++++++++-----------------------
 1 file changed, 30 insertions(+), 35 deletions(-)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index 02a7c8d942..c9b233c1e4 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -21,6 +21,7 @@
 ;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;; Copyright © 2021 Nikita Domnitskii <nikita@HIDDEN>
 ;;; Copyright © 2021 Aleksandr Vityazev <avityazev@HIDDEN>
+;;; Copyright © 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -638,44 +639,38 @@ (define-public perl-gnupg-interface
 
 (define-public pius
   (package
-   (name "pius")
-   (version "2.2.7")
-   (source (origin
-            (method url-fetch)
-            (uri (string-append
-                  "https://github.com/jaymzh/pius/releases/download/v"
-                  version "/pius-" version ".tar.bz2"))
-            (sha256
-             (base32
-              "1nsl7czicv95j0gfz4s82ys3g3h2mwr6cq3ilid8bpz3iy7z4ipy"))))
-   (build-system python-build-system)
-   (inputs `(("perl" ,perl)             ; for 'pius-party-worksheet'
-             ("gpg" ,gnupg)
-             ("python-six" ,python2-six)))
-   (arguments
-    `(#:tests? #f
-      #:python ,python-2                ; uses the Python 2 'print' syntax
-      #:phases
-      (modify-phases %standard-phases
-        (add-before
-         'build 'set-gpg-file-name
-         (lambda* (#:key inputs outputs #:allow-other-keys)
-           (let* ((gpg (search-input-file inputs "/bin/gpg")))
+    (name "pius")
+    (version "3.0.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://github.com/jaymzh/pius/releases/download/v"
+                    version "/pius-" version ".tar.bz2"))
+              (sha256
+               (base32
+                "11fhmfvr0avxl222rv43wjd2xjbpxrsmcl8xwmn0nvf1rw95v9fn"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'build 'set-gpg-file-name
+           (lambda* (#:key inputs #:allow-other-keys)
              (substitute* "libpius/constants.py"
-               (("/usr/bin/gpg2") gpg))
-             #t))))))
-   (synopsis "Programs to simplify GnuPG key signing")
-   (description
-    "Pius (PGP Individual UID Signer) helps attendees of PGP keysigning
+               (("/usr/bin/gpg2")
+                (search-input-file inputs "bin/gpg"))))))))
+    (inputs (list perl                  ;for 'pius-party-worksheet'
+                  gnupg))
+    (synopsis "Programs to simplify GnuPG key signing")
+    (description
+     "Pius (PGP Individual UID Signer) helps attendees of PGP key signing
 parties.  It is the main utility and makes it possible to quickly and easily
 sign each UID on a set of PGP keys.  It is designed to take the pain out of
-the sign-all-the-keys part of PGP Keysigning Party while adding security
-to the process.
-
-pius-keyring-mgr and pius-party-worksheet help organisers of
-PGP keysigning parties.")
-   (license license:gpl2)
-   (home-page "https://www.phildev.net/pius/index.shtml")))
+the sign-all-the-keys part of PGP key signing parties while adding security to
+the process.  The @command{pius-keyring-mgr} and
+@command{pius-party-worksheet} commands help organizers of PGP key signing
+parties.")
+    (license license:gpl2)
+    (home-page "https://www.phildev.net/pius/index.shtml")))
 
 (define-public signing-party
   (package
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:48:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:48:06 2022
Received: from localhost ([127.0.0.1]:47980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6Ao-00033H-F2
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:48:06 -0400
Received: from mail-qv1-f43.google.com ([209.85.219.43]:33710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6Ab-0002s0-A3
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:53 -0400
Received: by mail-qv1-f43.google.com with SMTP id j3so601818qvn.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=d2Yjivo/GPUEOXYL/AkAnZ3RiRRUOVeMCkUIS48Zx4Y=;
 b=UNecXJxYj5xkFA6Ou7HdgzpnhNtcA9XFtK4IC/ejncQZ0uYD/jCPID8S211eK3p6Yn
 JoLPvL3M7nIVn1RjO2DoTEip6N1V9tjcCCXcASD0AuRylbFZUuGY1IClpuJIeQ6hN9qN
 zPl8xSwBhFAsGX0P8CqIA9Cwble1negdaKiyeLbunJZn4YOPY1wVVR93yLr3VdOiZrvQ
 9XEeNKHoaH1nfwc+WBhE2923D0l6lKoPYp3eI7mG17NyR67mXPeducaTIIfk0Ffqh+uq
 CS9b2OOkszTx7DR4jet8kTTvySh/qse10wFQEOxk9xO7kc4ZG3rK0OYBOePuL3SX+0Md
 2s1Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=d2Yjivo/GPUEOXYL/AkAnZ3RiRRUOVeMCkUIS48Zx4Y=;
 b=2RnGic2zL+1DOcndpWQsnBdGO9qZvvtYdzvr9wltH2FIWEo94lvfkiIt40bSUI1Ofn
 RNK/t8oAci5v7lfwfVtRv35CFJLAOENZvu3LzttE8Y5GFR3+7IKxNU8SSI4EPAmVCYvv
 CFVMtwJdF4VJNANUbZCgbC/l9XoxUUzhkZ2Pw2a5tclmYPuiqs8OBvNepiY1JJU+tuM+
 NAcwq23l+SYTWRgtHWKvBTPb5+uRjs7T/NZ/yJCYh2dLVgvnxE+OkTIYTuW9T0PwUfRv
 YnSqbydmZJ/R6tly43GyCKdqIgR1ZbQzEYBCeReqmWqkM7Tp7WMLpLWUhSsh6eB1Hqib
 IWGQ==
X-Gm-Message-State: AOAM533AL5pTO2EcYdbEYreRQvVm0zX07LewbqrAFwrPlQCWPai45z6O
 jcEOL2bgl8epFAHo90GkJbGG6C/Fy1yBDA==
X-Google-Smtp-Source: ABdhPJwHXjAMGBlxc+2qRyP4Z/Ad/7EAZMf7W3Kufl8aZvAdyWQRl3OdizP42K8UJE47wXiAlWneSw==
X-Received: by 2002:ad4:458e:0:b0:456:3a36:13df with SMTP id
 x14-20020ad4458e000000b004563a3613dfmr10376481qvu.123.1652590072819; 
 Sat, 14 May 2022 21:47:52 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 084/602] gnu: Remove python2-pygpgme.
Date: Sun, 15 May 2022 00:37:51 -0400
Message-Id: <20220515044629.6843-84-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/gnupg.scm (python2-pygpgme): Delete variable.
---
 gnu/packages/gnupg.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index 58a5c44318..02a7c8d942 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -567,9 +567,6 @@ (define-public python-pygpgme
 decrypt messages using the OpenPGP format by making use of GPGME.")
     (license license:lgpl2.1+)))
 
-(define-public python2-pygpgme
-  (package-with-python2 python-pygpgme))
-
 (define-public python-gnupg
   (package
     (name "python-gnupg")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:47:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:47:20 2022
Received: from localhost ([127.0.0.1]:47911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6A4-0002wE-BF
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:20 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:43865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6A2-0002uL-2S
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:18 -0400
Received: by mail-qv1-f51.google.com with SMTP id v5so1193314qvs.10
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=bQJ1/v07x8ZSLaxVKFgU6Dz5MOaAtbkimV7lraCBofw=;
 b=S0KEJbluAp4quTs1xNvj1LHqIlPbLHuEvdZIVxa43WatmrvaQ6aOIxjPZMKEdy+ChO
 voaeRelT/BgLj7PZd7Ep3GwV3trSmq8C12zpdOgq3xYQV2Qm/nV4BDjv1n3DRIAZn7h7
 KWm/4DeU7Srz7bcBPO74zkManzAMpBL6gjyGKsJq3wFYsnh4Y+hzbFhMyJ6qTgxb407U
 8d1TVF7JVZ8HeJpMGECDERgxzEKKYvesflJNPZhsFNrxIJSevc3VHCXhDcwCcoDxmmSE
 Mj6aZ5DGhpCQ2QiKT9p7oLImKLx9Xsg+HvgU1b2U7NWsUbxWHCP8LoCKB+3W4r+fBcxR
 lOlQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=bQJ1/v07x8ZSLaxVKFgU6Dz5MOaAtbkimV7lraCBofw=;
 b=DUTymk6C356v0HfCM36ez7qj2M/QDlYH0iautEPYKTfSwEdQJlKUo1x3VrGTvZB63m
 9xgN5rJysRVl+SiNeJWx6ZRI8jnFpoNjLx/92DKjN+R9N+zb5+nN+ACitCaAZVOlYuaL
 J4HhF894PjQ+mbavHqlp/hKVJWkMYIXammAd5YOEubYQi2zXW+eHwUn25tn50oyVPR57
 8c5K1+Tp0gIjSFdK2ciBx8tDFkRvZ+LbCapTLCgCbMHIvvQBxZ4uf2xJL3STGrwJfM54
 ycEHEwuGy0xPyILkRCQI9m78hWrG5keBFI8GBvlZYEbmynCKDNO4vJHJ2masxuJbD83a
 o6Uw==
X-Gm-Message-State: AOAM531TOwapJORC6tff6l8p9YvWjr6bLZcJ6w9BYRXswY2mr9Fzeb9w
 8mg1CdAvdxgfQy9WKFi64Nh8GdnIbUJG+Q==
X-Google-Smtp-Source: ABdhPJwNin+hHCprQjOHYybWZv3vb5qDJBb6hsz35JRK2USlKw78jYQQMbzvCwj7V1SnH+Q/LGHCEQ==
X-Received: by 2002:a05:6214:20e6:b0:45c:84f2:424c with SMTP id
 6-20020a05621420e600b0045c84f2424cmr10366603qvk.101.1652590037617; 
 Sat, 14 May 2022 21:47:17 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:17 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 034/602] gnu: Remove python2-pytest-catchlog.
Date: Sun, 15 May 2022 00:37:01 -0400
Message-Id: <20220515044629.6843-34-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-pytest-catchlog): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 59e9d16dd5..ac680bdd62 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2659,9 +2659,6 @@ (define-public python-pytest-catchlog
 a fork of pytest-capturelog.")
     (license license:expat)))
 
-(define-public python2-pytest-catchlog
-  (package-with-python2 python-pytest-catchlog))
-
 (define-public python-nosexcover
   (package
     (name "python-nosexcover")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:47:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:47:19 2022
Received: from localhost ([127.0.0.1]:47909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq6A3-0002w7-1F
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:19 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:43865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq6A1-0002uL-8i
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:17 -0400
Received: by mail-qv1-f51.google.com with SMTP id v5so1193314qvs.10
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=VaYF5cWQBV9H88xZFwThAZiKeFJVmjKmp1FmgqHfqgM=;
 b=C3kPY4fjhlcNDTF8EMZ2TCgUNW1EBQ0uL4mEPPkH0SvMmcVqW8gJMBgx/mMvpeE3Eu
 MpCMlKaAxfrSX4TokIAnI96feeRUQx+/k1qPvLcfjf88fMn1RHa+P+o0jaA49oNXfyQ0
 tGT6igg51Oc4if7e+EWrzCIZ3PtucniiXqKHo+ylfb3CxIti1X8QYrMpPEEqG9xwuZQl
 a1GSZATND98MjyF01sEuYd5YvyYf+2pkynjJ8K+DwvLaEorhqzXXQ1UlO1CBNMHD0d3A
 RZV0gUy1DQVwfhVnG+qnuVYR7wDLNFQN+o+nR0rke8/T0pIw+jQevjGQLYucn6axb4He
 N64A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=VaYF5cWQBV9H88xZFwThAZiKeFJVmjKmp1FmgqHfqgM=;
 b=uG+1yfdrLORTP1T+Xf9zfirh6HFGtJ/KNlSxXrqHlLNYImqaDQ5Wf5DCu5obQ8Zl7M
 OZsDpqyH+TgkD/PwAB2PV8ZmAH9H1BQ4IqTPmTvaFPOxQThjCDZEl3Qvrkj0NqXkQ0ST
 zNHm7x518u+sifE5wcVvz2uceyK0B8Tns4a3VQh6Ztf8FKTeCFV8b9ef2jl8WNhBQShw
 jo1SnGJV4fo1F3o89wGwOt9LUh1XRq6ox7jV/uiH9YmB2EuB0h3r7yH0gdWEwmcIVBZT
 iCOZOLfuxN2AgUrsXuYGm/0loSSmlxXgWHWRuSyRLfUasMx/DeE3XnSy0+yVqd9WjjPW
 Mwlg==
X-Gm-Message-State: AOAM533MkFafrsPDO0YkXeR5n0D1dUFhAoefFE8IQpJVBhoCb5fj2c4q
 agw8mKVPZD3+KuH0v3RWZwAzXrUkdJBxOg==
X-Google-Smtp-Source: ABdhPJwzYc6hROKy+2ww8rc7RaLpYXi0MWCzXaunKcVHdqKiM8J+OfSjAIFs77pB0i4pdgk+OyvlNw==
X-Received: by 2002:a05:6214:e69:b0:45f:380d:2f01 with SMTP id
 jz9-20020a0562140e6900b0045f380d2f01mr10425406qvb.57.1652590036817; 
 Sat, 14 May 2022 21:47:16 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.47.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:47:16 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 033/602] gnu: Remove python2-nose-timer.
Date: Sun, 15 May 2022 00:37:00 -0400
Message-Id: <20220515044629.6843-33-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python2-nose-timer): Delete variable.
---
 gnu/packages/check.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index ef1c7edd13..59e9d16dd5 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -2885,9 +2885,6 @@ (define-public python-nose-timer
     (description "Shows how much time was needed to run individual tests.")
     (license license:expat)))
 
-(define-public python2-nose-timer
-  (package-with-python2 python-nose-timer))
-
 (define-public python-freezegun
   (package
     (name "python-freezegun")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:47:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:47:08 2022
Received: from localhost ([127.0.0.1]:47882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69s-0002ue-1Y
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:08 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:38400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69p-0002sc-6m
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:05 -0400
Received: by mail-qv1-f44.google.com with SMTP id n10so9877587qvi.5
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=6Ubx25DNhx2RrNYOFkSNGxKuSRxY+ToxEdLaq9UmDt4=;
 b=WS70aM4N77BpUexkGgQXhu1wo0CR8uqF3MlNOIV30h8bmjNDQAyomrNzX/AKYwRpEL
 DtSmkdUSpIKGj5AdH03ZxgXQfDodB0loKtRJOXJKDjl10S+6tEOxmWPvWdiBcNlLZRXN
 hy061SbNcGmTzKIaF8R4bxUGUtXExHUmT7c0K4rmD8fGTdeL2APot2QDgqy9dZBxoukS
 /Gsw6zEzF3PDxt32n0nwOaSd+zHA9dkrw19zPYH3MgUpfyyYrv+8XHvkRLcBeRImzXKz
 FOQ9M1U+wJPmIiDp+mbi2THino9Fp7KxNnPlkla+HzbqGSaZtQ7iHZ4kGtne0FK+QPbn
 Q5MA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=6Ubx25DNhx2RrNYOFkSNGxKuSRxY+ToxEdLaq9UmDt4=;
 b=rssZpi7pCVGQFDcAhw6L06ByGFvIbDqSkHx6HPJWrG9ImtQ3xtt9NUEZ+Tsb0zIOjs
 B6W169n7URIw/UGGxybx/Ma05ksUa+Y6qg6S7TRw5c3s9tKdeiVv/pGyWK+KIhjqxGv7
 zx4O1qAtJ9lRaU4shHe8F89+JC9BeuOpkZ6xQ3CUj6l9dzl5JXorGbtVeXmIwSm2XFb8
 igBw1boo5qOcGq6p7U5mIcNTCYozvxE7fiALC8cZnyHkACqkyfod389H4TAqNLEjzkZb
 KH/aEV+vfCL7mE+4QWS/UXaTpmw87/9sbQI6LQFz/2wDEDkEGnbztkijwodbi3eyACHE
 pY7Q==
X-Gm-Message-State: AOAM5310/zK9hrPb2B6t1xF0BcR+0FTMIwU5fG4WM+pH3J4u7Mbsydmk
 GUbTLq3XsMaWil9VV6d60fxDE0PQxV0z5g==
X-Google-Smtp-Source: ABdhPJwyo3wto+ma+CgUn/tP8KQN8SgaoAw5OyanSkUk+SrIRMHXpt+NCV3MnsLbY4EDkhhMDv+fEw==
X-Received: by 2002:ad4:458e:0:b0:456:3a36:13df with SMTP id
 x14-20020ad4458e000000b004563a3613dfmr10375219qvu.123.1652590019717; 
 Sat, 14 May 2022 21:46:59 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:59 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 009/602] gnu: Remove graphios.
Date: Sun, 15 May 2022 00:36:36 -0400
Message-Id: <20220515044629.6843-9-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/admin.scm (graphios): Delete variable.
---
 gnu/packages/admin.scm | 36 ------------------------------------
 1 file changed, 36 deletions(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index 34e4a6e8ca..591899dc79 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -2567,42 +2567,6 @@ (define-public fdupes
 specified directories.")
     (license license:expat)))
 
-(define-public graphios
-  (package
-   (name "graphios")
-   (version "2.0.3")
-   (source
-    (origin
-      (method url-fetch)
-      (uri (pypi-uri "graphios" version))
-      (sha256
-       (base32
-        "1h87hvc315wg6lklbf4l7csd3n5pgljwrfli1p3nasdi0izgn66i"))))
-   (build-system python-build-system)
-   (arguments
-    ;; Be warned: Building with Python 3 succeeds, but the build process
-    ;; throws a syntax error that is ignored.
-    `(#:python ,python-2
-      #:phases
-      (modify-phases %standard-phases
-        (add-before 'build 'fix-setup.py
-          (lambda* (#:key outputs #:allow-other-keys)
-            ;; Fix hardcoded, unprefixed file names.
-            (let ((out (assoc-ref outputs "out")))
-              (substitute* '("setup.py")
-                (("/etc") (string-append out "/etc"))
-                (("/usr") out)
-                (("distro_ver = .*") "distro_ver = ''"))
-              #t))))))
-   (home-page "https://github.com/shawn-sterling/graphios")
-   (synopsis "Emit Nagios metrics to Graphite, Statsd, and Librato")
-   (description
-    "Graphios is a script to emit nagios perfdata to various upstream metrics
-processing and time-series systems.  It's currently compatible with Graphite,
-Statsd, Librato and InfluxDB.  Graphios can emit Nagios metrics to any number
-of supported upstream metrics systems simultaneously.")
-   (license license:gpl2+)))
-
 (define-public ansible-core
   (package
     (name "ansible-core")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:47:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:47:08 2022
Received: from localhost ([127.0.0.1]:47880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69r-0002uV-FM
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:07 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:38405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69o-0002sa-N5
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:04 -0400
Received: by mail-qv1-f50.google.com with SMTP id n10so9877578qvi.5
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=sr310Fi6ttUWIZADBZIyLGtyWoM01N7PECSURw7FhpM=;
 b=Es3LNAR3LQxPq13XaW+rpofVN7lvnF43JQ5pyG6RXjirM/QRER1WX3fyzMFae5iS6v
 C94WJ+T/w3atz08fm/vYMiRShYBWu6ZCWcoAdeo5A5FgCXWUFmvv9imuQBXGlbStyuZU
 q1/V6Zw2LVGvVOSIFkfKrOOPSkJDbMKkHL5XnFKt7PwR1IPStA+szJ2i65K787gquTn9
 DwoSdtTtyeFJYOL7OfE/9Eld4Dl+YbyRjgpukQkzHRnv20wM4EFxuYVw3xxbmUFUgCQR
 OaV6vZeFuJu6aysHG9Pzp5aM1h+T1eDkX4mS0J1yo0Amn9eyTzO8eDNcsi0LoYbGkLi1
 oKAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=sr310Fi6ttUWIZADBZIyLGtyWoM01N7PECSURw7FhpM=;
 b=T+wx1lmt/DdZBQOzYk1sX3YRWt4yzn/70bJ46wytzehHy3YEGQ0xgY6Ic6wdRjVvn7
 I+QPNconZKO2/pfeU+qR9hNktkkFMYi9h9wdsLhKKPjBfk5ixjQ86dBMploP8sqc+h/u
 W5n3CWx4/5LC23crg5BgwQfN9/cgHs/VxKd8yVxSpHhToXbQ/j7sJO+glG1wTwf7fWI9
 /Ha0uguZlYNnEGl7+DWJEk6EBHtqhYsNLaP7S8zzCeV8Z0bh+b+KYYbJkY/BeZloDZiQ
 tHDVZ0yQb1/5pVMHsbd6Bsw0hE31aU+mR1LFaAnDd0FqBVCILNqCcH6AhFn5RgZpQ25u
 PUsA==
X-Gm-Message-State: AOAM53214OO/EDluBRQXHOK6JXLwNGCwYshXWvbfUHNrr097kX0G0/i3
 BUu7xPcIzQ7FFav/zXolA4Nt6zuEYwxmbQ==
X-Google-Smtp-Source: ABdhPJzr0jjvvRIsxMp4Y5vfDK8GBPio9SvFZTJhv8qQcbkc5ya5s30p5XbeeOVhjKWI+2EgxANunw==
X-Received: by 2002:a0c:dc91:0:b0:461:cab2:8630 with SMTP id
 n17-20020a0cdc91000000b00461cab28630mr428280qvk.79.1652590019106; 
 Sat, 14 May 2022 21:46:59 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:58 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 008/602] gnu: Remove python2-langkit.
Date: Sun, 15 May 2022 00:36:35 -0400
Message-Id: <20220515044629.6843-8-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ada.scm (python2-langkit): Delete variable.
---
 gnu/packages/ada.scm | 29 -----------------------------
 1 file changed, 29 deletions(-)

diff --git a/gnu/packages/ada.scm b/gnu/packages/ada.scm
index a3bba245ec..ea3e9c365b 100644
--- a/gnu/packages/ada.scm
+++ b/gnu/packages/ada.scm
@@ -149,32 +149,3 @@ (define-public ada/ed
 clauses, and thus does not support systems programming close to the machine
 level.")
     (license license:gpl2+)))
-
-(define-public python2-langkit
-  (let ((commit "fe0bc8bf60dbd2937759810df76ac420d99fc15f")
-        (revision "0"))
-    (package
-      (name "python2-langkit")
-      (version (git-version "0.0.0" revision commit))
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "https://github.com/AdaCore/langkit")
-                      (commit commit)))
-                (sha256
-                 (base32
-                  "1abqgw2p8pb1pm54my5kkbbixfhc6l0bwajdv1xlzyrh31xki3wx"))
-                (file-name (string-append name "-" version "-checkout"))))
-      (build-system python-build-system)
-      (propagated-inputs
-       (list python2-docutils python2-enum34 python2-funcy python2-mako))
-      (arguments
-       `(#:python ,python-2
-         #:tests? #f))           ; Tests would requite gprbuild (Ada).
-      (synopsis "Semantic analysis tool generator in Python")
-      (description "@code{Langkit} is a tool whose purpose is to make it easy
-to create syntactic and semantic analysis engines.  Write a language
-specification in our Python DSL and Langkit will generate for you an
-Ada library with bindings for the C and Python programming languages.")
-      (home-page "https://github.com/AdaCore/langkit/")
-      (license license:gpl3+))))   ; and gcc runtime library exception
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:47:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:47:07 2022
Received: from localhost ([127.0.0.1]:47877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69r-0002uR-7K
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:07 -0400
Received: from mail-qv1-f49.google.com ([209.85.219.49]:41762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69n-0002sT-WE
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:04 -0400
Received: by mail-qv1-f49.google.com with SMTP id jt15so9877257qvb.8
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=cbeEJcQO1ik11UwpUTrvazMwvDNvwbKVcwmStjJ/kVY=;
 b=QkrKJ1JlZWYHRMa8ygI1hfkYstOCsa/jgYcAqyT7akY3nuKQ6SwFR//PSzZhQRdMQ7
 ijf5JnlnpMU2k7edKSIwt8JIW/0pBDp6EpZkprm9Kubj8FOuyezsWEtas5MyZCqKIyCu
 GEx5XwV9F2q9/+gRQmgNBRreWItfzJ5T3pkMkC+kflfcHjQA1iDrHy6DicYgHPVK+b5h
 n2wv7/Gn8UaeZu75o4HqRsEVqsxee/GanfojGLtCrTbeIKZTAmz2Dz+IcfIoQpjhzDTk
 rXFQa6ExuVeeLVb6hVLs9kns5kjBkEHfltmnHuyfUa5tgAQWi5M2Z6y5xLsedpMK3RGM
 3bIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=cbeEJcQO1ik11UwpUTrvazMwvDNvwbKVcwmStjJ/kVY=;
 b=ZVfLsj52YrVg85yRcZOv/PNYO6/Dirt6ZxGPF01CrJUuDobObr/klaMHMz+k7lG0ME
 klrwHcjwDf7miml+3BmL2g2m+pe5FCsn3SJzY0jRsEtXlXfjA4dxlwcIZqwT3ktqoTha
 6CSKbTaDha/v5W05jxvLBFhfMi54mk4arnSQDPpj90o1xLV/xayMsEpxKIVaZtso3scA
 TbzbhoUuf/HT/gl/BG7WjzIiRq+jMJEIgkqe5BuDj7Wit2/9J5s110P+UTRyWJEvVLVX
 sSmYRIdX1FsGBa2HWciQ/8+ykRp4zVaWKBe+YdubJtCM6YkjDJr8cHTo8BVkrdCBOfeQ
 Hb6Q==
X-Gm-Message-State: AOAM531gw2D79SkavA3NVi4x8BTNoUqqF151Wt3m0Y7CRzA7kxkduwPU
 udyt4zqNOkeJEs1dwpQaOwA1JAoW2KfE3A==
X-Google-Smtp-Source: ABdhPJyhbyCnWSlsLu5lLlXsvKX3gditH8yzmgfQQz9PTqpipPlJtZxmMR91m7e+vrHU+9ugfqQkcA==
X-Received: by 2002:a0c:8c0a:0:b0:45a:a06d:2ded with SMTP id
 n10-20020a0c8c0a000000b0045aa06d2dedmr10608847qvb.116.1652590018394; 
 Sat, 14 May 2022 21:46:58 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:58 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 007/602] gnu: Remove python-pytest-runner-2.
Date: Sun, 15 May 2022 00:36:34 -0400
Message-Id: <20220515044629.6843-7-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/check.scm (python-pytest-runner-2): Delete variable.
(python2-pytest-runner): Likewise.
---
 gnu/packages/check.scm | 16 ----------------
 1 file changed, 16 deletions(-)

diff --git a/gnu/packages/check.scm b/gnu/packages/check.scm
index 8e6576208c..ef1c7edd13 100644
--- a/gnu/packages/check.scm
+++ b/gnu/packages/check.scm
@@ -1315,22 +1315,6 @@ (define-public python-pytest-runner
 (define-public python2-pytest-runner
   (package-with-python2 python-pytest-runner))
 
-;; python-bleach 3.1.0 requires this ancient version of pytest-runner.
-;; Remove once no longer needed.
-(define-public python-pytest-runner-2
-  (package
-    (inherit python-pytest-runner)
-   (version "2.12.2")
-   (source (origin
-             (method url-fetch)
-             (uri (pypi-uri "pytest-runner" version))
-             (sha256
-              (base32
-               "11ivjj9hfphkv4yfb2g74av4yy86y8gcbf7gbif0p1hcdfnxg3w6"))))))
-
-(define-public python2-pytest-runner-2
-  (package-with-python2 python-pytest-runner-2))
-
 (define-public python-pytest-lazy-fixture
   (package
     (name "python-pytest-lazy-fixture")
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:47:04 2022
Received: from localhost ([127.0.0.1]:47868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69n-0002td-SC
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:04 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:36794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69l-0002sJ-LI
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:01 -0400
Received: by mail-qt1-f179.google.com with SMTP id v14so8915005qtc.3
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:47:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=yCi/Qk9hl6b16xy8siHvn+eZN3tbeXHMXIQcKUyE8gc=;
 b=ewwG7eJlS0R+r5odsTmvDA8B6xyWzEiaQp0U7oAwiaGyIogvj1LswTr0As+HVwsVTg
 RjGAdJwkMy994cWDMhpmVAtAWFUfU7Toh38Z2L6uWymSqhXGeReNdj/K2QLCrYpXsnLI
 xbJUGjDpn3fyfXsn7q05k4IkRkeVw6INnNtscWRkNmdOA4nnTUaSJEfyKOJXDBN5JPpT
 VyaXYGifJZALBiN9onV8dERcVTmzxgcW2+/FEVDn08jTfCPPdXkC04hptcOEoheqSKQm
 Jqwg4CAEta0GcyViTaL1vqUJ3xbfmhxTSyKU4/+pt5x94xHUdWJXzCCC9UwJA1mz91L8
 uR5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=yCi/Qk9hl6b16xy8siHvn+eZN3tbeXHMXIQcKUyE8gc=;
 b=Gnek/51S4iUX2kngQ2gS0Yg8gLZvV8oRkK8Fe/jDtdFl5oTjCfRHSkouLLeLpwgk4C
 wvRjpXfOoQnpfLmiGDaVXI9MFWbzBr2uEiWFDI+6Jv7GbyTvs72izlp2SZIAEN8lCGoI
 MFHT0tQXYN6fiI2RhGy21iWYUIPLVwl37fkrjtqpY9T8+2fbbcbi571dr7OB/Qv/30n5
 aPS0/oRRLQldkDnQwBpVVSELLFO2M5qV+gmdm849mjwVj+Q8udRg7dvhAk7QuUC6g5Nw
 HAaYzO+Rkq69Cr3WBzArpRT3ZKF463K79PDIWE0pTsWYgfRrne2+XdhhlBMSxQDdu7gz
 8tcQ==
X-Gm-Message-State: AOAM532/3AgFgX+VVNFYpBtvdhol31cJuvYnu8P4EdLPUt0RT/rQBsXh
 1Je7Z3UlBLZ/Pl0mOjrtUJvXJMqog/bAmQ==
X-Google-Smtp-Source: ABdhPJz1GgYl7C6kekKEUoC0fqANNlm4Gfn05g624xWRFnyNXw24MCYz6n2DdGxw1iMXAGcxqRdbYg==
X-Received: by 2002:a05:622a:13ca:b0:2f3:b1ac:48f5 with SMTP id
 p10-20020a05622a13ca00b002f3b1ac48f5mr11157298qtk.125.1652590016095; 
 Sat, 14 May 2022 21:46:56 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:55 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 006/602] diagnostics: Fix typo about 0-indexed COL in location.
Date: Sun, 15 May 2022 00:36:33 -0400
Message-Id: <20220515044629.6843-6-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/diagnostics.scm (source-properties->location): The location column is
0-indexed, not 1-indexed (the same as in source-properties, so the code is
accurate).
---
 guix/diagnostics.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/guix/diagnostics.scm b/guix/diagnostics.scm
index bf1ced8140..9f0d558f2f 100644
--- a/guix/diagnostics.scm
+++ b/guix/diagnostics.scm
@@ -232,7 +232,7 @@ (define (source-properties->location loc)
 by Guile's `source-properties', `frame-source', `current-source-location',
 etc."
   ;; In accordance with the GCS, start line and column numbers at 1.  Note
-  ;; that unlike LINE and `port-column', COL is actually 1-indexed here...
+  ;; that unlike LINE and `port-column', COL is actually 0-indexed here...
   (match loc
     ((('line . line) ('column . col) ('filename . file)) ;common case
      (and file line col
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:47:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:47:02 2022
Received: from localhost ([127.0.0.1]:47860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69k-0002sd-FF
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:47:02 -0400
Received: from mail-qv1-f43.google.com ([209.85.219.43]:33710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69i-0002s0-Ur
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:59 -0400
Received: by mail-qv1-f43.google.com with SMTP id j3so601818qvn.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:46:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=CDWrKdb5x95f/tEeX4QUqfnhv31MV5MU2wjpZ1kepiQ=;
 b=Mhq9pG7tMnxgTJDeWkNvQ0xSsStDJ+UGiBMLoQh/p0BeO/Io3AyiBdMdfK6sx0Vpgd
 ZKs9tycksrtorKnK2e5doATnNfBIZ9PYXiRtVvFPSW4PCFX7sO4Nw8+XFpytfJYhc5Fv
 YMp4nvxPrwoC6OFTo4j4TXqv8OXf3N0aeY71YKgsrovjNqG/j0tFvL45rL4qAbqqg4ON
 KlZaF6mxeTBhMoQxuMWr0NnUXC2bZUGnZx3NHsT38XvGAmxTnXzQIwUr6V66U5Keg1sf
 USzIIITlYd8RiGgSjCOBVaBOXgztxku8kqZtKJMwBsPUAvSJ0a4LIBkfXTeoAEE/+16D
 ESvw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=CDWrKdb5x95f/tEeX4QUqfnhv31MV5MU2wjpZ1kepiQ=;
 b=RPbfbozxslfQAX4RK93RfGdG9Vv8u8V69ts02s8kweyqdJCphM+XxBUH8nUGUPMvhq
 IQHLKcGnAO90RNRYBUi9RUq/lsuqJjqAlsxwHgxBxEPf0CO9vY4rQ+hsoxXMgemvnaSX
 faocg1cGi6xmDx2gHM++mwlRApjE5Es3PcBVeubKg+ty9lQ9opsjpKW+TSZWdUXDGlWH
 4+wAN7qAzoEYBsrJPSKeCjCRxOB7YTdV1CiPntXRg2GCL5VGH2g9ojcuDgfdPfA+Wd9i
 L3GNOmg1dTKeBpXZ8d6oimii67+DnxTGLGcMte9b4D/VoRRBXxxTkqIdh0MXZA4Q3HzA
 v+rg==
X-Gm-Message-State: AOAM5313sxbYRpLioaRmui8r/8cQ6BSfacDb7YRrNE5G+xou9MnAdbAc
 p4CqX2DWMbJ0H2seHVVm7QDBDXMnIK1C8g==
X-Google-Smtp-Source: ABdhPJyDoR/wJOoIc1v4g6AIwSZZ8sIyJK+reQy0YABBf57dUA+2N+h7R6YdrYJ67qf6qIRNo226+Q==
X-Received: by 2002:ad4:5945:0:b0:45b:39b:313a with SMTP id
 eo5-20020ad45945000000b0045b039b313amr10403883qvb.23.1652590013317; 
 Sat, 14 May 2022 21:46:53 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:53 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 005/602] utils: Add a %guix-source-root-directory procedure.
Date: Sun, 15 May 2022 00:36:32 -0400
Message-Id: <20220515044629.6843-5-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/utils.scm (%guix-source-root-directory): New procedure.
---
 guix/utils.scm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/guix/utils.scm b/guix/utils.scm
index e169624ee6..37b2e29800 100644
--- a/guix/utils.scm
+++ b/guix/utils.scm
@@ -78,6 +78,7 @@ (define-module (guix utils)
             substitute-keyword-arguments
             ensure-keyword-arguments
 
+            %guix-source-root-directory
             current-source-directory
 
             nix-system->gnu-triplet
@@ -1031,6 +1032,10 @@ (define (read! bv start n)
 ;;; Source location.
 ;;;
 
+(define (%guix-source-root-directory)
+  "Return the source root directory of the Guix found in %load-path."
+  (dirname (absolute-dirname "guix/packages.scm")))
+
 (define absolute-dirname
   ;; Memoize to avoid repeated 'stat' storms from 'search-path'.
   (mlambda (file)
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:46:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:46:57 2022
Received: from localhost ([127.0.0.1]:47857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69g-0002sK-Vz
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:57 -0400
Received: from mail-qt1-f173.google.com ([209.85.160.173]:38524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69f-0002re-0D
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:55 -0400
Received: by mail-qt1-f173.google.com with SMTP id fu47so10075973qtb.5
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:46:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=0hSHUoXvsA3T1Phj1BQ2SDD7VKjgWbirW4feNufPc28=;
 b=XHL/Ynkeks9iEc1DB+vip/NjU3tYOX5naBUHwHr0bR977/9VyIEOsn7daFevjEri2b
 nQ3JU6dEDCH9R0P3FY0ptNwFe3Kfgz8dd/qpyUfRIxqre/y3ukgwUGUB6LEotWJkh+0Y
 bYxoT8wjzqyW3W9qHvJkeQRCJ3x0HFxHHBGwOWq72lRbS2IeSuo25pxv+QhG2MwfWwUG
 fvpgBABjPd1PNgZ+7yc3EfW6Apz4pj/c0xIlVoYa/UyEuLzUlpclfd7clN8sUnbTlOQE
 +CAftXeeT7NzFHJdiLjSMrjibe1MOTWi3mwR7+ffCmg4WYuSkYzMuBEAPldasKmkRg3T
 SOiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=0hSHUoXvsA3T1Phj1BQ2SDD7VKjgWbirW4feNufPc28=;
 b=oclg5St/tOHXYJzqihYiMWgNzfjBcKuk3Nk3pHFuPI+6W0b9Q1AGSvnvXvuaOCTc6a
 Y/ogHjgL9KFVSzaT1kaYGEa95eAbyc2/5I7fE5s5FDFgozgw7KaBw4ggNOYgMBdAPe+I
 l5XfzRBMk6DvGMWQxoz0MY4DC+LeY+z2VZ1YxZv+b+k1tMzhmC2uARqA0w/xtsgSgdSj
 vmwgY7Tj9o64Kf6nXC9x6eCWNheXl44gZ6S3B/CQblqH5lw2A+FdH+dfHBgV0r1j4TY1
 YSHqzm32vDp/V6TyM2b3qh41AUfBuGoW5v3BNeL1Pu6+nJ3AS34/s2GIGqgXGrQAnXlS
 Vv3w==
X-Gm-Message-State: AOAM530Ra8XtPQOikPWQ8vAYqmyNsFCivQvfxQbURMNFsAnnQi8zqvuN
 XWYFUONMbnZEiAspOQASzsmNGF6XULI8LQ==
X-Google-Smtp-Source: ABdhPJww/Q2Ac4xWtzoH57XWgfTfl1mTZx8jeLZHCGwWw6IqiqN4HkIXp/zi+XY/QuhlYnumXicQpg==
X-Received: by 2002:a05:622a:42:b0:2f3:dbbf:4508 with SMTP id
 y2-20020a05622a004200b002f3dbbf4508mr10966479qtw.206.1652590009303; 
 Sat, 14 May 2022 21:46:49 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 004/602] utils: Add a 'delete-expression' procedure.
Date: Sun, 15 May 2022 00:36:31 -0400
Message-Id: <20220515044629.6843-4-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/utils.scm: Fix copyright lines and order imports.
(edit-expression): Fix typo in doc.  Add a new 'include-trailing-newline?'
keyword argument.  Update doc.
(delete-expression): New procedure.
---
 guix/utils.scm | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

diff --git a/guix/utils.scm b/guix/utils.scm
index 44c46cb4a9..e169624ee6 100644
--- a/guix/utils.scm
+++ b/guix/utils.scm
@@ -8,12 +8,11 @@
 ;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2018, 2020 Marius Bakke <marius@HIDDEN>
 ;;; Copyright © 2020, 2021 Efraim Flashner <efraim@HIDDEN>
-;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2020, 2021, 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;; Copyright © 2021 Chris Marusich <cmmarusich@HIDDEN>
 ;;; Copyright © 2021 Maxime Devos <maximedevos@HIDDEN>
 ;;; Copyright © 2018 Steve Sprang <scs@HIDDEN>
-;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -38,7 +37,6 @@ (define-module (guix utils)
   #:use-module (srfi srfi-26)
   #:use-module (srfi srfi-39)
   #:use-module (srfi srfi-71)
-  #:use-module (ice-9 ftw)
   #:use-module (rnrs io ports)                    ;need 'port-position' etc.
   #:use-module ((rnrs bytevectors) #:select (bytevector-u8-set!))
   #:use-module (guix memoization)
@@ -49,10 +47,11 @@ (define-module (guix utils)
   #:use-module ((guix combinators) #:select (fold2))
   #:use-module (guix diagnostics)           ;<location>, &error-location, etc.
   #:use-module (ice-9 format)
-  #:use-module (ice-9 regex)
-  #:use-module (ice-9 match)
-  #:use-module (ice-9 format)
+  #:use-module (ice-9 ftw)
   #:use-module ((ice-9 iconv) #:prefix iconv:)
+  #:use-module (ice-9 match)
+  #:use-module (ice-9 regex)
+  #:use-module (ice-9 rdelim)
   #:use-module (ice-9 vlist)
   #:autoload   (zlib) (make-zlib-input-port make-zlib-output-port)
   #:use-module (system foreign)
@@ -133,6 +132,7 @@ (define-module (guix utils)
             readlink*
             go-to-location
             edit-expression
+            delete-expression
 
             filtered-port
             decompressed-port
@@ -433,11 +433,13 @@ (define (move-source-location-map! source target line)
          (hash-set! %source-location-map target-key
                     `(,@target-stamp ,source-map)))))))
 
-(define* (edit-expression source-properties proc #:key (encoding "UTF-8"))
+(define* (edit-expression source-properties proc #:key (encoding "UTF-8")
+                          include-trailing-newline?)
   "Edit the expression specified by SOURCE-PROPERTIES using PROC, which should
 be a procedure that takes the original expression in string and returns a new
-one.  ENCODING will be used to interpret all port I/O, it default to UTF-8.
-This procedure returns #t on success."
+one.  ENCODING will be used to interpret all port I/O, it defaults to UTF-8.
+This procedure returns #t on success.  When INCLUDE-TRAILING-NEWLINE? is true,
+the trailing line is included in the edited expression."
   (define file   (assq-ref source-properties 'filename))
   (define line   (assq-ref source-properties 'line))
   (define column (assq-ref source-properties 'column))
@@ -446,10 +448,14 @@ (define column (assq-ref source-properties 'column))
     (call-with-input-file file
       (lambda (in)
         (let* ( ;; The start byte position of the expression.
-               (start  (begin (go-to-location in (+ 1 line) (+ 1 column))
+               (start  (begin (go-to-location
+                               in (+ 1 line) (+ 1 column))
                               (ftell in)))
                ;; The end byte position of the expression.
-               (end    (begin (read in) (ftell in))))
+               (end    (begin (read in)
+                              (when include-trailing-newline?
+                                (read-line in))
+                              (ftell in))))
           (seek in 0 SEEK_SET)          ; read from the beginning of the file.
           (let* ((pre-bv  (get-bytevector-n in start))
                  ;; The expression in string form.
@@ -478,6 +484,10 @@ (define column (assq-ref source-properties 'column))
                 (move-source-location-map! (stat in) (stat file)
                                            (+ 1 line))))))))))
 
+(define (delete-expression source-properties)
+  "Delete the expression specified by SOURCE-PROPERTIES."
+  (edit-expression source-properties (const "") #:include-trailing-newline? #t))
+
 
 ;;;
 ;;; Keyword arguments.
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:46:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:46:54 2022
Received: from localhost ([127.0.0.1]:47854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69e-0002s2-F4
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:54 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:33760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69d-0002rZ-4J
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:53 -0400
Received: by mail-qt1-f181.google.com with SMTP id s22so4387589qta.0
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:46:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=iwsddj8mDPl1ScTpZyy07USZsdE1OMUabzyQvgDdDUQ=;
 b=eflbTdLAEcSOZ1OhH/Wu6tv+RMnTGV7JTfvUMBCNsx3Y3QzmCBobGK0F6W3jV4GUdn
 R9aMYHkZLiRqfIoMRvzYUIIeMspUbc025BIv5uxs4yUoZyZRo4+2WUZU4wWVprP18uf0
 A1CZKs1BExKv1Nxr9apOrV7rVOAvOhdCUsOH3lW0pVE7uKzf25GT9XOtJWHMgoHHq0t2
 u8OFPJRoVxmLYycFxsEtXojleDPvaKpZwkIvEY2D82g61Aely8dCR3BSzbYgAwPWSzCy
 1qd8bqCrXpIg2Lb32AGDdxEy64V67dilWnidjusJW0FPIOFTTl7NwrZXl8DXsykfkCr/
 yVRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=iwsddj8mDPl1ScTpZyy07USZsdE1OMUabzyQvgDdDUQ=;
 b=hs+F6Y6sjXCu/ui90UTIw2U8yd4NnWd+8UpvtAYiHUwwQk6g4iXV4HtF5aU55FlgRK
 cQ1tD6XsLvcy3SGyhp8/BnecCFdN8XY3a0nWoRKOFOB990X89bRulUSt640lXw5I2qnm
 i3TvSA+q8w0d9O/GUZ+GDuXYKzPUCX2BrrmeEayOQQwK38PIpTauNyrmrwyvWC4061Ax
 Hxg8by6F3ohphiHihfz99GntY7a+VmyHMNCqlgla+EHHkix4r/FoyT3XWEel1WFyAbiU
 N/6Gn6nW6mUKPQ+xXqf5eB2aLHSgNgTarkH3QlJ0MARNGYu96zb4YJjJdhYcdCcWbWMH
 mrEQ==
X-Gm-Message-State: AOAM532tyd0Snh9T8x6EQ7kSzQMr+6Qvz9XLHkrzRpcm8oEt2Wzy9hmm
 eqsP5hJzlStG8s7V1AiYko5pht328vr6Zg==
X-Google-Smtp-Source: ABdhPJzqw7DyFi3fNFWs4A5A2kn0M7jPTbxx8Nt476VgRFMPrM9KK2vwpKI/WKpjH1VTy8W+rnCoIA==
X-Received: by 2002:a05:622a:2cc:b0:2f3:b741:fac2 with SMTP id
 a12-20020a05622a02cc00b002f3b741fac2mr10949848qtx.685.1652590007377; 
 Sat, 14 May 2022 21:46:47 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:47 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 003/602] etc/committer: Teach it how to commit package removal.
Date: Sun, 15 May 2022 00:36:30 -0400
Message-Id: <20220515044629.6843-3-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* etc/committer.scm.in (hunk-types): New variable.
(<hunk>): Rename hunk-definition? getter to 'hunk-type'.
(diff-info): Mute a git warning by separating file names from arguments with
'--'.  Rename the 'definitions?' variable to 'type'.
Use the 'addition type when a new package addition is detected, 'removal when
removed else #f.
(add-commit-message): Re-indent.
(remove-commit-message): New procedure.
(main)[definitions]: Make commit message conditional depending on whether it
is an addition or removal.
[changes]: Adjust indentation.
---
 etc/committer.scm.in | 164 ++++++++++++++++++++++++-------------------
 1 file changed, 91 insertions(+), 73 deletions(-)

diff --git a/etc/committer.scm.in b/etc/committer.scm.in
index 3b37320e89..e7f1ca8c45 100755
--- a/etc/committer.scm.in
+++ b/etc/committer.scm.in
@@ -101,12 +101,16 @@ (define (surrounding-sexp port line-no)
            (read-line port)
            (loop (1- i) last-top-level-sexp))))))
 
+;;; Whether the hunk contains a newly added package (definition), a removed
+;;; package (removal) or something else (#false).
+(define hunk-types '(addition removal #false))
+
 (define-record-type <hunk>
   (make-hunk file-name
              old-line-number
              new-line-number
              diff-lines
-             definition?)
+             type)
   hunk?
   (file-name       hunk-file-name)
   ;; Line number before the change
@@ -115,8 +119,8 @@ (define-record-type <hunk>
   (new-line-number hunk-new-line-number)
   ;; The full diff to be used with "git apply --cached"
   (diff-lines hunk-diff-lines)
-  ;; Does this hunk add a definition?
-  (definition? hunk-definition?))
+  ;; Does this hunk add or remove a package?
+  (type hunk-type))                     ;one of 'hunk-types'
 
 (define* (hunk->patch hunk #:optional (port (current-output-port)))
   (let ((file-name (hunk-file-name hunk)))
@@ -134,25 +138,30 @@ (define (diff-info)
                           ;; new definitions with changes to existing
                           ;; definitions.
                           "--unified=1"
-                          "gnu")))
+                          "--" "gnu")))
     (define (extract-line-number line-tag)
       (abs (string->number
             (car (string-split line-tag #\,)))))
     (define (read-hunk)
       (let loop ((lines '())
-                 (definition? #false))
+                 (type #false))
         (let ((line (read-line port 'concat)))
           (cond
            ((eof-object? line)
-            (values (reverse lines) definition?))
+            (values (reverse lines) type))
            ((or (string-prefix? "@@ " line)
                 (string-prefix? "diff --git" line))
             (unget-string port line)
-            (values (reverse lines) definition?))
+            (values (reverse lines) type))
            (else
             (loop (cons line lines)
-                  (or definition?
-                      (string-prefix? "+(define" line))))))))
+                  (or type
+                      (cond
+                       ((string-prefix? "+(define" line)
+                        'addition)
+                       ((string-prefix? "-(define" line)
+                        'removal)
+                       (else #false)))))))))
     (define info
       (let loop ((acc '())
                  (file-name #f))
@@ -167,13 +176,13 @@ (define info
             (match (string-split line #\space)
               ((_ old-start new-start . _)
                (let-values
-                   (((diff-lines definition?) (read-hunk)))
+                   (((diff-lines type) (read-hunk)))
                  (loop (cons (make-hunk file-name
                                         (extract-line-number old-start)
                                         (extract-line-number new-start)
                                         (cons (string-append line "\n")
                                               diff-lines)
-                                        definition?) acc)
+                                        type) acc)
                        file-name)))))
            (else (loop acc file-name))))))
     (close-pipe port)
@@ -263,10 +272,18 @@ (define version
                                           (listify added))))))))))
             '(inputs propagated-inputs native-inputs)))
 
-(define* (add-commit-message file-name variable-name #:optional (port (current-output-port)))
-  "Print ChangeLog commit message for a change to FILE-NAME adding a definition."
-  (format port
-          "gnu: Add ~a.~%~%* ~a (~a): New variable.~%"
+(define* (add-commit-message file-name variable-name
+                             #:optional (port (current-output-port)))
+  "Print ChangeLog commit message for a change to FILE-NAME adding a
+definition."
+  (format port "gnu: Add ~a.~%~%* ~a (~a): New variable.~%"
+          variable-name file-name variable-name))
+
+(define* (remove-commit-message file-name variable-name
+                                #:optional (port (current-output-port)))
+  "Print ChangeLog commit message for a change to FILE-NAME removing a
+definition."
+  (format port "gnu: Remove ~a.~%~%* ~a (~a): Delete variable.~%"
           variable-name file-name variable-name))
 
 (define* (custom-commit-message file-name variable-name message changelog
@@ -345,66 +362,67 @@ (define* (change-commit-message* file-name old new #:rest rest)
     (()
      (display "Nothing to be done.\n" (current-error-port)))
     (hunks
-     (let-values
-         (((definitions changes)
-           (partition hunk-definition? hunks)))
+     (let-values (((definitions changes) (partition hunk-type hunks)))
+       ;; Additions/removals.
+       (for-each
+        (lambda (hunk)
+          (and-let* ((define-line (find (cut string-match "(\\+|-)\\(define" <>)
+                                        (hunk-diff-lines hunk)))
+                     (variable-name (and=> (string-tokenize define-line)
+                                           second))
+                     (commit-message-proc (match (hunk-type hunk)
+                                            ('addition add-commit-message)
+                                            ('removal remove-commit-message))))
+            (commit-message-proc (hunk-file-name hunk) variable-name)
+            (let ((port (open-pipe* OPEN_WRITE
+                                    "git" "apply"
+                                    "--cached"
+                                    "--unidiff-zero")))
+              (hunk->patch hunk port)
+              (unless (eqv? 0 (status:exit-val (close-pipe port)))
+                (error "Cannot apply")))
 
-       ;; Additions.
-       (for-each (lambda (hunk)
-                   (and-let*
-                       ((define-line (find (cut string-prefix? "+(define" <>)
-                                           (hunk-diff-lines hunk)))
-                        (variable-name (and=> (string-tokenize define-line) second)))
-                     (add-commit-message (hunk-file-name hunk) variable-name)
-                     (let ((port (open-pipe* OPEN_WRITE                   
-                                             "git" "apply"                
-                                             "--cached"                   
-                                             "--unidiff-zero")))          
-                       (hunk->patch hunk port)                            
-                       (unless (eqv? 0 (status:exit-val (close-pipe port))) 
-                         (error "Cannot apply")))
+            (let ((port (open-pipe* OPEN_WRITE "git" "commit" "-F" "-")))
+              (commit-message-proc (hunk-file-name hunk) variable-name port)
+              (usleep %delay)
+              (unless (eqv? 0 (status:exit-val (close-pipe port)))
+                (error "Cannot commit"))))
+          (usleep %delay))
+        definitions))
 
-                     (let ((port (open-pipe* OPEN_WRITE "git" "commit" "-F" "-")))
-                       (add-commit-message (hunk-file-name hunk)
-                                           variable-name port)
-                       (usleep %delay)
+     ;; Changes.
+     (for-each
+      (match-lambda
+        ((new old . hunks)
+         (for-each (lambda (hunk)
+                     (let ((port (open-pipe* OPEN_WRITE
+                                             "git" "apply"
+                                             "--cached"
+                                             "--unidiff-zero")))
+                       (hunk->patch hunk port)
                        (unless (eqv? 0 (status:exit-val (close-pipe port)))
-                         (error "Cannot commit"))))
-                   (usleep %delay))
-                 definitions)
-
-       ;; Changes.
-       (for-each (match-lambda
-                   ((new old . hunks)
-                    (for-each (lambda (hunk)
-                                (let ((port (open-pipe* OPEN_WRITE
-                                                        "git" "apply"
-                                                        "--cached"
-                                                        "--unidiff-zero")))
-                                  (hunk->patch hunk port)
-                                  (unless (eqv? 0 (status:exit-val (close-pipe port)))
-                                    (error "Cannot apply")))
-                                (usleep %delay))
-                              hunks)
-                    (define copyright-line
-                      (any (lambda (line) (and=> (string-prefix? "+;;; Copyright ©" line)
-                                              (const line)))
-                                (hunk-diff-lines (first hunks))))
-                    (cond
-                     (copyright-line
-                      (add-copyright-line copyright-line))
-                     (else
-                      (let ((port (open-pipe* OPEN_WRITE "git" "commit" "-F" "-")))
-                        (change-commit-message* (hunk-file-name (first hunks))
-                                                old new)
-                      (change-commit-message* (hunk-file-name (first hunks))
-                                              old new
-                                              port)
-                      (usleep %delay)
-                      (unless (eqv? 0 (status:exit-val (close-pipe port)))
-                        (error "Cannot commit")))))))
-                 ;; XXX: we recompute the hunks here because previous
-                 ;; insertions lead to offsets.
-                 (new+old+hunks (diff-info)))))))
+                         (error "Cannot apply")))
+                     (usleep %delay))
+                   hunks)
+         (define copyright-line
+           (any (lambda (line) (and=> (string-prefix? "+;;; Copyright ©" line)
+                                      (const line)))
+                (hunk-diff-lines (first hunks))))
+         (cond
+          (copyright-line
+           (add-copyright-line copyright-line))
+          (else
+           (let ((port (open-pipe* OPEN_WRITE "git" "commit" "-F" "-")))
+             (change-commit-message* (hunk-file-name (first hunks))
+                                     old new)
+             (change-commit-message* (hunk-file-name (first hunks))
+                                     old new
+                                     port)
+             (usleep %delay)
+             (unless (eqv? 0 (status:exit-val (close-pipe port)))
+               (error "Cannot commit")))))))
+      ;; XXX: we recompute the hunks here because previous
+      ;; insertions lead to offsets.
+      (new+old+hunks (diff-info))))))
 
 (apply main (cdr (command-line)))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:46:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:46:51 2022
Received: from localhost ([127.0.0.1]:47851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69b-0002rl-59
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:51 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:40894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69Z-0002rH-Rd
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:50 -0400
Received: by mail-qv1-f44.google.com with SMTP id p3so9881193qvi.7
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:46:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=dRjeq9WVnxkT6uOeTkMMLjDJ1xzISCCU8cjqySxzKmg=;
 b=SnMI2rzeztRKVgzOVEYGjAXarlijnxbK5KUw7vfDYRAEHOL/SWZLqwDESUvrKQ6oJt
 iyt8+9IHT6erm7IX1fMmcZ1pgks+RETSNKOn8cFJbr5ThPKleSt3j5ILRy2DXvfXWbh6
 hd71ivyo6+/bw//9qhM+nS+Lf455634b3iZjRp5ZmA8tDrlOULfi5SBnsTGddahKKi06
 gfegsdc93kVV+cDBARxAAjyrhuCrTOWzisR7TbzkvXdX+XR9IOk64Aa6PHnwNehQm5xw
 2lkOlCrfDctKY4zm4IPO/qUtExAtfzY6Kd6WsaochL2rKEzbbPT+yZSZ7OwkdGhuy4vD
 QoUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=dRjeq9WVnxkT6uOeTkMMLjDJ1xzISCCU8cjqySxzKmg=;
 b=Vb7FGhG4s5eSYWbAP1NZ7ljnavMCi9+HZ9WSd1nhAqeeq47S/c1HMjPYrJUsNhQcz2
 w8ZSD/lxpGrORAjR2VRmU9M/U7IJgeJIIL86dC+TcHV+ZxOjCzubo5GjsqreQ2C7UPGA
 Y8t2MvK6fP9rFpR2J4Cet+F/OgT7yZFeEC7JC2hu5qBiv8lHepptr4xUyd3sp1RegQGs
 YnnGMsgyXY+Xse1mtIItNPQpLyqZFdR989pZn1SX0weDQPaWL+RY289BK21vn7kLyceT
 cXKOTUWaCwxmq7FZPHg7q/nrXJVqWsZsQ2uKo6blbuJ6IkKhkVZ3Yb9o6PGdVSop8SnE
 Tqbg==
X-Gm-Message-State: AOAM532w+IKnHb3jO11QORuU4rSRRzPF5y4yhbV8cyLZ3z79phYRbIbR
 shpVFd3l0H7F/U63vc3bLQOHitUMAAPv/w==
X-Google-Smtp-Source: ABdhPJxO98jXjjFpfuIz6/iLjxfGOt/PTxrPZtd0TyfeFo7xY45NsatMJHBCzrG4Ue+rvGAW0IXScA==
X-Received: by 2002:a05:6214:4006:b0:432:ea2b:5aad with SMTP id
 kd6-20020a056214400600b00432ea2b5aadmr10486902qvb.39.1652590004136; 
 Sat, 14 May 2022 21:46:44 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:43 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 002/602] etc/committer: Prefix (sxml xpath) symbols to avoid
 name conflict.
Date: Sun, 15 May 2022 00:36:29 -0400
Message-Id: <20220515044629.6843-2-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
References: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  This avoids a naming conflict for 'filter', provided by both
 (srfi srfi-1) and (sxml xpath). * etc/committer.scm.in: Use 'use-modules'
 instead of 'import', and use a prefix for the (sxml xpath) module. (new-sexp):
 Adjust accordingly. (change-commit-message): Likewise. ---
 etc/committer.scm.in [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.44 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.44 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

This avoids a naming conflict for 'filter', provided by both (srfi srfi-1)
and (sxml xpath).

* etc/committer.scm.in: Use 'use-modules' instead of 'import', and use a
prefix for the (sxml xpath) module.
(new-sexp): Adjust accordingly.
(change-commit-message): Likewise.
---
 etc/committer.scm.in | 33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

diff --git a/etc/committer.scm.in b/etc/committer.scm.in
index 5a57d51577..3b37320e89 100755
--- a/etc/committer.scm.in
+++ b/etc/committer.scm.in
@@ -6,6 +6,7 @@
 ;;; Copyright © 2020, 2021 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
+;;; Copyright © 2022 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -28,19 +29,19 @@
 
 ;;; Code:
 
-(import (sxml xpath)
-        (srfi srfi-1)
-        (srfi srfi-2)
-        (srfi srfi-9)
-        (srfi srfi-11)
-        (srfi srfi-26)
-        (ice-9 format)
-        (ice-9 popen)
-        (ice-9 match)
-        (ice-9 rdelim)
-        (ice-9 regex)
-        (ice-9 textual-ports)
-        (guix gexp))
+(use-modules ((sxml xpath) #:prefix xpath:)
+             (srfi srfi-1)
+             (srfi srfi-2)
+             (srfi srfi-9)
+             (srfi srfi-11)
+             (srfi srfi-26)
+             (ice-9 format)
+             (ice-9 popen)
+             (ice-9 match)
+             (ice-9 rdelim)
+             (ice-9 regex)
+             (ice-9 textual-ports)
+             (guix gexp))
 
 (define* (break-string str #:optional (max-line-length 70))
   "Break the string STR into lines that are no longer than MAX-LINE-LENGTH.
@@ -214,10 +215,10 @@ (define (new-sexp hunk)
 (define* (change-commit-message file-name old new #:optional (port (current-output-port)))
   "Print ChangeLog commit message for changes between OLD and NEW."
   (define (get-values expr field)
-    (match ((sxpath `(// ,field quasiquote *)) expr)
+    (match ((xpath:sxpath `(// ,field quasiquote *)) expr)
       (()
        ;; New-style plain lists
-       (match ((sxpath `(// ,field list *)) expr)
+       (match ((xpath:sxpath `(// ,field list *)) expr)
          ((inner) inner)
          (_ '())))
       ;; Old-style labelled inputs
@@ -234,7 +235,7 @@ (define (listify items)
   (define variable-name
     (second old))
   (define version
-    (and=> ((sxpath '(// version *any*)) new)
+    (and=> ((xpath:sxpath '(// version *any*)) new)
            first))
   (format port
           "gnu: ~a: Update to ~a.~%~%* ~a (~a): Update to ~a.~%"
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at 55424 <at> debbugs.gnu.org:


Received: (at 55424) by debbugs.gnu.org; 15 May 2022 04:46:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:46:46 2022
Received: from localhost ([127.0.0.1]:47848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq69V-0002rQ-VO
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:46 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:43524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq69U-0002rA-Jt
 for 55424 <at> debbugs.gnu.org; Sun, 15 May 2022 00:46:44 -0400
Received: by mail-qt1-f174.google.com with SMTP id hh4so10054600qtb.10
 for <55424 <at> debbugs.gnu.org>; Sat, 14 May 2022 21:46:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=CwTJJhyqpVaMSKM91NAT3TdFWc3VBSrN+dmUxW69pd4=;
 b=aHlu25jN1OOvtlnx5qLxoz+jKaInWzCH5LFGtGqS0lNzKNqZnabPkjN6292wxhH2qW
 ZtIrnrUYul7Dzyqwv4e6Khs3+F8RE4tvuMjEtrT9zMq8rrON+Y5EtG5dJkRttCVePymN
 EhbwbBY9fSd9USdzXvyoJNWJSxPypS5Clqls4M/G1NvWxJPz/P4igqE2St6dtUt0P20f
 w9vaoZ5KZ6Dt1AXOF/xiY0NW4hNOPg+XaE24qJ9eG7E1VHScyimdswCOwRcAqILW9uR1
 3b+mdrIq6Xh853wDMCf1Zg8VPXJA9HafaVXEYDYB9IGETCjYoD7HWfqQlQuCACl9z23W
 Bv1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=CwTJJhyqpVaMSKM91NAT3TdFWc3VBSrN+dmUxW69pd4=;
 b=P1RuMnG3W7cf0ZW/ejoxRYpED5R2HRtExHfVg4zK+9ZfY2ogbL6XzC9eQ9FZvohEE8
 rFAmlyReNt9DEsRc1rGveDhkz2gSVgH7CG3Tgh4OySknB/e5vo1Uhpnw+1o9NU6ZJM4l
 rQCrEGk/GdEw6NoJ8xIQH0uCN+0wpthRP6WgjH5QZnoFbFSFRfWSNaSRLZ1KSebwtHx7
 ir1ajXjBuE7OVnHnDyKZSbT+zkNdvUKNV5y5+vBZYallYV89INkrIAjxxO3ZipOVuvly
 aitK1OBXx4cSWkXhuytJ0mgFdRM4Hv620ht4KMP/YVWgPRirMmxLvZXrWn4M9uZHfNpM
 zW5w==
X-Gm-Message-State: AOAM533D3CYF+ZeRUFqKbV9N9CZgm2NAFsI3nRjoq80X2l1vGYEu4g3/
 hAk08ZwqwaVO8PoZQbAZNuo0vhLTRNy4AQ==
X-Google-Smtp-Source: ABdhPJxsdlrjggPVn2SezLE962RIAeSRB+cS5J/LPr5zarNcPtChEc814aSKNa9L96v+E4B5WuaN8g==
X-Received: by 2002:a05:622a:494:b0:2f3:c0b0:599c with SMTP id
 p20-20020a05622a049400b002f3c0b0599cmr11092531qtx.95.1652589998704; 
 Sat, 14 May 2022 21:46:38 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 2-20020ac82082000000b002f39b99f672sm4287690qtd.12.2022.05.14.21.46.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:46:38 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: 55424 <at> debbugs.gnu.org
Subject: [PATCH 001/602] packages: Fix typo in package-superseded doc.
Date: Sun, 15 May 2022 00:36:28 -0400
Message-Id: <20220515044629.6843-1-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55424
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/packages.scm (package-superseded): Fix typo.
---
 guix/packages.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/guix/packages.scm b/guix/packages.scm
index a79b36d03d..18fa190c1d 100644
--- a/guix/packages.scm
+++ b/guix/packages.scm
@@ -662,7 +662,7 @@ (define (hidden-package? p)
   (assoc-ref (package-properties p) 'hidden?))
 
 (define (package-superseded p)
-  "Return the package the supersedes P, or #f if P is still current."
+  "Return the package that supersedes P, or #f if P is still current."
   (assoc-ref (package-properties p) 'superseded))
 
 (define (deprecated-package old-name p)
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 May 2022 04:44:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 00:44:26 2022
Received: from localhost ([127.0.0.1]:47843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq67F-0002nK-FY
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:44:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:55698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nq67C-0002nC-Sd
 for submit <at> debbugs.gnu.org; Sun, 15 May 2022 00:44:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41678)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1nq67C-0001cp-KR
 for guix-patches@HIDDEN; Sun, 15 May 2022 00:44:22 -0400
Received: from mail-qk1-x72e.google.com ([2607:f8b0:4864:20::72e]:35533)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1nq679-0001tU-CT
 for guix-patches@HIDDEN; Sun, 15 May 2022 00:44:22 -0400
Received: by mail-qk1-x72e.google.com with SMTP id z126so10209247qkb.2
 for <guix-patches@HIDDEN>; Sat, 14 May 2022 21:44:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=kY90426+3jnybX4BQ2BET5sPmj8nuzpzacBbPbLe36E=;
 b=Yrb0CkkcoXjNT38QF5JU4vI9SMvNAdnwpyhGyPT2EpRZ0ew1yBvIS1hbLNfIDIX5SR
 dYg+oDYzDhgnd72jNkTHoIUA1tJI5ow7vW1i6JxMSupgTNafnModgSqMnbeH+Mz1JuW6
 9UPq7cYd7zTxMVom0CtFVJm5i6LSfcjkA1z2HwbEmAZfwOqzzFDc8jZ0eidqsR0HYxYK
 frLko4sWI8qKsOM4muLzWYAYWAyNcBgWHPgNIagUyAHwuWxTnkcrS5ZEILC7i57dhUjg
 7q9ciysAdx2r1PFQFArc/vvJoSDF5Y7Nm+/QZix5RM01qsvRnsmUEmfkiQY1kSTg6L97
 EqLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=kY90426+3jnybX4BQ2BET5sPmj8nuzpzacBbPbLe36E=;
 b=hyiMu5gyHb06/pLwq0p7ox/kYMJ4/11IoyqQ2ZpEvD53otFOn3hJpbpF2mAaeLWaOd
 7ZOcptJCAkOVfWrPAMrv/IkZrUYHQ/6nwOaL11OvB1AUkWfmJlVaAuKAB62PWncqQ6w8
 MMknx7Gw+KA0bAQjzR64spotz4nqNFBuXZAPcRM3lQ9BVs7ju0m4PqrsOJ3KIcdCI0hG
 FgwkL32LDvxEkrvNzVmu084F0Y1FJbOI0riD2CCybfOSDc7hCp7DX0O5R+lgoS8MMo2m
 oLDFDslwBY6hoZ4BxwrhBDim7czWbnNL5RqYY/xsDeXynlsagDF1NVD23SpkGArV12zD
 VUnQ==
X-Gm-Message-State: AOAM530owGNbApAP+voEskKtuqwcd07skWLJGZDw024Dwx92JT7/DtOA
 3Gfc4yKnNrHrMM6EpgKjz35TXfngok4M/g==
X-Google-Smtp-Source: ABdhPJyeelBzj09SRaAdDHdexB4x2CGYq8mIkX01IfvUi9XkoTExzWaIUjAinihcij8S43auAJt4MA==
X-Received: by 2002:a37:5d2:0:b0:69f:a41b:9bda with SMTP id
 201-20020a3705d2000000b0069fa41b9bdamr8064658qkf.761.1652589857569; 
 Sat, 14 May 2022 21:44:17 -0700 (PDT)
Received: from localhost.localdomain (dsl-149-239.b2b2c.ca. [66.158.149.239])
 by smtp.gmail.com with ESMTPSA id
 i19-20020ac84f53000000b002f3ca56e6edsm4191309qtw.8.2022.05.14.21.44.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 May 2022 21:44:17 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 000/602] Purge Python 2 packages
Date: Sun, 15 May 2022 00:44:12 -0400
Message-Id: <20220515044412.6697-1-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::72e;
 envelope-from=maxim.cournoyer@HIDDEN; helo=mail-qk1-x72e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello Guix!

It's been more than 2 years since Python 2 was declared EOL.  This change
greatly reduce the graph of python2 packages.  Perhaps one of the main
dependency that needs it as an input is qtwebengine, but that's going to
disappear when we move to Qt 6.

Many of these commits were automated using a custom
'purge-python2-packages.scm' script [0], combined with the augmented
etc/committer script.  A good effort was attempted to save (via upgrades)
packages, so there are also package updates in the review.

[0]  https://notabug.org/apteryx/guix-api-examples/raw/master/purge-python2-packages.scm

There are still some Python 2 packages (about a hundred perhaps), mostly games
or bioinformatics related; perhaps we could leave them another 6 months then
remove them from Guix.  What do you think?

Thanks,

Maxim Cournoyer (602):
  packages: Fix typo in package-superseded doc.
  etc/committer: Prefix (sxml xpath) symbols to avoid name conflict.
  etc/committer: Teach it how to commit package removal.
  utils: Add a 'delete-expression' procedure.
  utils: Add a %guix-source-root-directory procedure.
  diagnostics: Fix typo about 0-indexed COL in location.
  gnu: Remove python-pytest-runner-2.
  gnu: Remove python2-langkit.
  gnu: Remove graphios.
  gnu: Remove python2-pyalsaaudio.
  gnu: Remove ingen.
  gnu: Remove raul.
  gnu: Remove raul-devel.
  gnu: Remove python2-pyaudio.
  gnu: Remove python2-fastalite.
  gnu: Remove grit.
  gnu: Remove ribodiff.
  gnu: Remove python2-pybigwig.
  gnu: tetoolkit: Update to 2.2.1b.
  gnu: Remove pepr.
  gnu: Remove python2-htseq.
  gnu: Remove python2-pybedtools.
  gnu: Remove bamm.
  gnu: Remove python2-dendropy.
  gnu: Remove poretools.
  gnu: Remove python2-warpedlmm.
  gnu: Remove miso.
  gnu: Remove python2-screed.
  gnu: Remove python2-pyfaidx.
  gnu: Remove python2-pbcore.
  gnu: Remove pyicoteo.
  gnu: Remove transmission-remote-cli.
  gnu: Remove python2-nose-timer.
  gnu: Remove python2-pytest-catchlog.
  gnu: Remove python2-testlib.
  gnu: Remove python2-nose2.
  gnu: Remove python2-pytest-capturelog.
  gnu: Remove python2-python-paramunittest.
  gnu: Remove python2-rednose.
  gnu: Remove python2-minimock.
  gnu: Remove python2-flexmock.
  gnu: Remove python2-discover.
  gnu: Remove python2-cov-core.
  gnu: Remove python2-pytest-flakes.
  gnu: Remove python2-pytest-subtesthack.
  gnu: Remove python2-nose-randomly.
  gnu: Remove domainfinder.
  gnu: Remove nmoldyn.
  gnu: Remove python2-neo4j-driver.
  gnu: Remove python2-redis.
  gnu: Remove python2-trollius-redis.
  gnu: Remove python2-peewee.
  gnu: Remove python2-ccm.
  gnu: Remove python2-apsw.
  gnu: Remove python2-py2neo.
  gnu: Remove python2-pyodbc-c.
  gnu: Remove python2-pymysql.
  gnu: Remove python2-hiredis.
  gnu: Remove python2-pytest-pep8.
  gnu: Remove python2-scikit-learn.
  gnu: Remove ocrodjvu.
  gnu: Remove python2-pandas.
  gnu: Remove python2-html5lib.
  gnu: Remove python2-statsmodels.
  gnu: Remove python2-pytest-cache.
  gnu: Remove python2-fastlmm.
  gnu: Remove python2-parameterized.
  gnu: Remove python2-pytest-warnings.
  gnu: Remove python2-pyodbc.
  gnu: Remove python2-pickleshare.
  gnu: Remove djvusmooth.
  gnu: Remove omnitux.
  gnu: Remove childsplay.
  gnu: Remove python2-capstone.
  gnu: Remove lekha.
  gnu: Remove python2-stdnum.
  gnu: Remove python2-ledgerblue.
  gnu: Remove python2-keepkey.
  gnu: nototools: Update to 0.2.16.
  gnu: Remove python2-tmx.
  gnu: renpy: Build with Python 3.
  gnu: Remove slingshot.
  gnu: Remove python2-gpg.
  gnu: Remove python2-pygpgme.
  gnu: pius: Update to 3.0.0.
  gnu: Remove python2-pydot.
  gnu: dot2tex: Update to 2.11.3.
  gnu: Remove h-client.
  gnu: Remove python2-iso3166.
  gnu: Remove python2-iso639.
  gnu: Remove key-mon.
  gnu: Remove python2-tegaki-recognize.
  gnu: Remove python2-pyusb.
  gnu: Remove python2-autograd.
  gnu: getmail: Deprecate with getmail6.
  gnu: Remove python2-mailmanclient.
  gnu: Remove python2-musicbrainzngs.
  gnu: Remove python2-pyechonest.
  gnu: Remove mloop.
  gnu: Remove gtklick.
  gnu: Remove non-timeline.
  gnu: Remove non-mixer.
  gnu: Remove python2-ipy.
  gnu: Remove sala.
  gnu: Add python-jstyleson.
  gnu: Add python-html-text.
  gnu: Add python-mf2py.
  gnu: Add python-pyrdfa3.
  gnu: Add python-extruct.
  gnu: Add python-scrape-schema-recipe.
  gnu: Remove gourmet.
  gnu: gourmet: Update to 0.17.4-0-8af29c8 and enable tests.
  gnu: Remove patches.
  gnu: impressive: Update to 0.13.1.
  gnu: Remove python2-pypdf2.
  gnu: Remove python2-reportlab.
  gnu: Remove pulseaudio-dlna.
  gnu: Remove python2-lz4.
  gnu: Remove python2-lzstring.
  gnu: Remove python2-lzo.
  gnu: Remove python2-service-identity.
  gnu: Remove python2-ed25519.
  gnu: Remove python2-pycrypto.
  gnu: Remove python2-axolotl-curve25519.
  gnu: Remove python2-pyaes.
  gnu: Remove python2-slowaes.
  gnu: Remove python2-josepy.
  gnu: Remove python2-m2crypto.
  gnu: Remove python2-pycryptodome.
  gnu: Remove python2-weave.
  gnu: Remove python2-oauth2client.
  gnu: Remove python2-zope-configuration.
  gnu: Remove python2-sockjs-tornado.
  gnu: Remove python2-zope-security.
  gnu: Remove python2-oauthlib.
  gnu: Remove python2-rauth.
  gnu: Remove python2-betamax.
  gnu: Remove python2-pastedeploy.
  gnu: Remove python2-genshi.
  gnu: Remove python2-webob.
  gnu: Remove python2-readlike.
  gnu: Remove python2-ipython-genutils.
  gnu: Remove python2-coloredlogs.
  gnu: Remove python2-pythondialog.
  gnu: Remove python2-straight-plugin.
  gnu: Remove python2-enum.
  gnu: Remove python2-uniseg.
  gnu: Remove python2-argcomplete.
  gnu: Remove python2-pkginfo.
  gnu: Remove python2-mmtk.
  gnu: Remove python2-s3cmd.
  gnu: Remove python2-clint.
  gnu: Remove python2-exif-read.
  gnu: Remove python2-activepapers.
  gnu: Remove python2-argparse.
  gnu: Remove python2-rencode.
  gnu: Remove python2-parallel.
  gnu: Remove python2-colorspacious.
  gnu: Remove python2-mako.
  gnu: Remove python2-polib.
  gnu: Remove python2-quex-0.67.3.
  gnu: Remove python2-netaddr.
  gnu: Remove python2-kivy.
  gnu: Remove python2-kazoo.
  gnu: Remove python2-prompt-toolkit.
  gnu: Remove python2-editor.
  gnu: Remove python2-kitchen.
  gnu: Remove python2-dns-lexicon.
  gnu: Remove python2-shedskin.
  gnu: Remove python2-unicodecsv.
  gnu: Remove python2-cliapp.
  gnu: Remove python2-text-unidecode.
  gnu: Remove python2-invoke.
  gnu: Remove python2-validictory.
  gnu: Remove python2-pycosat.
  gnu: Remove python2-miniboa.
  gnu: Remove python2-semver.
  gnu: Remove python2-configobj.
  gnu: Remove python2-verboselogs.
  gnu: Remove python2-glob2.
  gnu: Remove python2-funcy.
  gnu: Remove python2-phonenumbers.
  gnu: Remove python2-tracing.
  gnu: Remove python2-anyjson.
  gnu: Remove python2-libarchive-c.
  gnu: Remove python2-xopen.
  gnu: Remove python2-quex.
  gnu: Remove python2-file.
  gnu: Remove python2-jsonrpclib-pelix.
  gnu: Remove python2-munch.
  gnu: Remove python2-pycountry.
  gnu: Remove python2-user-agents.
  gnu: Remove python2-ratelimiter.
  gnu: Remove python2-prettytable.
  gnu: Remove python2-jsonrpclib.
  gnu: Remove python2-translitcodec.
  gnu: Remove python2-isoweek.
  gnu: Remove python2-tblib.
  gnu: Remove python2-smmap.
  gnu: Remove python2-isort.
  gnu: non-session-manager: Replace with new-session-manager.
  gnu: Remove python2-pyliblo.
  gnu: Remove python2-nosexcover.
  gnu: Remove python2-sqlalchemy.
  gnu: Remove python2-efl.
  gnu: Remove python2-mnemonic.
  gnu: Remove python2-pygame.
  gnu: Remove python2-hidapi.
  gnu: Remove python2-notmuch.
  gnu: Remove python2-pypdf.
  gnu: Remove python2-axolotl.
  gnu: Remove python2-ecpy.
  gnu: Remove python2-ecdsa.
  gnu: Remove python2-httplib2.
  gnu: Remove python2-zope-component.
  gnu: Remove python2-zope-location.
  gnu: Remove python2-random2.
  gnu: Remove python2-pynamecheap.
  gnu: Remove python2-reparser.
  gnu: Remove python2-gyp.
  gnu: Remove python2-schema.
  gnu: Remove python2-args.
  gnu: Remove python2-pip.
  gnu: Remove python2-schedule.
  gnu: Remove python2-ua-parser.
  gnu: Remove python2-xdo.
  gnu: python-seaborn: Update to 0.11.2.
  gnu: Remove python2-zeroconf.
  gnu: Remove python2-botocore.
  gnu: Remove python2-email-validator.
  gnu: Remove python2-pyjwt.
  gnu: Remove python2-distutils-extra.
  gnu: Remove python2-schematics.
  gnu: Remove python2-rsa.
  gnu: Remove python2-grako.
  gnu: Remove python2-whatever.
  gnu: Remove python2-blosc.
  gnu: Remove python2-xcffib.
  gnu: Remove python2-pyev.
  gnu: Remove python2-capturer.
  gnu: Remove python2-drmaa.
  gnu: Remove python2-sympy.
  gnu: Remove python2-pybugz.
  gnu: Remove python2-bz2file.
  gnu: Remove python2-ttystatus.
  gnu: Remove python2-pystache.
  gnu: Remove python2-rply.
  gnu: Remove python2-serpent.
  gnu: Remove python2-incremental.
  gnu: Remove python2-steadymark.
  gnu: Remove python2-waitress.
  gnu: Remove python2-radon.
  gnu: Remove python2-mimeparse.
  gnu: Remove python2-coverage-test-runner.
  gnu: Remove python2-pygame-sdl2.
  gnu: Remove python2-protobuf.
  gnu: Remove python2-zope-proxy.
  gnu: Remove python2-objgraph.
  gnu: Remove python2-yapf.
  gnu: Remove python2-misaka.
  gnu: Remove python2-mpmath.
  gnu: Remove python2-binaryornot.
  gnu: Remove python2-cheetah.
  gnu: Remove python2-ruamel.ordereddict.
  gnu: Remove python2-blinker.
  gnu: Remove python2-termcolor.
  gnu: Remove python2-booleanoperations.
  gnu: Remove python2-dirsync.
  gnu: Remove python2-rfc3986.
  gnu: Remove python2-feedgenerator.
  gnu: Remove python2-ipaddr.
  gnu: Remove python2-autopep8.
  gnu: Remove python2-humanfriendly.
  gnu: Remove python2-consul.
  gnu: Remove python2-flex.
  gnu: Remove python2-numexpr.
  gnu: Remove python2-texttable.
  gnu: Remove python2-simplegeneric.
  gnu: Remove python2-dnspython-1.16.
  gnu: Remove python2-zope-schema.
  gnu: Remove python2-pyclipper.
  gnu: Remove ptpython-2.
  gnu: Remove python2-locket.
  gnu: Remove python2-zope-i18nmessageid.
  gnu: Remove python2-jsonpatch.
  gnu: Remove python2-ansi2html.
  gnu: Remove python-prompt-toolkit-1.
  gnu: Remove python2-zope-testrunner.
  gnu: Remove python2-xlib.
  gnu: Remove python2-pysnptools.
  gnu: Remove python2-qrcode.
  gnu: Remove python2-tabulate.
  gnu: Remove python2-markdown.
  gnu: Remove python2-jsonpatch-0.4.
  gnu: Remove python2-pytest-xdist.
  gnu: Remove python2-zope-exceptions.
  gnu: Remove python2-netifaces.
  gnu: Remove python2-pyinotify.
  gnu: Remove python2-msgpack.
  gnu: Remove python2-element-tree.
  gnu: Remove python2-joblib.
  gnu: Remove python2-cram.
  gnu: Remove python2-cloudpickle.
  gnu: Remove python2-tornado.
  gnu: Remove python2-zope-interface.
  gnu: Remove python2-tldextract.
  gnu: Remove python2-notify2.
  gnu: Remove python2-pydiff.
  gnu: Remove python2-parso.
  gnu: Remove python2-vcversioner.
  gnu: Remove python2-extras.
  gnu: Remove python2-inflection.
  gnu: Remove python2-execnet.
  gnu: Remove python2-scientific.
  gnu: Remove python2-automat.
  gnu: Remove python2-mando.
  gnu: Remove python2-pexpect.
  gnu: Remove python2-couleur.
  gnu: Remove python2-dogtail.
  gnu: Remove python2-magic.
  gnu: Remove python2-fusepy.
  gnu: Remove python2-wrapt.
  gnu: Remove python2-pyasn1-modules.
  gnu: Remove python2-xlrd.
  gnu: Remove python2-h5py.
  gnu: Remove python2-colorama.
  gnu: Remove python2-flake8-polyfill.
  gnu: Remove python2-elib.intl.
  gnu: Remove python2-pyroute2.
  gnu: Remove python2-psutil.
  gnu: Remove python2-tempdir.
  gnu: Remove python2-djvulibre.
  gnu: Remove python2-urwidtrees.
  gnu: Remove python2-clyent.
  gnu: Remove python2-constantly.
  gnu: Remove python2-pep517.
  gnu: Remove python2-q.
  gnu: Remove python2-rst.linker.
  gnu: Remove python2-pathlib.
  gnu: Remove python2-whoosh.
  gnu: Remove python2-openpyxl.
  gnu: Remove python2-validate-email.
  gnu: Remove python2-setproctitle.
  gnu: Remove python2-fuzzywuzzy.
  gnu: Remove python2-schema-0.5.
  gnu: Remove python2-graphviz.
  gnu: Remove python2-wheel.
  gnu: Remove python2-zope-testing.
  gnu: Remove python2-zope-event.
  gnu: Remove python2-responses.
  gnu: Remove python2-pyro.
  gnu: Remove python2-lazy-object-proxy.
  gnu: Remove python2-astor.
  gnu: Remove python2-requests-file.
  gnu: Remove python2-backports-abc.
  gnu: Remove python2-singledispatch.
  gnu: Remove python2-waf.
  gnu: Remove python2-pyrsistent.
  gnu: Remove python2-sure.
  gnu: Remove python2-attrs.
  gnu: Remove python2-pkgconfig.
  gnu: Remove python2-pbkdf2.
  gnu: Remove python2-pylzma.
  gnu: Remove python2-futures.
  gnu: Remove python2-et-xmlfile.
  gnu: Remove python2-m2r.
  gnu: Remove python2-jdcal.
  gnu: Remove python2-rfc3987.
  gnu: Remove python2-jsonpointer.
  gnu: Remove python2-semantic-version.
  gnu: Remove python2-stemming.
  gnu: Remove python2-pep8.
  gnu: Remove python2-regex.
  gnu: Remove python2-socksipy-branch.
  gnu: Remove python2-setuptools-scm-git-archive.
  gnu: Remove python2-ukpostcodeparser.
  gnu: Remove python2-pyld.
  gnu: Remove python2-mechanize.
  gnu: Remove python2-parse-type.
  gnu: Remove python2-ptyprocess.
  gnu: Remove python2-flake8.
  gnu: Remove python2-virtualenv.
  gnu: Remove python2-pyasn1.
  gnu: Remove chirp.
  gnu: Remove python2-rdflib.
  gnu: Remove python2-gmpy2.
  gnu: Remove python2-cypari2.
  gnu: Remove python2-pyscard.
  gnu: Remove python2-patsy.
  gnu: Remove rawdog.
  gnu: Remove python2-pyte.
  gnu: Remove python2-blessings.
  gnu: Remove virtaal.
  gnu: Remove python2-monotonic.
  gnu: Remove python2-parsedatetime.
  gnu: Remove python2-aniso8601.
  gnu: Remove python2-tzdata.
  gnu: Remove python2-defcon.
  gnu: Remove gess.
  gnu: Remove find-circ.
  gnu: Remove python2-matplotlib.
  gnu: Remove python2-numpy.
  gnu: Remove python2-scipy.
  gnu: Remove python2-numpydoc.
  gnu: Remove python2-pysam.
  gnu: Remove python2-ufolib.
  gnu: Remove python2-kiwisolver.
  gnu: Remove python2-cookies.
  gnu: Remove python2-pycurl.
  gnu: Remove python2-cleo.
  gnu: Remove python2-entrypoints.
  gnu: Remove python2-mccabe.
  gnu: Remove python2-networkx.
  gnu: Remove python2-pycodestyle.
  gnu: Remove python2-pyserial.
  gnu: Remove python2-cycler.
  gnu: Remove python2-future.
  gnu: Remove python2-mistune.
  gnu: Remove python2-cysignals.
  gnu: Remove python2-pytidylib.
  gnu: Remove python2-sphinx.
  gnu: Remove python2-docutils.
  gnu: Remove python2-translate-toolkit.
  gnu: Remove python2-subprocess32.
  gnu: Remove python2-pyflakes.
  gnu: Remove python2-pympler.
  gnu: Remove python2-isodate.
  gnu: Remove python2-pyrfc3339.
  gnu: Remove youtube-dl-gui.
  gnu: Add python-avocado-framework.
  gnu: python-pygments: Update to 2.12.0.
  gnu: python-urwid-readline: Update to 0.13.
  gnu: Add python-qemu-qmp.
  gnu: qmpbackup: Update to 0.23.
  gnu: Remove python2-feedparser.
  gnu: Remove python2-clf.
  gnu: Remove wicd.
  gnu: Remove python2-i3-py.
  gnu: Remove python2-pyxb.
  gnu: xlsx2csv: Update to 0.7.8.
  gnu: Remove python2-pyatspi.
  gnu: Remove python2-rsvg.
  gnu: solfege: Update to 3.23.5pre2.
  gnu: dosage: Remove python2 inputs.
  gnu: Remove python2-pytest-mock.
  gnu: Remove python2-backports-shutil-get-terminal-size.
  gnu: libappindicator: Update to 12.10.1-0-298.
  gnu: gimp: Drop Python 2 support.
  gnu: glimpse: Drop Python 2 support.
  gnu: keybinder: Replace with keybinder-3.0.
  gnu: language: Remove tegaki packages.
  gnu: Remove python2-pygtk.
  gnu: Remove python2-pytest-runner.
  gnu: lightdm: Update to 1.30.0-0.b7fc321.
  gnu: Remove python2-pygobject.
  gnu: Remove python2-pytest.
  gnu: Remove python2-pluggy.
  gnu: Remove python2-pycairo.
  gnu: Remove python2-zinnia.
  gnu: Remove python2-requests.
  gnu: Remove python2-bottle.
  gnu: Remove python2-docopt.
  gnu: Remove python2-decorator.
  gnu: Remove python2-beautifulsoup4.
  gnu: Remove python2-clikit.
  gnu: Remove python2-funcsigs-bootstrap.
  gnu: Remove python2-snowballstemmer.
  gnu: Remove python2-packaging.
  gnu: Remove python2-backpack.
  gnu: Remove python2-urwid.
  gnu: Remove python2-diff-match-patch.
  gnu: Remove python2-jinja2.
  gnu: Remove python2-twodict.
  gnu: Remove python2-vobject.
  gnu: Remove python2-pastel.
  gnu: Remove python2-webencodings.
  gnu: Remove python2-urllib3.
  gnu: Remove python2-markupsafe.
  gnu: Remove python2-chardet.
  gnu: Remove python2-imagesize.
  gnu: Remove python2-babel.
  gnu: Remove python2-levenshtein.
  gnu: Remove python2-pyaml.
  gnu: Remove python2-simplejson.
  gnu: Remove python2-pylev.
  gnu: Remove python2-soupsieve.
  gnu: Remove python2-atomicwrites.
  gnu: Remove python2-importlib-metadata.
  gnu: Remove python2-pyicu.
  gnu: Remove python2-sphinx-alabaster-theme.
  gnu: Remove python2-sphinxcontrib-websupport.
  gnu: Remove python2-wxpython.
  gnu: Remove python2-freezegun.
  gnu: Remove python2-packaging-bootstrap.
  gnu: Remove python2-zipp.
  gnu: Remove python2-certifi.
  gnu: Remove python2-pyopenssl.
  gnu: Remove python2-unidecode.
  gnu: Remove python2-configparser.
  gnu: Remove python2-importlib-resources.
  gnu: Remove python2-pysocks.
  gnu: Remove python2-backports-functools-lru-cache.
  gnu: Remove python2-flaky.
  gnu: Remove python2-cryptography.
  gnu: Remove python2-pathlib2.
  gnu: Remove python2-typing.
  gnu: Remove python2-contextlib2.
  gnu: Remove python2-dateutil.
  gnu: Remove python2-coverage.
  gnu: Remove python2-cffi.
  gnu: Remove python2-cryptography-vectors.
  gnu: Remove python2-asn1crypto.
  gnu: Remove python2-ipaddress.
  gnu: Remove python2-scandir.
  gnu: Remove python2-backport-ssl-match-hostname.
  gnu: Remove python2-idna.
  gnu: Remove python2-pretend.
  gnu: Remove python2-pytz.
  gnu: Remove python2-iso8601.
  gnu: Remove python2-seaborn.
  gnu: Remove didjvu.
  gnu: Remove python2-gamera.
  gnu: Remove python2-pillow.
  gnu: python-pillow: Update to 9.0.0.
  gnu: Remove python2-olefile.
  gnu: pypy3: Rename to pypy and modernize definition.
  gnu: Add python-fastbencode.
  gnu: Add python-lazr-uri.
  gnu: Add python-wadllib.
  gnu: Add python-lazr-restfulclient.
  gnu: Add python-launchpadlib.
  gnu: breezy: Update to 3.2.2.
  gnu: bazaar: Obsolete with breezy.
  gnu: icecat: Remove obsolete Python 2 dependencies.
  gnu: icecat: Modernize package definition.
  gnu: Remove fraggenescan.
  gnu: Remove python2-pysqlite.
  gnu: lvtk: Update to 1.2.0-0.a73feab.
  gnu: jalv: Use Python 3.
  gnu: aubio: Use Python 3.
  gnu: Remove python2-mock.
  gnu: Remove python2-hypothesis.
  gnu: Remove python2-functools32.
  gnu: Remove python2-funcsigs.
  gnu: Remove python2-sortedcontainers.
  gnu: Remove python2-unittest2.
  gnu: Remove python2-traceback2.
  gnu: Remove python2-linecache2.
  gnu: Remove beast.
  gnu: Remove rapicorn.
  gnu: Remove libpng-1.2.
  gnu: Remove boost-with-python2.
  gnu: john-the-ripper-jumbo: Use Python 3.
  gnu: Remove python2-enum34.
  gnu: Remove python2-appdirs.
  gnu: Add vtk-7.
  gnu: itk-snap: Fix build.
  gnu: Remove vtk-6.
  gnu: dcmtk: Update to 3.6.7 and build as a shared library.
  gnu: mia: Update to 2.4.7.
  gnu: Remove python2-lxml.
  gnu: brasero: Remove obsolete gnome-doc-utils input.
  gnu: libdbusmenu: Update to 16.04.0-496.
  gnu: dico: Use Python 3.
  gnu: lolcode-lci: Update to 0.11.2-0.6762b72.
  gnu: Remove python2-libmpsse.
  gnu: Remove gnome-doc-utils.
  gnu: gnome-keyring: Use Python 3.
  gnu: Remove python2-more-itertools.
  gnu: Remove python2-tlsh.
  gnu: Remove python2-lirc.
  gnu: Remove python2-cython.
  gnu: mozjs: Cleanup to only keep the last version.
  gnu: icedove: Delete obsolete Python 2 input.
  gnu: icedove: Use new style for inputs.
  gnu: jack-2: Update to 1.9.21.
  gnu: mod-host: Update to 0.10.6-4.cdd30dd.
  gnu: Remove python2-pyfakefs-bootstrap.
  gnu: libpqxx: Update to 7.7.3.
  gnu: Remove 4store.
  gnu: Remove python2-libxml2.
  gnu: Remove python2-attrs-bootstrap.
  gnu: pdf2djvu: Disable tests to avoid Python 2 dependencies.
  gnu: python-setproctitle: Delete obsolete phase.
  gnu: Remove python2-nose.
  gnu: ocaml-dose3: Disable tests to avoid Python 2 dependencies.
  gnu: Remove python2-pyyaml.
  gnu: openbox: Patch for Python 3.
  gnu: Remove python2-wcwidth.
  gnu: Remove python2-pyxdg.
  gnu: Remove python2-six-bootstrap.
  gnu: Remove python2-setuptools-scm.
  gnu: Remove python2-pyparsing.
  gnu: Remove python2-py.
  gnu: Remove python2-fonttools.
  gnu: python2-six: Disable tests.
  gnu: Remove python2-backports-csv.
  gnu: qtwebengine: Re-style inputs.
  gnu: Remove python2-checkm-genome.
  gnu: Remove python2-setuptools.
  gnu: Remove python-prompt-toolkit-2.
  gnu: Remove python2-called-python.

 doc/guix.texi                                 |   14 -
 etc/committer.scm.in                          |  197 +-
 gnu/local.mk                                  |   26 +-
 gnu/packages/ada.scm                          |   29 -
 gnu/packages/admin.scm                        |   36 -
 gnu/packages/audio.scm                        |  168 +-
 gnu/packages/bioinformatics.scm               |  694 +---
 gnu/packages/bittorrent.scm                   |   43 -
 gnu/packages/boost.scm                        |    7 -
 gnu/packages/check.scm                        |  249 +-
 gnu/packages/chemistry.scm                    |   92 -
 gnu/packages/databases.scm                    |  194 +-
 gnu/packages/dico.scm                         |   36 +-
 gnu/packages/display-managers.scm             |  143 +-
 gnu/packages/djvu.scm                         |  223 +-
 gnu/packages/education.scm                    |  203 --
 gnu/packages/embedded.scm                     |   30 -
 gnu/packages/engineering.scm                  |    3 -
 gnu/packages/enlightenment.scm                |   31 -
 gnu/packages/esolangs.scm                     |   50 +-
 gnu/packages/finance.scm                      |   12 -
 gnu/packages/fontutils.scm                    |   70 +-
 gnu/packages/freedesktop.scm                  |  137 +-
 gnu/packages/game-development.scm             |  211 +-
 gnu/packages/games.scm                        |   29 +-
 gnu/packages/gimp.scm                         |  208 +-
 gnu/packages/glib.scm                         |   70 +-
 gnu/packages/gnome.scm                        |  161 +-
 gnu/packages/gnupg.scm                        |   71 +-
 gnu/packages/gnuzilla.scm                     | 1447 +++-----
 gnu/packages/graphics.scm                     |   70 -
 gnu/packages/graphviz.scm                     |   36 +-
 gnu/packages/gtk.scm                          |  223 +-
 gnu/packages/hardware.scm                     |   36 -
 gnu/packages/image-processing.scm             |  139 +-
 gnu/packages/image.scm                        |   19 -
 gnu/packages/iso-codes.scm                    |    6 -
 gnu/packages/key-mon.scm                      |   25 -
 gnu/packages/language.scm                     |  437 ---
 gnu/packages/libffi.scm                       |    3 -
 gnu/packages/libusb.scm                       |    6 -
 gnu/packages/lirc.scm                         |   15 +-
 gnu/packages/machine-learning.scm             |   82 -
 gnu/packages/mail.scm                         |   65 +-
 gnu/packages/maths.scm                        |    4 -
 gnu/packages/music.scm                        |  554 +--
 gnu/packages/networking.scm                   |    3 -
 gnu/packages/nutrition.scm                    |  160 +-
 gnu/packages/ocaml.scm                        |   16 +-
 gnu/packages/ocr.scm                          |   17 -
 gnu/packages/openbox.scm                      |   20 +-
 gnu/packages/password-utils.scm               |   45 +-
 .../patches/4store-fix-buildsystem.patch      |   56 -
 .../4store-unset-preprocessor-directive.patch |   16 -
 gnu/packages/patches/breezy-fix-gio.patch     |  338 ++
 .../patches/gourmet-sqlalchemy-compat.patch   |   18 +
 .../patches/itk-snap-alt-glibc-compat.patch   |   22 +
 .../patches/mia-fix-boost-headers.patch       |  479 +++
 .../patches/mozjs17-aarch64-support.patch     |   60 -
 .../patches/mozjs24-aarch64-support.patch     |   21 -
 .../patches/mozjs38-pkg-config-version.patch  |   24 -
 .../patches/mozjs38-shell-version.patch       |   67 -
 .../patches/mozjs38-tracelogger.patch         |  608 ----
 .../patches/mozjs38-version-detection.patch   |  180 -
 .../patches/mozjs60-riscv64-support.patch     |  122 -
 gnu/packages/patches/openbox-python3.patch    |  165 +
 ...python2-parameterized-docstring-test.patch |   18 -
 .../python2-pygobject-2-deprecation.patch     |   39 -
 ...hon2-subprocess32-disable-input-test.patch |   18 -
 gnu/packages/patches/rapicorn-isnan.patch     |   87 -
 .../patches/vtk-7-gcc-10-compat.patch         |   14 +
 gnu/packages/patches/vtk-7-hdf5-compat.patch  |   38 +
 .../patches/vtk-7-python-compat.patch         |   16 +
 .../patches/wicd-bitrate-none-fix.patch       |   24 -
 .../wicd-get-selected-profile-fix.patch       |   16 -
 gnu/packages/patches/wicd-urwid-1.3.patch     |   18 -
 gnu/packages/patches/wicd-wpa2-ttls.patch     |   38 -
 gnu/packages/patchutils.scm                   |   29 -
 gnu/packages/pdf.scm                          |   83 +-
 gnu/packages/polkit.scm                       |    2 +-
 gnu/packages/protobuf.scm                     |    3 -
 gnu/packages/pulseaudio.scm                   |   52 -
 gnu/packages/python-build.scm                 |   33 +-
 gnu/packages/python-check.scm                 |   82 +
 gnu/packages/python-compression.scm           |   32 -
 gnu/packages/python-crypto.scm                |   97 +-
 gnu/packages/python-science.scm               |  155 -
 gnu/packages/python-web.scm                   |  347 +-
 gnu/packages/python-xyz.scm                   | 2960 ++---------------
 gnu/packages/python.scm                       |  280 +-
 gnu/packages/qt.scm                           |  140 +-
 gnu/packages/radio.scm                        |   24 -
 gnu/packages/rdf.scm                          |   40 +-
 gnu/packages/sagemath.scm                     |    6 -
 gnu/packages/security-token.scm               |    3 -
 gnu/packages/sphinx.scm                       |   78 +-
 gnu/packages/statistics.scm                   |   24 -
 gnu/packages/syncthing.scm                    |    2 -
 gnu/packages/syndication.scm                  |   25 -
 gnu/packages/terminals.scm                    |    6 -
 gnu/packages/text-editors.scm                 |   36 -
 gnu/packages/time.scm                         |   27 -
 gnu/packages/version-control.scm              |  114 +-
 gnu/packages/video.scm                        |   97 -
 gnu/packages/virtualization.scm               |   63 +-
 gnu/packages/web.scm                          |   27 -
 gnu/packages/wicd.scm                         |  197 --
 gnu/packages/wm.scm                           |   37 +-
 gnu/packages/wxwidgets.scm                    |   73 -
 gnu/packages/xml.scm                          |   21 +-
 gnu/services/networking.scm                   |   62 -
 gnu/system/linux-container.scm                |    3 +-
 guix/build/bzr.scm                            |    8 +-
 guix/bzr-download.scm                         |    6 +-
 guix/diagnostics.scm                          |    2 +-
 guix/lint.scm                                 |   24 +-
 guix/packages.scm                             |    2 +-
 guix/utils.scm                                |   37 +-
 tests/profiles.scm                            |    2 +-
 119 files changed, 3621 insertions(+), 11087 deletions(-)
 delete mode 100644 gnu/packages/patches/4store-fix-buildsystem.patch
 delete mode 100644 gnu/packages/patches/4store-unset-preprocessor-directive.patch
 create mode 100644 gnu/packages/patches/breezy-fix-gio.patch
 create mode 100644 gnu/packages/patches/gourmet-sqlalchemy-compat.patch
 create mode 100644 gnu/packages/patches/itk-snap-alt-glibc-compat.patch
 create mode 100644 gnu/packages/patches/mia-fix-boost-headers.patch
 delete mode 100644 gnu/packages/patches/mozjs17-aarch64-support.patch
 delete mode 100644 gnu/packages/patches/mozjs24-aarch64-support.patch
 delete mode 100644 gnu/packages/patches/mozjs38-pkg-config-version.patch
 delete mode 100644 gnu/packages/patches/mozjs38-shell-version.patch
 delete mode 100644 gnu/packages/patches/mozjs38-tracelogger.patch
 delete mode 100644 gnu/packages/patches/mozjs38-version-detection.patch
 delete mode 100644 gnu/packages/patches/mozjs60-riscv64-support.patch
 create mode 100644 gnu/packages/patches/openbox-python3.patch
 delete mode 100644 gnu/packages/patches/python2-parameterized-docstring-test.patch
 delete mode 100644 gnu/packages/patches/python2-pygobject-2-deprecation.patch
 delete mode 100644 gnu/packages/patches/python2-subprocess32-disable-input-test.patch
 delete mode 100644 gnu/packages/patches/rapicorn-isnan.patch
 create mode 100644 gnu/packages/patches/vtk-7-gcc-10-compat.patch
 create mode 100644 gnu/packages/patches/vtk-7-hdf5-compat.patch
 create mode 100644 gnu/packages/patches/vtk-7-python-compat.patch
 delete mode 100644 gnu/packages/patches/wicd-bitrate-none-fix.patch
 delete mode 100644 gnu/packages/patches/wicd-get-selected-profile-fix.patch
 delete mode 100644 gnu/packages/patches/wicd-urwid-1.3.patch
 delete mode 100644 gnu/packages/patches/wicd-wpa2-ttls.patch
 delete mode 100644 gnu/packages/wicd.scm

-- 
2.36.0





Acknowledgement sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55424; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jun 2022 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.